<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 06/19/2007                                       -->
<!--Description: update for admin,auditor,report only user  -->
<!--             Remove Priority column                     -->
<!--File:ftp_clientip.jsp                                   -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaFtp" id="bundleFtp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%

    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp?ftp_clientip");
        return;
    }
    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(5);
        if (access == 0)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;
    }

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>

<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/securityset.js"></SCRIPT>
<SCRIPT language="javascript" src="html/MM-General.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
var current_type="ip";
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function addoneitem1(whichkind)
{
	var itemname;
	var showname;

	if(whichkind=="all"){
		itemname = document.saveform.inputmethod.value+" all";
		showname = "("+getlocalizedmethod(document.saveform.inputmethod.value)+")"+" "+document.saveform.allstring.value;
	}else if(whichkind=="port"){
		itemname = document.saveform.inputmethod.value+" "+ document.saveform.port.value;
		showname = "("+getlocalizedmethod(document.saveform.inputmethod.value)+") "+ document.saveform.port.value;
	}else if(whichkind=="portrange"){
		itemname = document.saveform.inputmethod.value+" "+ document.saveform.fromport.value;
		itemname = itemname + " " +document.saveform.toport.value;
		showname = "("+getlocalizedmethod(document.saveform.inputmethod.value)+") "+ document.saveform.fromport.value + " ~ "+document.saveform.toport.value;
	}else if(whichkind=="iprange"){
		itemname = document.saveform.fromip.value;
		itemname = itemname + "-" + document.saveform.toip.value;
		showname = document.saveform.fromip.value + " ~ " + document.saveform.toip.value;;
	}else if(whichkind=="ipmask"){
		itemname = document.saveform.ipmask_ip.value;
		itemname = itemname + "/" + document.saveform.mask.value;
		showname = itemname;
	}else if(whichkind=="ip"){
		itemname = document.saveform.ip.value;
		showname = itemname;
	}

	if((whichkind!="all") && (Trim(document.saveform.desc.value)!=document.saveform.input_tips.value)){
		itemname = itemname + " ;" + Trim(document.saveform.desc.value);
	}

	addtolist1(itemname,showname);
}

String.prototype.trim = function()
{
    return this.replace(/(^\s*)|(\s*$)/g,   "");
}

function addtolist1(itemname,showname)
{
  len = document.getElementById("EntityTable").rows.length;
  if(len > 1)
  {
        for(j=1;j<len;j++)
        {
                if(document.getElementById("EntityTable").rows[j].cells[0].innerHTML.split('>')[1].trim() == showname.trim())
                {
                        alert(i18n_dup_ip);
                        return;
                }
        }
  }
  var switchcontent;
  var switch_start="<table width=\"45\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr align=\"center\">"

  var switch_end="</td></tr></table>";
  if(len==1){
    switchcontent = switch_start+"<td width=\"15\" class=\"text\">"+parseInt(len)+"</td>";
	switchcontent = switchcontent + "<td><img src=\"images/blank_arrow.gif\" width=\"7\" height=\"9\">";
	switchcontent = switchcontent + switch_end;
  }else{
    switchcontent = switch_start+"<td width=\"15\" class=\"text\">"+parseInt(len)+"</td>";
	switchcontent = switchcontent + '<td><a href="javascript:switchup(\''+len+"');\"><img src=\"images/arrow_up.gif\" width=\"7\" height=\"9\" border=0></a><img src=\"images/blank_arrow.gif\" width=\"7\" height=\"9\">";
	switchcontent = switchcontent + switch_end;

	cur_cell_start = switch_start+"<td width=\"15\" class=\"text\">"+(parseInt(len)-1)+"</td>";
    if(len==2)
    {
		//document.getElementById("EntityTable").rows[len-1].cells[1].innerHTML=cur_cell_start+"<td><img src=\"images/blank_arrow.gif\" width=\"7\" height=\"9\"><a href=\"javascript:switchdown('"+(len-1)+"');\"><img src=\"images/arrow_down.gif\" width=\"7\" height=\"9\" border=0></a>"+switch_end;
    }else{
		//document.getElementById("EntityTable").rows[len-1].cells[1].innerHTML=cur_cell_start+"<td><a href=\"javascript:switchup('"+(len-1)+"');\"><img src=\"images/arrow_up.gif\" width=\"7\" height=\"9\" border=0></a>"+"&nbsp;<a href=\"javascript:switchdown('"+(len-1)+"');\"><img src=\"images/arrow_down.gif\" width=\"7\" height=\"9\" border=0></a>"+switch_end;
    }
  }

  var newrow = document.getElementById("EntityTable").insertRow(len);
  newrow = document.getElementById("EntityTable").rows[len];
  var cell1 = newrow.insertCell(0);
  cell1 = newrow.cells[0];
  cell1.innerHTML = "<input type=hidden name=itemlist value=\""+itemname+"\">"+showname ;
  cell1.height=22;
  cell1.id="entityname"+len;
  cell1.className="data"+((parseInt(len)+1)%2+1)+"b";

  var celldesc = newrow.insertCell(1);
  celldesc = newrow.cells[1];
  if (document.saveform.desc.value == document.saveform.input_tips.value){
	  celldesc.innerHTML = "";
  } else {
	  celldesc.innerHTML = document.saveform.desc.value;
  }
  celldesc.height=22;
  celldesc.className="data"+((parseInt(len)+1)%2+1)+"b";

  var cell2 = newrow.insertCell(2);
  cell2 = newrow.cells[2];
  //cell2.innerHTML = switchcontent;
  cell2.height=22;
  cell2.className="data"+((parseInt(len)+1)%2+1)+"b";
  //var cell3 = newrow.insertCell(2);
  //cell3 = newrow.cells[2];
  //cell3.innerHTML = "<div align=\"center\"><a href=\"javascript:void(0);\" onClick=\"javascript:deleteone1('"+len+"');\" border=\"0\"><img src=\"images/icon_delete.gif\" width=\"18\" height=\"18\" border=0></a></div>";
  cell2.innerHTML = '<div align="center"><a href="javascript:void(0);" onClick="javascript:deleteone1(\''+len+"');\" border=\"0\"><img src=\"images/icon_delete.gif\" width=\"18\" height=\"18\" border=0></a></div>";
  //cell3.height=22;
  //cell3.className="data"+((parseInt(len)+1)%2+1);
}

function deleteone1(whichrow)
{
    //alert("whichrow=" + whichrow);
    len = document.getElementById("EntityTable").rows.length;
    if(len==2){
		//only one row
		document.getElementById("EntityTable").deleteRow(whichrow);
    }else if(len==3){
        //only two rows, need to remove switch up/down button.
        if(whichrow==1){
            document.getElementById("EntityTable").rows[1].cells[0].innerHTML = document.getElementById("EntityTable").rows[2].cells[0].innerHTML;
            document.getElementById("EntityTable").rows[1].cells[1].innerHTML = document.getElementById("EntityTable").rows[2].cells[1].innerHTML;
        }
        //document.getElementById("EntityTable").rows[1].cells[1].innerHTML = "<img src=\"images/blank_arrow.gif\" width=\"7\" height=\"9\">"
        document.getElementById("EntityTable").deleteRow(2);
    }
    else{

      for(j=whichrow;j<(len-1);j++)
      {
        document.getElementById("EntityTable").rows[j].cells[0].innerHTML = document.getElementById("EntityTable").rows[parseInt(j)+1].cells[0].innerHTML;
        document.getElementById("EntityTable").rows[j].cells[1].innerHTML = document.getElementById("EntityTable").rows[parseInt(j)+1].cells[1].innerHTML;
      }
      document.getElementById("EntityTable").deleteRow(parseInt(len-1));
	  var switchstr = "";
	  var switch_start="<table width=\"45\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr align=\"center\">"
      var switch_end="</td></tr></table>";
      //switchstr = switch_start+"<td width=\"15\" class=\"text\">"+(parseInt(len)-2)+"</td>";
	  //switchstr = switchstr + "<td><a href=\"javascript:switchup('"+parseInt(len-2)+"');\"><img src=\"images/arrow_up.gif\" width=\"7\" height=\"9\" border=0></a><img src=\"images/blank_arrow.gif\" width=\"7\" height=\"9\">"+switch_end;
	  //document.getElementById("EntityTable").rows[parseInt(len-2)].cells[1].innerHTML = switchstr;

    }

    EnableSaveButton();
}
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function ChangeInputField(thisobj)
{
    //refreshinput(thisobj.value);
    refreshinput_withdesc(thisobj.value);
    current_type = thisobj.value;
}

function DoAdd(){
  if(!ValidateInput_withdesc(current_type)) return;
  addoneitem1(current_type);
  EnableSaveButton();
}

function DoSubmit(){
  if(document.saveform.use_client_acl_view.checked){
    if(document.saveform.ftp__use_client_acl.value=='yes'){
        document.saveform.change_op.value="nochanged";
    }else{
        document.saveform.change_op.value="changed";
        document.saveform.ftp__use_client_acl.value="yes";
    }
  }else{
    if(document.saveform.ftp__use_client_acl.value=='no'){
        document.saveform.change_op.value="nochanged";
    }else{
        document.saveform.change_op.value="changed";
        document.saveform.ftp__use_client_acl.value="no";
    }
  }
  document.saveform.daemonaction.value = ftpreload;
  setTimeout( "document.saveform.submit()", 100 );
}

</SCRIPT>
</head>
<%
    SecurityConfig sconfig = new SecurityConfig(IWSSInfo.GetKeyValue("ftp","client_acl_file"),2);

    if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0 && access == 3)
    {
        sconfig.WriteConfig(request);
        //sconfig.WriteConfig(request);
        if(request.getParameter("change_op")!=null && request.getParameter("change_op").compareToIgnoreCase("changed")==0)
        {
             IWSSINI pini=null;
             try{
                pini = new IWSSINI(request);
                pini.WriteConfig(IWSSInfo.GetWorkPath()+"intscan.ini");
              }catch (Exception e)
              {
              }
        }
        //refresh http
        if(request.getParameter("daemonaction")!=null)
            DaemonAction.TakeAction(Integer.parseInt(request.getParameter("daemonaction")));
    }

    IWSSXML configxml = sconfig.GetConfigXML();
%>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form name="saveform" method="post" action="ftp_clientip.jsp">
<input type=hidden name="op" value="save">
<input type=hidden name="change_op" value="nochange">
<input type=hidden name="daemonaction" value="0">
<input type=hidden name="input_tips" value="<i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.desc_notes" />">
<table cellspacing=0 cellpadding=0 width=98% border=0>
  <tr>
    <td width="463" class="content-title"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.title" /></td>
    <td width="77" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('ftp_clientip.htm');"> <img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <!-- TABS -->
    <td background="images/tab_background_cui.gif">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><img src="images/tab_right-corner_cui.gif" width="11" height="23" alt="" border="0"></td>
          <td background="images/tab_active_background_cui.gif" class="tabactive" valign="top" nowrap><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.title_client" /> </td>
          <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
          <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
          <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"

      href="ftp_serverip.jsp" ><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.title_server" /> </a></td>
          <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
          <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
          <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="ftp_destinationport.jsp" > <i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.title_port" /></a></td>
          <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
        </tr>
      </table>
    </td>
    <td background="images/tab_background_cui.gif" align="right"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
    <!-- /TABS -->
  </tr>
  <tr>
    <td  colspan="2" class="border">
      <table width="100%" border="0" cellspacing="0" cellpadding="0" >
        <tr>
          <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
        </tr>
	<tr>
          <td colspan="2" class="data1"><input type="hidden" name="ftp__use_client_acl" value="<%=IWSSInfo.GetKeyValue("ftp","use_client_acl")%>">
            <input type="checkbox" name="use_client_acl_view" value="yes"<%if(IWSSInfo.GetKeyValue("ftp","use_client_acl").compareToIgnoreCase("yes")==0){%> checked<%}%> onClick="EnableSaveButton();">
    <i18n:message bundleRef="bundleFtp" key="ftp_clientip.enable_ftp_access" /></td>
        </tr>
        <tr>
          <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
          <td colspan=2 class="data1" style="padding-left:7px"><i18n:message bundleRef="bundleFtp" key="ftp_clientip.allow_ftp_access" /> </td>
        </tr>
	<tr>
          <td colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0" ID="InputTable">
	    <tr>
	      <td width="74">&nbsp;</td>
	      <td width="100" class="data1">
                <input name="inputtype" type="radio" onClick="ChangeInputField(this);" value="ip" checked><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_address_sem" />
	      </td>
              <td colspan=5 class="data1">
	        <input name="ip" type="text" class="button" size="20" maxlength="125"  onkeypress="return handleEnter(this, event)">
	      </td>
	    </tr>
	    <tr>
              <td>&nbsp;</td>
              <td class="data1">
                <input name="inputtype" type="radio" onClick="ChangeInputField(this);" value="iprange"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_range_sem" />
	      </td>
              <td width="60" class="data1"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_from" /></td>
	      <td width="106" class="data1"><input type=text class="button" name=fromip size=20 maxlength=15 value="" style="background-color=#C0C0C0" disabled></td>
	      <td width="32" class="data1"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_to" /></td>
	      <td width="468" colspan="2" class="data1"><input type=text class="button" name=toip size=20 maxlength=15 value="" style="background-color=#C0C0C0" disabled></td>
	    </tr>
	    <tr>
	      <td>&nbsp;</td>
              <td class="data1">
                <input name="inputtype" type="radio" onClick="ChangeInputField(this);" value="ipmask"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_mask_sem" />
	      </td>
	      <td class="data1"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_address_2" /></td>
              <td class="data1"><input type=text name=ipmask_ip size=20 class="button" maxlength=40 value="" style="background-color=#C0C0C0" disabled></td>
              <td class="data1"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.mask" /></td>
              <td colspan="2" class="data1"><input type=text name=mask class="button" size=20 maxlength=15 value="" style="background-color=#C0C0C0" disabled></td>
	    </tr>
	    <tr>
              <td colspan="7"><img src="images/1space_cui.gif" width="1" height="10"></td>
            </tr>
	    <tr>
	      <td class="data1" style="padding-left:7px"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.desc" /></td>
	      <td colspan="6" class="data1">
	        <input name="desc" type="text" class="button" size=80 maxlength=40 style="color:#808080" value="<i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.desc_notes" />" onfocus="myFocus(this);" onblur="myBlur(this);" onkeypress="return handleEnter(this, event)">
	      </td>
	    </tr>
            <tr>
              <td colspan="7"><img src="images/1space_cui.gif" width="1" height="10"></td>
            </tr>
	    <tr>
	      <td colspan="7" class="data1" style="padding-left:7px">
	        <%if (access == 3) { %>
	          <input type="button" name="add" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" class="button" onClick="javascript:DoAdd();" style="width:50px">
                <%}%>
	      </td>
	    </tr>

	  </table></td>
	</tr>

	<!--
        <tr>
          <td width="45" >&nbsp;</td>
          <td width="493" class="data1">
            <input name="inputtype" type="radio" onClick="ChangeInputField(this);" value="ip" checked><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip" /><br>
            <input name="inputtype" type="radio" onClick="ChangeInputField(this);" value="iprange"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_range" /><br>
            <input name="inputtype" type="radio" onClick="ChangeInputField(this);" value="ipmask"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_mask" /><br>
          </td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td width="493" valign="middle" class="data1">
            <table width="493" border="0" cellpadding="0" cellspacing="0" ID="InputTable">
                <tr>
                    <td class="data1">
                         <i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_address" />
                         <input name="ip" type="text" class="button" size="20"  onkeypress="return handleEnter(this, event)">
						   <%if (access == 3) { %>
                         <input type="button" name="add" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" class="button" onClick="javascript:DoAdd();" style="width:50px">
						   <%}%>
                    </td>
                </tr>
            </table>
</td>
        </tr>
	-->
        <tr>
          <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
          <td colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0" ID="EntityTable">
              <tr>
                <td width="244" class="grey2" align="left"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.ip_address_2" /> </td>
				<!--<td width="0" class="grey2" align="left"> </td>-->
                <!--<td width="52" class="grey2">Priority</td>-->
                <td width="247" class="grey2" align="left"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.desc" /></td>
		<td width="47" class="grey2-end"><i18n:message bundleRef="bundleFtp" key="ftp_access_control_setting.delete" /></td>
              </tr>

<% for(int i=0;i<configxml.GetLength("itemlist");i++){
       String ipStr  = configxml.GetValueByIndex("itemlist",i);
       String descStr = " ";
       if (ipStr.indexOf(" ;") > 0) {
           descStr = ipStr.substring(ipStr.indexOf(" ;")+2);
           ipStr = ipStr.substring(0, ipStr.indexOf(" ;"));
       }

       if (descStr.matches(".*[<>#&\"]+.*")){
	   descStr = " ";
       }
%>
              <tr>
                <td align="left" class="data<%=((i)%2+1)%>b" ID="entityname<%=(i+1)%>">
        <input type=hidden name=itemlist value="<%= configxml.GetValueByIndex("itemlist",i) %>">
        <%=IWSSUtil.MyReplace(ipStr,"-"," ~ ")%>
                </td>
                <td align="left" class="data<%=((i)%2+1)%>b" ID="entityname_desc<%=(i+1)%>"><%= descStr %></td>
               <!--<TD class="data<%=((i)%2+1)%>b">
                   <table width="45" border="0" cellpadding="0" cellspacing="0">
                    <tr align="center">
                    <td width="15" class="text"><%=(i+1)%></td>
                    </tr>
                  </table>
                </TD>-->
                <td align="center" class="data<%=((i)%2+1)%>"><div align="center"><a href="javascript:void(0);" onClick="javascript:deleteone1(<%=(i+1)%>);"><img src="images/icon_delete.gif" border=0></a></div>
                </td>
              </tr>
<%}%>
              </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
  <%if (access == 3) { %>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="28" valign="bottom"><input name="save" type="button"  class="button"  onclick="javascript:DoSubmit();" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" disabled>
    <input name="cancel" type="button"  class="button"  onclick="javascript:self.location.replace('ftp_clientip.jsp')" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />"></td>
  </tr>
</table>
<%
}
%>
</form>
</body>
</html>
