<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 02/28/2007                                        -->
<!--Description:                                            -->
<!-- Set table width = "100%"                               -->
<!--File:ftp_config_action.jsp                              -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaFtp" id="bundleFtp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%

    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp?mmc_policy");
        return;
    }

    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo"); 
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(5);
        if (access == 0)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;    
    }



    IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
    if(dbxml==null){
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
    }else{
		if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)
		{
			response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
			return;
		}
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
	
	String disabled_ftp ="";

    if( IWSSInfo.GetDeployMode().equals("icap") ){
        disabled_ftp = "disabled=\"disabled\"";
    }else if( IWSSInfo.GetDeployMode().equals("reverse") ){
        disabled_ftp = "disabled=\"disabled\"";
    }
%>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/virusscan.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
descarray = new Array(1);
descarray[0] = tipUncleanable;

function doSubmit()
{
    setmacroscan();
    if(document.saveform.ftpscan_view.checked) document.saveform.ftp__enabled.value="yes";
    else document.saveform.ftp__enabled.value="no";
    if(document.saveform.ftp_dlp_view.checked) document.saveform.dlp_ftp__enabled.value="yes";
    else document.saveform.dlp_ftp__enabled.value="no";
    if(document.saveform.ftp__enabled.value!=document.saveform.oldftpscan.value) document.saveform.daemonaction.value = ftpreloadplus;
    else document.saveform.daemonaction.value = ftpreloadplus;

    document.saveform.policyop.value = "updatescanaction";
    setTimeout( "document.saveform.submit()", 100 );
}

function init()
{
    if(document.saveform.action[2].selected) document.saveform.ucaction.disabled = false;
    else document.saveform.ucaction.disabled = true;
}
</SCRIPT>

</head>

<%
    int policyid=-1;

    PolicySetting psetting;
    PolicyItem item = null;
    Properties rule = null;

    if(request.getParameter("policyop")!=null && request.getParameter("policyop").compareToIgnoreCase("updatescanaction")==0){
        psetting = UIPolicy.getSessionPolicy(request, new FTPScanRule());
        item = psetting.getItem();
        rule = psetting.getRule();
        FTPScanRule globalrule = (FTPScanRule)item.getRule();
        PolicyManager.setGlobalRules(globalrule);
        
        IWSSINI requestini=null;

        try{
            requestini = new IWSSINI(request);   
            //set enable setting in DSC file
            requestini.WriteConfig(IWSSInfo.GetScan_Dsc());    

	     IWSSINI dlp_ini = new IWSSINI(IWSSInfo.GetDlp_Dsc());
	     
            dlp_ini.SetKeyValue("ftp", "enabled",request.getParameter("dlp_ftp__enabled"));
            dlp_ini.WriteConfig(IWSSInfo.GetDlp_Dsc());

            int daemon_action = 0;
            if(request.getParameter("daemonaction")!=null)
            {
                daemon_action = Integer.parseInt(request.getParameter("daemonaction"));
                if(daemon_action!=0)  DaemonAction.TakeAction(daemon_action);
            }
        }catch (Exception e)
        {
            //exception
        }
    }

    IWSSSession.setSession("HasPolicy",null,request);
    IWSSSession.setSession("PolicySetting",null,request);
    psetting = UIPolicy.getSessionPolicy(request, new FTPScanRule());
    item = psetting.getItem();
    rule = psetting.getRule();
%>


<body onLoad="javascript:init();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> 
  pop up description layer </div>
<form method="post" name="saveform"action="ftp_config_action.jsp">
<input name="policyop" type="hidden" class="button" value="updatescanaction">
<input name="policyid" type="hidden" class="button" value="<%=policyid%>">
<input type=hidden name="daemonaction" value="0">
<input type=hidden name="step" value="4">
<table cellspacing=0 cellpadding=0 width="100%" border=0>
  <tr>
    <td width="175" class="content-title"><i18n:message bundleRef="bundleFtp" key="ftp_config.title" /></td>
    <td width="200" class="text"> 
<%
    String checked_sign="",enabled_value="";
    IWSSINI plugin_ini = new IWSSINI(IWSSInfo.GetScan_Dsc());
    if(plugin_ini!=null){
        enabled_value = plugin_ini.GetKeyValue("ftp","enabled");
        if(enabled_value!=null && enabled_value.compareToIgnoreCase("yes")==0) checked_sign = new String(" checked");
    } 
%>
            <input name="ftpscan_view" type="checkbox" <%=checked_sign%> <%=disabled_ftp%> onClick="EnableSaveButton();"> <i18n:message bundleRef="bundleFtp" key="ftp_config.enable_ftp_scan" />&nbsp;
            <input name="ftp__enabled" type="hidden" value="">
            <input name="oldftpscan" type="hidden" value="<%=enabled_value%>">
      </td>
       <td width="200" class="text"> 
   <%
    IWSSPR mainpr = new IWSSPR((new String("IWSS")));
    String dlp_checked_sign="",dlp_enabled_value="";
    IWSSINI dlp_plugin_ini = new IWSSINI(IWSSInfo.GetDlp_Dsc());
    if(dlp_plugin_ini!=null){
        dlp_enabled_value = dlp_plugin_ini.GetKeyValue("ftp","enabled");
        if(dlp_enabled_value!=null && dlp_enabled_value.compareToIgnoreCase("yes")==0) dlp_checked_sign = new String(" checked");
    } 
     %>
            <input name="ftp_dlp_view" type="checkbox" <%=disabled_ftp%> <%if(mainpr.isDLPEnabled()){ %><%=dlp_checked_sign%><%} else {%> disabled="disabled" <%} %> onClick="EnableSaveButton();"> <i18n:message bundleRef="bundleFtp" key="ftp_config.enable_ftp_dlp" />&nbsp;
            <input name="dlp_ftp__enabled" type="hidden" value="">
            <input name="olddlpftpscan" type="hidden" value="<%=dlp_enabled_value%>">
      </td>
    <td width="29" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('ftp_config_action.htm');"> <img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
  <TBODY>
				<TR> 
      <TD  >
	  <table cellpadding="0" cellspacing="0" border="0" width="100%"> 
            <tr> 
              <!-- TABS -->
              <td background="images/tab_background_cui.gif"> <table cellpadding="0" cellspacing="0" border="0">
                <tr> 
                  <td><img src="images/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="ftp_config_scan.jsp" > <i18n:message bundleRef="bundleFtp" key="ftp_config.virus_scan" /></a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="ftp_config_spyware.jsp" > <i18n:message bundleRef="bundleFtp" key="ftp_config.spyware_scan" /></a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="ftp_config_dlp.jsp" > <i18n:message bundleRef="bundleFtp" key="ftp_config.dlp" /></a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="ftp_config_exception.jsp" > <i18n:message bundleRef="bundleFtp" key="ftp_config.exception" /></a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap> 
                    <i18n:message bundleRef="bundleFtp" key="ftp_config.action" /></td>
                  <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  <td>&nbsp;</td>
                  <td valign="top" background="images/tab_background_cui.gif" class="tabinactive" nowrap> 
                    </td>
                  <td>&nbsp;</td>
                </tr>
              </table></td>
              <td background="images/tab_background_cui.gif" align="right"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
              <!-- /TABS -->
            </tr>
  <tr>
    <td colspan="2" class="border" ><TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
        <TBODY>
          <TR>
            <TD colspan="2" id=main-content>
              <table width="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="280"  class="grey"><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.file_type" /></td>
                  <td width="813" class="grey-end"><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action" /></td>
                </tr>
                <tr>
                  <td  class="data1b"><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.file_type_infected" /></td>
                  <td  class="data1">
                    <SELECT name="action" class="button" onChange="CheckUCAction();">
                      <option value="delete"<%if(IWSSUtil.EqualPropertyString(rule,"action","delete")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_delete" /></option>
                      <option value="move"<%if(IWSSUtil.EqualPropertyString(rule,"action","move")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_quarantine" /></option>
                      <option value="clean"<%if(IWSSUtil.EqualPropertyString(rule,"action","clean")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_clean" /></option>
                    </SELECT>
                  </td>
                </tr>
                <tr>
                  <td  class="data2b"><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.file_type_uncleanable" /> <a onMouseOver="popLayer(0,-80,-10)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a></td>
                  <td  class="data2">
                    <SELECT name="ucaction" class="button" onChange="EnableSaveButton();">
                      <option value="delete"<%if(IWSSUtil.EqualPropertyString(rule,"ucaction","delete")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_delete" /></option>
                      <option value="move"<%if(IWSSUtil.EqualPropertyString(rule,"ucaction","move")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_quarantine" /></option>
                      <option value="pass"<%if(IWSSUtil.EqualPropertyString(rule,"ucaction","pass")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_pass" /></option>
                    </SELECT>

                  </td>
                </tr>
                <tr>
                  <td  class="data1b"><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.file_type_passprotected" /></td>
                  <td  class="data1">
                    <SELECT name="password_protected_zip" class="button" onChange="EnableSaveButton();">
                      <option value="delete"<%if(IWSSUtil.EqualPropertyString(rule,"password_protected_zip","delete")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_delete" /></option>
                      <option value="move"<%if(IWSSUtil.EqualPropertyString(rule,"password_protected_zip","move")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_quarantine" /></option>
                      <option value="pass"<%if(IWSSUtil.EqualPropertyString(rule,"password_protected_zip","pass")){%> selected<%}%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_pass" /></option>
                    </SELECT>
                  </td>
                </tr>
                <tr>
                  <td  class="data2b"><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.macros" /></td>
                  <td  class="data2">
<%
    String move_sign="",clean_sign="",pass_sign="";
    if(IWSSUtil.EqualPropertyString(rule,"macroscan","no")) pass_sign=" selected";
    else{
        if(IWSSUtil.EqualPropertyString(rule,"macro_act","clean")) clean_sign=" selected";
        else move_sign=" selected";
    }
%>
                    <SELECT name="macro_act" class="button"  onchange="EnableSaveButton();">
                      <option value="quarantine"<%=move_sign%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_quarantine" /></option>
                      <option value="clean"<%=clean_sign%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_clean" /></option>
                      <option value=""<%=pass_sign%>><i18n:message bundleRef="bundleFtp" key="ftp_config_exception.action_pass" /></option>
                    </SELECT>
                     <input type="hidden" name="macroscan" value="<%=rule.getProperty("macroscan")%>">
                  </td>
                </tr>
              </table>
            </TD>
          </TR>
        </TBODY>
      </TABLE>
    </td>
  </tr>
</TBODY>
</table>
<%if (access == 3) { %>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td height="28" valign="bottom">
      <input name="save" type="button"  class="button" onClick="javascript:doSubmit();"  value="<i18n:message bundleRef='bundleCommon' key='button.save' />" disabled> 
      <input  name="cancel" type="button" class="button" onClick="javascript:self.location.replace('ftp_config_action.jsp')" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />"> 
    </td>
  </tr>
</table>
<%}%>
</form>
</body>
</html>
