<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 05/30/2007                                        -->
<!--Description:                                            -->
<!--File:updateimg.jsp                                      -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="org.apache.commons.fileupload.*" %>
<%@ page import="com.trend.iwss.deploywizard.model.*"%>
<%@ page import="org.apache.commons.fileupload.*" %>
<%@ page import="com.trend.iwss.deploywizard.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%
	if (Validation.CheckUser(request, response) != 1) {
		response.sendRedirect("logon.jsp");
		return;
	}
	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
	//String HA_Mode = DeployWizardInfo.CLUSTER_HAMODE;
	//String deploy_mode = DeployWizardInfo.CLUSTER_MODE_BRIDGE;
	//
	//
	//
	//Get Cluster Info


	String clustername = "";
	String HA_Mode = "";
	String deploy_mode = "";
	String clusterdesc = "";
	String clusterIP = "";
	String preemption = "";
	String cluster_id = null;

	String clusterIniPath = IWSSInfo.GetWorkPath()
			+ DeployWizardInfo.CLUSET_INI;
    IWSSINI clusterini = null;
	if(IWSSInfo.CheckInCluster())
		clusterini = new IWSSINI(clusterIniPath);            

	if (clusterini != null)
		cluster_id = clusterini.GetKeyValue("cluster", "cluster_id");
	if (cluster_id != null) {
		clustername = clusterini.GetKeyValue("cluster", "name");
		HA_Mode = DeployWizardInfo.CLUSTER_HAMODE;
		;
		deploy_mode = DeployWizardInfo.CLUSTER_MODE_BRIDGE;
		clusterdesc = clusterini.GetKeyValue("cluster", "desc");
		clusterIP = clusterini.GetKeyValue("cluster", "cluster_ip");
		preemption = clusterini.GetKeyValue("cluster", "preemption");
	}
%>

<%
	/**
	  * Test if the nodes in the cluster take the same weight, if the cluster has more than one node.
	  *
	  **/
	List<ClusterNode> nodes = null;
	DeployWizardUtil util = new DeployWizardUtil();
    String token = UIHelperToken.getToken(request);
	Cluster cluster = util.getClusterInfo(" ", token);
	String isWeightSameStr = "no";

	if (cluster != null)
	{
		nodes = cluster.getNodes();
		if (nodes != null && nodes.size() > 1)
		{
			boolean sameFlag = true;
			String firstWeitht = nodes.get(0).getWeight();
			for (int i = 1; i < nodes.size(); i ++)
			{
				if (!firstWeitht.equals( nodes.get(i).getWeight() ))
				{
					sameFlag = false;
					break;
				}
			}
			if (sameFlag)
			{
				isWeightSameStr = "yes";
			}
		}
	}
 %>

<html>
	<head>
		<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
		<title>Trend Micro InterScan Web Security Virtual Appliance</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

		<link href="html/trend-style.css" rel="stylesheet" type="text/css">
		<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
		<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
		<script language="JavaScript" src="html/mouseover_help.js"></script>
		<script language="JavaScript" src="html/tooltip.js"></script>
		<script language="JavaScript" src="html/localization.js"></script>
		<script language="JavaScript" src="html/jquery1.3.2.js"></script>
		<script language="JavaScript" src="html/check.js"></script>
		<script language="JavaScript">

		// to disable the enter key
		function stopRKey(evt) {
  			var evt = (evt) ? evt : ((event) ? event : null);
  			var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
 			 if ((evt.keyCode == 13) && (node.type=="text"))  {return false;}
		}
		document.onkeypress = stopRKey;

	$(document).ready(function() {

		$("#submitButton").click(function() {
			//input filed check
			//if submitButton's type is submit, this function must return a value
				var clustername = $.trim($("#cluster__name").val());
				$("#cluster__name").val(clustername);

				var description = $.trim($("#cluster__desc").val());
				// replace CRLF with [space]
				description = description.replace(/\n|\r\n/g,' ');
				$("#cluster__desc").val(description);

				var clusterip = $.trim($("#cluster__cluster_ip").val());
				$("#cluster__cluster_ip").val(clusterip);

				var preemption = $("#cluster__preemption").val();
				var nodes_with_same_weight = "<%=isWeightSameStr %>";

				if (!isClusterName(clustername)) //hostname
				{
					alert(i18n_cluster_name_errmsg1);
					$("#cluster__name").focus();
					//return false;
				} else if (!ValidateIP(clusterip)) //static ip check
				{
					alert(i18n_ipconfig_errmsg2);
					$("#cluster__cluster_ip").focus();
					//return false;
				} else if (preemption == "yes" && nodes_with_same_weight == "yes")
				{
					// if the weight is same, alert preemption should not be enabled.
					alert(i18n_cluster_management_same_weight_with_preemption_on);
					$("#cluster__preemption").focus();
				} else if ( parseInt(description.length, 10) > parseInt(i18n_cluster_description_max_length, 10) )
		 		{   // test the description length
					alert(i18n_cluster_description_max_length_warnmsg);
					$("#description").focus();
				} else if (!checkDescription(description))
				{ // test if the description has invalid characters
					alert(i18n_cluster_description_invalid_characters);
					$("#description").focus();
				}
				else //submit
				{
					//alert("I will submit....");
					$("#modify_form").submit();
					//return true;
				}

			});
	});

	function whenLoad()
	{
<%
	/**
	 *  If come from ClusterManagement.java:
	 *     Get the result code, if success, just go to the cluster_management.jsp
	 *                          else warn message.
	 */
	 String whereFrom = (String)request.getSession().getAttribute("cluster_management_where_from");
	 String resultMessage = (String)request.getSession().getAttribute("cluster_management_result_message");
	 /**
	  * remove the two from session
	  */
	  request.getSession().setAttribute("cluster_management_where_from", null);
      request.getSession().setAttribute("cluster_management_result_message", null);


	 if ("ClusterManagement".equalsIgnoreCase(whereFrom))
	 {
	 	if ("Successful".equalsIgnoreCase(resultMessage))
	 	{
	 		response.sendRedirect("cluster_management.jsp");
			return;
	 	}
	 	else
	 	{

%>
			var warnMessage = i18n_cluster_management_cannot_modify_cluster_setting;
			alert(warnMessage);
<%
		}
	}
%>
	}


</SCRIPT>
</head>
	<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0"
		marginheight="0" onload="whenLoad();">
		<DIV id=tooltip
			style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px"></DIV>
		<form id="modify_form" action="servlet/com.trend.iwss.gui.servlet.ClusterManagement" method="post">

		<input type="hidden" name="cluster__cluster_id" value="<%=cluster_id %>" />
		<input type="hidden" name="cluster__ha_mode" value="<%=HA_Mode %>" />
		<input type="hidden" name="cluster__deploy_mode" value="<%=deploy_mode %>" />
		<input type="hidden" name="old_cluster__name" id="old_cluster__name"	value="<%=clustername%>" />
		<input type="hidden" name="old_cluster__desc" id="old_cluster__desc" value="<%=clusterdesc%>" />
		<input type="hidden" name="old_cluster__cluster_ip" id="old_cluster__cluster_ip" value="<%=clusterIP%>" />
		<input type="hidden" name="old_cluster__preemption" id="old_cluster__preemption" value="<%=preemption %>" />
		<input type="hidden" name="op" value="ChangeClusterSetting" />
		<input type="hidden" name="dest_url" value="/modify_cluster_management.jsp" />
		<input type="hidden" name="from_url" value="/modify_cluster_management.jsp"/>
		<table cellspacing=0 cellpadding=0 width=98% border=0>

				<tr>
					<td width="250" class="content-title">
						<i18n:message bundleRef="bundleAdmin"
							key="admin.cluster_management.settings" />
					</td>
					<td valign="bottom">
						<div align="right">
							<a href="javascript:openhelpwin('cluster_settings.htm');"><img
									src="images/question_cui.gif" width="18" height="18" border="0"">
							</a>
						</div>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="hor-dotted-line">
						<img src="images/1space_cui.gif" width="1" height="10">
					</td>
				</tr>
				<tr>
					<td height="10" colspan="2">
						<img src="images/1space_cui.gif" width="1" height="10">
					</td>
				</tr>
			</table>

			<table width="98%" border="0" cellpadding="0" cellspacing="0">

				<tr>

					<td class="border">

						<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td height="10" colspan="2" class="tableheadergrey"
									style="background-color: #dddcc5">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management.settings" />
								</td>
							</tr>
							<tr>
								<td width="120" height="10" class="data1">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management.cluster_name"></i18n:message>
									:
								</td>
								<td height="10" class="data1">
									<input type="text" name="cluster__name" id="cluster__name"
										value="<%=clustername%>" maxlength="63"
										style="width: 300px; height: 20px; margin-left: 0px; font-size: 90%"></input>
								</td>
							</tr>
							<tr>
								<td width="120" height="10" class="data1">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management.description"></i18n:message>
									:
								</td>
								<td class="data1">
									<textarea name="cluster__desc" id="cluster__desc" cols="60"
										style="width: 300px; height: 50px; margin-left: 0px; font-size: 90%"><%=clusterdesc%></textarea>
								</td>
							</tr>
							<tr>
								<td nowrap="nowrap" height="10" class="data1">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management.ip"></i18n:message>
									<IMG src="images/info_mark_cui.gif" width="14" height="17"
										border=0 align=absMiddle style="CURSOR: hand"
										onmouseover="stm(tipFloatingip,tipStyle);return false;"
										onmouseout="htm();return false;">
									:
								</td>
								<td height="10" class="data1">
									<INPUT type="text" name="cluster__cluster_ip" id="cluster__cluster_ip"
										value="<%=clusterIP%>"
										style="width: 300px; height: 20px; margin-left: 0px; font-size: 90%"></input>
								</td>
							</tr>

							<tr>
								<td width="170" class="data1">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management.preemption"></i18n:message>
									<IMG src="images/info_mark_cui.gif" width="14" height="17"
										border=0 align=absMiddle style="CURSOR: hand"
										onmouseover="stm(tipPreemption,tipStyle);return false;"
										onmouseout="htm();return false;">
									:
								</td>
								<td class="data1">
									<select name="cluster__preemption" id="cluster__preemption"
										style="height: 20px; margin-left: 0px; font-size: 95%">
										<option value="yes"
											<%if (preemption.equalsIgnoreCase("yes")) {
				out.print("selected");
			}%>>
								<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.preemption_enable"></i18n:message>
										</option>
										<option value="no"
											<%if (preemption.equalsIgnoreCase("no")) {
				out.print("selected");
			}%>>
									<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.preemption_disable"></i18n:message>
										</option>
									</select>
								</td>
							</tr>

							<tr>
								<td width="120" height="10" class="data1">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management.HAMode"></i18n:message>
									:
								</td>
								<td height="10" class="data1">
									<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.HA_Mode"></i18n:message>
								</td>
							</tr>
							<tr>
								<td width="165" height="10" class="data1">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management.deployment_mode"></i18n:message>
									:
								</td>
								<td height="10" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.deploy_mode"></i18n:message>
								</td>
							</tr>
						</table>
					</td>


				</tr>
			</table>
			<input type="button" id="submitButton"
				style="height: 20px; font-size: 10px; margin-top: 10px;"
				value="<%=MessageResourcesMgr.mrAdmin
					.getMessage("admin.modify.save")%>" />
			<input type="button"
				style="height: 20px; font-size: 10px; margin-top: 10px; margin-left: 10px;"
				onclick="javascript:self.location.replace('cluster_management.jsp')"
				value="<%=MessageResourcesMgr.mrAdmin
					.getMessage("admin.modify.cancle")%>" />
		</form>
	</body>


</html>

