$(document).ready(function () {
    $("input[name='keyword']").keydown(function (event) {
        if (event.which == '13') {
            event.preventDefault();
            $("input[name=search]").trigger("click");
        }
    });
    $("select[name='AccountList']").keydown(function (event) {
        if (event.which == '13') {
            event.preventDefault();
            $("input[name=AddUser]").trigger("click");
        }
    });
});
descarray = new Array(1);
descarray[0] = tipqueryldap;
function doLDAPSearch() {
    if (isEmpty( $("#keyword").val() )) {
        ("#keyword").focus();
        alert(i18n_query_keyword);
        return;
    }
    $('#account_list ul.left_list li').remove();
    $.each(["user", "group"], function(index, type) {
      $.ajax({ url:"rest/account?type=" + type + "&value=" + encodeURIComponent(Trim( $("#keyword").val() )),
          success:function (data, textStatus) {
            var answer = $("name", data);
            var tmp = "";
            answer.each(function (i, domEle) {
                var t1 = $(domEle).text();
                if (t1 && t1 != "" ) {
                  insertSortOption(t1, type, "left");
                }
            });
            $("#AccountList > option[value='']").remove();
          }
      });
    });
}

$("#AddUsers").bind("click", function() {
	var report_by_list = {};
	$.each($("#account_list ul.left_list li.highlight"), function(i, row){
        var key = $(row).attr("stype").toLowerCase();
        var value = encodeURIComponent( $(row).attr("sval") );
        if ($.trim(key) != "") {
          var pair = report_by_list[key];
          if (!$.isArray( report_by_list[key] )) {
            report_by_list[key] = [];
          }
          report_by_list[key].push(value);
        }
      });
    var restText = JSON.stringify(report_by_list);
  if(!CheckClosure(restText))
  {
  	alert(i18n_within_endusers);
	return;
  }
  $.each($("#account_list ul.left_list li.highlight"), function(i, a){
    var that = $(a);
    insertSortOption(that.attr("sval"), that.attr("stype"), "right");
    removeOption(that);
  })
});
$("#AddAllUsers").bind("click", function() {
  if(!CheckClosure("allusers"))
  {
  	alert(i18n_within_endusers);
  	document.saveform.fromadd.focus();
	return;
  }
  $.each($("#account_list ul.left_list li"), function(i, a){
    var that = $(a);
    insertSortOption(that.attr("sval"), that.attr("stype"), "right");
    removeOption(that);
  })
});
$("#RemoveUsers").bind("click", function() {
  $.each($("#account_list ul.right_list li.highlight"), function(i, a){
    var that = $(a);
    insertSortOption(that.attr("sval"), that.attr("stype"), "left");
    removeOption(that);
  })
});
$("#RemoveAllUsers").bind("click", function() {
  $.each($("#account_list ul.right_list li"), function(i, a){
    var that = $(a);
    insertSortOption(that.attr("sval"), that.attr("stype"), "left");
    removeOption(that);
  })
});
/*$("#account_list ul").bind("keydown",function(e){
		var kc = e.keyCode;
    var that = $(this);
    var hi = $("li.focus", that) || $("li:first", that);
    if (kc == 40) {
      // Down Key
      hi.next().addClass("focus");
    } else if (kc == 38) {
      // Up Key
      hi.prev().addClass("focus");
    } else if (kc == 32) {
      // Space Bar
      that.trigger("click");
      e.preventDefault();
    }
});*/
$("#account_list ul li").live("click", 
  function(e) {
    var that = $(this);
    var has_class = that.hasClass("highlight");

    if(!(e.ctrlKey || e.shiftKey)) {
      $("li", that.closest("ul")).removeClass("highlight");
    }
 
    if (!has_class) {
      that.addClass("highlight");
    }
    return false;
  }
);

function removeOption(that) {
  that.remove();
}
function insertSortOption(sVal, sType, list_type) {
	var l1 = $('#account_list ul.left_list');
	if (list_type == "right") {
		l1 = $('#account_list ul.right_list');
	}
	var new_li = $("<li sval=\""+sVal+"\" stype=\""+sType+"\">"+sVal+"</li>")
	.addClass(sType.toLowerCase());
	var added = false;
	$.each($("li", l1), function(index, li) {
		if (!added && ($(li).text().toLowerCase() == sVal.toLowerCase()) ){
			added = true;
		}
		else if (!added && ($(li).text().toLowerCase() > sVal.toLowerCase()) ) {
			$(li).before(new_li);
			added = true;
		}
	});
	if (!added) {
		$(l1).append(new_li);
	}
}

$(".remove_users_groups_row").live("click", function() {
  var that = $(this);
  var parent_table = that.closest("table");
  that.closest("tr").remove();
  return false;
})

function insertEntity(k,v) {
  var tb = $("#EntityTable");
  var td = $("tr:last-child td:first-child", tb);
  var alt_class1 = "data2b";
  var alt_class2 = "data2";
  if (td.hasClass("data2b")) {
    alt_class1 = "data1b";
    alt_class2 = "data1";
  }
  tb.append('<tr><td height="22" class="'+alt_class1+'">'+k+'</td><td height="22" class="'+alt_class1+'">'+v+'</td>' +
      '<td height="22" class="'+alt_class2+'"><div align="center"><a href="javascript:void(0);" class="remove_users_groups_row" border="0">' +
      '<img src="images/icon_delete.gif" width="18" height="18" border="0"></a></div></td></tr>');
}

function CheckClosure(restText)
{
	var loginendusers = document.saveform.loginendusers.value;
	if(restText == "" || loginendusers == "all")  /*don't check*/
	{
		return true;
	}
	
	if(restText == "allusers")
	{
		return false;	
	}
	
	var ret = false;
	$.ajax({
		url: "../../rest/commonlog/report/validate?src=" + restText + "&dest=" + loginendusers,
		type: "GET",
		async: false,
		dataType: "JSON",
		success: function(data) {
			ret = data.validate_result;
		},
		error: function(err) {
			console.log(err);
		}
    	});	
	
	return ret;
}

function AddRange()
{
	document.saveform.fromadd.value = Trim(document.saveform.fromadd.value);
	document.saveform.toadd.value = Trim(document.saveform.toadd.value);	
	if(!ValidateIP(document.saveform.fromadd.value)&&!ValidateIPv6(document.saveform.fromadd.value))
	{
		alert(i18n_valid_ip);
		document.saveform.fromadd.focus();
		return;
	}
	
	if(!ValidateIP(document.saveform.toadd.value)&&!ValidateIPv6(document.saveform.toadd.value))
	{
		alert(i18n_valid_ip);
		document.saveform.toadd.focus();
		return;
	}
	
	var restObj = {"ip range":[document.saveform.fromadd.value + " ~ " + document.saveform.toadd.value]};
	var restText = JSON.stringify(restObj);
  
  if(!CheckClosure(restText))
  {
  	alert(i18n_within_endusers);
  	document.saveform.fromadd.focus();
	return;
  }
  
  insertEntity(i18n_iprange, document.saveform.fromadd.value + " ~ " + document.saveform.toadd.value);
  document.saveform.fromadd.value="";
  document.saveform.toadd.value="";
}
function AddIPv6Mask()
{
	document.saveform.ipv6address.value = Trim(document.saveform.ipv6address.value);
	document.saveform.ipv6mask.value = Trim(document.saveform.ipv6mask.value);
	
	if(!ValidateIPv6(document.saveform.ipv6address.value) && !ValidateIP(document.saveform.ipv6address.value))
	{
		alert(i18n_valid_ip);
		document.saveform.ipv6address.focus();
		return;
	}
	
	var Int_Pattern=/^\d+$/;
	if(!Int_Pattern.test(document.saveform.ipv6mask.value) || document.saveform.ipv6mask.value.length == 0)
	{
		alert(i18n_valid_ip_mask);
    	document.saveform.ipv6mask.focus();
    	return;
	}
	else{
		  var range = 32;
		  if(ValidateIPv6(document.saveform.ipv6address.value)) range = 128;
	      if( !isWithinRange(document.saveform.ipv6mask.value, 0, range) ) {//in CIDR form
	    	alert(i18n_valid_ip_mask);
	    	document.saveform.ipv6mask.focus();
	    	return;
	    }
	}
	
	var restObj = {"ip mask":[document.saveform.ipv6address.value+"/"+document.saveform.ipv6mask.value]};
	var restText = JSON.stringify(restObj);
	
  if(!CheckClosure(restText))
  {
  	alert(i18n_within_endusers);
  	document.saveform.ipv6address.focus();
	return;
  }

  insertEntity(i18n_ipmask, document.saveform.ipv6address.value+"/"+document.saveform.ipv6mask.value);

  document.saveform.ipv6address.value="";
  document.saveform.ipv6mask.value="";
}

function AddIP()
{
	document.saveform.ipadd.value = Trim(document.saveform.ipadd.value);
	if(!(ValidateIP(document.saveform.ipadd.value) || ValidateIPv6(document.saveform.ipadd.value) || ISValidHostName(document.saveform.ipadd.value)))
	{
		alert(i18n_valid_ip_hostname);
		document.saveform.ipadd.focus();
		return;
	}

	var restObj = {"ip":[document.saveform.ipadd.value]};
	if(ValidateIPv6(document.saveform.ipadd.value))
	{
		text = i18n_ipadd;
	}
	else if(ValidateIP(document.saveform.ipadd.value))
	{
		text = i18n_ipadd;
	}
	else
	{
		text = i18n_hostname;
		restObj = {"hostname":[document.saveform.ipadd.value]};
	}

	var restText = JSON.stringify(restObj);
	if(!CheckClosure(restText))
	{
		alert(i18n_within_endusers);
		document.saveform.fromadd.focus();
		return;
	}

	insertEntity(text, document.saveform.ipadd.value);
	document.saveform.ipadd.value="";
}
