<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>
<html>
<head>
<title>Support</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">

onerror=handleError;
function handleError() {
  window.location="support.jsp";
  return true;
}

function enableBtns() {
    var form = window.document.saveform;
	var isSelected = false;
    // only enable buttons when the file list is not empty
    if (form.selectDumps.length > 0) {

		for(var i = 0;i<form.selectDumps.length;i++){
	    	if(document.saveform.selectDumps.options[i].selected == true){
				isSelected = true;

			}

		}
		if( isSelected){

		} else{
			document.saveform.selectDumps.options[0].selected=true;
		}

        if (form.donwloadBtn.disabled) {
            form.donwloadBtn.disabled = false;
        }
        if (form.delBtn.disabled) {
            form.delBtn.disabled = false;
        }
    }
}

function doDelete()
{
    if(confirm(i18n_support_cfm_delete)==false) return;
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageDumpFiles?action=delete";
    setTimeout( "document.saveform.submit()", 100 );
}

function doDownload()
{
    var osize = 0;
    for (var i=0; i< document.saveform.selectDumps.length; i++) {
        if (document.saveform.selectDumps.options[i].selected) {
            osize++;
        }
    }
    if (osize > 1) {
       alert(i18n_support_dl_onlyone);
       return false;
    }
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageDumpFiles?action=download";
    setTimeout( "document.saveform.submit()", 100 );
}

function doGenerateInfo() {
	setTimeout( "self.location.href=('support_in_progress.jsp')", 100);
}

function adjustWidth(){
    if(window.navigator.userAgent.indexOf("Chrome") != -1){
        document.getElementById("maincontent").width = "696";
    }
}
</SCRIPT>
</head>
<%
    CoreDumpList dumpList = new CoreDumpList();
    String[][] dumpNames = dumpList.getFileNames();
    DiagnosticTool tool = new DiagnosticTool();
%>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form method="post" name="saveform">
<input type=hidden name="op" value="support">
<input type=hidden name="fromurl" value="/support.jsp">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr>
    <td width="338" colspan="2" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.support.title" /></td>
    <td width="202" valign="bottom">
      <div align="right"><a href="javascript:openhelpwin('support.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>

    <!-- TABS -->
    <tr>
        <td background="images/tab-background.gif" colspan="3">
        <table cellpadding="0" cellspacing="0" border="0"><tr>
            <td><img src="images/tab-active2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td background="images/tab-active-background.gif" class="tabactive"
                valign="top" nowrap><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.sysinfo_title"/></td>
            <td><img src="images/tab-active-right.gif" width="23" height="23" alt="" border="0"></td>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_capture_packet.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.capturing_title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_verbose_log.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_verboseLog.title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <%
              if(tool.isEnabled()) {
            %>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_diagnostic_tool.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <%
              }
            %>
			<td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="upload_sample_sizing.jsp">DDAn Sample Submission Sizing</a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
			
        </tr></table>
        </td>

        <td background="images/tab-background.gif" align="right"><img src="images/tab-right-corner.gif"
            width="6" height="23" alt="" border="0"></td>
    </tr>
    <!-- /TABS -->

    <tr>
    <td colspan="4" >
	<table class="border" width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
                <td colspan="4" class="tableheadergrey"><i18n:message bundleRef="bundleAdmin" key="admin.support.core_sys_files" /></td>
              </tr>
              <tr>
                <td colspan="4"><img src="images/1space.gif" width="1" height="5"></td>
              </tr>
              <tr>
                <td colspan="4" style="padding-left:10px;"><p class="data1 textbold"><i18n:message bundleRef="bundleAdmin" key="admin.support.core_files_generated" /></p></td>
              </tr>
              <tr>
                <td colspan="4"><img src="images/1space.gif" width="1" height="15"></td>
              </tr>
              <tr>
                <td width="17" class="data1"><img src="images/1space.gif" width="10" height="1"></td>
                <td width="76" class="data1" nowrap="nowrap"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step1" /> </strong></td>
                <td class="data1"><span  style="vertical-align:top">
                  <%=AccessLevel.BUTTON(request, response, "Button2", "Button", "doGenerateInfo();", MessageResourcesMgr.mrAdmin.getMessage("admin.support.generate_sys_info_file"),"")%>
                <i18n:message bundleRef="bundleAdmin" key="admin.support.optional_step" /></span></td>
                <td class="data1">&nbsp;</td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td width="348" class="data1">&nbsp;</td>
                <td width="97" class="data1">&nbsp;</td>
              </tr>
              <tr>
                <td class="data1"><img src="images/1space.gif" width="15" height="1"></td>
                <td class="data1"><div valign="top"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step2" /> </strong></div></td>
                <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support.select_core_or_sys_files" /> </td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td class="data1"><select name="selectDumps" size="6" multiple style="width:300px" class="Button" onclick="javascript:enableBtns();">
                    <%
                      if (dumpNames != null && dumpNames.length > 0) {
                          for(int i=0;i<dumpNames.length;i++){%>
                             <% if (! dumpNames[i][0].startsWith("capture")){%>
                                 <option value="<%=dumpNames[i][0]%>"><%=dumpNames[i][0]%>&nbsp<%=dumpNames[i][1]%></option>
                             <%}%>
                          <%}%>
                    <%}%>
                </select>
                  </td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td class="data1"><strong>&nbsp;<i18n:message bundleRef="bundleAdmin" key="admin.support.note" /></strong> <i18n:message bundleRef="bundleAdmin" key="admin.support.hold_ctrl_to_select_multiple" /></td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1"><div valign="top"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step3" /> </strong></div></td>
                <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support.select_action" /></td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td class="data1"><p>
                  <%=AccessLevel.BUTTON(request, response, "donwloadBtn", "Button", "javascript:doDownload();", MessageResourcesMgr.mrAdmin.getMessage("admin.support.download_to_comp"), "", "disabled")%>
                  <%=AccessLevel.BUTTON(request, response, "delBtn", "Button", "javascript:doDelete();", MessageResourcesMgr.mrCommon.getMessage("button.delete"), "", "disabled")%>
				</p>
                </td>
              </tr>
              <tr>
                <td colspan="4"><img src="images/1space.gif" width="1" height="5"></td>
              </tr>
		</table>
    </td>
    </tr>
</table>
<br>
</form>
</body>
</html>

