<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");    
%>
<html>
<head>
<title>Support Verbose Log</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<script language="JavaScript" src="html/jquery1.3.2.js"></script>
<SCRIPT language="javascript" src="html/check.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
var label_start_capture = '<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.start_capturing"/>';
var label_stop_capture  = '<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.stop_capturing"/>';
var label_time_elapsed  = '<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.time_elapsed"/>';
var label_waitting_for_start ='<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet_waiting_start"/>';

var elapsed_seconds     = 0;
var is_capturing        = 0;

function onTimeResponse()
{
    if(xhReq.readyState != 4)
    {
        return;
    }
    
    clearTimeout(requestTimeout);

    if(xhReq.status != 200)
    {
        return;
    }
    
    var responseContext = xhReq.responseText;
    if(responseContext!="ok"){
        document.getElementById("btn_capture").disabled = false;
        $("#elapsed_time").empty();
        getLogs(responseContext);
    }
    else{
        start_time_counter();
    }
}

function onTimeout()
{
    window.location="support_verbose_log.jsp";
    xhReq.abort();
}

function createXMLHttpRequest()
{
    try {
        return new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {}

    try {
        return new ActiveXObject("Microsoft.XMLHTTP");
    } catch (e) {}

    try {
        return new XMLHttpRequest();
    } catch (e) {}

    alert(i18n_xmlhttprequest_not_supported_msg);
    return null;
} 

function doDelete()
{
    if(confirm(i18n_support_cfm_delete2)==false) return;
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.VerboseLog?action=delete";
    setTimeout( "document.saveform.submit()", 100 );    
}

function doDownload()
{    
    var osize = 0;
    for (var i=0; i< document.saveform.selectDumps.length; i++) {
        if (document.saveform.selectDumps.options[i].selected) {
            osize++;
        }
    }
    if (osize > 1) {
       alert(i18n_support_dl_onlyone);
       return false;
    }
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.VerboseLog?action=download";      
    setTimeout( "document.saveform.submit()", 100 );     
}

function enableBtns()
{
    var form = window.document.saveform;
	var isSelected = false;
    // only enable buttons when the file list is not empty
    if (form.selectDumps.length > 0) {  
	
		for(var i = 0;i<form.selectDumps.length;i++){
	    	if(document.saveform.selectDumps.options[i].selected == true){
				isSelected = true;
				
			}
		
		}
		if( isSelected){
			
		} else{
			document.saveform.selectDumps.options[0].selected=true; 
		}
		  
        if (form.donwloadBtn.disabled) {
            form.donwloadBtn.disabled = false;
        }
        if (form.delBtn.disabled) {
            form.delBtn.disabled = false;
        }
    }
}

function start_time_counter()
{
    if (is_capturing == 0)
        return;

    var form = window.document.saveform;

    form.add.disabled = true;
    form.remove.disabled = true;

    form.donwloadBtn.disabled = true;
    form.delBtn.disabled = true;

    
    var hours   = Math.floor(elapsed_seconds/3600);
    var minutes = Math.floor((elapsed_seconds - hours*3600)/60);
    var seconds = elapsed_seconds - hours*3600 - minutes*60;

    var html_string = '<img width="16" height="16" src="images/widgetLoading.gif">' + label_time_elapsed + ' ';

    if ( hours <= 9 )
        html_string = html_string + "0";
    html_string = html_string + hours + ":";

    if ( minutes <= 9 )
        html_string = html_string + "0";
    html_string = html_string + minutes + ":";

    if ( seconds <= 9 )
        html_string = html_string + "0";
    html_string = html_string + seconds;

    $("#elapsed_time").empty();
    $("#elapsed_time").append(html_string); 

    elapsed_seconds += 1;
    setTimeout("start_time_counter()", 1000);
}

function stop_time_counter()
{
    is_capturing    = 0;
    elapsed_seconds = 0;

    $("#elapsed_time").empty();

    var form = window.document.saveform;

    form.add.disabled = false;
    form.remove.disabled = false;

    form.donwloadBtn.disabled = true;
    form.delBtn.disabled = true;
}

function start_capture_packet(ips)
{
    xhReq = createXMLHttpRequest();
    if( xhReq != null)
    {
        xhReq.open("get", "servlet/com.trend.iwss.gui.servlet.VerboseLog?action=start&ips=" + ips, true);
        requestTimeout = setTimeout("onTimeout()", 10000)
        xhReq.onreadystatechange = onTimeResponse;
        xhReq.send(null);
    }
    var html_string = '<img width="16" height="16" src="images/widgetLoading.gif">' + label_waitting_for_start;
    $("#elapsed_time").empty();
    $("#elapsed_time").append(html_string); 
}                          

function stop_capture_packet()
{
    xhReq = createXMLHttpRequest();
    if( xhReq != null)
    {
        xhReq.open("get", "servlet/com.trend.iwss.gui.servlet.VerboseLog?action=stop&seconds=" + elapsed_seconds, true);
        requestTimeout = setTimeout("onTimeout()", 10000)
        xhReq.onreadystatechange = onTimeResponse;
        xhReq.send(null);
    }                          

    stop_time_counter();

    var html_string = '<img width="16" height="16" src="images/widgetLoading.gif">' + label_stop_capture + '...';
    $("#elapsed_time").empty();
    document.getElementById("btn_capture").disabled = true;
    $("#elapsed_time").append(html_string); 
    document.getElementById("btn_capture").value = label_start_capture;
}

function getLogs(file){
	var files = file.split("\n");
	for(var i = 0;i<files.length;i++){
	    document.saveform.selectDumps.options[i] = new Option(files[i],files[i].substring(0,files[i].indexOf("[")));
	}
}

function capture_verboseLog()
{
    if (is_capturing == 0)
    {
    	elapsed_seconds = 0;
    
        if(document.saveform.RightList.length < 1)
        {
            alert('<i18n:message bundleRef="bundleAdmin" key="admin.support_verboseLog.no_ip_msg"/>');
            return;
        }

        var ips = "";        
        for (i = 0; i < document.saveform.RightList.length; i++)
        {
        	ips = ips + (i==0?"":"|") + document.saveform.RightList.options[i].value;
        }
        
        is_capturing = 1;
        start_capture_packet(ips);
        document.getElementById("btn_capture").value = label_stop_capture;

    } else {

        is_capturing = 0;
        stop_capture_packet();
        document.getElementById("btn_capture").value = label_start_capture;
    }
}

function Add(){
	  var right_pos;
	  right_pos = document.saveform.RightList.length;
	  
	  if(!isEmpty(document.saveform.ip))
	  {
		  if(!ValidateIP(Trim(document.saveform.ip.value)) && !ValidateIPv6(Trim(document.saveform.ip.value)))
		  {
		  	alert(i18n_valid_ip);
		  	document.saveform.ip.focus();return;
		  }
	      document.saveform.RightList.options[right_pos] = new Option(Trim(document.saveform.ip.value));
	      document.saveform.RightList.options[right_pos].value = Trim(document.saveform.ip.value);
	      document.saveform.ip.value = "";
	  }else if(!isEmpty(document.saveform.range1)&&!isEmpty(document.saveform.range2)){
		  if (!isIPRange2(Trim(document.saveform.range1.value), Trim(document.saveform.range2.value)))
		  {
		  	alert(i18n_fromip_largerthan_toip);
		  	document.saveform.range1.focus();return;
		  }
	      document.saveform.RightList.options[right_pos] = new Option(Trim(document.saveform.range1.value)+"-"+Trim(document.saveform.range2.value));
	      document.saveform.RightList.options[right_pos].value = Trim(document.saveform.range1.value)+"-"+Trim(document.saveform.range2.value);
	      document.saveform.range1.value = document.saveform.range2.value = "";
	  }else{
		  alert(i18n_valid_ip);
	  }
}

function Remove(){
	  for(i=document.saveform.RightList.length-1; i>=0; i--)
	  {
	    if (document.saveform.RightList.options[i].selected)
	    {
	      document.saveform.RightList.options[i]=null;
	    }
	  }
}

function changeWidth(){
    if(window.navigator.userAgent.indexOf("Chrome") != -1){
        document.getElementById("maincontent").width = "922";
    }
}

</SCRIPT>
</head>
<%
    DiagnosticTool tool = new DiagnosticTool();   
%>
<body bgcolor="#FFFFFF" onload="changeWidth();" leftmargin="10" topmargin="0" marginwidth="10" marginheight="0">
<form method="post" name="saveform">
<table id="maincontent" cellspacing="0" cellpadding="0" width="867" border="0">
  <tbody><tr>
    <td width="338" colspan="2" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.support.title" /></td>
    <td width="202" valign="bottom"><div align="right"><A href="javascript:openhelpwin('verbose_log.htm');"><img src="images/question.gif" border="0"></a></div></td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</tbody></table>
<table width="540" cellpadding="0" cellspacing="0">
  <tbody><tr>
    <td background="images/tab_background_cui.gif"><table cellpadding="0" cellspacing="0" border="0">
        <!--DWLayoutTable-->
        <tbody><tr>
          <td><img src="images/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
          <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.sysinfo_title"/></a></td>
          <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
          <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
          <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_capture_packet.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.capturing_title"/></a></td>
          <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
          <td><img src="images/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
        <td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap=""><i18n:message bundleRef="bundleAdmin" key="admin.support_verboseLog.title"/></td>
        <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
        <%
            if(tool.isEnabled()) {
        %>
        <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_diagnostic_tool.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
        <%
            }
        %>
		<td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="upload_sample_sizing.jsp">DDAn Sample Submission Sizing</a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
			
        </tr>
      </tbody></table></td>
    <td background="images/tab_background_cui.gif" align="right"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
  </tr>
  <tr>
    <td colspan="2" class="border"><table cellpadding="0" cellspacing="0">
      <tbody><tr>
        <td colspan="4"><img src="images/1space.gif" width="1" height="5"></td>
      </tr>
      
      <tr>
        <td colspan="4"><img src="images/1space.gif" width="1" height="15"></td>
      </tr>
      <tr>
        <td class="data1"><img src="images/1space.gif" width="10" height="1"></td>
        <td class="data1" nowrap="nowrap"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step1" /></strong></td>
        <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support_verboseLog.hit1" /></td>
        <td class="data1">&nbsp;</td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tbody><tr>
            <td colspan="4"><img src="images/1space_cui.gif" width="1" height="5"></td>
          </tr>
          <tr>
            <td class="data1">&nbsp;</td>
            <td class="data1">&nbsp;</td>
            <td class="data1">&nbsp;</td>
            <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.selected" /></td>
          </tr>
          <tr>
            <td class="data1" nowrap="nowrap"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.control_manager.ip_address" /></td>
            <td class="data1"><input name="ip" type="text" class="button" size="30"></td>
            <td width="25%" rowspan="2" align="center" class="data1"><input  onClick="javascript:Add()"name="add" type="button" class="button" value="<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.add" />">
              <br><input  onClick="javascript:Remove()" name="remove" type="button" class="button"  value="<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.remove"/>"></td>
            <td width="29%" rowspan="2"><select multiple="" style="width: 150px;" class="button" size="8" name="RightList" id="RightList">
            </select></td>
          </tr>
          <tr>
            <td class="data1" width="12%"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.ip_range" />: </td>
            <td class="data1" width="34%"><input name="range1" type="text" class="button" size="30">
              <br>
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i18n:message bundleRef="bundleAdmin" key="admin.support_verboseLog.to" /><br>
              <input name="range2" type="text" class="button" size="30"></td>
          </tr>
        </tbody></table>
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            
            <tbody><tr>
              <td colspan="4"><img src="images/1space_cui.gif" width="1" height="5"></td>
            </tr>
            
            <tr>
              <td colspan="4"><img src="images/1space_cui.gif" width="1" height="15"></td>
            </tr>
            <tr>
              <td class="data1" colspan="4" id="elapsed_time"></td>
            </tr>
            <tr>
              <td colspan="4" class="data1" align="center">
              <!--<input name="btn_capture" id="btn_capture" type="button" class="button" onClick="capture_verboseLog();" value="<i18n:message bundleRef='bundleAdmin' key='admin.support_capture_packet.start_capturing' />" > -->
              <%=AccessLevel.BUTTON(request, response, "btn_capture\" id=\"btn_capture\"", "button", "capture_verboseLog();", MessageResourcesMgr.mrAdmin.getMessage("admin.support_capture_packet.start_capturing"), "width:110px")%>
              </td>
            </tr>
            </tbody></table></td>
        <td class="data1">&nbsp;</td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1"><div valign="top"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step2" /></strong></div></td>
        <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.select_capture_file" /></td>
        <td class="data1">&nbsp;</td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1">
        <select name="selectDumps" size="6" multiple="" class="button" style="width:300px" onclick="javascript:enableBtns();">
        </select></td>
        <td class="data1" style="vertical-align:top">&nbsp;</td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1"><div valign="top"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step3" /></strong></div></td>
        <td colspan="2" class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support.select_action" /></td>
      </tr>
      <tr>
        <td class="data1">&nbsp;</td>
        <td class="data1">&nbsp;</td>
        <td colspan="2" class="data1"><p>
             <%=AccessLevel.BUTTON(request, response, "donwloadBtn", "Button", "javascript:doDownload();", MessageResourcesMgr.mrAdmin.getMessage("admin.support.download_to_comp"), "", "disabled")%>
             <%=AccessLevel.BUTTON(request, response, "delBtn", "Button", "javascript:doDelete();", MessageResourcesMgr.mrAdmin.getMessage("admin.support_capture_packet.clean"), "", "disabled")%>
        </p></td>
      </tr>
      <tr>
        <td colspan="4"><img src="images/1space.gif" width="1" height="10"></td>
      </tr>
    </tbody></table>
    </td>
  </tr>
</tbody></table>
<table width="541" border="0" cellspacing="0" cellpadding="0">
  <tbody><tr>
    <td height="28" valign="bottom">&nbsp;</td>
  </tr>
</tbody></table>
<p><br>
  <br>
</p>
</form>
</body>
</html>



