#!/usr/bin/env python

# argv[1] = ip address
# argv[2] = port
# argv[3] = APIKEY



__version__ = "0.1"
__all__ = ["test_connection"]
__author__ = "bones7456"
__home_page__ = "http://li2z.cn/"

import os
import posixpath
import socket
import SocketServer
import BaseHTTPServer
import urllib
import httplib
import cgi
import shutil
import mimetypes
import re
import ssl
import hashlib
import time
import random
import datetime
import sys
from socket import setdefaulttimeout
setdefaulttimeout(3)

try:
    from cStringIO import StringIO
except ImportError:
    from StringIO import StringIO

#if len(sys.argv) < 3
#    print input args number error!
#    return

IPAddr=sys.argv[1]
Port=sys.argv[2]
APIkey=sys.argv[3]
if(len(sys.argv) > 4):
    URL=sys.argv[4]
else:
    URL="/web_service/sample_upload/test_connection"

def mysha(str1):
    mysha1=hashlib.sha1()
    mysha1.update(str1)
    return mysha1.hexdigest()
class test_connection(object):
    headers={"Host":IPAddr,
             "X-DTAS-ProtocolVersion":"1.2",
             "X-DTAS-Time":"1308845939",
             "X-DTAS-Challenge":"5e3aa03f-3729-436d-b08d-3d87b3079934",
             "X-DTAS-Checksum":"0ccf59fc349a057c124b37da9facc1a075f5d990"}
    def __init__(self):
        self.headers["Host"]=IPAddr
        self.headers["X-DTAS-Time"]=str(int(time.time()))
        self.headers["X-DTAS-Challenge"]="5e3aa03f-7729-436d-b08d-3d87b3"+ datetime.datetime.now().strftime('%H%M%S')
        str1 = self.headers["X-DTAS-ProtocolVersion"]+\
               self.headers["X-DTAS-Time"]+\
               self.headers["X-DTAS-Challenge"]
#        print str1
#        print type(self.headers)
        mysha1=hashlib.sha1()
        mysha1.update(APIkey+str1)
#        mysha1.update(APIkey)
        self.headers["X-DTAS-Checksum"]=mysha1.hexdigest()
#        print self.headers["X-DTAS-Checksum"]
    def sendheaders(self,c):
        c.putrequest("GET", URL,"skip_host","skip_accept_encoding")
        c.putheader("Host",self.headers["Host"])
        c.putheader("X-DTAS-ProtocolVersion","1.2")
        c.putheader("X-DTAS-Time",self.headers["X-DTAS-Time"])
        c.putheader("X-DTAS-Challenge",self.headers["X-DTAS-Challenge"])
        c.putheader("X-DTAS-Checksum",self.headers["X-DTAS-Checksum"])
        c.endheaders()
#        print "Challenge: " + self.headers["X-DTAS-Challenge"]

# Management server IP: 10.204.169.37
#c = httplib.HTTPConnection("10.204.169.34",80)
#c = httplib.HTTPSConnection("10.204.169.34",443)
def main():

    c = httplib.HTTPSConnection(IPAddr,Port)

    obj=test_connection()
#print obj.headers
    obj.sendheaders(c)
    response = c.getresponse()

    print response.status , response.reason
    print "Received headers:"
    print response.getheaders()
    print "Body:"
    print response.read()

    if(response.status==200):
        sys.exit(0)
    else:
        sys.exit(1)

if __name__ == '__main__':
    main()
