/* Some basic strings for demo purposes */


var i18n = {
    "DASHBOARD" : {
        "ADDWIDGET" : "Add Widget",
        "URL_CATEGORIES" : "Top Allowed URL Category",
        "APPLICATION_BANDWIDTH" : "Application Bandwidth",
        "RESETDASHBOARD" : "Reset to Default Dashboard"
    },
    "DATATABLES" : {
        "NEXT":"Next",
        "PREVIOUS":"Previous",
        "LOADING":"Loading Data... Please wait",
        "NODATA":"No Data found. Please revise query",
        "PERPAGE":"logs per page"

    },
"log_query":{
    "Time":"CLF_UTCTimeStamp",
    "Message Type":"CLF_MsgType",
    "Device Name":"CLF_DeviceName",
    "User Name":"CLF_UserName",
    "Group Name":"CLF_GroupName",
    "URL":"CLF_URL",
    "Client IP":"CLF_ClientIP",
    "Connection":"CLF_Connection",
    "Size":"CLF_Size",
    "Mime Type":"CLF_MimeType",
    "Server IP":"CLF_ServerIP",
    "Domain":"CLF_Domain",
    "Protocol Action":"CLF_ProtocolAction",
    "URL Category":"CLF_URLCategory",
    "App ID":"CLF_AppID",
    "Channel":"CLF_Channel",
    "Rule Name":"CLF_RuleName",
    "Action":"CLF_Action",
    "Policy Name":"CLF_PolicyName",
    "In Byte": "CLF_InByte",
    "Out Byte": "CLF_OutByte",
    "File Name": "CLF_FileName",
    "Malware Name": "CLF_MalwareName",
    "Destination Port":"CLF_DestinationPort",
    "Risk Level": "CLF_RiskLevel",
    "Matched Content": "CLF_MatchedContent",
    "Timestamp": "CLF_TimeStamp",
    "X_Forwarded_For":"CLF_XForWardedFor",
    "Original IP":"CLF_OriginalIP",
    "Interruption Reason":"CLF_InterruptedReason"
},
    "common" : {
        "GENERIC":"Generic",
        "undefined_token":"--",
        "Others":"Others",
        "SELECT_COLUMNS":"Select Columns",
        "TIMEOUT": "Request Time Out",
        "DUP_REQ": "The previous request is busy processing. Please wait.",

        "PDFDOWNLOADING":"The PDF is preparing for download. Please wait.",
        "TOTAL":"Total",
        "NO_DATA":"No Data was found for selected parameters",
        "seriesswitch":"Change Data",
        "L900D": "Last 900 days",
        "TODAY": "Today",
        "L30D":	"Last 30 days",
        "L1W":"Last week",
        "L7D":"Last 7 days",
        "L24H":"Last 24 hours",
        "L12H":"Last 12 hours",
        "L1H":"Last 1 hour",
        "L1D":"Last 1 day",

        "CLF_CompanyID":"Company ID",
        "CLF_MsgType":"Message Type",
        "CLF_ProductID":"Product ID",
        "CLF_DeviceName":"Device Name",
        "CLF_UTCTimeStamp":"Time",
        "CLF_UTCTimeZone":"UTC Time Zone",
        "CLF_UserName":"User Name",
        "CLF_UserID":"User ID",
        "CLF_GroupName":"Group Name",
        "CLF_Deparement":"Deparement",
        "CLF_Location":"Location",
        "CLF_URL":"URL",
        "CLF_Size":"Size",
        "CLF_AppID":"App ID",
        "CLF_Channel":"Channel",
        "CLF_TransportProtocol":"Transport Protocol",
        "CLF_MimeType":"Mime Type",
        "CLF_ClientIP":"Client IP",
        "CLF_CompromisedHost":"Compromised Host",
        "CLF_ServerIP":"Server IP",
        "CLF_Domain":"Domain",
        "CLF_FileName":"File Name",
        "CLF_ProtocolAction":"Protocol Action",
        "CLF_Connection":"Connection",
        "CLF_URLCategory":"URL Category",
        "CLF_CustomURLCategory":"Custom URL Category",
        "CLF_AdvancedCategory":"Advanced Category",
        "CLF_OnlineTime":"Online Time",
        "CLF_MalwareName":"Malware Name",
        "CLF_RuleName":"Rule Name",
        "CLF_MatchedContent":"Matched Content",
        "CLF_Action":"Action",
        "CLF_PolicyName":"Policy Name",
        "CLF_Phase":"Phase",
        "CLF_SessionPackets":"Session Packets",
        "CLF_SessionBytes":"Session Bytes",
        "CLF_InByte":"In Byte",
        "CLF_OutByte":"Out Byte",
        "CLF_WRSScore":"WRS Score",
        "CLF_SessionStartTime":"Session Start Time",
        "CLF_SessionEndTime":"Session End Time",
        "CLF_ActionTime":"Action Time",
        "CLF_Direction":"Direction",
        "CLF_SourceInterface":"Source Interface",
        "CLF_DestinationInterface":"Destination Interface",
        "CLF_SourcePort":"Source Port",
        "CLF_DestinationPort":"Destination Port",
        "CLF_SourceZone":"Source Zone",
        "CLF_DestinationZone":"Destination Zone",
        "CLF_IPSRule":"IPS Rule",
        "CLF_ErsCategory":"Ers Category",
        "CLF_MailSender":"Mail Sender",
        "CLF_MailReceiver":"Mail Receiver",
        "CLF_MailSubject":"Mail Subject",
        "CLF_RiskLevel":"Risk Level",
        "CLF_TimeStamp":"Timestamp",
        "CLF_XForWardedFor":"X_Forwarded_For",
        "CLF_OriginalIP":"Original IP",
        "CLF_InterruptedReason":"Interruption Reason",
        "showchart":"View Chart",
        "showlogs":"View Detailed Logs",
        "downloadpdf":"Download PDF",

        "period":"Period",
        "Top":"Top",
        "FILTERS":"Filters:",

        "LABEL" : {
            "export_csv":"Export CSV file",
            "chartby":"[Chart by]",
            "addFavorite":"Add",
            "SELECT_FAVORITE":"Favorites",
            "enterfavorite":"Favorite Name"
        },
        "ALERT" : {
            "DELETE_WIDGET":"Are you sure you wan't to remove the widget?"
        },
        "SAVE_FAVORITE":"Save as Favorite",
        "FAVORITE_NAME":"Favorite Name",
        "FAVORITE_DESCRIPTION":"Favorite Description",
        "SAVE":"SAVE",
        "CANCEL":"CANCEL"

    },

    URLCategories: {
    "0":"Unknown",
        "23":"Internet Radio and TV",
        "72":"Pay to Surf",
        "57":"Peer-to-peer",
        "56":"Sharing Services",
        "43":"Photo Searches",
        "70":"Ringtones/Mobile Phone Downloads",
        "71":"Software Downloads",
        "69":"Streaming Media/MP3",
        "77":"Adware",
        "80":"Cookies",
        "81":"Dialers",
        "79":"Disease Vector",
        "82":"Hacking",
        "83":"Joke Program",
        "86":"Made for AdSense",
        "78":"Malware Accomplice",
        "84":"Password Cracking",
        "75":"Phishing",
        "73":"Potentially Malicious Software",
        "39":"Proxy Avoidance",
        "85":"Remote Access Program",
        "76":"Spam",
        "74":"Spyware",
        "88":"Web Advertisement",
        "42":"Blogs/Web Communications",
        "51":"Chat/Instant Messaging",
        "52":"Email",
        "41":"Internet Infrastructure",
        "24":"Internet Telephony",
        "53":"Newsgroups/Forum",
        "40":"Search Engines/Portals",
        "50":"Social Networking",
        "89":"Web Hosting",
        "16":"Abortion",
        "1":"Adult/Mature Content",
        "8":"Alcohol/Tobacco",
        "11":"Gambling",
        "25":"Illegal Drugs",
        "9":"Illegal/Questionable",
        "5":"Intimate Apparel/Swimsuit",
        "26":"Marijuana",
        "6":"Nudity",
        "3":"Pornography",
        "4":"Sex Education",
        "10":"Tasteless",
        "14":"Violence/Hate/Racism",
        "15":"Weapons",
        "59":"Auctions",
        "32":"Brokerage/Trading",
        "21":"Business/Economy",
        "31":"Financial Services",
        "45":"Job Search/Careers",
        "60":"Real Estate",
        "58":"Shopping",
        "30":"Activist Groups",
        "44":"Alternative Journals",
        "19":"Arts",
        "22":"Cult/Occult",
        "29":"Cultural Institutions",
        "20":"Entertainment",
        "87":"For Kids",
        "33":"Games",
        "62":"Gay/Lesbian",
        "63":"Gun Clubs/Hunting",
        "68":"Humor",
        "55":"Personal Sites",
        "47":"Personals/Dating",
        "18":"Recreation/Hobbies",
        "54":"Religion",
        "64":"Restaurants/Food",
        "61":"Society/Lifestyle",
        "65":"Sports",
        "66":"Travel",
        "38":"Computers/Internet",
        "27":"Education",
        "34":"Government/Legal",
        "37":"Health",
        "35":"Military",
        "46":"News/Media",
        "36":"Politics",
        "49":"Reference",
        "48":"Translators/Cached Pages",
        "90":"Untested",
        "67":"Vehicles",
        "91":"C&C Contact"
    },
    "CLF_MsgType":{
      "65537":"app access log",
      "65538":"app block log",
      "131073":"access log",
      "196609":"virus log",
      "196610":"spyware/grayware log",
      "196612":"bot detection log",
      "196616":"virus infected temporary block log",
      "196624":"apt detection",
      "262145":"file type block log",
      "327681":"http inspection log",
      "393217":"dlp log",
      "458753":"javascan log",
      "524289":"url filtering log",
      "589825":"WRS log",
      "655361":"access quota log",
      "720897":"global url blocking local list log",
      "720898":"global url blocking phish pattern log",
      "786433":"access control client ip log",
      "786434":"access control destination ports log",
      "851969":"ccca log"
   }       ,
  "appcats":{
      "4":"Unclassified",
      "8":"AOL Instant Messenger (AIM)",
      "9":"Advance Message Queuing Protocol",
      "15":"BitTorrent Protocol",
      "16":"WAP Binary XML",
      "22":"Connection Oriented Transfer Protocol (ISO)",
      "23":"CounterStrike",
      "24":"Common Unix Printer System (CUPS)",
      "25":"Dailymotion",
      "26":"Distributed Computing Environment Remote Procedure Call (DCERPC)",
      "29":"Dynamic Host Configuration Protocol (DHCP)",
      "30":"Dictionary Server Protocol",
      "31":"DirectConnect",
      "32":"Domain Name Service (DNS)",
      "34":"Ebay",
      "35":"Edonkey",
      "37":"End Point Mapper",
      "45":"File Transfer Protocol (FTP)",
      "46":"File Transfer Protocol Data (FTP)",
      "49":"General Inter-ORB Protocol (Corba)(CORBA)",
      "50":"Gizmo Protocol",
      "51":"Google Mail (Gmail)",
      "52":"Gnutella",
      "53":"GoBoogy Protocol",
      "54":"Google",
      "55":"Google Earth",
      "56":"Google groups",
      "57":"Google Maps",
      "59":"GPRS Tunneling Protocol",
      "60":"H225",
      "61":"H245",
      "67":"Hyper Text Transfer Protocol (HTTP)",
      "68":"Secure HTTP",
      "69":"Independent Computing Architecture (Citrix)",
      "73":"Identification Protocol",
      "75":"Internet Message Access Protocol version 4 (IMAPv4)",
      "76":"Secure IMAP",
      "77":"Internet Messaging Program",
      "84":"Internet Printing Protocol",
      "85":"IP secure (IPSec UDP)",
      "90":"Internet Relay Chat (IRC)",
      "91":"Secure IRC",
      "92":"Internet Security Association and Key Management Protocol (ISAKMP)",
      "94":"Jabber Protocol",
      "95":"HP Printer Job Language",
      "96":"Kazaa",
      "97":"Kerberos",
      "98":"Level 2 Tunneling Protocol (L2TP)",
      "100":"Lightweight Directory Access Protocol (LDAP)",
      "101":"Secure LDAP",
      "107":"Lotus Notes",
      "108":"Line Printer Daemon",
      "110":"MS Exchange Message API (MAPI)",
      "112":"Multipoint Communication Service",
      "113":"Media Gateway Control Protocol",
      "115":"Microsoft Multimedia Streaming (MMS)",
      "116":"MMS Encapsulation",
      "118":"Mount",
      "120":"MSN Messenger",
      "121":"MSN groups",
      "122":"MSN search",
      "123":"MSN Video",
      "124":"Mute Protocol",
      "125":"MySpace",
      "126":"MySQL Protocol (MySQL)",
      "128":"NetBIOS Name Service",
      "129":"NetBIOS",
      "130":"Cisco Netflow Protocol",
      "131":"Network File System (NFS)",
      "132":"Network Lock Manager",
      "134":"Network News Transport Protocol (NNTP)",
      "135":"Secure NNTP",
      "136":"Name Service Provider Interface",
      "137":"Network Time Protocol (NTP)",
      "138":"OpenFT Protocol",
      "141":"Outlook Web Access",
      "142":"PalTalk Protocol",
      "143":"Paltalk audio chat",
      "147":"Post Office Protocol (POP3)",
      "148":"Secure POP3",
      "149":"Port Mapper",
      "150":"Postgres",
      "153":"Point-to-Point Tunneling Protocol (PPTP)",
      "154":"Q931",
      "156":"QQ",
      "157":"Quake",
      "158":"Remote Authentication Dial-In User Service (RADIUS)",
      "159":"Remote Desktop Protocol (Windows Terminal Server)(RDP)",
      "160":"Real Data Transport",
      "161":"Remote Frame Buffer (VNC)",
      "165":"Remote Login (RLogin)",
      "166":"Resource Location Protocol",
      "167":"Remote Procedure Call (RPC)",
      "169":"Rquota",
      "170":"Remote Shell (RSH)",
      "171":"Rstat",
      "173":"Remote synchronous (file transfer)",
      "174":"Real Time Control Protocol (RTCP)",
      "175":"Real Time Protocol (RTP)",
      "176":"Real Time Streaming Protocol (RTSP)",
      "177":"RUsers",
      "178":"SAP",
      "179":"Skinny Client Control Protocol (Skinny)",
      "181":"Shoutcast",
      "182":"Session Initiation Protocol (SIP)",
      "183":"Skype",
      "184":"SoulSeek",
      "185":"Server Message Block (Windows File Server)(SMB)",
      "186":"Simple Mail Transfer Protocol (SMTP)",
      "187":"Secure SMTP",
      "190":"Simple Network Management Protocol (SNMP)",
      "191":"Simple Object Access Protocol (SOAP)",
      "192":"SOCKSv4",
      "193":"SOCKSv5",
      "195":"SquirrelMail",
      "196":"Service Location Protocol",
      "197":"Simple Service Discovery Protocol (SSDP)",
      "198":"Secure Shell (SSH)",
      "199":"Secure Socket Layer (SSL)",
      "201":"Simple Traversal of UDP through NATs",
      "202":"Sync",
      "204":"Syslog",
      "207":"TD collect protocol",
      "208":"Tabular Data Stream (SQL Server)",
      "209":"Telnet",
      "210":"Secure TELNET (Secure Telnet)",
      "211":"Trivial File Transfer Protocol (TFTP)",
      "212":"TIBCO RendezVous Protocol",
      "213":"Transparent Network Service (Oracle)",
      "214":"Tnvip (Telent VIP)",
      "215":"Universal Computer Protocol",
      "220":"VMWare",
      "222":"Wikipedia",
      "223":"WinMX",
      "224":"Wireless Session Protocol (WSP)",
      "225":"Wireless Transport layer Security (WTLS)",
      "226":"Wireless Transaction Protocol (WTP)",
      "227":"X-Window",
      "229":"XMLRPC protocol",
      "231":"X25 over TCP",
      "233":"Yahoo groups",
      "234":"Yahoo search",
      "236":"Yahoo Mail Ajax version (Yahoo Mail)",
      "237":"Yahoo Messenger",
      "238":"Yahoo Messenger conference service",
      "239":"Yahoo Messenger Video",
      "240":"Youtube",
      "241":"Yellow Page Password",
      "242":"Yellow Pages Server",
      "243":"Yellow Pages Update",
      "244":"Facebook",
      "245":"AIM Transfer Protocol",
      "246":"Maktoob mail",
      "247":"Google ads",
      "248":"Doubleclick ads",
      "250":"Second Life",
      "251":"Mpeg 2 Transmission",
      "252":"PalTalk Transfer Protocol",
      "255":"Ymsg Transfer Protocol (Yahoo Messenger Transfer Protocol)",
      "256":"Cross File Transfer",
      "258":"MSN live for Mobile",
      "259":"Yahoo Mail classic (Yahoo Mail)",
      "260":"Jabber File Transfer",
      "261":"Microsoft Office Groove",
      "262":"Windows Live Hotmail",
      "263":"Gmail basic (Gmail)",
      "264":"Simple Network Paging Protocol",
      "265":"Orange webmail",
      "266":"2Shared",
      "267":"4Shared",
      "268":"Bebo",
      "269":"eBuddy",
      "270":"La Poste Webmail",
      "271":"iMesh",
      "272":"Ares Protocol",
      "273":"Google Chat (Gmail Chat)",
      "274":"Xunlei/Thunder protocol",
      "275":"AIM express",
      "276":"Yahoo messenger on web",
      "278":"Pando protocol",
      "279":"Zattoo",
      "280":"Gmail mobile version",
      "281":"Secure AIM",
      "283":"Ask",
      "284":"Live",
      "285":"Tagged",
      "286":"Yahoo answers",
      "287":"Mapquest",
      "288":"Expedia",
      "289":"Southwest",
      "290":"Yahoo maps",
      "291":"Travelocity",
      "292":"Yahoo travel",
      "293":"Realtor",
      "295":"Yahoo biz",
      "296":"Officedepot",
      "297":"Wordpress",
      "298":"Windowslive",
      "299":"Yahoo geocities",
      "300":"Flickr",
      "301":"Hi5",
      "302":"Skyrock",
      "303":"Trombi",
      "304":"Viadeo",
      "305":"LinkedIn website",
      "306":"Apple",
      "307":"Pogo",
      "308":"Yahoo games",
      "309":"Runescape",
      "310":"Deezer",
      "311":"Zimbra",
      "312":"Websphere Message Queue series",
      "313":"Rapidshare",
      "314":"Megaupload",
      "315":"Zshare",
      "316":"Fileflyer",
      "317":"Sendspace",
      "318":"Rambler",
      "319":"Perfspot",
      "320":"Friendster",
      "321":"Tchatche",
      "322":"Netlog",
      "323":"Skyblog",
      "324":"PCAnywhere",
      "325":"Zimbra Webmail Standard Version",
      "326":"IMP mobile version",
      "327":"Live hotmail for mobile",
      "328":"Yahoo webmail for mobile",
      "329":"Dynamic Internet Messaging Program",
      "330":"Online Certificate Status Protocol",
      "331":"PPLive",
      "332":"Yahoo webmail for mobile (New version)",
      "333":"Yahoo realestate",
      "334":"mail.ru webmail",
      "335":"Windows Live groups",
      "336":"OpenVPN",
      "337":"Real Time Messaging Protocol",
      "338":"Gougou Search engine",
      "339":"Steam",
      "340":"World of Warcraft",
      "342":"Xbox Live",
      "343":"Gadu Gadu",
      "346":"Zelune",
      "347":"Vtunnel",
      "348":"Proxono",
      "349":"Proxeasy",
      "350":"Megaproxy",
      "351":"Kproxy",
      "352":"Bypassthat",
      "353":"Avoidr",
      "354":"Surrogafier",
      "357":"Advogato",
      "358":"Amie street",
      "359":"aNobii",
      "360":"ASmallWorld",
      "361":"Athlinks",
      "362":"The Auteurs",
      "363":"Avatars united",
      "364":"Babycenter",
      "365":"Badoo",
      "366":"Bigadda",
      "367":"BigTent",
      "368":"Biip",
      "369":"BlackPlanet",
      "370":"Blogster",
      "371":"Bolt",
      "372":"Books iRead",
      "373":"Buzznet",
      "374":"Cafemom",
      "376":"Care2",
      "377":"Cellufun",
      "378":"Classmates",
      "379":"Cloob",
      "380":"College Blender",
      "381":"Couch surfing",
      "382":"Daily booth",
      "383":"Daily strengh",
      "384":"Decayenne",
      "385":"Deviant Art",
      "386":"DigitalVerse",
      "387":"Disaboom",
      "388":"Dol2day",
      "389":"DontStayIn",
      "390":"Draugiem",
      "391":"Elftown",
      "392":"Epernicus",
      "393":"Eons",
      "394":"Experience Project",
      "395":"Exploroo",
      "396":"Faceparty",
      "397":"Faces",
      "398":"Fetlife",
      "399":"Fillos de Galicia",
      "400":"FilmAffinity",
      "401":"FledgeWing",
      "402":"Flixster",
      "403":"Fotolog",
      "404":"Foursquare",
      "405":"Friends Reunited",
      "406":"Fruhstuckstreff",
      "407":"Fubar",
      "408":"GaiaOnline",
      "409":"GamerDNA",
      "410":"Gather",
      "411":"Gays",
      "412":"Geni",
      "413":"Gogoyoko",
      "414":"Goodreads",
      "417":"Grono",
      "418":"Habbo",
      "419":"Hospitality Club",
      "420":"Hyves",
      "421":"Ibibo",
      "422":"Imeem",
      "423":"Indaba Music",
      "424":"IRC Galleria",
      "425":"Italki",
      "426":"InterNations",
      "427":"Itsmy",
      "428":"Iwiw",
      "429":"Jaiku",
      "430":"JammerDirect",
      "431":"Kaioo",
      "433":"Kiwibox",
      "434":"Lastfm",
      "435":"LibraryThing",
      "436":"Lifeknot",
      "437":"Listografy",
      "438":"LiveJournal",
      "439":"Livemocha",
      "440":"Lunarstorm",
      "441":"MEETin",
      "442":"Meetup",
      "443":"Meettheboss",
      "444":"Mixi",
      "446":"MocoSpace",
      "447":"MOG",
      "448":"MouthShut",
      "449":"Multiply",
      "450":"Muxlim",
      "451":"MyAnimeList",
      "452":"MyChurch",
      "453":"MyHeritage",
      "454":"MyLife",
      "455":"My Opera",
      "456":"MyYearBook",
      "457":"Nasza Klasa",
      "458":"Nettby",
      "459":"Nexopia",
      "460":"NGO Post",
      "461":"Ning",
      "462":"Odnoklassniki",
      "463":"OneClimate",
      "464":"OneWorldTV",
      "465":"Open Diary",
      "466":"Orkut",
      "467":"OUTeverywhere",
      "468":"PartnerUp",
      "469":"PassportStamp",
      "470":"Pingsta",
      "471":"Plaxo",
      "472":"Playahead",
      "474":"Plurk",
      "475":"Present",
      "476":"Qapacity",
      "477":"Quarterlife",
      "478":"Qzone",
      "479":"Ravelry",
      "480":"Renren",
      "481":"ResearchGATE",
      "482":"ReverbNation",
      "483":"Ryze",
      "484":"ScienceStage",
      "485":"Scispace",
      "486":"ShareTheMusic",
      "487":"Shelfari",
      "488":"SocialVibe",
      "489":"Sonico",
      "490":"Stickam",
      "491":"StudiVZ",
      "492":"StumbleUpon",
      "493":"TalentTrove",
      "494":"Talkbiznow",
      "495":"Taltopia",
      "496":"Taringa",
      "497":"TeachStreet",
      "498":"TravBuddy",
      "499":"Travellerspoint",
      "500":"Tribe",
      "501":"Tuenti",
      "502":"Tumblr",
      "503":"Twitter",
      "504":"Vkontakte",
      "505":"VampireFreaks",
      "506":"Vox",
      "507":"Wakoopa",
      "508":"Wasabi",
      "509":"Wayn",
      "510":"WebBiographies",
      "511":"WeOurFamily",
      "512":"WerKenntWen",
      "513":"WindowsLiveSpace",
      "514":"WiserEarth",
      "515":"Xanga",
      "516":"Xing",
      "517":"Xt3",
      "518":"Yahoo360PlusVietnam",
      "519":"Yammer",
      "520":"Yelp",
      "521":"Youmeo",
      "522":"Zoo",
      "523":"Yandex",
      "524":"Facebook mail",
      "525":"Group 3 facsimile communication over IP",
      "526":"Teamspeak",
      "527":"Rambler webmail",
      "528":"Yandex webmail",
      "529":"PriceRunner",
      "530":"iTunes",
      "532":"Grooveshark",
      "533":"ppStream - P2P based Streamed Media (PPStream)",
      "534":"Spotify",
      "535":"Mxit",
      "536":"fring - Peer-to-Peer Mobile VOIP (Fring)",
      "544":"orb",
      "545":"TeamViewer",
      "546":"TVAnts Protocol",
      "547":"Bing",
      "548":"Baidu",
      "549":"Adobe Update Manager",
      "550":"Adobe Flash-Plugin Update",
      "551":"Meebo",
      "552":"Meebo File Transfer",
      "553":"oovoo",
      "554":"Manolito",
      "555":"Teredo",
      "556":"firefox_update",
      "557":"icall",
      "558":"Youtube HD",
      "560":"Filetopia",
      "561":"Java Update",
      "562":"Windows Update",
      "563":"Apple Update",
      "564":"Archive",
      "565":"Inter Asterisk eXchange",
      "566":"AppleJuice",
      "567":"Chrome Update",
      "568":"FreeBSD Updates",
      "569":"NetBSD Updates",
      "570":"OpenBSD Updates",
      "571":"RedHat Update",
      "572":"Sopcast",
      "573":"voddler",
      "574":"Debian/Ubuntu Update",
      "576":"Nokia_Ovi",
      "577":"VeohTV",
      "578":"Opera Update",
      "579":"Icecast",
      "580":"uTorrent Transport Protocol",
      "583":"Mandriva Update",
      "584":"0zz0",
      "585":"QQLive network player",
      "586":"badongo",
      "587":"mashare",
      "589":"Fsecure Update",
      "590":"Half-Life and Half-Life 2",
      "591":"Nintendo Wi-Fi Connection",
      "592":"X Display Manager Control Protocol",
      "593":"BitDefender Update",
      "594":"Google Picasa",
      "595":"ESET NOD32 Antivirus Updates",
      "596":"Symantec Norton AntiVirus Updates",
      "597":"Viber",
      "598":"Tango Video Calls",
      "599":"Paltalk video",
      "600":"WiiConnect24",
      "601":"Playstation Network",
      "602":"Diameter",
      "603":"Kaspersky Update",
      "604":"Avira Update",
      "605":"Delicious Update",
      "711":"Panda Update",
      "713":"DirectDownload Links",
      "714":"Avg Update",
      "734":"Netflix",
      "735":"GPRS Tunneling Protocol version 2",
      "736":"BBC Player",
      "737":"Silverlight",
      "738":"Short message peer-to-peer protocol",
      "739":"HotLine",
      "740":"Kugou/Kugoo",
      "742":"Microsoft Remote Procedure Call",
      "743":"UUSee Protocol",
      "744":"Google Analytics",
      "745":"Google GStatic",
      "746":"Ytimg",
      "750":"HTTP Tunnel",
      "751":"FTP over SSL",
      "752":"Secure General Inter-ORB Protocol",
      "753":"QQ transfer Protocol",
      "754":"ZoneAlarm Updates",
      "755":"ibackup",
      "756":"Microsoft SharePoint",
      "757":"Microsoft SharePoint Administration Application",
      "758":"ADNStream",
      "759":"Adobe Meeting Remote Control",
      "760":"Adrive",
      "761":"AirAIM",
      "762":"All Slots Casino",
      "763":"Babelgum",
      "764":"Bigupload",
      "765":"Blokus",
      "766":"Bonpoo",
      "767":"Box.net",
      "769":"Brighttalk",
      "770":"Campfire",
      "771":"Channel4",
      "772":"Clip2Net",
      "773":"Concur",
      "774":"CoralCDN user",
      "775":"DepositFiles",
      "776":"Diino",
      "777":"DivShare",
      "778":"Docstoc",
      "779":"Dropbox",
      "780":"Dynamic Intranet",
      "781":"EarthCam",
      "782":"eRoom.net",
      "783":"eSnips",
      "784":"Evony",
      "785":"Eyejot",
      "786":"File Host",
      "787":"File Dropper",
      "788":"Filer.cx",
      "789":"Files.to",
      "790":"Filestube",
      "791":"Flumotion",
      "792":"Fluxiom",
      "793":"Fly Proxy",
      "794":"Fogbugz",
      "795":"Fotki",
      "796":"FreeeTV",
      "797":"FriendVox",
      "798":"Gigaup",
      "799":"Glide",
      "800":"Google Cache",
      "801":"Google Translate",
      "802":"Gyao",
      "803":"Hangame",
      "804":"HOVRS",
      "805":"ICQ2Go",
      "806":"ifile.it",
      "807":"iHeartRadio",
      "808":"IloveIM",
      "809":"IMVU",
      "810":"Jango",
      "811":"Jira",
      "812":"Joost",
      "813":"Jubii",
      "814":"Justin.tv",
      "815":"Kaixin Chat",
      "816":"Kino",
      "817":"KoolIM",
      "819":"Leapfile",
      "820":"Libero Video",
      "821":"Live Mesh",
      "822":"MediaFire",
      "823":"MeeVee",
      "824":"Megavideo",
      "825":"MessengerFX",
      "826":"Mibbit",
      "827":"Mobile Me",
      "828":"Mogulus",
      "829":"Myspace Video",
      "830":"Napster",
      "831":"Netload",
      "832":"NicoNico Douga",
      "833":"Octopz",
      "834":"Ooyala",
      "835":"Pandora",
      "836":"Pandora Tv",
      "837":"Party Poker",
      "838":"Photobucket",
      "839":"Phweet",
      "840":"Privax",
      "841":"Psiphon",
      "842":"QQmusic",
      "843":"RadiusIM",
      "844":"Salesforce",
      "845":"Seeqpod",
      "846":"Seesmic",
      "847":"ShowMyPc",
      "848":"Shutterfly",
      "849":"Sky Player",
      "850":"SkyDrive",
      "851":"Socialtv",
      "852":"Soribada",
      "853":"Stagevu",
      "854":"StreamAudio",
      "855":"SVT Play",
      "856":"Tagoo",
      "857":"Taku File Bin",
      "858":"TeacherTube",
      "859":"Techinline",
      "860":"TidalTV",
      "861":"Tokbox",
      "862":"Tudou",
      "863":"Tv4Play",
      "864":"Twitpic",
      "865":"Usejump",
      "866":"Ustream",
      "867":"Vakaka",
      "868":"Veetle",
      "869":"Vyew",
      "870":"Web Crawler",
      "871":"Wixi",
      "872":"XM Radio",
      "873":"Yahoo Douga",
      "874":"Yoono",
      "875":"Youku",
      "876":"YourFileHost",
      "877":"YouSeeMore",
      "878":"YouSendIt",
      "879":"Yugma",
      "880":"Yuuguu",
      "881":"Zoho CRM",
      "882":"ZOHO DB and Reports",
      "883":"Zoho IM",
      "884":"Zoho Meeting",
      "885":"Zoho People",
      "886":"GotoDevice",
      "887":"Foxy",
      "888":"Live Meeting",
      "889":"gotomeeting - online meeting service (Citrix)",
      "890":"WebEx",
      "891":"WINS Replication protocol",
      "892":"Slingbox",
      "893":"Bloomberg",
      "894":"Citrix GoToMyPC Remote Access",
      "895":"Tor",
      "896":"IBM Lotus Sametime",
      "897":"Altiris",
      "898":"MS Communicator",
      "899":"Poker Stars",
      "901":"DB2 protocol",
      "902":"ClearCase",
      "903":"GNUnet protocol",
      "904":"Radmin",
      "905":"RMI over IIOP",
      "906":"Gmail drive",
      "911":"ActiveSync",
      "912":"Distributed Relational Database Architecture",
      "913":"Internet Inter-ORB Protocol",
      "914":"Datagram Inter-ORB Protocol",
      "918":"Citrix JEDI",
      "920":"SQLI",
      "921":"Whois Protocol",
      "922":"RSS",
      "924":"Microsoft SharePoint Blog Management Application",
      "925":"Microsoft SharePoint Calendar Management Application",
      "926":"Microsoft SharePoint Document Management Application",
      "927":"Socks2http",
      "928":"Informix protocol",
      "929":"Adobe Connect",
      "931":"netmeeting ils protocol",
      "932":"BlackBerry",
      "933":"Netware Core Protocol",
      "934":"Time Protocol",
      "936":"Groupwise",
      "942":"Flash",
      "943":"Google Generic",
      "944":"Siebel CRM",
      "945":"my_yahoo",
      "946":"Apple Airport",
      "947":"Sybase",
      "948":"01net",
      "949":"10086cn",
      "950":"114la",
      "951":"115com",
      "952":"118114cn",
      "953":"123people",
      "954":"abcnews",
      "955":"about",
      "956":"accuweather",
      "957":"acer",
      "958":"acrobat",
      "960":"addictinggames",
      "961":"adultadworld",
      "962":"adultfriendfinder",
      "963":"agame",
      "964":"aiaigame",
      "965":"alexa",
      "966":"aljazeera",
      "967":"allocine",
      "968":"amazon",
      "969":"americanexpress",
      "970":"answers",
      "971":"armorgames",
      "972":"att",
      "973":"aufeminin",
      "974":"blogger",
      "975":"blogspot",
      "976":"bluejayfilms",
      "977":"businessweek",
      "979":"cam4",
      "980":"camzap",
      "981":"capitalone",
      "982":"cartoonnetwork",
      "983":"cdiscount",
      "984":"china.com",
      "985":"china.com.cn",
      "986":"clubic",
      "987":"cnet",
      "988":"cnn",
      "989":"cntv",
      "990":"comcast",
      "991":"dailymail",
      "992":"daum",
      "993":"davidov",
      "995":"digg",
      "996":"directv",
      "997":"drupal",
      "998":"foxmovies",
      "999":"foxnews",
      "1000":"foxsports",
      "1001":"groupon",
      "1002":"hardsextube",
      "1003":"hgtv",
      "1004":"howstuffworks",
      "1005":"ikea",
      "1006":"intuit",
      "1008":"karosgame",
      "1009":"kaspersky",
      "1010":"keezmovies",
      "1011":"laredoute",
      "1013":"leboncoin",
      "1014":"letv",
      "1015":"livedoor",
      "1016":"liveinternet",
      "1017":"mashable",
      "1018":"match",
      "1019":"monster",
      "1020":"mozilla",
      "1021":"mtv",
      "1022":"multiupload",
      "1023":"musica",
      "1024":"myvideo",
      "1025":"mywebsearch",
      "1026":"nasa",
      "1027":"national-lottery",
      "1028":"nationalgeographic",
      "1029":"naver",
      "1030":"nba",
      "1031":"nfl",
      "1033":"nike",
      "1034":"ntv",
      "1035":"nydailynews",
      "1036":"nytimes",
      "1037":"onlinedown",
      "1039":"playstation",
      "1040":"pps",
      "1041":"pptv",
      "1042":"priceminister",
      "1043":"redtube",
      "1044":"reuters",
      "1045":"reverso",
      "1046":"rtl",
      "1047":"ryanair",
      "1048":"sfr",
      "1049":"sky",
      "1050":"skycn",
      "1051":"slideshare",
      "1052":"spiegel",
      "1053":"sportsillustrated",
      "1054":"sprint",
      "1055":"stayfriends",
      "1056":"surveymonkey",
      "1057":"tf1",
      "1058":"torrentdownloads",
      "1059":"torrentz",
      "1060":"tu",
      "1061":"tube8",
      "1062":"tv",
      "1063":"univision",
      "1064":"uploading",
      "1065":"usatoday",
      "1066":"videobash",
      "1067":"videosurf",
      "1068":"vietbao",
      "1069":"vimeo",
      "1070":"washingtonpost",
      "1071":"wat",
      "1072":"weather",
      "1073":"windowsmedia",
      "1074":"xbox",
      "1075":"xnxx",
      "1076":"xrea",
      "1077":"xvideos",
      "1078":"xvideoslive",
      "1079":"youdao",
      "1080":"youm7",
      "1081":"youporn",
      "1082":"Mobilink",
      "1083":"Cisco MeetingPlace",
      "1084":"AnalogBit tcp-over-dns"
   },
 "CLF_Action":{
      "0":"ALLOW",
      "1":"BLOCK",
      "2":"MONITOR",
      "3":"WARN",
      "4":"WARNCONTINUE",
      "5":"TIMEQUOTA",
      "6":"OVERRIDE",
      "100":"QUARANTINE"
   },
"CLF_RiskLevel":{
      "0":"unknown",
      "1":"low",
      "2":"medium",
      "3":"high"
   },
"dashboard": {
    "LABEL": {
        "AccessCount": "Access Count",
        "AllowedCount": "Allowed Count",
        "Appcategories": "App Categories",
        "ApplicationBandwidth": "Application Bandwidth",
        "ApplicationBandwidthIn": "Incoming Application Bandwidth",
        "ApplicationBandwidthOut": "Outgoing Application Bandwidth",
        "Blockcount": "Block count",
        "BlockedCount": "Blocked Count",
        "CandCContactAlert": "C&amp;C Contact Alert",
        "CCCACallbackAttempts": "C&amp;C Callback Attempts",
        "ccca": "ccca",
        "Count": "Count",
        "Countofblocksbythreat": "Count of blocks by threat",
        "Countofblocksbyuser": "Count of blocks by user",
        "first": "first",
        "InternetSecurity": "Internet Security",
        "KB":"KB",
        "layout2": "layout2",
        "payload": "payload",
        "Payload": "Payload",
        "PolicyRules": "Policy Rules",
        "second": "second",
        "Threat": "Threat",
        "TopAllowedURLCategories": "Top Allowed URL Categories",
        "TopPolicyEnforcementURLFiltering": "Top Policy Enforcement - URL Filtering",
        "TopAppCategoriesAccessed": "Top Allowed Applications",
        "TopAppCategoriesBlocked": "Top Blocked Applications",
        "TopBlockedAppCategories": "Top Blocked App Categories",
        "TopBlockedURLCategories": "Top Blocked URL Categories",
        "TopPolicyEnforcementApplicationControl": "Top Policy Enforcement - Application Control",
        "TopDLP":"Top Policy Enforcement - DLP",
        "TopThreatDetectionCount": "Top Threat Detection Count",
        "Topthreatsblocked": "Top threats blocked",
        "TopURLCategoriesAccessed": "Top URL Categories Accessed",
        "TopURLCategoriesBlocked": "Top URL Categories Blocked",
        "TopURLCategories": "Top URL Categories Accessed",
        "TopUsersblockedbyinternetsecurity": "Top Users blocked by internet security",
        "TopUsersblocked": "Top Users blocked",
        "TrafficIn": "Traffic In",
        "TrafficKbps": "Traffic(Kbps)",
        "TrafficKB": "Traffic(KB)",
        "Traffic": "Traffic",
        "TrafficOut": "Traffic Out",
        "TrafficTotal": "Traffic Total",
        "traffic": "traffic",
        "URLcategories": "URL categories",
        "Users": "Users",
        "HTTPFTPPayloadTrend" : "HTTP/FTP Payload Trend",
        "MINIMIZE":"Minimize",
        "MAXIMIZE":"Maximize",
        "DELETE":"Delete"
        },
        "series": {
            "dash_bandwidth_out":"Outgoing Traffic",
            "dash_bandwidth_in":"Incoming Traffic",
            "dash_bandwidth_total":"All Traffic",
            "dash_http_payload":"HTTP Payload",
            "dash_ftp_payload":"FTP Payload"
        },

        "TITLE": {
            "POLICY_ENFORCEMENT":"Policy Enforcement",
            "INTERNET_SECURITY":"Internet Security",
            "INTERNET_ACCESS":"Internet Access",
            "ACCESS_CONTROL":"Access Control",
            "DATA_SECURITY":"Data Security"
        },
        "NO_NEW_WIDGETS":"All widgets currently being displayed"

    }




};
