<!--Modified by: John Shih                                  -->
<!--Date: 08/18/2006                                         -->
<!--Description: update for admin,auditor,report only user  -->
<!--File:urlblocking.jsp                                    -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" 	prefix="i18n"%>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%@ page 	import="com.trend.iwss.gui.IWSSInfo,
				 com.trend.iwss.gui.IWSSJNI,
				 com.trend.iwss.gui.IWSSMultiPartParser,
				 com.trend.iwss.gui.IWSSXML,
				 com.trend.iwss.gui.Validation"%>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%
	if(Validation.CheckUser(request,response)!=1){
		response.sendRedirect("logon.jsp");
		return;
	}

	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
	AdministrationRole roleinfo = null;
	int access = 0;
	if(accountinfo != null)
	{
		roleinfo = accountinfo.getRole();
		access = roleinfo.getAccessRightByKeyID(408);
		if (access == 0)
		{
			response.sendRedirect("logon.jsp");
			return;
		}
	}
	else
	{
		response.sendRedirect("logon.jsp");
		return;
	}

	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
%>

<%
	String urlf_configfile = IWSSInfo.GetKeyValue("URL-blocking", "normalLists");
    String urlf_convert = IWSSInfo.GetKeyValue("URL-blocking", "convertDomain");
	String skynet_urlf_configfile = IWSSInfo.GetKeyValue("URL-blocking", "skynet_normalLists");

	String blockstr = IWSSJNI.GetURLBlockList(urlf_configfile, "block");
	String skynet_blockstr = IWSSJNI.GetURLBlockList(skynet_urlf_configfile, "block");
	if (blockstr.length() < 3) {
		blockstr = "";
	}
	if(skynet_blockstr.length() < 3) {
		skynet_blockstr = "";
	}
	blockstr = "<URLList>" + blockstr + "</URLList>";
	skynet_blockstr = "<URLList>" + skynet_blockstr + "</URLList>";
	IWSSXML blist = new IWSSXML(blockstr);
	IWSSXML skynet_blist = new IWSSXML(skynet_blockstr);

	String allowstr = IWSSJNI.GetURLBlockList(urlf_configfile, "allow");
	if (allowstr.length() < 3) {
		allowstr = "";
	}
	allowstr = "<URLList>" + allowstr + "</URLList>";
	IWSSXML alist = new IWSSXML(allowstr);

	boolean IsBImport = false;
	boolean IsAImport = false;
	IWSSXML import_bxml = null;
	IWSSXML import_axml = null;

	String isContainDBCS = "no";

	String contenttype = request.getContentType();
	if (contenttype != null && contenttype.contains("multipart/form-data")) {
		IWSSMultiPartParser multip = new IWSSMultiPartParser(request);

		String filename = multip.GetFileName("importedfile");
		String importstr = IWSSJNI.ImportURLList(filename, "block");
		importstr = "<URLList>" + importstr + "</URLList>";
		import_bxml = new IWSSXML(importstr);
		if (import_bxml.GetKeyValue("import", "error_no") == null) {
			IsBImport = true;
		}

		importstr = IWSSJNI.ImportURLList(filename, "allow");
		importstr = "<URLList>" + importstr + "</URLList>";
		import_axml = new IWSSXML(importstr);
		if (import_axml.GetKeyValue("import", "error_no") == null) {
			IsAImport = true;
		}


		if ("yes".equals(import_bxml.GetKeyValue("import", "dbcs")))
		{
			isContainDBCS = "yes";
			import_bxml.deleteSection("import");
		}

		if ("yes".equals(import_axml.GetKeyValue("import", "dbcs")))
		{
			isContainDBCS = "yes";
			import_axml.deleteSection("import");
		}

		multip.CleanallTempFiles();
	}
%>

<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript" src="html/func.js" type="text/javascript"></script>
<!-- Use the punycode.js from https://github.com/bestiejs/punycode.js,
	 there is also a full punycode.js under html -->
<script language="javascript" src="html/punycode.js"  type="text/javascript"></script>
<script language="javascript" src="html/commonurllist.js" 	type="text/javascript"></script>
<script language="javascript" src="html/i18n_warnmsg.js" 	type="text/javascript"></script>
<script language="javascript" src="lib/tmPlugins/jquery-1.8.3.min.js"                   type="text/javascript"></script>
<script language="javascript" src="log/js/lib/jquery-ui-1.10.2.custom.min.js"           type="text/javascript"></script>
<script language="javascript" src="lib/tmPlugins/jquery-ui-timepicker-addon.js"         type="text/javascript"></script>
<script language="javascript" src="lib/tmPlugins/jquery-ui-timepicker-addon-plus.js"    type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">

function InsertURL1(listobj,inputurl){
   var listlength = listobj.length;

	   listobj.options[listlength]=new Option(inputurl);
}


function doSubmit()
{
	if (document.saveform.urlb_enable_view.checked) document.saveform.URL_blocking__enable.value="yes";
	else document.saveform.URL_blocking__enable.value="no";
	checkall(document.saveform.blocklist);
	encode4punycode(document.saveform.blocklist);
	checkall(document.saveform.allowlist);
	encode4punycode(document.saveform.allowlist);
	document.saveform.op.value = "urlblock";
	document.saveform.action="servlet/com.trend.iwss.gui.servlet.urllistset";
	if(document.saveform.URL_blocking__enable.value != document.saveform.oldurlbscan.value) document.saveform.daemonaction.value = httpreloadplus;
	else document.saveform.daemonaction.value = httpreload;
	setTimeout( "document.saveform.submit()", 100 );
}

function EnableImport()
{
	document.saveform.importbutton.disabled=false;
}

function doImport()
{
	if(document.saveform.importedfile.value=="") {
		document.saveform.importbutton.disabled=true;
		alert(i18n_import_msg);
		return;
	}
	document.saveform.op.value = "import";
	document.saveform.action="urlblocking.jsp"
	document.saveform.encoding="multipart/form-data";
	setTimeout( "document.saveform.submit()", 100 );
}

function addblockurl()
{
	document.saveform.url_input.value=Trim(document.saveform.url_input.value);
	document.saveform.url_input.value = document.saveform.url_input.value.toLowerCase();
	if(document.saveform.url_input.value=="") return;
	var exceptioncharlist = "\"{}|^<>";
	if(ISSpecialChar(document.saveform.url_input.value,exceptioncharlist))
	{
		alert(i18n_specialcharlist + exceptioncharlist);
		document.saveform.url_input.focus();
		return;
	}
	document.saveform.url_input.value=FormatURL(document.saveform.url_input.value);
	var newurl;
    var newurl_domain;
    var newurl_sub_domain;
    
    var inputUrl = document.saveform.url_input.value
    var pos = inputUrl.indexOf(".");
    
	if(document.saveform.url_type[0].checked){
        //url begin with "." such as ".abc.com"
        if( pos == 0){
            newurl = TransformURL(inputUrl);
        }else if("yes" == "<%=urlf_convert%>"){
            newurl_domain = TransformURL_domain(inputUrl);
            newurl_sub_domain = TransformURL_sub_domain(inputUrl);
            
            var domain_length = getStringLength(newurl_domain);
            if(domain_length > 1024){
                alert(i18n_trustedurl_msg5);
                return;
            }
            
            // url is "abc.com" domain blocklist is "abc.com*"
            //check block list duplication
            if(Check_Duplication(document.saveform.blocklist,newurl_domain)){
                alert(i18n_urlblocking_msg1);
                document.saveform.url_input.focus();
                
            //check allow list conflict
            }else if(Check_Duplication(document.saveform.allowlist,newurl_domain)){
                alert(i18n_urlblocking_msg4);
                document.saveform.url_input.focus();
                
            }else{
                InsertURL(document.saveform.blocklist,newurl_domain);
                document.saveform.url_input.value="";
                EnableSaveButton();
               
            }
            
            //url is "abc.com" sub domain blocklist is "@.abc.com*"
            //check block list duplication
            if(Check_Duplication(document.saveform.blocklist,newurl_sub_domain)){
                alert(i18n_urlblocking_msg1);
                document.saveform.url_input.focus();
                
            //check allow list conflict
            }else if(Check_Duplication(document.saveform.allowlist,newurl_sub_domain)){
                alert(i18n_urlblocking_msg4);
                document.saveform.url_input.focus();
                
            }else{
                InsertURL(document.saveform.blocklist,newurl_sub_domain);
                document.saveform.url_input.value="";
                EnableSaveButton();
                
            }
	    return;
            
        }else{
            newurl = TransformURL(inputUrl);
        }
	}else if(document.saveform.url_type[1].checked){
		newurl = CreateURL(document.saveform.url_input.value);
	}else{
		newurl = document.saveform.url_input.value;
	}

	var length = getStringLength(newurl);
	if(length > 1024){
		alert(i18n_trustedurl_msg5);
		return;
	}
	//check block list duplication
	if(Check_Duplication(document.saveform.blocklist,newurl)){
	   alert(i18n_urlblocking_msg1);
	   document.saveform.url_input.focus();
	   return;
	}
	//check allow list conflict
	if(Check_Duplication(document.saveform.allowlist,newurl)){
	   alert(i18n_urlblocking_msg4);
	   document.saveform.url_input.focus();
	   return;
	}
	InsertURL(document.saveform.blocklist,newurl);
	document.saveform.url_input.value="";
	EnableSaveButton();
}

function addallowurl()
{
	document.saveform.url_input.value=Trim(document.saveform.url_input.value);
	document.saveform.url_input.value = document.saveform.url_input.value.toLowerCase();
	if(document.saveform.url_input.value=="") return;
	var exceptioncharlist = "\"{}|^<>";
	if(ISSpecialChar(document.saveform.url_input.value,exceptioncharlist))
	{
		alert(i18n_specialcharlist + exceptioncharlist);
		document.saveform.url_input.focus();
		return;
	}
	document.saveform.url_input.value=FormatURL(document.saveform.url_input.value);
	var newurl;
	if(document.saveform.url_type[0].checked){
		newurl = TransformURL(document.saveform.url_input.value);
	}else if(document.saveform.url_type[1].checked){
		newurl = CreateURL(document.saveform.url_input.value);
	}else{
		newurl = document.saveform.url_input.value;
	}
	var length = getStringLength(newurl);
	if(length > 1024){
		alert(i18n_trustedurl_msg5);
		return;
	}
	//check allow list duplication
	if(Check_Duplication(document.saveform.allowlist,newurl)){
	   alert(i18n_urlblocking_msg3);
	   document.saveform.url_input.focus();
	   return;
	}
	//check block list conflict
	if(Check_Duplication(document.saveform.blocklist,newurl)){
	   alert(i18n_urlblocking_msg2);
	   document.saveform.url_input.focus();
	   return;
	}

	InsertURL(document.saveform.allowlist,newurl);
	document.saveform.url_input.value="";
	EnableSaveButton();
}

//type: 1-block 2-allow
function removeurl(type)
{
	if(type==1) removeselected(document.saveform.blocklist);
	else if(type==2) removeselected(document.saveform.allowlist);
	EnableSaveButton();
}

function removeallurl(type)
{
	if(type==1) removeall(document.saveform.blocklist);
	else if(type==2) removeall(document.saveform.allowlist);
	EnableSaveButton();
}

function
saveListItem(listobj, inputurl) {
	var newurl;

	newurl = inputurl.toLowerCase();

	//alert("We want save the newurl " + newurl);
	 newurl=decode4punycode(newurl);
	 //alert("We want save the newurl " + newurl);

	//check block list duplication
	if (Check_Duplication(document.saveform.blocklist, newurl)) { return };

	//check allow list conflict
	if (Check_Duplication(document.saveform.allowlist, newurl)) { return };

	//InsertURL(listobj, newurl);
	EnableSaveButton();
}

function
saveListItems(len, list, importList) {
	if (len > 1) {
		for (var i = 0; i < len; i++) {
			saveListItem(list, importList[i].value);
		}
	} else {
		saveListItem(list, importList.value);
	}
}

function
initimportlist(is_bimport, is_aimport) {

	var hidden_fields;
	var hidden_fields_values;
	var hidden_fields_values_uniquesort;
	
	if (is_bimport) {
		if (typeof(document.saveform.importblockurl) != 'object') { return; }

		saveListItems(parseInt(document.saveform.importblockurl_length.value),
					  document.saveform.blocklist,
					  document.saveform.importblockurl);
	}

	if (is_aimport) {
		if (typeof(document.saveform.importallowurl) != 'object') { return; }

		saveListItems(parseInt(document.saveform.importallowurl_length.value),
					  document.saveform.allowlist,
					  document.saveform.importallowurl);
	}

	if ("yes" == "<%=isContainDBCS%>")
	{
		 alert(i18n_url_list_DBCS);
	}

    var isimport;
    isimport = <%=IsBImport%>;

   if(isimport) 
   {
  	 hidden_fields = $('input[name=importblockurl]');					

		hidden_fields_values = hidden_fields.map(function() 
		{
			return this.value;
		}).get();
		
		hidden_fields_values_uniquesort = sort_unique(hidden_fields_values);

		$.each(hidden_fields_values_uniquesort,function(key,value){
			$('#blocklist').append($("<option></option>")
			.attr("value",decode4punycode(value.toLowerCase()))
			.text(decode4punycode(value.toLowerCase())));
		});
     }
}

function sort_unique(arr)
{
	return arr.sort(function(a,b)
	{
	   return a>b ? 1:-1;
	}).filter(function(el, i,a){
		return (i ==a.indexOf(el));
	});
}

</script>

</head>



<body onunload="cleanup_progress();" onLoad="initimportlist(<%=IsBImport%>,<%=IsAImport%>);" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.urllistset">
	<input type="hidden" name="op" value="urlblock">
	<input type="hidden" name="fromurl" value="/urlblocking.jsp">
	<input type="hidden" name="daemonaction" value="0">
<%
	if (IsBImport) {
%>
	<input type="hidden" name="importblockurl_length" value="<%=import_bxml.GetLength("URLList")%>">
<%
		for(int i = 0; i < import_bxml.GetLength("URLList"); i++) {
%>
	<input type="hidden" name="importblockurl" value="<%=import_bxml.GetValueByIndex("URLList",i)%>">
<%
		}
	}
%>
<%
	if (IsAImport) {
%>
	<input type="hidden" name="importallowurl_length" value="<%=import_axml.GetLength("URLList")%>">
		<%
		for(int i = 0; i < import_axml.GetLength("URLList"); i++) {
%>
	<input type="hidden" name="importallowurl" value="<%=import_axml.GetValueByIndex("URLList",i)%>">
<%
		}
	}
%>

<%
	String enabled_value = IWSSInfo.GetKeyValue("URL-blocking", "enable");
	String checked_sign = "yes".equalsIgnoreCase(enabled_value) ? " checked" : "";
%>
	<table width="540" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="507">
				<table width="507" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td width="175" class="content-title"><i18n:message bundleRef="bundleHttp" key="https.access_contrl.urlblocking.title" /> 							</td>
						<td width="336" valign="bottom" class="text">
							<input name="urlb_enable_view" type="checkbox" <%=checked_sign%> <%if (access == 3) { %> onClick="EnableSaveButton();" <%}%>>
							<input name="URL_blocking__enable" type="hidden" value="">
							<input name="oldurlbscan" type="hidden" value="<%=enabled_value%>"><i18n:message bundleRef="bundleHttp" key="https.access_contrl.urlblocking.enable_urlblocking" />
						</td>
					</tr>
				</table>
			</td>
			<td width="29" valign="bottom">
				<div align="right">
					<a href="javascript:openhelpwin('urlblocking.htm');">
						<img src="images/question.gif" width="18" height="18" border="0">
					</a>
				</div>
			</td>
		</tr>
		<tr>
			<td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
		</tr>
		<tr>
			<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
		</tr>
	</table>

	<table cellSpacing=0 cellPadding=0 width="540" border=0>
		<tbody>
			<tr>
				<td id="main-content" vAlign="top" width="100%">
					<table cellpadding="0" cellspacing="0" border="0" width="100%">
						<tr>
							<td class="border" width="534">
								<table width="538" border="0" cellspacing="0" cellpadding="0">
<!--nico add here-->
								<tr style="display:none">
									<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"/></td>
								</tr>
								<tr style="display:none">
									<td class="data1" colspan="3">
										<i18n:message bundleRef="bundleHttp" key="https.access_contrl.trustedurl.notice" />
									</td>
								</tr>
								<tr style="display:none">
									<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"/></td>
								</tr>
								<tr style="display:none">
									<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"/></td>
								</tr>
								<tr style="display:none">
									<td height="22" colspan="3">
										<table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
											<tr>
												<td height="22" class="tableheadergrey">
													<i18n:message bundleRef="bundleHttp" key="https.access_contrl.urlblocking.cloud_console_blocking_url" />
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr style="display:none">
									<td colspan="3" style="padding: 5px">
										<select style="Width: 530px" id="skynet_blocklist" size="12" name="skynet_blocklist" class="button" multiple>
										<%for(int i=0;i<skynet_blist.GetLength("URLList");i++){%>
											<option value="<%=skynet_blist.GetValueByIndex("URLList",i)%>"><%=skynet_blist.GetValueByIndex("URLList",i)%></option>
										<%}%>
										</select>
									</td>
								</tr>
								<tr style="display:none">
									<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"/></td>
								</tr>
								<tr style="display:none">
									<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"/></td>
								</tr>
								<tr style="display:none">
									<td height="10" valign="middle" colspan="2" class="hor-dotted-line">
										<img src="images/1space_cui.gif" width="1" height="10"/>
									</td>
								</tr>
								<tr style="display:none">
									<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"/></td>
								</tr>

									<tr>
										<td>
										<%if (access == 3) { %>
											<table width="538" cellpadding="0" cellspacing="0">
												<tr>
													<td height="22" class="data1" colspan="3">
														<i18n:message bundleRef="bundleHttp" key="https.access_contrl.trustedurl.match" />
														<input name="url_input" type="text" class="button" size="80" maxlength="1024" onKeyPress="return handleEnter(this, event)">
													</td>
												</tr>
												<tr>
													<td width="21" height="22">&nbsp;&nbsp;</td>
													<td height="22" class="data1" colspan="2">
														<input type="radio" name="url_type" value="website" checked>
														<i18n:message bundleRef="bundleHttp" key="https.access_contrl.trustedurl.web_site" />
													</td>
												</tr>
												<tr>
													<td height="22">&nbsp;&nbsp;</td>
													<td height="22" class="data1" colspan="2">
														<input type="radio" name="url_type" value="urlstring">
														<i18n:message bundleRef="bundleHttp" key="https.access_contrl.urlblocking.url_keyword" />
													</td>
												</tr>
												<tr>
													<td height="22">&nbsp;&nbsp;</td>
													<td height="22" class="data1" colspan="2">
														<input type="radio" name="url_type" value="exactstring">
														<i18n:message bundleRef="bundleHttp" key="https.access_contrl.trustedurl.string" />
													</td>
												</tr>
												<tr>
													<td height="22">&nbsp;</td>
													<td height="22" colspan="2" style="padding-left: 7px">
														<input name="addblock" type="button" class="button" onClick="addblockurl();" value="<i18n:message bundleRef='bundleCommon' key='button.block' />">
														<input name="addallow" type="button" class="button" onClick="addallowurl();" value="<i18n:message bundleRef='bundleCommon' key='button.not_block' />">
													</td>
												</tr>
												<tr>
													<td height="10" valign="middle" colspan="3" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="10"></td>
												</tr>
												<tr>
													<td height="22" class="data1" colspan="3">
														<i18n:message bundleRef="bundleHttp" key="https.access_contrl.urlblocking.import_list" />
														<input type="file" name="importedfile" class="button" size="35" onClick="EnableImport();">
														<input name="importbutton" type="button" class="button" onClick="doImport();" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" disabled>
													</td>
												</tr>
												<tr>
													<td height="10" colspan="3"><img src="images/1space.gif" width="1" height="10"></td>
												</tr>
											</table> <%}%>
										</td>
									</tr>
									<tr>
										<td height="22" colspan="3">
											<table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
												<tr>
													<td height="22" class="tableheadergrey">
														<i18n:message bundleRef="bundleHttp" key="https.access_contrl.urlblocking.block_list" />
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td colspan="3" style="padding: 5px">
											<select style="Width: 530px" size="12" id="blocklist" name="blocklist" class="button" multiple>
											<%for(int i=0;i<blist.GetLength("URLList");i++){%>
												<option value="<%=blist.GetValueByIndex("URLList",i)%>"><%=blist.GetValueByIndex("URLList",i)%></option>
											<%}%>
											</select>
										</td>
									</tr>
									<%if (access == 3) { %>
									<tr>
										<td height="22" colspan="3" style="padding-left: 5px">
											<input name="removeblock" type="button" class="button" onClick="removeurl(1);" value="<i18n:message bundleRef='bundleCommon' key='button.remove' />">
											<input name="removeallblock" type="button" class="button" onClick="removeallurl(1);" value="<i18n:message bundleRef='bundleCommon' key='button.remove_all' />">
										</td>
									</tr>
									<%}%>
									<tr>
										<td height="10" colspan="3"><img src="images/1space.gif" width="1" height="10"></td>
									</tr>
									<tr>
										<td height="22" colspan="3">
											<table width="100%" border="0" cellpadding="0" cellspacing="0" class="border3">
												<tr>
													<td height="22" class="tableheadergrey">
														<i18n:message bundleRef="bundleHttp" key="https.access_contrl.urlblocking.exception_to_block" />
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td colspan="3" style="padding: 5px">
											<select style="Width: 530px" id="allowlist" size="12" name="allowlist" class="button" multiple>
											<%for(int i=0;i<alist.GetLength("URLList");i++){%>
												<option value="<%=alist.GetValueByIndex("URLList",i)%>"><%=alist.GetValueByIndex("URLList",i)%></option>
											<%}%>
											</select>
										</td>
									</tr>
									<%if (access == 3) { %>
									<tr>
										<td height="22" colspan="2" style="padding-left: 5px; padding-bottom: 5px;">
											<input name="removeallow" type="button" class="button" onClick="removeurl(2);" value="<i18n:message bundleRef='bundleCommon' key='button.remove' />">
											<input name="removeallallow" type="button" class="button" onClick="removeallurl(2);" value="<i18n:message bundleRef='bundleCommon' key='button.remove_all' />">
										</td>
									</tr>
									<%}%>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</tbody>
	</table>

<%if (access == 3) { %>
	<table width="540" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td height="28" valign="bottom">
				<input name="save" type="button" class="button" onClick="doSubmit();" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" disabled>
				<input name="cancel" type="button" onclick="self.location.replace('urlblocking.jsp')" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />">
			</td>
		</tr>
	</table>
<%}%>

</form>
</body>
</html>

