<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 05/30/2007                                        -->
<!--Description:                                            -->
<!--File:updateimg.jsp                                      -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.trend.iwss.gui.*"%>
<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="org.apache.commons.fileupload.*"%>
<%@ page import="com.trend.iwss.deploywizard.model.*"%>
<%@ page import="org.apache.commons.fileupload.*"%>
<%@ page import="com.trend.iwss.deploywizard.*"%>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"
	prefix="i18n"%>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
	if (Validation.CheckUser(request, response) != 1) {
		response.sendRedirect("logon.jsp");
		return;
	}
	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
	//show cluster member
	List<ClusterNode> nodes = null;
	DeployWizardUtil util = new DeployWizardUtil();
    String token = UIHelperToken.getToken(request);
	Cluster cluster = util.getClusterInfo(" ", token);
	ClusterNode nodeToChange = null;
	String preemption = "";
	String[] weightArr = null;
	String otherWeight = "";

	String clusterIniPath = IWSSInfo.GetWorkPath()
			+ DeployWizardInfo.CLUSET_INI;
    IWSSINI clusterini = null;
	if(IWSSInfo.CheckInCluster())
		clusterini = new IWSSINI(clusterIniPath);
            
	String cluster_id = null;
	if (clusterini != null)
	{
		cluster_id = clusterini.GetKeyValue("cluster", "cluster_id");
		preemption = clusterini.GetKeyValue("cluster", "preemption");
		if ("yes".equalsIgnoreCase(preemption) )
		{
			preemption = "yes";
		}
		else
		{
			preemption = "no";
		}
	}
	if (cluster_id != null) {
		nodes = cluster.getNodes();
		weightArr = new String[nodes.size()-1];
		int iWeightArr = 0;

		try {
			for (int i = 0; i < nodes.size(); i++) {
				if (request.getParameter("cluster_node_to_change_GUID")
						.toString().equals(nodes.get(i).getGuid())) {
					nodeToChange = nodes.get(i);
				}
				else
				{
					weightArr[iWeightArr++] = nodes.get(i).getWeight();
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}// if
	//Get port from node.ini
	String nodeIniPath = IWSSInfo.GetWorkPath() + DeployWizardInfo.NODE_INI_TEMP;
	nodeIniPath = nodeIniPath.substring(0, nodeIniPath.lastIndexOf('.'));
	IWSSINI nodeIni = new IWSSINI(nodeIniPath);
	String nodeIniPort = nodeIni.GetKeyValue("node", "heartbeat_port");

	// get other weight
	boolean otherSameWeight = true;
	for (int i = 1; i < weightArr.length; i++)
	{
		if (weightArr[i] != weightArr[0])
		{
			otherSameWeight = false;
		}
	}
	if (otherSameWeight && weightArr.length > 0)
	{
		otherWeight = weightArr[0];
	}
%>

<html>
	<head>
		<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
		<title>Trend Micro InterScan Web Security Virtual Appliance</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="html/trend-style.css" rel="stylesheet" type="text/css">
		<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
		<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
		<script language="JavaScript" src="html/mouseover_help.js"></script>
		<script language="JavaScript" src="html/tooltip.js"></script>
		<script language="JavaScript" src="html/localization.js"></script>
		<script language="JavaScript" src="html/jquery1.3.2.js"></script>
		<script language="JavaScript" src="html/check.js"></script>
		<SCRIPT	language="JavaScript">

		// to disable the enter key
		function stopRKey(evt) {
  			var evt = (evt) ? evt : ((event) ? event : null);
  			var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
 			 if ((evt.keyCode == 13) && (node.type=="text"))  {return false;}
		}
		document.onkeypress = stopRKey;
		//
			$(document).ready(	function() {
				$("#submitButton").click(function() {
					//input filed check
					//if submitButton's type is submit, this function must return a value
					var cluster_node_weight=$.trim($("#node__weight").val());
					$("#node__weight").val(cluster_node_weight);
					var otherWeight = "<%=otherWeight %>";
					var preemption = "<%=preemption %>";

					if (!chkNum(cluster_node_weight, 1, 255)) {
						$("#node__weight").focus();
						alert(i18n_invalid_cluster_weight);
					} else if (preemption == "yes" && cluster_node_weight == otherWeight)
					{
						alert(i18n_cluster_management_preemption_on_with_same_weight);
						$("#node__weight").focus();
					} else //submit
					{
						//var alertString = "preemprion : " + preemption + ",otherWeight: " + otherWeight +", cluster_node_weight: " + cluster_node_weight;
						//alert( alertString);
						$("#change_weight_form").submit();
						//return true;
					}
				});
			});
		</SCRIPT>
	</head>
	<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0"
		marginheight="0">
		<DIV id=tooltip
			style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px"></DIV>
		<form id="change_weight_form"
			action="servlet/com.trend.iwss.gui.servlet.ClusterManagement" method="post">
			<input type="hidden" name="node__guid"
										id="node__guid" value="<%=nodeToChange.getGuid()%>" />
			<input type="hidden" name="node__port" id="node__port" value="<%=nodeIniPort %>" />
			<input type="hidden" name="op" value="ChangeNodeSetting" />
			<input type="hidden" name="dest_url" value="/cluster_management.jsp" />
			<table cellspacing=0 cellpadding=0 width=540 border=0>
				<tr>
					<td width="250" class="content-title">
						<i18n:message bundleRef="bundleAdmin"
							key="admin.cluster_management_change_weight.title" />
					</td>
					<td valign="bottom">
						<div align="right">
							<a href="javascript:openhelpwin('weighted_priority_election.htm');"><img
									src="images/question_cui.gif" width="18" height="18" border="0"">
							</a>
						</div>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="hor-dotted-line">
						<img src="images/1space_cui.gif" width="1" height="10">
					</td>
				</tr>
				<tr>
				<td colspan="2" class="data1">
					<a href="cluster_management.jsp"> <i18n:message
							bundleRef="bundleAdmin"
							key="admin.cluster_management_change_weight.cluster_management" />
					</a>&gt;
					<i18n:message bundleRef="bundleAdmin"
						key="admin.cluster_management_change_weight.change_weight_desc" />
				</td>
				</tr>
				<tr>
					<td height="10" colspan="2">
						<img src="images/1space_cui.gif" width="1" height="10">
					</td>
				</tr>
			</table>
			<table width="540" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td class="border">
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td height="10" colspan="2" class="tableheadergrey"
									style="background-color: #dddcc5">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management_change_weight.settings" />
								</td>
							</tr>
							<tr>
								<td height="10" class="data1">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management_change_weight.weight"></i18n:message>
									<input type="text" name="node__weight"
										id="node__weight" value="<%=nodeToChange.getWeight()%>"
										style="width: 40px; height: 20px; margin-left: 0px; font-size: 90%"
										maxLength="3"></input>
									<i18n:message bundleRef="bundleAdmin"
										key="admin.cluster_management_change_weight.weight_warning" />
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<!-- <input  type="submit" name="submit" style="height:20px;font-size:10px;margin-top:10px;" value="save" onClick="location='./cluster_management.jsp'"/> -->
			<input type="button" id="submitButton"
				style="height: 20px; font-size: 10px; margin-top: 10px; margin-left: 10px;"
				value="<%=MessageResourcesMgr.mrAdmin
					.getMessage("admin.cluster_management_change_weight.save")%>" />

			<input type="button"
				style="height: 20px; font-size: 10px; margin-top: 10px; margin-left: 10px;"
				onclick="javascript:self.location.replace('cluster_management.jsp')"
				value="<%=MessageResourcesMgr.mrAdmin
							.getMessage("admin.cluster_management_change_weight.cancle")%>" />
		</form>
	</body>

</html>
