<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%@ page import="com.trend.iwss.deploywizard.*"%>
<%

  if(Validation.CheckUser(request,response)!=1){
    response.sendRedirect("logon.jsp");
    return;
  }

    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo"); 
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
	{
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(1006);
        if (access == 0)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
	}
	else
	{
        response.sendRedirect("logon.jsp");
        return;    
	}

  response.setHeader("Pragma","no-cache");
  response.setHeader("Cache-Control","no-cache");
%>
<%
	// if is in cluster
	boolean isInCluster = false;
	DeployWizardUtil dwUtil = new DeployWizardUtil();
	isInCluster = dwUtil.isInCluster();
 %>
<html><head>

<title><i18n:message bundleRef="bundleAdmin" key="admin.management_backup_popup.html.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<script language="JavaScript" src="html/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="html/displayCurrentDateTime.js" type="text/javascript"></script>
<script language="JavaScript" src="html/localization.js" type="text/javascript"></script>
<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" src="html/TmCube_Common.js"></script>
<link href="html/trend-style.css" rel="stylesheet" type="text/css"><script language="JavaScript">
function whenLoad()
{
	<% if (isInCluster) {%>
		document.getElementById("full_restore").disabled=true;
	<%}%>
}

function importconfig()
{
    var ret;
    if(document.migration.migration_type[0].checked) {
        ret = "partially";
		if (!(navigator.userAgent.indexOf("MSIE") > 0 || navigator.userAgent.indexOf("Trident") > 0)) {
			window.opener.document.getElementById("ret_full_partial").value = "partially";
		}
	}
    if(document.migration.migration_type[1].checked) {
        ret = "fully";
		if (!(navigator.userAgent.indexOf("MSIE") > 0 || navigator.userAgent.indexOf("Trident") > 0)) {
			window.opener.document.getElementById("ret_full_partial").value = "fully";
		}
	}
    window.returnValue = ret;
	if (!(navigator.userAgent.indexOf("MSIE") > 0 || navigator.userAgent.indexOf("Trident") > 0)) {
		var btn = window.opener.document.getElementById("ret_button");
		btn.click();
	}
    window.close();
}

</script>
<style type="text/css">
<!--
body {
	margin-left: 10px;
}
-->
</style></head>
<body style="padding: 0px;" onload="whenLoad()">
<!--TOOL TIP-->
<div id="tooltip" style="visibility: hidden; position: absolute; z-index: 1000; top: -100px;"></div>
<script language="JavaScript" type="text/javascript">mig_clay();</script>
<!--/TOOL TIP-->
<form name="migration">
<table width="98%" border="0" cellpadding="0" cellspacing="0">
  <tbody><tr>
    <td class="content-title" width="1128"><i18n:message bundleRef="bundleAdmin" key="admin.management_backup_popup.title" /></td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="10"></td>
  </tr>

</tbody></table>

<table width="98%" border="0" cellpadding="0" cellspacing="0">
  <tbody><tr>
    <td width="100%"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</tbody></table>
<table width="98%" border="0">
  <tbody><tr>
 <td colspan="4" class="data1">
 <%if ( isInCluster ){ %>
 	<i18n:message bundleRef="bundleAdmin" key="admin.management_backup_popup.iwsva_is_in_ha_note_message" />
 <%} else {%>
 	<i18n:message bundleRef="bundleAdmin" key="admin.management_backup_popup.choose_import_type" />
 <%} %>
 </td>
  </tr>

  <tr>
    <td class="data1" width="25">
        <input name="migration_type" id="partial_restore" value="radio" checked="checked" type="radio"></td>
    <td colspan="3" class="data1" width="100%" nowrap="nowrap">
        <i18n:message bundleRef="bundleAdmin" key="admin.management_backup_popup.partial_import" /> </td>
  </tr>
  <tr>
    <td class="data1" width="25">
        <input name="migration_type" id="full_restore" value="radio" type="radio">   </td>
    <td colspan="3" class="data1">
        <i18n:message bundleRef="bundleAdmin" key="admin.management_backup_popup.full_import" /> </td>
    </tr>
  <tr>
    <td colspan="4" nowrap="nowrap" class="data1"><strong><i18n:message bundleRef="bundleHttp" key="admin.management_backup_popup.note" />&nbsp;</strong><i18n:message bundleRef="bundleHttp" key="admin.management_backup_popup.remind" /></td>
  </tr>
  <tr>
    <td><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</tbody></table>

<table border="0" cellpadding="0" cellspacing="0">
<tbody><tr>
    <td colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
  </tr>

  <tr>
    <td colspan="5" style="padding-left: 10px;" align="center">
      <input name="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.ok' />" style="width: 50px;" onClick="importconfig();" type="button">
      <input name="button1112" class="button" onClick="window.close()" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width: 50px;" type="button">    </td>
    </tr>
</tbody></table>
</form>
</body></html>
