<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Created by:Chye Lin Chee				    -->
<!--Date: 05/25/2007                                        -->
<!--Description: Custom Category URLs                       -->
<!--File:custom_category_url_add.jsp                        -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.trend.api.administration.*" %>

<%@ page import="org.apache.commons.fileupload.DiskFileUpload" %>
<%@ page import="org.apache.commons.fileupload.FileItem" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%


	if(Validation.CheckUser(request,response)!=1){

		response.sendRedirect("logon.jsp");

		return;

	}



	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");

	AdministrationRole roleinfo = null;

	int access = 0;

	if(accountinfo != null)

	{

		roleinfo = accountinfo.getRole();

		access = roleinfo.getAccessRightByKeyID(409);

		if (access == 0)

		{

			response.sendRedirect("logon.jsp");

			return;

		}

	}

	else

	{

		response.sendRedirect("logon.jsp");
		return;
	}


	IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");
	if(dbxml==null){
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
	} else {
		if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)
		{
			response.sendRedirect("databaseerror.jsp?"+
			dbxml.GetKeyValue("connectdb","error_msg"));
			return;
		}
	}
	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
%>
<%
	String operation = request.getParameter ("operation");
	String isContainDBCS = "no";
	boolean IsImport=false;
	IWSSXML importxml = null;
	if (operation != null) {
		if (operation.equals ("import")) {
		String importstr;
		String contenttype = request.getContentType();
		if(contenttype!=null && contenttype.contains("multipart/form-data")){


		boolean isFileSizeLeagal = true;
		final long maxContentLength = 10*1024*1024 + 1000;

		/**
		 * To do the file size check
		 */
		 try
		 {
			/*
			* This way will destory the requst object.
			**
			DiskFileUpload fu = new DiskFileUpload();
			fu.setSizeMax(4194304);
			fu.setSizeThreshold(4096);

			List fileItems = fu.parseRequest(request);
			*/
			long contentLength = request.getContentLength();
			if (contentLength > maxContentLength)
			{
				isFileSizeLeagal = false;
			}
		 }catch(Exception e)
		 {
			isFileSizeLeagal = false;
		 }

		 if (isFileSizeLeagal)
		 {
			IWSSMultiPartParser multip = new IWSSMultiPartParser(request);
			String filename = multip.GetFileName("importedfile");
			importstr = IWSSJNI.ImportURLList(filename,"customcategory");
			multip.CleanallTempFiles();
		 }
		 else
		 {
			importstr = "<import><error_no>0</error_no><error_msg>There is no valid data in the file.</error_msg></import>";
		 }




		importstr = "<URLList>"+importstr+"</URLList>";
		IWSSUtil.UI_out_println("custom_category_url_add: " +importstr);

		importxml = new IWSSXML(importstr);
		if(importxml.GetKeyValue("import","error_no")==null) {
		  IWSSUtil.UI_out_println("custom_category_url_add: Setting import to TRUE");
		  IsImport=true;
		} else {
		  IWSSUtil.UI_out_println("custom_category_url_add: error is " +
			  importxml.GetKeyValue("import","error_no"));
		}

		if ("yes".equals(importxml.GetKeyValue("import", "dbcs")))
		{
			isContainDBCS = "yes";
			importxml.deleteSection("import");
			IWSSUtil.UI_out_println("custom_category_url_add: contains dbcs");
		}

	}
  }
}
%>
<html>
<head>
<title>Trend Micro InterScan Web Appliance</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript" src="html/checkall.js"></script>
<script language="JavaScript" src="html/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="html/localization.js" type="text/javascript"></script>
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<script language="javascript" src="html/punycode.js" type="text/javascript"></script>
<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" Src="html/TmCube_Common.js"> </script>
<%
	int listid=0;
String custom_source = request.getParameter("custom_source");
if(null == custom_source)
	custom_source = "local";
	String liststr = request.getParameter("listid");
	String listname = "";
	if(null!=liststr) {
		listid = (new Integer(liststr)).intValue();
		listname = AllowedList.getAllowedListName (listid);
	} else {
		listid = -2;
	}
	//
	// This is to iterate through the list contents
	//
	Iterator iter;
	CustomCategoryListContent listentry;
	Collection items = AllowedList.getAllowedListContents4UI(listid, AllowedList.typeCustomCategory);
	iter = items.iterator();
%>
<script language="JavaScript" type="text/JavaScript">
function InsertURL1(listobj,inputurl){

   var listlength = listobj.length;
   var i,j;

	   listobj.options[listlength]=new Option(inputurl, inputurl);

   return;
}

function submitExport()
{
	document.saveform.submit();
	document.saveform.approvedlist.selectedIndex = -1;
}



function doSubmit()
{
	if(typeof(document.saveform.allcategory)=='object'){
		if(document.saveform.allcategory.length>1){
			for(j=0;j<document.saveform.allcategory.length;j++)
			{
				if(document.saveform.allcategory[j].value.toLowerCase()==document.saveform.urllistname.value.toLowerCase())
				{
					alert(i18n_dup_custom_category);
					document.saveform.urllistname.focus();
					return;
				}
			}
		}else{
			if(document.saveform.allcategory.value.toLowerCase()==document.saveform.urllistname.value.toLowerCase())
			{
				alert(i18n_dup_custom_category);
				document.saveform.urllistname.focus();
				return;
			}
		}
	}
	document.saveform.urllistname.value = Trim(document.saveform.urllistname.value);
	if(document.saveform.urllistname.value=="")
	{
		alert(i18n_custom_category);
		document.saveform.urllistname.focus();
		return;
	}

	checkall(document.saveform.approvedlist);
	encode4punycode(document.saveform.approvedlist);
	document.saveform.op.value = "customcategoryurl";
	document.saveform.action="servlet/com.trend.iwss.gui.servlet.policylistset";
	document.saveform.daemonaction.value = httpreload;
	setTimeout( "document.saveform.submit()", 100 );
}

function EnableImport()
{
	if(document.saveform.importbutton != null)
	{
	  document.saveform.importbutton.disabled=false;
	}
}

function doImport()
{
	if(document.saveform.importedfile.value=="") {
		document.saveform.importbutton.disabled=true;
		return;
	}

	document.saveform.op.value = "import";
	document.saveform.action="custom_category_url_add.jsp?listid=<%=listid%>&&operation=import";
	document.saveform.encoding="multipart/form-data";
	setTimeout( "document.saveform.submit()", 100 );
}

function doExport()
{
	checkall(document.saveform.approvedlist);
	document.saveform.op.value = "httpcustomcategoryexport";
	document.saveform.action="servlet/com.trend.iwss.gui.servlet.policylistset";
	//document.saveform.daemonaction.value = httpreload;
	setTimeout( submitExport, 100 );
}

function addapprovedurl()
{
	document.saveform.url_input.value=Trim(document.saveform.url_input.value);
	document.saveform.url_input.value = document.saveform.url_input.value.toLowerCase();

	if(document.saveform.url_input.value=="") return;

	var exceptioncharlist = "\"{}|^<>";
	if(ISSpecialChar(document.saveform.url_input.value,exceptioncharlist))
	{
		alert(i18n_specialcharlist + exceptioncharlist);
		document.saveform.url_input.focus();
		return;
	}

	document.saveform.url_input.value=FormatURL(document.saveform.url_input.value);

        var newurl_domain;
        var newurl_sub_domain;
	var inputUrl = document.saveform.url_input.value
	var pos = inputUrl.indexOf(".");

	if(document.saveform.url_type[0].checked)
        {
	    if( pos == 0)
	    {
               newurl = TransformURL(inputUrl);
	    }
 	    else
            {
                newurl_domain = TransformURL_domain(inputUrl);
                newurl_sub_domain = TransformURL_sub_domain(inputUrl);
	        if(!addurl(document.saveform.approvedlist,newurl_domain))
		{
	            alert(i18n_urlf_dup_entry);
	            document.saveform.url_input.focus();
		}
		if(!addurl(document.saveform.approvedlist,newurl_sub_domain))
		{
	             alert(i18n_urlf_dup_entry);
		     document.saveform.url_input.focus();
		}
		return;
            }
	}else if(document.saveform.url_type[1].checked){
		newurl = CreateURL(document.saveform.url_input.value);
	}else{
		newurl = document.saveform.url_input.value;
	}
	if(!addurl(document.saveform.approvedlist,newurl)){
	   alert(i18n_urlf_dup_entry);
	   document.saveform.url_input.focus();
	   return;
	}
	document.saveform.url_input.value="";
	EnableSaveButton();
}

function addurl(listobj, newurl)
{
	if(Check_Duplication(listobj,newurl)) return false;
	InsertURL1(listobj,newurl);
	return true;
}

function removeurl()
{
	removeselected(document.saveform.approvedlist);
	EnableSaveButton();
}

function removeallurl()
{
	removeall(document.saveform.approvedlist);
	EnableSaveButton();
}

function initimportlist(isimport)
{
	if(!isimport) return;
	var i;
	if(typeof(document.saveform.importapproveurl)=='object')
	{
		var len = parseInt(document.saveform.importapproveurl_length.value);
		if(len>1){
		  for(i=0; i<len; i++)
		  {
			newurl = document.saveform.importapproveurl[i].value.toLowerCase();
			addurl(document.saveform.approvedlist,newurl);
		  }
		}else{
			newurl = document.saveform.importapproveurl.value.toLowerCase();

			addurl(document.saveform.approvedlist,newurl);
		}
	}
	EnableSaveButton();
}
</script>
</head>

<body  onunload="javascript:cleanup_progress();" onLoad="javascript:initimportlist(<%=IsImport%>);" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.policylistset">
<input type=hidden name="op" value="customcategoryurl">
<input type=hidden name="daemonaction" value="0">
<input name="listid" type="hidden" class="button" value="<%=listid%>">
<%
	if(IsImport){
%>
<input type=hidden name=importapproveurl_length value="<%=importxml.GetLength("URLList")%>">
<%
		IWSSUtil.UI_out_println("custom_category_url_add: URL List length=" +
			importxml.GetLength("URLList"));
		for(int i=0;i<importxml.GetLength("URLList");i++){
			IWSSUtil.UI_out_println("custom_category_url_add: Value at " + i
			   + importxml.GetValueByIndex("URLList",i));
%>
<input type=hidden name=importapproveurl value="<%=importxml.GetValueByIndex("URLList",i)%>">
<%      }
	}

	Collection all_url_lists = AllowedList.getAllowedList( new CustomCategoryListEntry() );
	Iterator itr;
	itr = all_url_lists.iterator();
	while( itr.hasNext() ){
		CustomCategoryListEntry tmpListentry = (CustomCategoryListEntry)itr.next();
		if ( tmpListentry.getID() != listid ) {
%>
<input type=hidden name=allcategory value="<%=tmpListentry.getCompatibleName()%>">
<%
		}
	}

	String WorkPath = IWSSUtil.CheckPathEndSlash( IWSSJNI.GetWorkPath() );
	String location_file_dsc = WorkPath + "IWSSPIUrlFilter.dsc";
	IWSSINI dsc = new IWSSINI(location_file_dsc);
	String map_file = dsc.GetKeyValue( "vendor", "category_map_file" );

	TreeMap group_category_treemap = new TreeMap();
	Display_Section_Category_Checkall_Info display_section_category_checkall_info =
			  new Display_Section_Category_Checkall_Info(map_file,new HashMap(),new HashMap());
	group_category_treemap = display_section_category_checkall_info.get_selected_group_category_treemap();
	Set set_group_category_treemap = group_category_treemap.entrySet();
	Iterator iterator_group_category_treemap = set_group_category_treemap.iterator();
	while(iterator_group_category_treemap.hasNext()) {
		Map.Entry mapentry_group_category_treemap = (Map.Entry) iterator_group_category_treemap.next();
		Urlf_Category_Group_Checkall_Rec urlf_category_group_checkall_rec_info =
			   (Urlf_Category_Group_Checkall_Rec) mapentry_group_category_treemap.getValue();
		if(urlf_category_group_checkall_rec_info != null) {
			TreeMap section_category_treemap = new TreeMap();
			section_category_treemap = urlf_category_group_checkall_rec_info.get_section_category_treemap();
			Set set_section_category_treemap = section_category_treemap.entrySet();
			Iterator iterator_section_category_treemap = set_section_category_treemap.iterator();
			while(iterator_section_category_treemap.hasNext()) {
				Map.Entry map_section_category_treemap  = (Map.Entry) iterator_section_category_treemap.next();
				Urlf_Category_Section_Rec urlf_category_section_rec_info =
					(Urlf_Category_Section_Rec) map_section_category_treemap.getValue();
				if(urlf_category_section_rec_info != null) {
%>
<input type=hidden name=allcategory value="<%=urlf_category_section_rec_info.get_section_category_desc()%>">
<%
				}
			}
		}
	}
%>
<table width="98%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td width="1021" class="content-title"><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_title" /></td>
	<td width="18" align="right">
		<% if (listid==-2) { %>
		<A href="javascript:openhelpwin('custom_category_add.htm');">
		<% } else { %>
		<A href="javascript:openhelpwin('custom_category_edit.htm');">
		<% } %>
			<img src="images/question_cui.gif" width="18" height="18" border="0">
		</A>
	</td>
  </tr>
  <tr>
	<td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
	<td colspan="2"><span class="data1"><a href="urlf_custom_category.jsp"><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_title" /></a> &gt; <%if(listid==-1 || listid==-2){%><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_new" /><%}else{%><%=listname%><%}%></span></td>
  </tr>
  <tr>
	<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
	<td  colspan="2" class="border"><table width="100%" border="0" cellspacing="0" cellpadding="0">
	  <tr>
		<td ><table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td class="tableheader"><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_category_detail" /></td>
		  </tr>
		  <tr>
			<td><img src="images/1space_cui.gif" width="1" height="10"></td>
		  </tr>
		  <tr>
			<td class="data1"><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_category_name" />
			  <input name="urllistname" type="text" maxlength="32" class="button" value="<%if(listid==-2){%><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_enter_name" /><%}else{%><%=listname%><%}%>" onClick="EnableSaveButton();" size="50"></td>
		  </tr>
		  <tr>
			<td><img src="images/1space_cui.gif" width="1" height="10"></td>
		  </tr>
		  <tr>
			<td class="tableheadergrey2"> <i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_category_content" /></td>
		  </tr>
		  <tr>
			<td><table width="538" border="0" cellpadding="0" cellspacing="0">
				<tr>
				  <td  colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>
				<tr>
				  <td class="data1" colspan="3"><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_match" />
					<input name="url_input" type="text" maxlength="2083" class="button" size="80" maxlength="1024" onKeyPress="return handleEnter(this, event)" onKeyUp="EnableSaveButton();">
				  </td>
				</tr>
				<tr>
				  <td width="38">&nbsp;&nbsp;</td>
				  <td width="498" colspan="2" class="data1"><input type="radio" name="url_type" value="website" checked>
					<i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_web_site" /></td>
				</tr>
				<tr>
				  <td>&nbsp;&nbsp;</td>
				  <td class="data1" colspan="2"><input type="radio" name="url_type" value="urlstring">
					<i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_url_key_word" /></td>
				</tr>
				<tr>
				  <td>&nbsp;&nbsp;</td>
				  <td class="data1" colspan="2"><input type="radio" name="url_type" value="exactstring">
					<i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_string" /></td>
				</tr>
				<tr>
				  <td>&nbsp;</td>
				  <td colspan="2" style="padding-left:7px"><input name="addurl" type="button"  class="button" onClick="javascript:addapprovedurl();" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />"></td>
				</tr>
				<tr>
				  <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>
				<tr>
				  <td class="data1" colspan="3"><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_import_list" />
					<input type=file name=importedfile class="button" size=40 onClick="javascript:EnableImport();" <% if (!custom_source.equals("local")) {%> disabled <%}%>>
				<tr>
				  <td >&nbsp;</td>
				  <td width="87" >&nbsp;</td>
				  <td width="411">
					  <input name="importbutton" type="button"  class="button"
						onClick="javascript:doImport();" value="<i18n:message bundleRef='bundleCommon' key='button.import' />" disabled>
				  </td>
				</tr>
			</table></td>
		  </tr>
		  <tr>
			<td><img src="images/1space_cui.gif" width="1" height="10"></td>
		  </tr>
		  <tr>
			<td class="tableheadergrey2" ><i18n:message bundleRef="bundleHttp" key="https.custom_categories.add_urls" /></td>
		  </tr>
		  <tr>
			<td class="data1"><span style="padding:5px">
				<SELECT style="Width:525px" id=approvedlist size=15
			name=approvedlist class="button" multiple>
<%while( iter.hasNext() ){
  listentry = (CustomCategoryListContent)iter.next();
%>
					<option value="<%=listentry.getContent()%>"><%=listentry.getContent()%></option>
<%}%>
				</SELECT>
			</span></td>
		  </tr>
<%if (access == 3) { %>

		  <tr>
			<td class="data1"><span class="data1" style="padding-bottom:3px">
		<input name="remove" type="button" class="button"
			onClick="javascript:removeurl();" value="<i18n:message bundleRef='bundleCommon' key='button.remove' />">
		<input name="removeall" type="button" class="button"
			onClick="javascript:removeallurl();" value="<i18n:message bundleRef='bundleCommon' key='button.remove_all' />">
			  <span  style="padding-left:10px">
				<input name="exportbutton" type="button" class="button"
					 onClick="javascript:doExport();" value="<i18n:message bundleRef='bundleCommon' key='button.export_dot' />">
			  </span>
			</span></td>
		  </tr>
<%}%>
		</table></td>
	  </tr>
	</table></td>
  </tr>
</table>

 <%if (access == 3 && custom_source.equals("local")) { %>

<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="28" valign="bottom">
	<input name="save" type="button"  class="button" onClick="javascript:doSubmit();" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" disabled>
	<input name="cancel" type="button"  onclick="javascript:self.location.replace('urlf_custom_category.jsp')"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />">
	</td>
  </tr>
</table>
<%}%>
</form>
</body>
</html>
