<%@ page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.trend.iwss.gui.*"%>
<%@ page import="com.trend.iwss.policy.*"%>
<%@ page import="java.util.*"%>
<%@ page import="com.trend.api.administration.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"
	prefix="i18n"%>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%

if(Validation.CheckUser(request,response)!=1){
	response.sendRedirect("logon.jsp?mmc_policy");
	return;
}

AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
AdministrationRole roleinfo = null;
int access = 0;
if(accountinfo != null)
{
	roleinfo = accountinfo.getRole();
	access = roleinfo.getAccessRightByKeyID(402);
	if (access == 0)
	{
		response.sendRedirect("logon.jsp");
		return;
	}
}
else
{
	response.sendRedirect("logon.jsp");
	return;
}

response.setHeader("Pragma","no-cache");
response.setHeader("Cache-Control","no-cache");

IWSSINI ini = new IWSSINI(IWSSInfo.GetWorkPath()+ "intscan.ini");
String ddan_enable = ini.GetKeyValue("dtas","ddan_enabled");
String ddi_so_enable = ini.GetKeyValue("dtas", "ddi_enabled");
String tmcm_so_enable = ini.GetKeyValue("dtas", "TMCM_enabled");
String upload_enable = ini.GetKeyValue("dtas","sample_upload_enabled");
String so_integration_enabled = ini.GetKeyValue("dtas","so_integration_enabled");
String EXPL_enable = ini.GetKeyValue("dtas","EXPL_upload_enabled");
String HEUR_enable = ini.GetKeyValue("dtas","HEUR_upload_enabled");
String malware_enable = ini.GetKeyValue("dtas","Malware_upload_enabled");
String blacklist_enable = ini.GetKeyValue("dtas","blacklist_feedback_enabled");
String blacklist_action = ini.GetKeyValue("dtas","blacklist_feedback_action");

String kgf_upload_enable = ini.GetKeyValue("dtas","known_good_files_upload_enabled");
String bzip_enable = ini.GetKeyValue("dtas","bzip_upload_enabled");
String chm_enable = ini.GetKeyValue("dtas","chm_upload_enabled");
//String lnk_enable = ini.GetKeyValue("dtas","lnk_upload_enabled");
String nt_95_lnk_enable = ini.GetKeyValue("dtas","nt_95_lnk_upload_enabled");
String shell_lnk_enable = ini.GetKeyValue("dtas","shell_lnk_upload_enabled");
String office_enable = ini.GetKeyValue("dtas","office_upload_enabled");
String pdf_enable = ini.GetKeyValue("dtas","pdf_upload_enabled");
String rar_enable = ini.GetKeyValue("dtas","rar_upload_enabled");
String swf_enable = ini.GetKeyValue("dtas","swf_upload_enabled");
String tar_enable = ini.GetKeyValue("dtas","tar_upload_enabled");
String exe_enable = ini.GetKeyValue("dtas","exe_upload_enabled");
String zip_enable = ini.GetKeyValue("dtas","zip_upload_enabled");

IWSSINI dtasini = new IWSSINI(IWSSInfo.GetWorkPath()+ "dtas.ini");
String dda_ip = dtasini.GetKeyValue("dtas","dda_ip");
String dda_port = dtasini.GetKeyValue("dtas","dda_port");
String apikey =dtasini.GetKeyValue("dtas","apikey");
String uuid = dtasini.GetKeyValue("dtas","UUID");
String sync_time = dtasini.GetKeyValue("dtas","sync_time");

String ddi_ip_so = dtasini.GetKeyValue("dtas", "ddi_ip");
String ddi_port_so = dtasini.GetKeyValue("dtas", "ddi_port");

String tmcm_ip_so = dtasini.GetKeyValue("dtas", "tmcm_ip");
String tmcm_port_so = dtasini.GetKeyValue("dtas", "tmcm_port");
String tmcm_apikey_so = dtasini.GetKeyValue("dtas", "tmcm_apikey");

IWSSINI ddi_ini = new IWSSINI(IWSSInfo.GetWorkPath() + "ddi_agent.ini");
String ddi_list = ddi_ini.GetKeyValue("DDI","ddi_server");
String ddi_enabled = ddi_ini.GetKeyValue("main", "enabled");

String ddi_display = "";

if (!ddi_enabled.equals("1"))
{
	ddi_display = "style='display:none;'";
}

String so_sync_display = "";
if (!so_integration_enabled.equals("1"))
{
	so_sync_display = "style='display:none;'";
}

IWSSPR mainpr = new IWSSPR((new String("IWSS")));
boolean license_enable = mainpr.isCUSTOMDEnabled();
if (!license_enable)
	ddan_enable = "0";

%>

<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="html/jquery.js"></script>
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/virusscan.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>
<script language="javascript">
	$(document).ready(function() {
		var utime="<%=sync_time%>";

		if(utime != "")
		{
			$("#synctext").html('Last Synced: '+utime);
		}

		$("input[name='save']").attr("disabled", true);

		if ($("input[name='checkbox_ddan']").attr("checked"))
		{
			$("input[name='IPAddress']").removeAttr("disabled");
			$("input[name='Port']").removeAttr("disabled");
			$("input[name='APIKey']").removeAttr("disabled");
			$("input[name='btnConnect']").removeAttr("disabled");
			$("input[name='checkbox_upload']").removeAttr("disabled");

			$("input[name='kgf_checkbox_upload']").removeAttr("disabled");

			if ($("input[name='checkbox_upload']").attr("checked"))
			{
				$("input[name='checkbox_expl']").removeAttr("disabled");
				$("input[name='checkbox_heur']").removeAttr("disabled");
				$("input[name='checkbox_mal']").removeAttr("disabled");
			}

			if($("input[name=kgf_checkbox_upload]").attr("checked")) {
				$("input[name='checkbox_bzip']").removeAttr("disabled");
				$("input[name='checkbox_chm']").removeAttr("disabled");
				$("input[name='checkbox_nt_95_lnk']").removeAttr("disabled");
				$("input[name='checkbox_shell_lnk']").removeAttr("disabled");
				$("input[name='checkbox_office']").removeAttr("disabled");
				$("input[name='checkbox_pdf']").removeAttr("disabled");
				$("input[name='checkbox_rar']").removeAttr("disabled");
				$("input[name='checkbox_swf']").removeAttr("disabled");
				$("input[name='checkbox_tar']").removeAttr("disabled");
				$("input[name='checkbox_exe']").removeAttr("disabled");
				$("input[name='checkbox_zip']").removeAttr("disabled");
			}
			$("input[name='checkbox_blk']").removeAttr("disabled");
			if ($("input[name='checkbox_upload']").attr("checked"))
			{
				$("#blk_action").removeAttr("disabled");
			}
			$("input[name='btnSync']").removeAttr("disabled");

			$("input[name='Ddi_Del']").removeAttr("disabled");
			$("input[name='DDI_IPAddress']").removeAttr("disabled");
			$("input[name='Ddi_Add']").removeAttr("disabled");
			
			// If DDAN enable, disable DDI
			$("input[name='checkbox_ddi_so']").attr("disabled", true);
			$("input[name='checkbox_ddi_so']").attr("checked", false);
			$("input[name='save_ddi_so']").attr("disabled", true);
		}
		else
		{
			$("input[name='IPAddress']").attr("disabled", true);
			$("input[name='Port']").attr("disabled", true);
			$("input[name='APIKey']").attr("disabled", true);
			$("input[name='btnConnect']").attr("disabled", true);
			$("input[name='checkbox_upload']").attr("disabled", true);
			$("input[name='checkbox_expl']").attr("disabled", true);
			$("input[name='checkbox_heur']").attr("disabled", true);
			$("input[name='checkbox_mal']").attr("disabled", true);
			$("input[name='btnSync']").attr("disabled", true);
			$("input[name='checkbox_blk']").attr("disabled", true);
			$("#blk_action").attr("disabled", true);

			$("input[name='kgf_checkbox_upload']").attr("disabled", true);
			$("input[name='checkbox_bzip']").attr("disabled", true);
			$("input[name='checkbox_chm']").attr("disabled", true);
			$("input[name='checkbox_nt_95_lnk']").attr("disabled", true);
			$("input[name='checkbox_shell_lnk']").attr("disabled", true);
			$("input[name='checkbox_office']").attr("disabled", true);
			$("input[name='checkbox_pdf']").attr("disabled", true);
			$("input[name='checkbox_rar']").attr("disabled", true);
			$("input[name='checkbox_swf']").attr("disabled", true);
			$("input[name='checkbox_tar']").attr("disabled", true);
			$("input[name='checkbox_exe']").attr("disabled", true);
			$("input[name='checkbox_zip']").attr("disabled", true);

			$("input[name='Ddi_Del']").attr("disabled", true);
			$("input[name='DDI_IPAddress']").attr("disabled", true);
			$("input[name='Ddi_Add']").attr("disabled", true);
			
			// If DDAN and TMCM disable, enable DDI
			if (!$("input[name='checkbox_tmcm_so']").attr("checked") )
			{
				$("input[name='checkbox_ddi_so']").removeAttr("disabled");
			}
		}
		
		
		if ($("input[name='checkbox_ddi_so']").attr("checked"))
		{
			$("input[name='DDI_IPAddress_SO']").removeAttr("disabled");
			$("input[name='DDI_Port_SO']").removeAttr("disabled");
			$("input[name='ddi_btnConnect']").removeAttr("disabled");
			
			// If DDI enable, disable DDAN and TMCM
			$("input[name='save']").attr("disabled", true);
			$("input[name='checkbox_ddan']").attr("disabled", true);
			$("input[name='checkbox_tmcm_so']").attr("disabled", true);
			$("input[name='checkbox_ddan']").attr("checked", false);
			$("input[name='checkbox_tmcm_so']").attr("checked", false);
			
			$("input[name='IPAddress']").attr("disabled", true);
			$("input[name='Port']").attr("disabled", true);
			$("input[name='APIKey']").attr("disabled", true);
			$("input[name='btnConnect']").attr("disabled", true);
			$("input[name='checkbox_upload']").attr("disabled", true);
			$("input[name='checkbox_expl']").attr("disabled", true);
			$("input[name='checkbox_heur']").attr("disabled", true);
			$("input[name='checkbox_mal']").attr("disabled", true);
			$("input[name='btnSync']").attr("disabled", true);
			$("input[name='checkbox_blk']").attr("disabled", true);
			$("#blk_action").attr("disabled", true);

			$("input[name='kgf_checkbox_upload']").attr("disabled", true);
			$("input[name='checkbox_bzip']").attr("disabled", true);
			$("input[name='checkbox_chm']").attr("disabled", true);
			$("input[name='checkbox_nt_95_lnk']").attr("disabled", true);
			$("input[name='checkbox_shell_lnk']").attr("disabled", true);
			$("input[name='checkbox_office']").attr("disabled", true);
			$("input[name='checkbox_pdf']").attr("disabled", true);
			$("input[name='checkbox_rar']").attr("disabled", true);
			$("input[name='checkbox_swf']").attr("disabled", true);
			$("input[name='checkbox_tar']").attr("disabled", true);
			$("input[name='checkbox_exe']").attr("disabled", true);
			$("input[name='checkbox_zip']").attr("disabled", true);

			$("input[name='Ddi_Del']").attr("disabled", true);
			$("input[name='DDI_IPAddress']").attr("disabled", true);
			$("input[name='Ddi_Add']").attr("disabled", true);
			
			$("input[name='TMCM_IPAddress_SO']").attr("disabled", true);
			$("input[name='TMCM_Port_SO']").attr("disabled", true);
			$("input[name='TMCM_APIKEY_SO']").attr("disabled", true);
			$("input[name='tmcm_btnConnect']").attr("disabled", true);
			$("input[name='save_tmcm_so']").attr("disabled", true);
		}
		else
		{
			$("input[name='DDI_IPAddress_SO']").attr("disabled", true);
			$("input[name='DDI_Port_SO']").attr("disabled", true);
			$("input[name='ddi_btnConnect']").attr("disabled", true);
			
			// If DDI Diable, enable TMCM and DDAN
			if ($("input[name='checkbox_ddan']").attr("checked"))
			{
				$("input[name='IPAddress']").removeAttr("disabled");
				$("input[name='Port']").removeAttr("disabled");
				$("input[name='APIKey']").removeAttr("disabled");
				$("input[name='btnConnect']").removeAttr("disabled");
				$("input[name='checkbox_upload']").removeAttr("disabled");

				$("input[name='kgf_checkbox_upload']").removeAttr("disabled");

				if ($("input[name='checkbox_upload']").attr("checked"))
				{
					$("input[name='checkbox_expl']").removeAttr("disabled");
					$("input[name='checkbox_heur']").removeAttr("disabled");
					$("input[name='checkbox_mal']").removeAttr("disabled");
				}

				if($("input[name=kgf_checkbox_upload]").attr("checked")) {
					$("input[name='checkbox_bzip']").removeAttr("disabled");
					$("input[name='checkbox_chm']").removeAttr("disabled");
					$("input[name='checkbox_nt_95_lnk']").removeAttr("disabled");
					$("input[name='checkbox_shell_lnk']").removeAttr("disabled");
					$("input[name='checkbox_office']").removeAttr("disabled");
					$("input[name='checkbox_pdf']").removeAttr("disabled");
					$("input[name='checkbox_rar']").removeAttr("disabled");
					$("input[name='checkbox_swf']").removeAttr("disabled");
					$("input[name='checkbox_tar']").removeAttr("disabled");
					$("input[name='checkbox_exe']").removeAttr("disabled");
					$("input[name='checkbox_zip']").removeAttr("disabled");
				}
				$("input[name='checkbox_blk']").removeAttr("disabled");
				if ($("input[name='checkbox_upload']").attr("checked"))
				{
					$("#blk_action").removeAttr("disabled");
				}
				$("input[name='btnSync']").removeAttr("disabled");

				$("input[name='Ddi_Del']").removeAttr("disabled");
				$("input[name='DDI_IPAddress']").removeAttr("disabled");
				$("input[name='Ddi_Add']").removeAttr("disabled");
			}
			
			if ($("input[name='checkbox_tmcm_so']").attr("checked"))
			{
				$("input[name='TMCM_IPAddress_SO']").removeAttr("disabled");
				$("input[name='TMCM_Port_SO']").removeAttr("disabled");
				$("input[name='TMCM_APIKEY_SO']").removeAttr("disabled");
				$("input[name='tmcm_btnConnect']").removeAttr("disabled");
			}
		}
		
		if ($("input[name='checkbox_tmcm_so']").attr("checked"))
		{
			$("input[name='TMCM_IPAddress_SO']").removeAttr("disabled");
			$("input[name='TMCM_Port_SO']").removeAttr("disabled");
			$("input[name='TMCM_APIKEY_SO']").removeAttr("disabled");
			$("input[name='tmcm_btnConnect']").removeAttr("disabled");
			
			// If DDAN enable, disable DDI
			$("input[name='checkbox_ddi_so']").attr("disabled", true);
			$("input[name='checkbox_ddi_so']").attr("checked", false);
			$("input[name='save_ddi_so']").attr("disabled", true);
		}
		else
		{
			$("input[name='TMCM_IPAddress_SO']").attr("disabled", true);
			$("input[name='TMCM_Port_SO']").attr("disabled", true);
			$("input[name='TMCM_APIKEY_SO']").attr("disabled", true);
			$("input[name='tmcm_btnConnect']").attr("disabled", true);
			
			// If DDAN and TMCM disable, enable DDI
			if (!$("input[name='checkbox_ddan']").attr("checked") )
			{
				$("input[name='checkbox_ddi_so']").removeAttr("disabled");
			}
		}

		$("input[name='checkbox_ddan']").click(function() {
			$("input[name='save']").removeAttr("disabled");
			if ($("input[name='checkbox_ddan']").attr("checked"))
			{
				$("input[name='IPAddress']").removeAttr("disabled");
				$("input[name='Port']").removeAttr("disabled");
				$("input[name='APIKey']").removeAttr("disabled");
				$("input[name='btnConnect']").removeAttr("disabled");
				$("input[name='checkbox_upload']").removeAttr("disabled");
				$("input[name='kgf_checkbox_upload']").removeAttr("disabled");

				if ($("input[name='checkbox_upload']").attr("checked"))
				{
					$("input[name='checkbox_expl']").removeAttr("disabled");
					$("input[name='checkbox_heur']").removeAttr("disabled");
					$("input[name='checkbox_mal']").removeAttr("disabled");
				}

				if($("input[name='kgf_checkbox_upload']").attr("checked")) {
					$("input[name='checkbox_bzip']").removeAttr("disabled");
					$("input[name='checkbox_chm']").removeAttr("disabled");
					$("input[name='checkbox_nt_95_lnk']").removeAttr("disabled");
					$("input[name='checkbox_shell_lnk']").removeAttr("disabled");
					$("input[name='checkbox_office']").removeAttr("disabled");
					$("input[name='checkbox_pdf']").removeAttr("disabled");
					$("input[name='checkbox_rar']").removeAttr("disabled");
					$("input[name='checkbox_swf']").removeAttr("disabled");
					$("input[name='checkbox_tar']").removeAttr("disabled");
					$("input[name='checkbox_exe']").removeAttr("disabled");
					$("input[name='checkbox_zip']").removeAttr("disabled");
				}

				$("input[name='checkbox_blk']").removeAttr("disabled");
				if ($("input[name='checkbox_upload']").attr("checked"))
				{
					$("#blk_action").removeAttr("disabled");
				}
				$("input[name='btnSync']").removeAttr("disabled");

				$("input[name='Ddi_Del']").removeAttr("disabled");
				$("input[name='DDI_IPAddress']").removeAttr("disabled");
				$("input[name='Ddi_Add']").removeAttr("disabled");
				
				// If DDAN enable, disable DDI
				$("input[name='checkbox_ddi_so']").attr("disabled", true);
				$("input[name='checkbox_ddi_so']").attr("checked", false);
				$("input[name='save_ddi_so']").attr("disabled", true);
			}
			else
			{
				$("input[name='IPAddress']").attr("disabled", true);
				$("input[name='Port']").attr("disabled", true);
				$("input[name='APIKey']").attr("disabled", true);
				$("input[name='btnConnect']").attr("disabled", true);
				$("input[name='checkbox_upload']").attr("disabled", true);
				$("input[name='checkbox_expl']").attr("disabled", true);
				$("input[name='checkbox_heur']").attr("disabled", true);
				$("input[name='checkbox_mal']").attr("disabled", true);
				$("input[name='btnSync']").attr("disabled", true);
				$("input[name='checkbox_blk']").attr("disabled", true);
				$("#blk_action").attr("disabled", true);

				$("input[name='kgf_checkbox_upload']").attr("disabled", true);
				$("input[name='checkbox_bzip']").attr("disabled", true);
				$("input[name='checkbox_chm']").attr("disabled", true);
				$("input[name='checkbox_nt_95_lnk']").attr("disabled", true);
				$("input[name='checkbox_shell_lnk']").attr("disabled", true);
				$("input[name='checkbox_office']").attr("disabled", true);
				$("input[name='checkbox_pdf']").attr("disabled", true);
				$("input[name='checkbox_rar']").attr("disabled", true);
				$("input[name='checkbox_swf']").attr("disabled", true);
				$("input[name='checkbox_tar']").attr("disabled", true);
				$("input[name='checkbox_exe']").attr("disabled", true);
				$("input[name='checkbox_zip']").attr("disabled", true);

				$("input[name='Ddi_Del']").attr("disabled", true);
				$("input[name='DDI_IPAddress']").attr("disabled", true);
				$("input[name='Ddi_Add']").attr("disabled", true);
				
				// If DDAN and TMCM disable, enable DDI
				if (!$("input[name='checkbox_tmcm_so']").attr("checked") )
				{
					$("input[name='checkbox_ddi_so']").removeAttr("disabled");
				}
			}
		});
		
		
		$("input[name='checkbox_ddi_so']").click(function() {
			$("input[name='save_ddi_so']").removeAttr("disabled");
			if ($("input[name='checkbox_ddi_so']").attr("checked"))
			{
				alert("Deep Discovery Inspector will provide the suspicious objects list. Select this option only if Deep Discovery Analyzer or Control Manager has not been integrated with the InterScan Web Security Virtual Appliance.");
				$("input[name='DDI_IPAddress_SO']").removeAttr("disabled");
				$("input[name='DDI_Port_SO']").removeAttr("disabled");
				$("input[name='ddi_btnConnect']").removeAttr("disabled");
				
				// If DDI enable, disable DDAN and TMCM
				$("input[name='checkbox_ddan']").attr("disabled", true);
				$("input[name='checkbox_ddan']").attr("checked", false);
				
				$("input[name='IPAddress']").attr("disabled", true);
				$("input[name='Port']").attr("disabled", true);
				$("input[name='APIKey']").attr("disabled", true);
				$("input[name='btnConnect']").attr("disabled", true);
				$("input[name='checkbox_upload']").attr("disabled", true);
				$("input[name='checkbox_expl']").attr("disabled", true);
				$("input[name='checkbox_heur']").attr("disabled", true);
				$("input[name='checkbox_mal']").attr("disabled", true);
				$("input[name='btnSync']").attr("disabled", true);
				$("input[name='checkbox_blk']").attr("disabled", true);
				$("#blk_action").attr("disabled", true);

				$("input[name='kgf_checkbox_upload']").attr("disabled", true);
				$("input[name='checkbox_bzip']").attr("disabled", true);
				$("input[name='checkbox_chm']").attr("disabled", true);
				$("input[name='checkbox_nt_95_lnk']").attr("disabled", true);
				$("input[name='checkbox_shell_lnk']").attr("disabled", true);
				$("input[name='checkbox_office']").attr("disabled", true);
				$("input[name='checkbox_pdf']").attr("disabled", true);
				$("input[name='checkbox_rar']").attr("disabled", true);
				$("input[name='checkbox_swf']").attr("disabled", true);
				$("input[name='checkbox_tar']").attr("disabled", true);
				$("input[name='checkbox_exe']").attr("disabled", true);
				$("input[name='checkbox_zip']").attr("disabled", true);

				$("input[name='Ddi_Del']").attr("disabled", true);
				$("input[name='DDI_IPAddress']").attr("disabled", true);
				$("input[name='Ddi_Add']").attr("disabled", true);
				$("input[name='save']").attr("disabled", true);
					
				$("input[name='TMCM_IPAddress_SO']").attr("disabled", true);
				$("input[name='TMCM_Port_SO']").attr("disabled", true);
				$("input[name='TMCM_APIKEY_SO']").attr("disabled", true);
				$("input[name='tmcm_btnConnect']").attr("disabled", true);
				$("input[name='checkbox_tmcm_so']").attr("disabled", true);
				$("input[name='checkbox_tmcm_so']").attr("checked", false);
				$("input[name='save_tmcm_so']").attr("disabled", true);
				
			}
			else
			{
				$("input[name='DDI_IPAddress_SO']").attr("disabled", true);
				$("input[name='DDI_Port_SO']").attr("disabled", true);
				$("input[name='ddi_btnConnect']").attr("disabled", true);
				$("input[name='checkbox_ddan']").removeAttr("disabled");
				$("input[name='checkbox_tmcm_so']").removeAttr("disabled");
				
				// If DDI Diable, enable TMCM and DDAN
				if ($("input[name='checkbox_ddan']").attr("checked"))
				{
					$("input[name='IPAddress']").removeAttr("disabled");
					$("input[name='Port']").removeAttr("disabled");
					$("input[name='APIKey']").removeAttr("disabled");
					$("input[name='btnConnect']").removeAttr("disabled");
					$("input[name='checkbox_upload']").removeAttr("disabled");

					$("input[name='kgf_checkbox_upload']").removeAttr("disabled");

					if ($("input[name='checkbox_upload']").attr("checked"))
					{
						$("input[name='checkbox_expl']").removeAttr("disabled");
						$("input[name='checkbox_heur']").removeAttr("disabled");
						$("input[name='checkbox_mal']").removeAttr("disabled");
					}

					if($("input[name=kgf_checkbox_upload]").attr("checked")) {
						$("input[name='checkbox_bzip']").removeAttr("disabled");
						$("input[name='checkbox_chm']").removeAttr("disabled");
						$("input[name='checkbox_nt_95_lnk']").removeAttr("disabled");
						$("input[name='checkbox_shell_lnk']").removeAttr("disabled");
						$("input[name='checkbox_office']").removeAttr("disabled");
						$("input[name='checkbox_pdf']").removeAttr("disabled");
						$("input[name='checkbox_rar']").removeAttr("disabled");
						$("input[name='checkbox_swf']").removeAttr("disabled");
						$("input[name='checkbox_tar']").removeAttr("disabled");
						$("input[name='checkbox_exe']").removeAttr("disabled");
						$("input[name='checkbox_zip']").removeAttr("disabled");
					}
					$("input[name='checkbox_blk']").removeAttr("disabled");
					if ($("input[name='checkbox_upload']").attr("checked"))
					{
						$("#blk_action").removeAttr("disabled");
					}
					$("input[name='btnSync']").removeAttr("disabled");

					$("input[name='Ddi_Del']").removeAttr("disabled");
					$("input[name='DDI_IPAddress']").removeAttr("disabled");
					$("input[name='Ddi_Add']").removeAttr("disabled");
				}
				
				if ($("input[name='checkbox_tmcm_so']").attr("checked"))
				{
					$("input[name='TMCM_IPAddress_SO']").removeAttr("disabled");
					$("input[name='TMCM_Port_SO']").removeAttr("disabled");
					$("input[name='TMCM_APIKEY_SO']").removeAttr("disabled");
					$("input[name='tmcm_btnConnect']").removeAttr("disabled");
				}
			}
		});
		
		$("input[name='checkbox_tmcm_so']").click(function() {
			$("input[name='save_tmcm_so']").removeAttr("disabled");
			if ($("input[name='checkbox_tmcm_so']").attr("checked"))
			{
				alert("Control Manager will provide the suspicious objects list. If both Control Manager and Deep Discovery Analyzer have been enabled, the InterScan Web Security Virtual Appliance will prioritize Control Manager for retrieving the suspicious objects list. The submission feature in Deep Discovery Analyzer will still work correctly.");
				$("input[name='TMCM_IPAddress_SO']").removeAttr("disabled");
				$("input[name='TMCM_Port_SO']").removeAttr("disabled");
				$("input[name='TMCM_APIKEY_SO']").removeAttr("disabled");
				$("input[name='tmcm_btnConnect']").removeAttr("disabled");
				
				// If DDAN enable, disable DDI
				$("input[name='checkbox_ddi_so']").attr("disabled", true);
				$("input[name='checkbox_ddi_so']").attr("checked", false);
				$("input[name='save_ddi_so']").attr("disabled", true);
			}
			else
			{
				$("input[name='TMCM_IPAddress_SO']").attr("disabled", true);
				$("input[name='TMCM_Port_SO']").attr("disabled", true);
				$("input[name='TMCM_APIKEY_SO']").attr("disabled", true);
				$("input[name='tmcm_btnConnect']").attr("disabled", true);
				
				// If DDAN and TMCM disable, enable DDI
				if (!$("input[name='checkbox_ddan']").attr("checked") )
				{
					$("input[name='checkbox_ddi_so']").removeAttr("disabled");
				}
			}
		});

		$("input[name='checkbox_upload']").click(function() {
			$("input[name='save']").removeAttr("disabled");
			if ($("input[name='checkbox_upload']").attr("checked"))
			{
				$("input[name='checkbox_expl']").removeAttr("disabled");
				$("input[name='checkbox_heur']").removeAttr("disabled");
				$("input[name='checkbox_mal']").removeAttr("disabled");
			}
			else
			{
				$("input[name='checkbox_expl']").attr("disabled", true);
				$("input[name='checkbox_heur']").attr("disabled", true);
				$("input[name='checkbox_mal']").attr("disabled", true);
			}
		});

		$("input[name='kgf_checkbox_upload']").click(function() {
			$("input[name='save']").removeAttr("disabled");
			if($("input[name='kgf_checkbox_upload']").attr("checked")) {
				$("input[name='checkbox_bzip']").removeAttr("disabled");
				$("input[name='checkbox_chm']").removeAttr("disabled");
				$("input[name='checkbox_nt_95_lnk']").removeAttr("disabled");
				$("input[name='checkbox_shell_lnk']").removeAttr("disabled");
				$("input[name='checkbox_office']").removeAttr("disabled");
				$("input[name='checkbox_pdf']").removeAttr("disabled");
				$("input[name='checkbox_rar']").removeAttr("disabled");
				$("input[name='checkbox_swf']").removeAttr("disabled");
				$("input[name='checkbox_tar']").removeAttr("disabled");
				$("input[name='checkbox_exe']").removeAttr("disabled");
				$("input[name='checkbox_zip']").removeAttr("disabled");
			} else {
				$("input[name='checkbox_bzip']").attr("disabled", true);
				$("input[name='checkbox_chm']").attr("disabled", true);
				$("input[name='checkbox_nt_95_lnk']").attr("disabled", true);
				$("input[name='checkbox_shell_lnk']").attr("disabled", true);
				$("input[name='checkbox_office']").attr("disabled", true);
				$("input[name='checkbox_pdf']").attr("disabled", true);
				$("input[name='checkbox_rar']").attr("disabled", true);
				$("input[name='checkbox_swf']").attr("disabled", true);
				$("input[name='checkbox_tar']").attr("disabled", true);
				$("input[name='checkbox_exe']").attr("disabled", true);
				$("input[name='checkbox_zip']").attr("disabled", true);
			}
		});

		$("input[name='checkbox_expl']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_heur']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_mal']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_bzip']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_chm']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_nt_95_lnk']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});
		$("input[name='checkbox_shell_lnk']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_office']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_pdf']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_rar']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_swf']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_tar']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_exe']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_zip']").click(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='checkbox_blk']").click(function() {
			$("input[name='save']").removeAttr("disabled");
			if ($("input[name='checkbox_blk']").attr("checked"))
			{
				$("#blk_action").removeAttr("disabled");
			}
			else
			{
				$("#blk_action").attr("disabled", true);
			}
		});

		$("input[name='IPAddress']").change(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='Port']").change(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("input[name='APIKey']").change(function() {
			$("input[name='save']").removeAttr("disabled");
		});

		$("#blk_action").change(function(){
			$("input[name='save']").removeAttr("disabled");
		});
		
		$("input[name='DDI_IPAddress_SO']").change(function() {
			$("input[name='save_ddi_so']").removeAttr("disabled");
		});
		
		$("input[name='DDI_Port_SO']").change(function() {
			$("input[name='save_ddi_so']").removeAttr("disabled");
		});
		
		$("input[name='TMCM_IPAddress_SO']").change(function() {
			$("input[name='save_tmcm_so']").removeAttr("disabled");
		});
		
		$("input[name='TMCM_Port_SO']").change(function() {
			$("input[name='save_tmcm_so']").removeAttr("disabled");
		});
		
		$("input[name='TMCM_APIKEY_SO']").change(function() {
			$("input[name='save_tmcm_so']").removeAttr("disabled");
		});

		//Test Connection bottom
		$("input[name='btnConnect']").click(function() {
			var ip = Trim($("input[name='IPAddress']").val());
			var port = Trim($("input[name='Port']").val());
			var apikey = Trim($("input[name='APIKey']").val());

			if(!(ValidateIP(ip)))
			{
				alert(i18n_valid_ip);
				$("input[name='IPAddress']").focus();
				return;
			}
			if(!(ValidatePort(port)))
			{
				alert(i18n_valid_port);
				$("input[name='Port']").focus();
				return;
			}

			if(apikey.length !== 36)
			{
				alert(i18n_valid_apikey);
				$("input[name='APIKey']").focus();
				return;
			}

			$.ajax({
				url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
				//dataType : "json",
				type : "POST",
				//data : "{op : testconnection, IPAddress : ip, Port :port, APIKey : apikey, CSRFGuardToken : CSRFGuardToken}",
				data:"op="+"testconnection"+"&IPAddress="+$("input[name='IPAddress']").val()+"&Port="+$("input[name='Port']").val()+"&APIKey="+$("input[name='APIKey']").val()+"&CSRFGuardToken="+document.forms[0].CSRFGuardToken.value+"&fromurl="+'/custom_defense.jsp',
				beforeSend : function() {
					$("input[name='btnConnect']").attr("disabled", true);
					$('#general-ajax-load1').show();
				},
				complete : function() {
					$("input[name='btnConnect']").removeAttr("disabled");
					$('#general-ajax-load1').hide();
				},
				success : function(data) {
					//console.log(data);
					$('#general-ajax-load1').hide();
					$("input[name='btnConnect']").removeAttr("disabled");
					if(data == 0)
					{
						alert(i18n_dda_connection_success);
						$("input[name='save']").removeAttr("disabled");
					}
					else
					{
						alert(i18n_dda_connection_fail);
						$("input[name='save']").attr("disabled", true);
					}
					//alert(data);
				},
				error : function(a, b, c) {
					//console.log("ERROR:", a, b, c);
					alert(i18n_dda_connection_fail);
				}
			});
		});
		
		//TMCM Test Connection bottom
		$("input[name='tmcm_btnConnect']").click(function() {
			var ip = Trim($("input[name='TMCM_IPAddress_SO']").val());
			var port = Trim($("input[name='TMCM_Port_SO']").val());
			var apikey = Trim($("input[name='TMCM_APIKEY_SO']").val());

			if(!(ValidateIP(ip)))
			{
				alert(i18n_valid_ip);
				$("input[name='TMCM_IPAddress_SO']").focus();
				return;
			}
			if(!(ValidatePort(port)))
			{
				alert(i18n_valid_port);
				$("input[name='TMCM_Port_SO']").focus();
				return;
			}

			if(apikey.length !== 36)
			{
				alert(i18n_valid_apikey);
				$("input[name='TMCM_APIKEY_SO']").focus();
				return;
			}

			$.ajax({
				url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
				//dataType : "json",
				type : "POST",
				//data : "{op : testconnection, IPAddress : ip, Port :port, APIKey : apikey, CSRFGuardToken : CSRFGuardToken}",
				data:"op="+"tmcm_testconnection"+"&TMCM_IPAddress_SO="+$("input[name='TMCM_IPAddress_SO']").val()+"&TMCM_Port_SO="+$("input[name='TMCM_Port_SO']").val()+"&TMCM_APIKEY_SO="+$("input[name='TMCM_APIKEY_SO']").val()+"&CSRFGuardToken="+document.forms[0].CSRFGuardToken.value+"&fromurl="+'/custom_defense.jsp',
				beforeSend : function() {
					$("input[name='tmcm_btnConnect']").attr("disabled", true);
					$('#general-ajax-load2').show();
				},
				complete : function() {
					$("input[name='tmcm_btnConnect']").removeAttr("disabled");
					$('#general-ajax-load2').hide();
				},
				success : function(data) {
					//console.log(data);
					$('#general-ajax-load2').hide();
					$("input[name='tmcm_btnConnect']").removeAttr("disabled");
					if(data == 0)
					{
						alert("The TMCM connection test has passed successfully.");
						$("input[name='save_tmcm_so']").removeAttr("disabled");
					}
					else
					{
						alert("The TMCM connection test failed. Try again.");
						$("input[name='save_tmcm_so']").attr("disabled", true);
					}
					//alert(data);
				},
				error : function(a, b, c) {
					//console.log("ERROR:", a, b, c);
					alert("The TMCM connection test failed. Try again.");
				}
			});
		});
		
		
		//DDI Test Connection bottom
		$("input[name='ddi_btnConnect']").click(function() {
			var ip = Trim($("input[name='DDI_IPAddress_SO']").val());
			var port = Trim($("input[name='DDI_Port_SO']").val());

			if(!(ValidateIP(ip)))
			{
				alert(i18n_valid_ip);
				$("input[name='DDI_IPAddress_SO']").focus();
				return;
			}
			if(!(ValidatePort(port)))
			{
				alert(i18n_valid_port);
				$("input[name='DDI_Port_SO']").focus();
				return;
			}

			$.ajax({
				url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
				//dataType : "json",
				type : "POST",
				//data : "{op : testconnection, IPAddress : ip, Port :port, APIKey : apikey, CSRFGuardToken : CSRFGuardToken}",
				data:"op="+"ddi_testconnection"+"&DDI_IPAddress_SO="+$("input[name='DDI_IPAddress_SO']").val()+"&DDI_Port_SO="+$("input[name='DDI_Port_SO']").val()+"&CSRFGuardToken="+document.forms[0].CSRFGuardToken.value+"&fromurl="+'/custom_defense.jsp',
				beforeSend : function() {
					$("input[name='ddi_btnConnect']").attr("disabled", true);
					$('#general-ajax-load3').show();
				},
				complete : function() {
					$("input[name='ddi_btnConnect']").removeAttr("disabled");
					$('#general-ajax-load3').hide();
				},
				success : function(data) {
					//console.log(data);
					$('#general-ajax-load3').hide();
					$("input[name='ddi_btnConnect']").removeAttr("disabled");
					if(data == 0)
					{
						alert("The DDI connection test has passed successfully.");
						$("input[name='save_ddi_so']").removeAttr("disabled");
					}
					else
					{
						alert("The DDI connection test failed. Try again.");
						$("input[name='save_ddi_so']").attr("disabled", true);
					}
					//alert(data);
				},
				error : function(a, b, c) {
					//console.log("ERROR:", a, b, c);
					alert("The DDI connection test failed. Try again.");
				}
			});
		});


		//Sync Blacklist
		$("input[name='btnSync']").click(function() {

			$.ajax({
				url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
				//dataType : "json",
				type : "POST",
				data:"op="+"syncblacklist"+"&IPAddress="+$("input[name='IPAddress']").val()+"&Port="+$("input[name='Port']").val()+"&APIKey="+$("input[name='APIKey']").val()+"&CSRFGuardToken="+document.forms[0].CSRFGuardToken.value+"&fromurl="+'/custom_defense.jsp',
				beforeSend : function() {
					$("input[name='btnSync']").attr("disabled", true);
					$('#general-ajax-load2').show();
					$("#synctext").html('');
					//$("#synctext").html('Last Synced: '+utime);
				},
				complete : function() {
					$("input[name='btnSync']").removeAttr("disabled");
					$('#general-ajax-load2').hide();
				},
				success : function(data) {
					if(data)
					{
						//console.log("success");
						//console.log(data);
						$("input[name='btnSync']").removeAttr("disabled");
						$('#general-ajax-load2').hide();
						$("#synctext").html('Last Synced: '+data);
					}
					else
					{
						alert(i18n_sync_fail);
						return;
					}
				},
				error : function(a, b, c) {
					//console.log("ERROR:", a, b, c);
					alert(i18n_sync_fail);
				}
			});
		});


		//Save
		$("input[name='save']").click(function(){
			if($("input[name='checkbox_ddan']").attr("checked"))
			{
				var ip = Trim($("input[name='IPAddress']").val())
				if(ip != "") {
					if (!(ValidateIP(ip)))
					{
						alert(i18n_valid_ip);
						$("input[name='IPAddress']").focus();
						return;
					}

					var port = Trim($("input[name='Port']").val());
					if(!(ValidatePort(port)))
					{
						alert(i18n_valid_port);
						$("input[name='Port']").focus();
						return;
					}
					var apikey = Trim($("input[name='APIKey']").val());
					if(apikey.length !== 36)
					{
						alert(i18n_valid_apikey);
						$("input[name='APIKey']").focus();
						return;
					}
				}
			}
			
			$("input[name='daemonaction']").val("71"); /*restart*/

			if ($("input[name='checkbox_ddan']").attr("checked"))
			{
				$("input[name='checkbox_ddan']").val("1");
			}
			else
			{
				$("input[name='checkbox_ddan']").val("0");
			}

			if ($("input[name='checkbox_upload']").attr("checked"))
			{
				$("input[name='checkbox_upload']").val("1");
			}
			else
			{
				$("input[name='checkbox_upload']").val("0");
			}

			if ($("input[name='checkbox_expl']").attr("checked"))
			{
				$("input[name='checkbox_expl']").val("1");
			}
			else
			{
				$("input[name='checkbox_expl']").val("0");
			}

			if ($("input[name='checkbox_heur']").attr("checked"))
			{
				$("input[name='checkbox_heur']").val("1");
			}
			else
			{
				$("input[name='checkbox_heur']").val("0");
			}

			if ($("input[name='checkbox_mal']").attr("checked"))
			{
				$("input[name='checkbox_mal']").val("1");
			}
			else
			{
				$("input[name='checkbox_mal']").val("0");
			}

			if ($("input[name='checkbox_blk']").attr("checked"))
			{
				$("input[name='checkbox_blk']").val("1");
			}
			else
			{
				$("input[name='checkbox_blk']").val("0");
			}

			if ($("input[name='kgf_checkbox_upload']").attr("checked"))
			{
				$("input[name='kgf_checkbox_upload']").val("1");
			}
			else
			{
				$("input[name='kgf_checkbox_upload']").val("0");
			}

			if ($("input[name='checkbox_bzip']").attr("checked"))
			{
				$("input[name='checkbox_bzip']").val("1");
			}
			else
			{
				$("input[name='checkbox_bzip']").val("0");
			}

			if ($("input[name='checkbox_chm']").attr("checked"))
			{
				$("input[name='checkbox_chm']").val("1");
			}
			else
			{
				$("input[name='checkbox_chm']").val("0");
			}

			if ($("input[name='checkbox_nt_95_lnk']").attr("checked"))
			{
				$("input[name='checkbox_nt_95_lnk']").val("1");
			}
			else
			{
				$("input[name='checkbox_nt_95_lnk']").val("0");
			}
			if($("input[name='checkbox_shell_lnk']").attr("checked"))
			{
				$("input[name='checkbox_shell_lnk']").val("1");
			}
			else
			{
				$("input[name='checkbox_shell_lnk']").val("0");
			}

			if ($("input[name='checkbox_office']").attr("checked"))
			{
				$("input[name='checkbox_office']").val("1");
			}
			else
			{
				$("input[name='checkbox_office']").val("0");
			}

			if ($("input[name='checkbox_pdf']").attr("checked"))
			{
				$("input[name='checkbox_pdf']").val("1");
			}
			else
			{
				$("input[name='checkbox_pdf']").val("0");
			}

			if ($("input[name='checkbox_rar']").attr("checked"))
			{
				$("input[name='checkbox_rar']").val("1");
			}
			else
			{
				$("input[name='checkbox_rar']").val("0");
			}

			if ($("input[name='checkbox_swf']").attr("checked"))
			{
				$("input[name='checkbox_swf']").val("1");
			}
			else
			{
				$("input[name='checkbox_swf']").val("0");
			}

			if ($("input[name='checkbox_tar']").attr("checked"))
			{
				$("input[name='checkbox_tar']").val("1");
			}
			else
			{
				$("input[name='checkbox_tar']").val("0");
			}

			if ($("input[name='checkbox_exe']").attr("checked"))
			{
				$("input[name='checkbox_exe']").val("1");
			}
			else
			{
				$("input[name='checkbox_exe']").val("0");
			}

			if ($("input[name='checkbox_zip']").attr("checked"))
			{
				$("input[name='checkbox_zip']").val("1");
			}
			else
			{
				$("input[name='checkbox_zip']").val("0");
			}

			var tmp="<%=blacklist_action%>";
			var black_action = $("#blk_action").val();

			var f = "input[name='ddi_ip']";
			var f = $(f);

			var ddi_list = "";
			for(var i = 0; i < f.length; i ++) {
				ddi_list = ddi_list + f[i].value + ";";
			}

			$.ajax({
				url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
				dataType : "json",
				type : "POST",
				data : {
					op : "save",
					CSRFGuardToken : document.forms[0].CSRFGuardToken.value,
					fromurl : $("input[name='fromurl']").val(),
					daemonaction : $("input[name='daemonaction']").val(),
					checkbox_ddan : $("input[name='checkbox_ddan']").val(),
					IPAddress : Trim($("input[name='IPAddress']").val()),
					Port : Trim($("input[name='Port']").val()),
					APIKey : Trim($("input[name='APIKey']").val()),
					checkbox_upload : $("input[name='checkbox_upload']").val(),
					checkbox_expl : $("input[name='checkbox_expl']").val(),
					checkbox_heur : $("input[name='checkbox_heur']").val(),
					checkbox_mal : $("input[name='checkbox_mal']").val(),
					kgf_checkbox_upload : $("input[name='kgf_checkbox_upload']").val(),
					checkbox_bzip : $("input[name='checkbox_bzip']").val(),
					checkbox_chm : $("input[name='checkbox_chm']").val(),
					checkbox_nt_95_lnk : $("input[name='checkbox_nt_95_lnk']").val(),
					checkbox_shell_lnk : $("input[name='checkbox_shell_lnk']").val(),
					checkbox_office : $("input[name='checkbox_office']").val(),
					checkbox_pdf : $("input[name='checkbox_pdf']").val(),
					checkbox_rar : $("input[name='checkbox_rar']").val(),
					checkbox_swf : $("input[name='checkbox_swf']").val(),
					checkbox_tar : $("input[name='checkbox_tar']").val(),
					checkbox_exe : $("input[name='checkbox_exe']").val(),
					checkbox_zip : $("input[name='checkbox_zip']").val(),
					checkbox_blk : $("input[name='checkbox_blk']").val(),
					blk_action : $("#blk_action").val(),
					ddi_list: ddi_list
				},
				beforeSend : function() {
					$("input[name='save']").attr("disabled", true);
				},
				complete : function() {
					//$("input[name='save']").removeAttr("disabled");
				},
				success : function(data) {

					if (data == "0") {
						$("input[name='save']").attr("disabled", true);
					}
					else {
						alert(i18n_dda_connection_fail);
						$("input[name='save']").removeAttr("disabled");
						return;
					}
				},
				error : function(a, b, c) {
					//console.log("ERROR:", a, b, c);
					//alert(i18n_sync_fail);
				}
			});

		});
		
		$("input[name='save_ddi_so']").click(function(){
			if($("input[name='checkbox_ddi_so']").attr("checked"))
			{
				var ip = Trim($("input[name='DDI_IPAddress_SO']").val())
				if(ip != "") {
					if (!(ValidateIP(ip)))
					{
						alert(i18n_valid_ip);
						$("input[name='DDI_IPAddress_SO']").focus();
						return;
					}

					var port = Trim($("input[name='DDI_Port_SO']").val());
					if(!(ValidatePort(port)))
					{
						alert(i18n_valid_port);
						$("input[name='DDI_Port_SO']").focus();
						return;
					}
				}
			}
			
			$("input[name='daemonaction']").val("71"); /*restart*/


			if ($("input[name='checkbox_ddi_so']").attr("checked"))
			{
				$("input[name='checkbox_ddi_so']").val("1");
			}
			else
			{
				$("input[name='checkbox_ddi_so']").val("0");
			}


			$.ajax({
				url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
				dataType : "json",
				type : "POST",
				data : {
					op : "save_ddi_so",
					CSRFGuardToken : document.forms[0].CSRFGuardToken.value,
					fromurl : $("input[name='fromurl']").val(),
					daemonaction : $("input[name='daemonaction']").val(),
					checkbox_ddi_so : $("input[name='checkbox_ddi_so']").val(),
					DDI_IPAddress_SO : Trim($("input[name='DDI_IPAddress_SO']").val()),
					DDI_Port_SO : Trim($("input[name='DDI_Port_SO']").val())
				},
				beforeSend : function() {
					$("input[name='save_ddi_so']").attr("disabled", true);
				},
				complete : function() {
					//$("input[name='save']").removeAttr("disabled");
				},
				success : function(data) {

					if (data == "0") {
						$("input[name='save_ddi_so']").attr("disabled", true);
					}
					else {
						alert("DDI Connection test failed.");
						$("input[name='save_ddi_so']").removeAttr("disabled");
						return;
					}
				},
				error : function(a, b, c) {
					//console.log("ERROR:", a, b, c);
					//alert(i18n_sync_fail);
				}
			});

		});
		
		$("input[name='save_tmcm_so']").click(function(){
			if($("input[name='checkbox_tmcm_so']").attr("checked"))
			{
				var ip = Trim($("input[name='TMCM_IPAddress_SO']").val())
				if(ip != "") {
					if (!(ValidateIP(ip)))
					{
						alert(i18n_valid_ip);
						$("input[name='TMCM_IPAddress_SO']").focus();
						return;
					}

					var port = Trim($("input[name='TMCM_Port_SO']").val());
					if(!(ValidatePort(port)))
					{
						alert(i18n_valid_port);
						$("input[name='TMCM_Port_SO']").focus();
						return;
					}
					
					var apikey = Trim($("input[name='TMCM_APIKEY_SO']").val());
					if(apikey.length !== 36)
					{
						alert(i18n_valid_apikey);
						$("input[name='TMCM_APIKEY_SO']").focus();
						return;
					}
				}
			}
			
			$("input[name='daemonaction']").val("71"); /*restart*/

			if ($("input[name='checkbox_tmcm_so']").attr("checked"))
			{
				$("input[name='checkbox_tmcm_so']").val("1");
			}
			else
			{
				$("input[name='checkbox_tmcm_so']").val("0");
			}

			$.ajax({
				url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
				dataType : "json",
				type : "POST",
				data : {
					op : "save_tmcm_so",
					CSRFGuardToken : document.forms[0].CSRFGuardToken.value,
					fromurl : $("input[name='fromurl']").val(),
					daemonaction : $("input[name='daemonaction']").val(),
					checkbox_tmcm_so : $("input[name='checkbox_tmcm_so']").val(),
					TMCM_IPAddress_SO : Trim($("input[name='TMCM_IPAddress_SO']").val()),
					TMCM_Port_SO : Trim($("input[name='TMCM_Port_SO']").val()),
					TMCM_APIKEY_SO : Trim($("input[name='TMCM_APIKEY_SO']").val())
				},
				beforeSend : function() {
					$("input[name='save_tmcm_so']").attr("disabled", true);
				},
				complete : function() {
					//$("input[name='save']").removeAttr("disabled");
				},
				success : function(data) {

					if (data == "0") {
						$("input[name='save_tmcm_so']").attr("disabled", true);
					}
					else {
						alert("TMCM Connection test failed.");
						$("input[name='save_tmcm_so']").removeAttr("disabled");
						return;
					}
				},
				error : function(a, b, c) {
					//console.log("ERROR:", a, b, c);
					//alert(i18n_sync_fail);
				}
			});

		});
		
	});

function AddDdi()
{
	var ip = Trim($("input[name='DDI_IPAddress']").val());

	if (!ISValidHostName4(ip)) {
		alert(i18n_valid_ip);
		$("input[name='DDI_IPAddress']").focus();
		return;
	}

	$("input[name='DDI_IPAddress']").val("");

	var f = "input[name='ddi_ip']";
	f = f + "[value='" + ip + "']";
	if ($(f).length != 0) {
		alert(i18n_dup_ddi_ip);
		return;
	}

	var table =  $("table[name='ddi_table']")[0];

	var td = "<td> <input type='hidden' name='ddi_ip' value='" + ip + "'>";
	td += "</td>";

	td += "<td>" + ip + "</td>";
	td += "<td>"
	td += "<input name='Ddi_Del' type='button' class='button' onClick=\"DelDdi('" + ip + "');\" value='Del' />";
	td += "</td>";

	var row = table.insertRow(-1);
	row.innerHTML = td;

	for (var i = 1; i < table.rows.length; i ++) {
		row = table.rows[i];

		var j = (i % 2);

		if (j == 0) {
			j = "data2b";
		}
		else {
			j = "data1b"
		}

		row.setAttribute("class", j);
	}

	$("input[name='save']").removeAttr("disabled");
}

function DelDdi(ip)
{
	var f = "input[name='ddi_ip']";
	f = f + "[value='" + ip + "']";
	f = $(f);
	if (f.length == 0){
		alert(i18n_ddi_ip_not_found);
		return;
	}

	f = f.parents("tr");
	f = f[0];

	var table =  $("table[name='ddi_table']")[0];
	table.deleteRow(f.rowIndex);

	$("input[name='DDI_IPAddress']").val(ip);

	for (var i = 1; i < table.rows.length; i ++) {
		row = table.rows[i];

		var j = (i % 2);

		if (j == 0) {
			j = "data2b";
		}
		else {
			j = "data1b"
		}

		row.setAttribute("class", j);
	}

	$("input[name='save']").removeAttr("disabled");
}

</script>

</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0"
	marginheight="0" onLoad="">
	<FORM ACTION="servlet/com.trend.iwss.gui.servlet.dtasinfoset"
		METHOD=POST NAME=saveform>
		<input type="hidden" name="op" value="save">
		<input type="hidden" name="fromurl" value="/custom_defense.jsp">
		<input type="hidden" name="daemonaction" value="0">
		<input type="hidden" name="ddi_list" value="">
		
		<table cellspacing="0" cellpadding="0" width="98%" border="0">
			<tr>
				<td class="content-title"><i18n:message bundleRef="bundleHttp"
						key="https.policy.custom_defense.title" /></td>
				<td valign="bottom">
					<div align="right">
						<a href="javascript:openhelpwin('custom_defense.htm');"><img
							src="images/question_cui.gif" width="18" height="18" border="0"></a>
					</div>
				</td>
			</tr>
			<tr>
				<td colspan="2" class="hor-dotted-line"><img
					src="images/1space_cui.gif" width="1" height="10"></td>
			</tr>
			<tr>
				<td height="10" colspan="2"><img src="images/1space_cui.gif"
					width="1" height="10"></td>
			</tr>
		</table>
		
		
		<TABLE cellSpacing=0 cellPadding=0 width="98%" border=0> <TBODY>
			<!-- TABS -->
			<tr>
				<td width="100%" background="images/tab_background_cui.gif">
					<table cellpadding="0" cellspacing="0" border="0" class="table-tabs">
						<tbody>
							<tr>
								<td>
									<img src="images/tab_active1_left_cui.gif" width="11" height="23" alt="" border="0">
								</td>
								<td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap="">
									Custom Defense Settings
								</td>
								<td>
									<img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0">
								</td>
								<td>
									<img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0">
								</td>
								<td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap="">
									<a onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none" onMouseOut="this.style.color='#000000';" href="risk_level.jsp">Risk Level Settings</a>
								</td>
								<td>
									<img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0">
								</td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
			<!-- TABS -->
			<TR <%=so_sync_display%>>
				<TD class="border" colspan="2">
					<table width="100%" border="0" cellpadding="0" cellspacing="0" class="content">
						<tr>
							<td colspan="2" valign="top" class="data1">
								<input type="checkbox" name="checkbox_ddi_so" value="checkbox"
									<%if(ddi_so_enable.equals("1")){%> checked <%}%> >
								Enable DDI SO Sync
							</td>
						</tr>

						<tr>
							<td height="10" colspan="2"><img
								src="images/1space_cui.gif" width="1" height="10"></td>
						</tr>
						<tr>
							<td colspan="2" class="tableheadergrey2">
							Deep Discovery Inspector Suspicious Object Synchronization
							</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>

						<tr>
							<td class="data1" style="padding-left: 10px">Server Address</td>
							<td class="data1"><input name="DDI_IPAddress_SO" type="text"
								class="button" size="30" value="<%=ddi_ip_so%>"
								<%if(ddi_so_enable.equals("0")){%> disabled <%}%> /></td>
						</tr>
						<tr>
							<td class="data1" style="padding-left: 10px">Port</td>
							<td class="data1">
							<input name="DDI_Port_SO" type="text"
								class="button" size="5" value="<%=ddi_port_so%>"
								<%if(ddi_so_enable.equals("0")){%> disabled <%}%> />
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								<input name="ddi_btnConnect" type="button" class="button"
									value="<i18n:message bundleRef="bundleHttp" key="https.policy.custom_defense.test_connection" />"
									onClick="" />
								<img alt="loading" id="general-ajax-load3" src="images/icon_ajax_loader.gif"
									style="display: none; z-index: 99999;">
							</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>

						<tr>
							<%if (access == 3) { %>
									<td height="28" valign="bottom">
										<input name="save_ddi_so"
										type="button" class="button" onClick=""
										value="<i18n:message bundleRef='bundleCommon' key='button.save' />"
										disabled> 
										<input name="cancel_ddi_so" type="button" class="button"
										onClick="javascript:self.location.replace('custom_defense.jsp')"
										value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />">
									</td>
							<%}%>
						</tr>
						
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>
					</table></td>
			</tr></TBODY>
		</table>
		
		<tr >
			<td colspan="2"><img src="images/1space_cui.gif" width="1"
				height="30" <%=so_sync_display%>></td>
		</tr>
		
		<TABLE cellSpacing=0 cellPadding=0 width="98%" border=0> <TBODY>
			<TR <%=so_sync_display%>>
				<TD class="border" colspan="2">
					<table width="100%" border="0" cellpadding="0" cellspacing="0" class="content">
						<tr>
							<td colspan="2" valign="top" class="data1">
								<input type="checkbox" name="checkbox_tmcm_so" value="checkbox"
									<%if(tmcm_so_enable.equals("1")){%> checked <%}%> >
								Enable TMCM SO Sync
							</td>
						</tr>

						<tr>
							<td height="10" colspan="2"><img
								src="images/1space_cui.gif" width="1" height="10"></td>
						</tr>
						<tr>
							<td colspan="2" class="tableheadergrey2">
							Control Manager Suspicious Object Synchronization 
							</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>

						<tr>
							<td class="data1" style="padding-left: 10px">Server Address</td>
							<td class="data1"><input name="TMCM_IPAddress_SO" type="text"
								class="button" size="30" value="<%=tmcm_ip_so%>"
								<%if(tmcm_so_enable.equals("0")){%> disabled <%}%> /></td>
						</tr>
						<tr>
							<td class="data1" style="padding-left: 10px">Port</td>
							<td class="data1"><input name="TMCM_Port_SO" type="text"
								class="button" size="5" value="<%=tmcm_port_so%>"
								<%if(tmcm_so_enable.equals("0")){%> disabled <%}%> /></td>
						</tr>
						<tr>
							<td class="data1" style="padding-left: 10px">API Key</td>
							<td class="data1">
							<input name="TMCM_APIKEY_SO" type="text"class="button" size="48" value="<%=tmcm_apikey_so%>"
								<%if(tmcm_so_enable.equals("0")){%> disabled <%}%> />
								&nbsp;&nbsp;&nbsp;&nbsp;
								<input name="tmcm_btnConnect" type="button" class="button"
									value="<i18n:message bundleRef="bundleHttp" key="https.policy.custom_defense.test_connection" />"
									onClick="" />
								<img alt="loading" id="general-ajax-load2" src="images/icon_ajax_loader.gif"
									style="display: none; z-index: 99999;">
							</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>

						<tr>
							<%if (access == 3) { %>
									<td height="28" valign="bottom">
										<input name="save_tmcm_so"
										type="button" class="button" onClick=""
										value="<i18n:message bundleRef='bundleCommon' key='button.save' />"
										disabled > 
										<input name="cancel_tmcm_so" type="button" class="button"
										onClick="javascript:self.location.replace('custom_defense.jsp')"
										value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />">
									</td>
							<%}%>
						</tr>
						
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>
					</table></td>
			</tr></TBODY>
		</table>
		
		<tr>
			<td colspan="2"><img src="images/1space_cui.gif" width="1"
				height="30" <%=so_sync_display%>></td>
		</tr>

		<TABLE cellSpacing=0 cellPadding=0 width="98%" border=0> <TBODY>
			<TR>
				<TD class="border" colspan="2">
					<table width="100%" border="0" cellpadding="0" cellspacing="0" class="content">
						<tr>
							<td colspan="2" valign="top" class="data1">
								<input type="checkbox" name="checkbox_ddan" value="checkbox"
									<%if(ddan_enable.equals("1")){%> checked <%}%>
									<%if(!license_enable){%> disabled <%}%>>
									Enable DDAn Submission and SO Sync
									<%if(!license_enable) {%>
										<label size="40" style="color: red; font-style: italic;">
											<i18n:message bundleRef="bundleHttp" key="https.policy.custom_defense.no_license" />
										</label>
									<%} %>
							</td>
						</tr>

						<tr>
							<td height="10" colspan="2"><img
								src="images/1space_cui.gif" width="1" height="10"></td>
						</tr>
						<tr>
							<td colspan="2" class="tableheadergrey2">Deep Discovery Analyzer Submission and Suspicious Object Synchronization</td>
						</tr>
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>

						<tr>
							<td class="data1" style="padding-left: 10px"><i18n:message
									bundleRef="bundleHttp"
									key="https.policy.custom_defense.ip_address" /></td>
							<td class="data1"><input name="IPAddress" type="text"
								class="button" size="30" value="<%=dda_ip%>"
								<%if(ddan_enable.equals("0")){%> disabled <%}%> /></td>
						</tr>
						<tr>
							<td class="data1" style="padding-left: 10px"><i18n:message
									bundleRef="bundleHttp" key="https.policy.custom_defense.port" />
							</td>
							<td class="data1"><input name="Port" type="text"
								class="button" size="5" value="<%=dda_port%>"
								<%if(ddan_enable.equals("0")){%> disabled <%}%> /></td>
						</tr>
						<tr>
							<td class="data1" style="padding-left: 10px;">
								<i18n:message bundleRef="bundleHttp"
									key="https.policy.custom_defense.api_key" />
							</td>
							<td class="data1">
								<input name="APIKey" type="text" class="button" size="48" value="<%=apikey%>"
									<%if(ddan_enable.equals("0")){%> disabled <%}%> />
								&nbsp;&nbsp;&nbsp;&nbsp;
								<input name="btnConnect" type="button" class="button"
									value="<i18n:message bundleRef="bundleHttp" key="https.policy.custom_defense.test_connection" />"
									onClick="" />
								<img alt="loading" id="general-ajax-load1" src="images/icon_ajax_loader.gif"
									style="display: none; z-index: 99999;">
							</td>
						</tr>

						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>

						<tr>
							<td colspan="2" valign="top" class="data1" > <table width="100%" border="0" cellpadding="0" cellspacing="0" class="content"> <tbody>
								<tr>
									<td style="padding-left: 5px;">
									</td>

									<td class="border"> <table width="100%" border="0" cellpadding="0" cellspacing="0" class="content"> <tbody>
										<tr>
											<td class="tableheadergrey2">
												<i18n:message bundleRef="bundleHttp"
													key="https.policy.custom_defense.sample_submission" />
											</td>
										</tr>

										<tr>
											<td> <table> <tbody>
												<tr>
													<td valign="top" class="data1">
														<input type="checkbox" name="checkbox_upload" value="checkbox"
															<%if(upload_enable.equals("1")){%> checked <%}%> onClick=""
															<%if(ddan_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.enable_threat_sample_submission" />
													</td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top" class="data1">
														<input type="checkbox" name="checkbox_expl" value="checkbox"
															<%if(EXPL_enable.equals("1")){%> checked <%}%>
															onClick=""
															<%if(upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.document_exploits" />
													</td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_heur"
														value="checkbox" <%if(HEUR_enable.equals("1")){%> checked <%}%>
														onClick="" <%if(upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.heuristics_detection" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_mal"
														value="checkbox" <%if(malware_enable.equals("1")){%> checked
														<%}%> onClick="" <%if(upload_enable.equals("0")){%> disabled
														<%}%>> <i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.known_malware" /></td>
												</tr>

												<tr>
													<td valign="top" class="data1">
														<!--kgf names for known good files--> <input type="checkbox"
														name="kgf_checkbox_upload" value="checkbox"
														<%if(kgf_upload_enable.equals("1")) {%> checked <%}%>
														<%if(ddan_enable.equals("0")) {%> disabled <%}%>></input> <i18n:message
															bundleRef="bundleHttp"
															key="https.policy.custom_defense.enable_file_type_sample_submission" />
													</td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_bzip"
														value="checkbox" <%if(bzip_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.bzip_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_chm"
														value="checkbox" <%if(chm_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.chm_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox"
														name="checkbox_nt_95_lnk" value="checkbox"
														<%if(nt_95_lnk_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.nt_95_lnk_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox"
														name="checkbox_shell_lnk" value="checkbox"
														<%if(shell_lnk_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.shell_lnk_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox"
														name="checkbox_office" value="checkbox"
														<%if(office_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.office_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_pdf"
														value="checkbox" <%if(pdf_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.pdf_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_rar"
														value="checkbox" <%if(rar_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.rar_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_swf"
														value="checkbox" <%if(swf_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.swf_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_tar"
														value="checkbox" <%if(tar_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.tar_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_exe"
														value="checkbox" <%if(exe_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.exe_file" /></td>
												</tr>
												<tr>
													<td style="padding-left: 25px;" valign="top"
														class="data1"><input type="checkbox" name="checkbox_zip"
														value="checkbox" <%if(zip_enable.equals("1")){%> checked <%}%>
														<%if(kgf_upload_enable.equals("0")){%> disabled <%}%>>
														<i18n:message bundleRef="bundleHttp"
															key="https.policy.custom_defense.zip_file" /></td>
												</tr>
											</tbody> </table> </td>
										</tr>
									</tbody> </table> </td>
								</tr>
							</tbody></table></td>
						</tr>

						<tr <%=ddi_display%>>
							<td height="10" colspan="2"><img
								src="images/1space_cui.gif" width="1" height="10"></td>
						</tr>
						<tr <%=ddi_display%>>
							<td colspan="2" class="tableheadergrey2">
								<i18n:message bundleRef="bundleHttp"
									key="https.policy.custom_defense.ddi_conf" />
							</td>
						</tr>
						<tr <%=ddi_display%>>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>

						<tr <%=ddi_display%>>
							<td colspan="2" valign="top" class="data1"> <table > <tbody>
								<tr>
									<td class="border"> <table name="ddi_table" width="100%" border="0" cellpadding="0" cellspacing="0" class="content"><tbody>
										<tr class="tableheadergrey2" >
											<td width="25px"> </td>
											<td width="250px">
												<i18n:message bundleRef="bundleHttp"
													key="https.policy.custom_defense.ddi_col_ip" />
											</td>
											<td width="150px"></td>
										</tr>
<%
String[] l1 = ddi_list.split(";");

int tr_index = 0;

for(int i = 0; i < l1.length; i ++)
{
	if(l1[i].equals(""))
	{
		continue;
	}
	String[] l2 = l1[i].split(",");
	if (l2.length != 3 && l2.length != 1)
	{
		continue;
	}

	tr_index ++;
	if (tr_index > 2)
	{
		tr_index = 1;
	}
%>


										<tr class="data<%=tr_index%>b">
											<td>
												<input type="hidden" name="ddi_ip" value="<%=l2[0] %>">
											</td>
											<td><%=l2[0] %>
											</td>
											<td>
												<input name="Ddi_Del" type="button" class="button" onClick="DelDdi('<%=l2[0] %>');"
													value="<i18n:message bundleRef='bundleHttp' key='https.policy.custom_defense.ddi_del' />" />
											</td>
										</tr>
<%
}
%>
									</tbody></table> </td>
								</tr>
								<tr>
								</tr>
							</tbody> </table> </td>
						</tr>

						<tr <%=ddi_display%>>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>

						<tr <%=ddi_display%>>
							<td name="ddi_edit_td" colspan="2" valign="top" class="data1">
								&nbsp;&nbsp;
								<i18n:message bundleRef="bundleHttp"
									key="https.policy.custom_defense.ddi_ip" />
								<input name="DDI_IPAddress" type="text" class="button" size="20"  value="" />
								<input name="Ddi_Add" type="button" class="button" onClick="AddDdi();"
									value="<i18n:message bundleRef='bundleHttp' key='https.policy.custom_defense.ddi_add' />" />
							</td>
						</tr>
						<!--Block Action-->
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>
						
						<tr>
							<%if (access == 3) { %>
									<td height="28" valign="bottom"><input name="save"
										type="button" class="button" onClick=""
										value="<i18n:message bundleRef='bundleCommon' key='button.save' />"
										disabled> <input name="cancel" type="button" class="button"
										onClick="javascript:self.location.replace('custom_defense.jsp')"
										value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />"></td>
							<%}%>
						</tr>
						
						<tr>
							<td colspan="2"><img src="images/1space_cui.gif" width="1"
								height="10"></td>
						</tr>
					</table></td>
			</tr></TBODY>
		</table>
		
	</form>
</body>
</html>
