<%@ page contentType = "text/html; charset=UTF-8" %>

<%@ page import="com.trend.iwss.gui.*" %>

<%@ page import="com.trend.iwss.policy.*" %>

<%@ page import="net.sf.json.*" %>

<%@ page import="com.trend.iwss.inspection.*" %>

<%@ page import="java.util.*" %>

<%@ page import="java.sql.*" %>

<%@ page import="java.lang.Math" %>

<%@ page import="com.trend.api.administration.*" %>

<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>

<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />

<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<i18n:bundle baseName="iwsvaComplianceTemplate" id="complianceTemplate" />

<i18n:bundle baseName="iwsvaApplicationControl" id="bundleApplicationControl" />
<i18n:bundle baseName="iwsvaFtp" id="bundleFtp" />
<%

int default_policyid = 1;



//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++





//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if(Validation.CheckUser(request,response)!=1)

{

    response.sendRedirect("logon.jsp?");

    return;

}

    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo"); 
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(5);
        if (access == 0)
{
            response.sendRedirect("logon.jsp");
            return;
        }
}
else
{
        response.sendRedirect("logon.jsp");
        return;    
    }




IWSSXML dbxml = IWSSUtil.CheckDatabase(1,"","","");

if(dbxml==null)

{

    response.sendRedirect("databaseerror.jsp?Generic Error");

    return;

}

else

{

    if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0)

    {

        response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));

        return;

    }

}

response.setHeader("Pragma","no-cache");

response.setHeader("Cache-Control","no-cache");

%>



<%



String nothing = "";

//used for category

TreeMap group_categoryId_treemap = new TreeMap();

TreeMap category_id_name_treemap = new TreeMap();

Vector group_name_vector = new Vector();

Vector value_group_categoryId_vector = new Vector();

Vector group_category_id = new Vector();

String group_name = nothing;

String section_category_id = nothing;

String section_category_name = nothing;

int index = 0;

int category_index = 0;

String WorkPath = nothing;

String location_file_dsc = nothing;

String image_src = nothing;

String image_id = nothing;

String switch_content = nothing;



//used for rule value

int[] id_work_array = new int[2048];

//items 0-63 are category id while items 64-127 are rule value

int[] id_value_custom_work_array = new int[128];



int AppInnerCagory_MAX = -1;

int customIdArrayLength;



String override_password = nothing;



String input_work_ruleStr = nothing;



HashMap rule_value_work_hashmap = new HashMap();

String rule_value_work = nothing;

String rule_value_work_custom = nothing;

String selected_policy_id_str = nothing;

String policyid_str = nothing;

String policy_name = nothing;

String create_date = nothing;

String last_modified_date = nothing;

String create_time = nothing;

String last_modified_time = nothing;

String note = nothing;



int policyid=17;


int typeid=11;


PolicySetting psetting;



IWSSINI dsc = new IWSSINI( IWSSInfo.GetDlp_Dsc());

typeid = Integer.parseInt( dsc.GetKeyValue( "policy", "ftp_policy_type_id" ) );

DLPScanRule dlpscanrule=new DLPScanRule();
dlpscanrule.setTypeID(typeid);

Get_Default_Policyid_Info get_default_policyid_info =new Get_Default_Policyid_Info(typeid);
policyid = get_default_policyid_info.get_default_policyid();

IWSSUtil.UI_out_println("-------------JSP::policyid"+policyid);
psetting = UIPolicy.getSessionPolicy(request, dlpscanrule,policyid);



PolicyItem item = psetting.getItem();

Properties rule = psetting.getRule();

String rule_value = (String)rule.get(Integer.toString(PolicyType.timeAllDay));

IWSSUtil.UI_out_println("-------------JSP::rule_v"+rule_value);

Properties worktime_rule = DLPScanRule.ConvertStrtoProperties(rule_value, ",");

String strFileSize=DLPScanRule.ConvertStrtoFilesize(rule_value);

//rule_value = (String)rule.get(Integer.toString(PolicyType.timeLeasure));

//Properties leisuretime_rule = IWSSUtil.ConvertStrtoProperties(rule_value, '|');



List<Template> filterList = TemplateManager.getTemplateList();

int filterLength = filterList.size();

Iterator itr=null;

if(filterList!=null)itr = filterList.iterator();

Template t;

int line = 0;










Get_Default_Policyid_Note_Created_Last_Modified_Date_Info get_default_policyid_date_info =

    new Get_Default_Policyid_Note_Created_Last_Modified_Date_Info(typeid);



policyid_str = get_default_policyid_date_info.get_policyid();

policy_name = get_default_policyid_date_info.get_policy_name();

create_time = get_default_policyid_date_info.get_create_date_ampm();

last_modified_time = get_default_policyid_date_info.get_last_modified_date_ampm();

note = get_default_policyid_date_info.get_note();








AppInnerCagory_MAX = 5000;

ResultSet rs = JdbcHelper.query("GetCategoryName");

ResultSet rs1;

ArrayList<String> categoryName1 = new ArrayList<String>();

while(rs.next()){

	String temp = rs.getString("display_name");

	categoryName1.add(temp);

	group_name_vector.addElement(temp);

}

for (index = 0; index < group_name_vector.size(); index++) {

	group_name = (String) group_name_vector.elementAt(index);

	rs = JdbcHelper.query("GetCategoryID",group_name);

	group_category_id = new Vector();

	while(rs.next()){

		String categoryID = rs.getString("tmpl_id");

		group_category_id.addElement(categoryID);

		rs1 = JdbcHelper.query("GetDisplayName",categoryID);

		if(rs1.next())

			category_id_name_treemap.put(categoryID,rs1.getString("tmpl_displayname"));		

	}

	group_categoryId_treemap.put(group_name,group_category_id);

}



/****************************************************************************

 ******** rebuld datastuct ********

 ******** groupname : categroy_name category_id work_action leisure_action

 ****************************************************************************/

TreeMap<String, List<DLP_Policy_Rule>> group_proto_action = new TreeMap();

for (index = 0; index < group_name_vector.size(); index++) {

	group_name = (String) group_name_vector.elementAt(index);

	ArrayList<DLP_Policy_Rule> app_policy_rule = new ArrayList();



	value_group_categoryId_vector = (Vector) group_categoryId_treemap

			.get(group_name);

	for (category_index = 0; category_index < value_group_categoryId_vector

			.size(); category_index++) {

		String id = (String) value_group_categoryId_vector

				.elementAt(category_index);

		

		String name = (String) category_id_name_treemap.get(id);

		if(name!=null&&!name.equals("")){

		String description = "";

        ResultSet result = JdbcHelper.query("GetDescription",name);

		try {

			if(result.next())

				description = result.getString("description");

		} catch (SQLException e1) {

			// TODO Auto-generated catch block

			e1.printStackTrace();

		}

		

		int work_action = 0;

		if(worktime_rule.getProperty(name)=="" || worktime_rule.getProperty(name)== null)

			work_action = 0;

		else

			work_action=Integer.parseInt(worktime_rule.getProperty(name));

		app_policy_rule.add(new DLP_Policy_Rule(name,id, work_action,0,description));

	}}

	group_proto_action.put(group_name, app_policy_rule);

}

ArrayList<DLP_Policy_Rule> app_policy_rule = new ArrayList();

String name = "";

String customizedid = "";

String dec = "";

int work_action = 0;

rs = JdbcHelper.query("GetCustomized");

while(rs.next()){

	name = rs.getString("tmpl_displayname");

	customizedid = rs.getString("tmpl_id");

	dec = rs.getString("description");

	if(worktime_rule.getProperty(name)=="" || worktime_rule.getProperty(name)== null)

		work_action = 0;

	else

		work_action=Integer.parseInt(worktime_rule.getProperty(name));

	app_policy_rule.add(new DLP_Policy_Rule(name,customizedid, work_action,0,dec));

}





String[] categoryName = new String[categoryName1.size()+1];

//categoryName[0]="Customized";
categoryName[0]=MessageResourcesMgr.mrFtp.getMessage("smtp_config.customized");

for(int i = 0;i<categoryName1.size();i++){

	categoryName[i+1]=categoryName1.get(i);

}





group_proto_action.put(MessageResourcesMgr.mrFtp.getMessage("smtp_config.customized"), app_policy_rule);

JSONObject json_group_proto_action = JSONObject

		.fromObject(group_proto_action);

//JSONObject json_group_name = JSONArray.toArray(categoryName);



//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

%>



<%

String []actionShow = {

		MessageResourcesMgr.mrHttp.getMessage("http.dlp.policy_edit.allow"),

		MessageResourcesMgr.mrHttp.getMessage("http.dlp.policy_edit.block"),

		MessageResourcesMgr.mrHttp.getMessage("http.dlp.policy_edit.monitor"),

		"",

		"",

		"",

		"",

		MessageResourcesMgr.mrHttp.getMessage("http.inspection.policy_edit.skip_scan"),

		};



// and the filtering_action must be same with the index

int []actionValue = {0, 1, 2, -1, -1, -1, -1, 7};



String []images = {

				"<img src=\"images/enable_small.gif\" border=\"0\" align=\"left\">",

				"<img src=\"images/disable_small.gif\" border=\"0\" align=\"left\">",

				"<img src=\"images/icon_query.gif\" border=\"0\" align=\"left\">",

				"",

				"",

				"",

				"",

				"<img src=\"images/enable_small.gif\" border=\"0\" align=\"left\">",

				};

	String disabled_ftp ="";

    if( IWSSInfo.GetDeployMode().equals("icap") ){
        disabled_ftp = "disabled=\"disabled\"";
    }else if( IWSSInfo.GetDeployMode().equals("reverse") ){
        disabled_ftp = "disabled=\"disabled\"";
    }
%>

<html>

<head>

<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">

<title>DLP Policy Edit</title>



<link href="html/trend-style.css" rel="stylesheet" type="text/css">

<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" Src="html/TmCube_Common.js"> </script>

<script language="JavaScript" src="html/tooltip.js" type="text/javascript"></script>

<script language="JavaScript" type="text/javascript" src="html/checkall.js"></script>

<script src="html/expand.js"></script>

<script src="html/imageswap2.js"></script>

<script language="javascript" src="html/func.js"></script>

<script language="javascript" src="html/i18n_warnmsg.js"></script>

<script language="JavaScript">





app_group_id_action = eval(<%=json_group_proto_action%>);



//Remove unclassified protocol from the list which is not allowed to be configured.



search_group_id_action = app_group_id_action;

keyword = '';



search_work_action = -1;

except_group = null;







function findIndexOf(array, v)

{

    for(var i = array.length; i >=0; i--)

    {

        if(array[i] === v ) return i;

    }

    return -1;

}



function checkOneGroup(chkAll, chkItem)

{

	var j;

	var status;

    if(document.getElementById(chkAll).checked)

        status=true;

    else

        status=false;



	if(typeof(document.getElementById(chkItem))=='object')

    {

        var items = document.getElementsByName(chkItem);

        if(items.length>1)

        {

	        for(j=0; j<items.length; j++)

                items[j].checked=status;

        }

        else

        {

	        document.getElementById(chkItem).checked=status;

		}

    }

}



function doApply(group_name, Action, workChecks, workCheckall)

{

	

	var i;

    var action = document.getElementById(Action);

    var wchecks = document.getElementsByName(workChecks); 

    var wcheckvalue, witem;

    var hiddenObject, divObject;

    var pro_id = 0;

    var work_time = "worktime";

	var select_id;

<%for (int j = 0; j < actionShow.length; j++) {%>       

        if(action.value==<%=actionValue[j]%>)

        {

            if(wchecks.length>1) 

            {

                for(i=0; i<wchecks.length; i++)

                {

                    if(wchecks[i].checked == true)

                    {

                        wcheckvalue = wchecks[i].value; 

                        witem = wchecks[i].value + "_div";		

                        divObject = document.all(witem);

                        if(divObject.length > 1){

                            for(n=0;n<divObject.length;n++)

                            {

                            	divObject[n].innerHTML = '<%=images[j]%>' + '<%=actionShow[j]%>';    

                            }

                            }

                           else

                            divObject.innerHTML = '<%=images[j]%>' + '<%=actionShow[j]%>';   

                        wchecks[i].checked = false;

                        select_id = wcheckvalue.replace(work_time, "");

                        

                        //change value in app_group_id_action

            			for (var gr in app_group_id_action)

            			{

            				for(var protocol in app_group_id_action[gr])

            				{

            					pro_id = app_group_id_action[gr][protocol]["protocol_id"];

            					if (select_id == pro_id)

            					{ 

            						app_group_id_action[gr][protocol]["work_Action"]=<%=actionValue[j]%>;

            					}

            				}

            			}

                    }

                }

            }

            else

            {

                if(document.getElementById(workChecks).checked == true)

                {

                    wcheckvalue = document.getElementById(workChecks).value;

                   

                    witem = document.getElementById(workChecks).value + "_div";

                    divObject = document.all(witem);

                    if(divObject.length > 1){

                    for(n=0;n<divObject.length;n++)

                    {

                    	divObject[n].innerHTML = '<%=images[j]%>' + '<%=actionShow[j]%>';    

                    }

                    }

                    else

                    	divObject.innerHTML = '<%=images[j]%>' + '<%=actionShow[j]%>';    

                  

                    document.getElementById(workChecks).checked = false;



                    select_id = wcheckvalue.replace(work_time, "");

                    

                    //change value in app_group_id_action

        			for (var gr in app_group_id_action)

            			{

            				for(var protocol in app_group_id_action[gr])

            				{

            					pro_id = app_group_id_action[gr][protocol]["protocol_id"];

            					if (select_id == pro_id)

            					{ 

            						app_group_id_action[gr][protocol]["work_Action"]=<%=actionValue[j]%>;

            					}

            				}

            			}

                }

            }

            

        }

    <%}%>



    document.getElementById(workCheckall).checked = false;



	EnableSaveButton1();

}





var flag=0;

function toggle1(elementName)

{

	var obj = document.getElementById(elementName);

	if(obj == null) return;



	if(registry[elementName] == 0)

	{

  	  obj.src = image2;

   	 registry[elementName] = 1;

    	flag=1;

	}

	else

	{

   	 	obj.src = image1;

    	registry[elementName] = 0;

    	flag=0;

	}

}



function showNote()

{

	var obj=document.getElementById("note");

	if(flag==1)	obj.style.display ="none";

	else	obj.style.display ="";

}



function expandcontent1(cid)

{

	if(typeof ccollect!="undefined")

	{

   	 if(collapseprevious=="yes")

     	   contractcontent1(cid)

    	document.getElementById(cid).style.display=(document.getElementById(cid).style.display!="block")? "block" : "none"

	}

}



function contractcontent1(cid)

{

	var inc=0

	while (ccollect[inc])

	{

	    if (ccollect[inc].id!=omit)

    	    ccollect[inc].style.display="none"

    	inc++

	}

}





function init()

{

    restoreInput();

    document.saveform.arraySet.value = parent.tophead.arraySet;

}





function EnableSaveButton1()

{

	if( document.saveform.save != null)

	{

 	   document.saveform.save.disabled=false;

	}

}



function checkData()

{

	if(typeof(document.saveform.notes)=='object' && document.saveform.notes.value.length>256)

	{

  	  	document.saveform.notes.focus();

   	 	alert(i18n_notes_limit);

    	return false;

	}

	return true;

}



function doFormSubmit()

{

	document.saveform.submit();

}





function appenData()

{

	var categoryHTML = "";

	var protocolHTML = "";

	var index = <%=AppInnerCagory_MAX%>;

	var worktimeid = "";

	var work_action = "";

	var id = "";

	var name = "";

		

	categoryHTML = "<table><tr><td>";

		

	for (var group_name in app_group_id_action)

	{

		

		var grname = group_name;

		

		for (var protocol in app_group_id_action[group_name])

			{

				id = app_group_id_action[group_name][protocol]["protocol_id"];

				work_action = app_group_id_action[group_name][protocol]["work_Action"];

				name = app_group_id_action[group_name][protocol]["protocol_name"];

				name = id + ":" +work_action;

				worktimeid = 'worktime' + id;

				protocolHTML += '<input type="hidden" class="button" name="' + worktimeid + '" id="' + worktimeid + '" value="' + name + '">';				

			}

			

	}



	categoryHTML += protocolHTML;

	categoryHTML += "</td></tr></table>";

	

	document.getElementById("append_data").innerHTML = categoryHTML;

}



function doSubmit()

{

//alert("doSubmit");



	if (!checkData())

	{

 	   return;

	}

	appenData();
	if(document.saveform.ftpscan_view.checked) document.saveform.ftp__enabled.value="yes";
       else document.saveform.ftp__enabled.value="no";

	if(document.saveform.ftp_dlp_view.checked) document.saveform.dlp_ftp__enabled.value="yes";
       else document.saveform.dlp_ftp__enabled.value="no";


	   
   

	document.saveform.action = "servlet/com.trend.iwss.gui.servlet.updatedlppolicy";

 
  
	setTimeout( "doFormSubmit()", 100 );

}










function exitGroup(app_set,group_name)

{

	var exitFlag = false;

	for (var gr_name in app_set)

	{

		if (gr_name.toLowerCase() == group_name.toLowerCase())

		{

			exitFlag = true;

			break;

		}

	}

	return exitFlag;

}



function drawGroup(app_set,group_name,outindex)

{

	var reg;

	if (keyword.length > 0)

	{

		reg = new RegExp(keyword, "gi");

	}

	var name = group_name;

	var name_show = name;

	var name_tmp = name;

	var index = outindex;

	var image_id = "image_" + name.replace(" ", "_");

	var image_src = "images/icon_plus.gif";



	var switch_content = 'class="switchcontent"';



	var category_id_select = 'category' + index + '_select';

	var category_id_apply = 'category' + index + '_apply';

	var category_id_select = 'category' + index + '_select';

	var work_checkcategoryid_item = 'work_checkcategory' + index + '_item';

	var work_checkcategoryid_all = 'work_checkcategory' + index + '_all';





	var trHTML = '';

	trHTML = '<tr >';

    trHTML += '<td class="data3b" width="30%">';

    trHTML += '<a href="#" class="expand" onClick="expandcontent1(' + '\'' + group_name + '\'' + '); toggle1(' + '\'' + image_id + '\'' + ');return false;"><img src=' + '"' + image_src + '"' + ' name=' + '"' + 'image_id' + '"' + ' width="17" height="17" border="0" align="absmiddle" id=' + '"' + image_id + '"' + ' ><span class="textbold">'  + name_show  + '</span></a></td>';





    //select

    trHTML += '<td class="data3b" align="right" width="30%">';

    trHTML += '<select name="' +  category_id_select  + '" size="1" id="'  + category_id_select  +'" >';

    trHTML += '<option value="0" selected>' + '<i18n:message bundleRef="bundleHttp" key="http.dlp.policy_edit.allow" />' + '</option>';

    trHTML += '<option value="1">' + '<i18n:message bundleRef="bundleHttp" key="http.dlp.policy_edit.block" />' + '</option>';

    trHTML += '<option value="2">' + '<i18n:message bundleRef="bundleHttp" key="http.dlp.policy_edit.monitor" />' + '</option>';

    trHTML += '</select>';



    //apply

    trHTML += '<input name="'  + category_id_apply  + '" id="' +  category_id_apply  + '" type="button" class="button" width="50" ';

    trHTML += 'onClick="doApply('  + '\'' + group_name + '\'' + ',' + '\'' + category_id_select + '\'' + ',' +  '\'' + work_checkcategoryid_item + '\'' + ',' + '\'' + work_checkcategoryid_all + '\'' + ');" value=' + '\"' + '<i18n:message bundleRef='bundleCommon' key='button.apply' />' + '\"' + '>';

    trHTML += '</td>';



    //work check all

    trHTML += '<td width="10%" align="center" class="data3b">';

    trHTML += '<input name="' + work_checkcategoryid_all + '" id="' + work_checkcategoryid_all + '" type="checkbox" value="" onClick="checkOneGroup('+ '\'' + work_checkcategoryid_all + '\'' + ',' + '\'' + work_checkcategoryid_item + '\'' +');">';

    trHTML += '</td>';



    trHTML += '<td width="30%" align="center" class="data3b">' + '<i18n:message bundleRef="bundleHttp" key="https.setting.urlf_global_rule.action" />';

    trHTML += '</td>';





    //add table head for each protocols

    

    trHTML += '<tr><td colspan="6">';

  

    trHTML += '<table width="100%" border="0" cellpadding="0" cellspacing="0" ' + switch_content + ' id="' + group_name + '">';





    //alert(trHTML);

    var protocolHTML = '';

    var name = '';

    var id = '';

    var work_action = '';

    var category_index  = 0;

    var worktimeid = '';

    var worktimeid_div = '';

    var work_image = '';

    var protocol_name_show = '';

    var protocol_des = '';

	for (var protocol in app_set[group_name])

	{

		name = app_set[group_name][protocol]["protocol_name"];

		protocol_name_show = name;

		protocol_name_tmp = name;

		

		protocol_des = app_set[group_name][protocol]["description"];

		protocol_des_show = protocol_des;

		protocol_des_tmp = protocol_des;

		

		id = app_set[group_name][protocol]["protocol_id"];

		work_action = app_set[group_name][protocol]["work_Action"];



		protocolHTML = '';

		worktimeid = 'worktime' + id;

		worktimeid_div = 'worktime' + id + '_div';

		







		if ((keyword.length > 0 &&  name.toLowerCase().indexOf(keyword) >= 0)||(keyword.length > 0 &&  protocol_des.toLowerCase().indexOf(keyword) >= 0))

		{

			var key_lower = keyword.toLowerCase();

			var protocol_name_lower = protocol_name_show.toLowerCase();

			var protocol_des_lower = protocol_des_show.toLowerCase();

			var lgth = key_lower.length;

			protocol_name_show = '';

			protocol_des_show = '';

			var end = protocol_name_lower.indexOf(key_lower);

			var normal = '';

			var hightlight = '';

			var name_tmp = '';

			

			var end1 = protocol_des_lower.indexOf(key_lower);

			var normal1 = '';

			var hightlight1 = '';

			var name_tmp1 = '';

			while(end!=-1){

				normal = protocol_name_tmp.substring(0,end);

				hightlight = protocol_name_tmp.substring(end,end+lgth);

				protocol_name_lower = protocol_name_lower.substring(end+lgth);

				protocol_name_tmp = protocol_name_tmp.substring(end+lgth);

				end = protocol_name_lower.indexOf(key_lower);

				protocol_name_show += normal + "<span style='background-color: yellow'>" + hightlight + "</span>";

			}

			protocol_name_show += protocol_name_tmp;

			while(end1!=-1){

				normal1 = protocol_des_tmp.substring(0,end1);

				hightlight1 = protocol_des_tmp.substring(end1,end1+lgth);

				protocol_des_lower = protocol_des_lower.substring(end1+lgth);

				protocol_des_tmp = protocol_des_tmp.substring(end1+lgth);

				end1 = protocol_des_lower.indexOf(key_lower);

				protocol_des_show += normal1 + "<span style='background-color: yellow'>" + hightlight1 + "</span>";

			}

			protocol_des_show += protocol_des_tmp;

		}



		protocolHTML += '<tr>';

		//protocol name

		protocolHTML += '<td  width="500" class="data' + (category_index%2+1) + 'b" style="padding-left:20px">' + protocol_name_show + '</td>';

		protocolHTML += '<td  width="30%" class="data' + (category_index%2+1) + 'b" style="padding-left:20px">' + protocol_des_show + '</td>';



		//work time check box

		protocolHTML += '<td width="10%" align="center" class="data' + (category_index%2+1) + 'b"><input type="checkbox" name="' + work_checkcategoryid_item + '"  id="' + work_checkcategoryid_item + '" value="' + worktimeid + '">';

		//check box image

		if (work_action == 1)

		{

			work_image = '<%=images[1]%>' + '<%=actionShow[1]%>';

		}

		else if (work_action == 0)

		{

			work_image = '<%=images[0]%>' + '<%=actionShow[0]%>';

		}

		else

		{

			work_image = '<%=images[2]%>' + '<%=actionShow[2]%>';

		}

   		

		protocolHTML += '<td width="30%" align="center" class="data' + (category_index%2+1) + 'b"><div name="' + worktimeid_div + '" id="' + worktimeid_div + '">' + work_image + '</div></td>';



			protocolHTML += '</tr>';



		trHTML += protocolHTML;

		category_index = category_index + 1;

	}



	//add table tail for each protocols

	trHTML += '</table></td></tr>';

    

	return trHTML;

}



function drawing(app_set)

{	

	var categoryHTML = "";

	var index = 0;

	//add table head for all category

	categoryHTML += '<table width="100%" border="0" cellpadding="0" cellspacing="0" class="border2" >';

	var category_group_name = new Array(<%=categoryName.length%>);

	<% 

	for(int i = 0; i < categoryName.length; i++){ 

	%> category_group_name[<%=i%>]= '<%=categoryName[i]%>'; 

	<% 

	} 

	for(int i = 0; i < categoryName.length; i++){ 

	%>

			var gr_name = category_group_name[<%=i%>];

			if(exitGroup(app_set,gr_name)){

				var trHTML ="";

				trHTML = drawGroup(app_set,gr_name,index);

				categoryHTML += trHTML;

				index = index +1;

			}

	<% 

	} 

	%> 

	//add table tail for all category

	categoryHTML += '</table>';

	document.getElementById("category_table").innerHTML = categoryHTML;

	//custom

}



//

// Clears all the saved arrays

//

function clearInput()

{

	parent.tophead.workArray = [];

}



//

// Restore the checkboxes from the saved arrays

//

function restoreInput()

{

	var a, length;



//

// If we have navigated to a different policy, clear the

// saved checkboxes

//

	if (parent.tophead.policyid != <%=policyid%>)

	{

  	 	clearInput();

    	return;

	}

	if (parent.tophead.arraySet != 1)

	{

 	   return;

	}



	a = document.forms;

	for(i =0; i < a.length; i++)

	{

  	  	for (var j = 0; j < a[i].elements.length; j++)

  	  	{

        	if(!parent.tophead.workArray[a[i].elements[j].name])

        	    continue;

        	if(findIndexOf(parent.tophead.workArray[a[i].elements[j].name], a[i].elements[j].value) != -1)

        	    a[i].elements[j].checked = true;

    	}

	}

}



function saveInput()

{

	var i, length;

	var a;



//

// Clears the previously saved input first

//

	clearInput();



// Save the policy ID

	parent.tophead.policyid = <%=policyid%>;



// Save all the 6 work groups

// Computers/Bandwidth category

	a = document.forms;

	for(i =0; i < a.length; i++)

	{

    for (var j = 0; j < a[i].elements.length; j++)

    {

        if(a[i].elements[j].checked)

        {

            if(parent.tophead.workArray[a[i].elements[j].name])

            {

                parent.tophead.workArray[a[i].elements[j].name].push(a[i].elements[j].value);

            }

            else

            {

                parent.tophead.workArray[a[i].elements[j].name] = new Array(a[i].elements[j].value);

            }

        }

    }

	}

// Record as saved

	parent.tophead.arraySet = 1;

}



function checkRule(action)

{

//cleanup_progress();



var workId;

var workObject;



action = "" + action;



<%



if(filterList != null)

{

    Iterator itr2 = null;

    itr2 = filterList.iterator();



    while( itr2.hasNext() )

    {

        Template filter = (Template)itr2.next();

        String id = filter.getID();

%>



        var workId = "worktime" + "<%=id%>";

        if(document.getElementById(workId) != null)

        {

            var workObject = document.getElementById(workId);

            if (workObject.value == action)

            {

                return true;

            }

        }

<%  	}

}

%>



return false;

}



function loadRule()

{

//cleanup_progress();

	drawing(app_group_id_action);

	document.getElementById("save").disabled = true;

	//document.getElementById("cancel").disabled = true;

	//document.getElementById("notes").disabled = true;

}



function expand()

{



	var cid = '';

	var index  = 0;

	var image_id = '';

	var obj;

	var	isIngroup = 'no';

	for (var group_name in search_group_id_action)

	{

		cid = group_name;



		if (except_group != null && except_group.length > 0)

		{

			for (var i=0; i<except_group.length; i++)

			{

				isIngroup = 'no';

				if (except_group[i] == group_name)

				{

					except_group.splice(i,1);

					isIngroup = 'yes';

					break;

				}

			}

			if (isIngroup == 'yes') continue;

		}





		image_id = 'image_' + cid.replace(" ", "_");

		obj = document.getElementById(image_id);



		if (obj != null)

		{

		    registry[image_id] = 0;

			obj.src = image1;

		}

		document.getElementById(cid).style.display="block";



		index ++;

	}



}



function collapse()

{

	var cid = '';

	var index  = 0;

	var image_id = '';

	var obj;



	for (var group_name in search_group_id_action)

	{

		cid = group_name;

		image_id = 'image_' + cid.replace(" ", "_");

		obj = document.getElementById(image_id);



		if (obj != null)

		{

		    registry[image_id] = 1;

			obj.src = image2;

		}

		document.getElementById(cid).style.display="none";



		index ++;

	}



}



function dosearch()

{



	search_group_id_action = {};

	except_group = null;

	if (keyword.length <= 0 && search_work_action == -1)

	{

		//return ;

		search_group_id_action = app_group_id_action;

	}

	else

	{

		var name = '';

		var w_action = 0;

		var index = 0;



		for (var group_name in app_group_id_action)

		{

			index = 0;

			for (var protocol in app_group_id_action[group_name])

			{

				name = app_group_id_action[group_name][protocol]["protocol_name"];

				protocol_des = app_group_id_action[group_name][protocol]["description"];

				w_action = app_group_id_action[group_name][protocol]["work_Action"];

				

				if (((keyword.length == 0 || keyword.length > 0 && (name.toLowerCase().indexOf(keyword) >= 0))&& (search_work_action == -1 || search_work_action == w_action))

					||((keyword.length == 0 || keyword.length > 0 && (protocol_des.toLowerCase().indexOf(keyword) >= 0))&& (search_work_action == -1 || search_work_action == w_action)))



				{

						if (search_group_id_action[group_name] == null)

						{

							search_group_id_action[group_name] = new Array();

						}

						search_group_id_action[group_name][index]=app_group_id_action[group_name][protocol];

						index ++;

				}

			}

		}

	}



	drawing(search_group_id_action);



	if(keyword.length > 0 || search_work_action != -1 )

	{

		expand();

	}

}



function clicksearch()

{

	var key = document.getElementById("search_content").value;

	keyword=key.toLowerCase();

	//keyword = $.trim(key.toLowerCase());

	if (keyword.length ==0 ) return;

	dosearch();

}



function clearsearch()

{

	if (keyword.length ==0 ) return;

	keyword = '';

	document.getElementById("search_content").value = '';

	dosearch();

}



function HideContent(d) {

	document.getElementById(d).style.display = "none";

	}

function ShowContent(d) {

	document.getElementById(d).style.display = "block";

	}

function ReverseDisplay(d) {

	if(document.getElementById(d).style.display == "none") { document.getElementById(d).style.display = "block"; }

	else { document.getElementById(d).style.display = "none"; }

	}

function FilterOn(witch){

		document.getElementById(witch).style.display="inline-block";

	}

function FilterOff(witch){

		document.getElementById(witch).style.display="none";

	}

function MM_findObj(n, d) { //v4.01

	  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {

	    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}

	  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];

	  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);

	  if(!x && d.getElementById) x=d.getElementById(n); return x;

	}



	//allow and block action

function MM_showHideLayers() { //v6.0

	  var i,p,v,obj,args=MM_showHideLayers.arguments;



	  for (i=0; i<(args.length-2); i+=3)

	  		if ((obj=MM_findObj(args[i]))!=null)

	  	  	{

	  	  	  	v=args[i+2];

	    		if (obj.style)

	        	{

	            	 obj=obj.style;

	            	 v=(v=='show')?'visible':(v=='hide')?'hidden':v;

	            }

	    		obj.visibility=v;

	    	}

	}



function work_clear()

	{

		if (search_work_action == -1) return ;

		search_work_action = -1;

		FilterOff("work_on");

		dosearch();

	}



function work_on()

	{

		var select_value = document.getElementById('work_filter_select').value;

		if ("blocked".toLowerCase() == select_value.toLowerCase())

		{

			search_work_action = 1;

		}

		else

		{

			search_work_action = 0;

		}

		FilterOn("work_on");

		dosearch();

	}

function clickImg(imgId,action,type){

		var img=document.getElementById(imgId);

		if(type=="expand"){

			if(action=="down"){

				img.src="images/expand_pressed.png";

			}else if(action=="up"){

				img.src="images/expand_normal.png";

			}

		}else{

			if(action=="down"){

				img.src="images/collapse_pressed.png";

			}else if(action=="up"){

				img.src="images/collapse_normal.png";

			}

		}

	}

	



</script>

</head>
<%
 if(request.getParameter("policyop")!=null && request.getParameter("policyop").compareToIgnoreCase("updatescanaction")==0){
 
        
        IWSSINI requestini=null;
        System.out.println("updateaction:ftp_scan:"+request.getParameter("ftp__enabled"));
        try{
            requestini = new IWSSINI(request);   
            //set enable setting in DSC file
            requestini.WriteConfig(IWSSInfo.GetScan_Dsc());    

	     IWSSINI dlp_ini = new IWSSINI(IWSSInfo.GetDlp_Dsc());
	     
            dlp_ini.SetKeyValue("ftp", "enabled",request.getParameter("dlp_ftp__enabled"));
            dlp_ini.WriteConfig(IWSSInfo.GetDlp_Dsc());
            int daemon_action = 12;
            DaemonAction.TakeAction(daemon_action);
         
        }catch (Exception e)
        {
            //exception
        }

	
    }
 %>

<body  onload="javascript:loadRule();"  onunload="javascript:cleanup_progress();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.updatedlppolicy">

<input name="policyid" type="hidden" class="button" value="<%=policyid%>">

<input name="policyop" type="hidden" class="button" value="ftpupdatedlprule">

<input name="isenable" type=hidden value="yes">

<input name="arrayset" type="hidden" class="button">

<input type=hidden name="step" value="2">

<!--Title-->
<table cellspacing=0 cellpadding=0 width="98%" border=0>
  <tr>
    <td width="175" class="content-title"><i18n:message bundleRef="bundleFtp" key="ftp_config.title" /></td>
    <td width="200" class="text"> 
<%
    String checked_sign="",enabled_value="";
    IWSSINI plugin_ini = new IWSSINI(IWSSInfo.GetScan_Dsc());
    if(plugin_ini!=null){
        enabled_value = plugin_ini.GetKeyValue("ftp","enabled");
        if(enabled_value!=null && enabled_value.compareToIgnoreCase("yes")==0) checked_sign = new String(" checked");
    } 
%>
            <input name="ftpscan_view" type="checkbox" <%=checked_sign%> <%=disabled_ftp%> onClick="EnableSaveButton();"> <i18n:message bundleRef="bundleFtp" key="ftp_config.enable_ftp_scan" />&nbsp;
            <input name="ftp__enabled" type="hidden" value="">
            <input name="oldftpscan" type="hidden" value="<%=enabled_value%>">
      </td>
      <td width="200" class="text"> 
   <%
    IWSSPR mainpr = new IWSSPR((new String("IWSS")));
    String dlp_checked_sign="",dlp_enabled_value="";
    IWSSINI dlp_plugin_ini = new IWSSINI(IWSSInfo.GetDlp_Dsc());
    if(dlp_plugin_ini!=null){
        dlp_enabled_value = dlp_plugin_ini.GetKeyValue("ftp","enabled");
        if(dlp_enabled_value!=null && dlp_enabled_value.compareToIgnoreCase("yes")==0) dlp_checked_sign = new String(" checked");
    } 
     %>  
            <input name="ftp_dlp_view" type="checkbox"  <%=disabled_ftp%> <%if(mainpr.isDLPEnabled()){ %><%=dlp_checked_sign%><%} else {%> disabled="disabled" <%} %> onClick="EnableSaveButton();"> <i18n:message bundleRef="bundleFtp" key="ftp_config.enable_ftp_dlp" />&nbsp;
            <input name="dlp_ftp__enabled" type="hidden" value="">
            <input name="olddlpftpscan" type="hidden" value="<%=dlp_enabled_value%>">
      </td>
    <td width="29" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('ftp_data_loss_prevention.htm');"> <img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
    
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<!--/Title-->

<TABLE cellSpacing=0 cellPadding=0 width="98%" border=0>
  <TBODY>
  <TR> 
      <TD  >
	  <table cellpadding="0" cellspacing="0" border="0" width="100%">    
            <tr> 
              <!-- TABS -->
              <td background="images/tab_background_cui.gif"> <table cellpadding="0" cellspacing="0" border="0">
                <tr> 
                  <td><img src="images/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="ftp_config_scan.jsp" > <i18n:message bundleRef="bundleFtp" key="ftp_config.virus_scan" /></a></td>
             <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="ftp_config_spyware.jsp" > <i18n:message bundleRef="bundleFtp" key="ftp_config.spyware_scan" /></a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                  <td><img src="images/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td background="images/tab_active_background_cui.gif" class="tabactive" valign="top" nowrap><i18n:message bundleRef="bundleFtp" key="ftp_config.dlp" /></td>       
                  <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap>
                    <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="ftp_config_exception.jsp" > <i18n:message bundleRef="bundleFtp" key="ftp_config.exception" /></a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap>&nbsp;</td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> 
                    <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="ftp_config_action.jsp" ><i18n:message bundleRef="bundleFtp" key="ftp_config.action" /></a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
                </tr>
              </table></td>
      <td background="images/tab_background_cui.gif" align="right"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
              <!-- /TABS -->
            </tr>
     



    <tr>

      <td colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0">

          <tr>

            <td class="border">

            <table width="100%" border="0" cellspacing="0" cellpadding="0">

                <tr>

                  <td colspan="2">

 <table width="100%" border="0" cellpadding="0" cellspacing="0">



									<!-- -------------------------------searh filter begin---------------------- -->

									<tr>

										<td width="393" rowspan="2" class="grey">

										<table width="95%" border="0" cellspacing="0" cellpadding="0">

										<tr>

												<td class="tableheadergrey3" nowrap="nowrap">&nbsp;</td>

												<td class="tableheadergrey3" align="right">&nbsp;</td>



												<td class="tableheadergrey3" align="right">&nbsp;</td>

										</tr>



										<tr >

											<td width="20%" class="tableheadergrey3" nowrap="nowrap">

												<i18n:message bundleRef="complianceTemplate" key="compliance.label.DLPTemplate" />: 

											</td>

									<!-- ---------------------------------search box -------------------- -->

											<td width="20%" class="tableheadergrey3" align="center">

												<input id="search_content" name="search_content" type="text" class="button" size="50" onKeyUp="if(event.keyCode==13){clicksearch(0)}">

												<input type="text" class="button" size="50" style="display:none">

											</td>

											

											<td width="4%" class="tableheadergrey3">

												<a href="javascript: clicksearch(0)">

													<img src="images/appsearch.png" alt="search icon" title='<i18n:message bundleRef="bundleCommon" key="button.search" />' width="17" height="17"

													border="0" style="vertical-align: middle" /></a>

												



											 </td>

											 <td width="6%" class="tableheadergrey3" align="left">

												



													<a href="javascript: clearsearch()">

													<img

													src="images/clear.png" alt="clear icon"

													title='<i18n:message bundleRef="bundleApplicationControl" key="applicationcontrol.policy.button_clear_search_field" />' width="17" height="17"

													border="0" style="vertical-align: middle" />

													</a>

											 </td>

											 

											 <td class="tableheadergrey3" nowrap="nowrap">

												<a href="javascript: expand(0)">

													<img id="expand" src="images/expand_normal.png" name="image0" width="15" height="15" border="0" align="absmiddle" alt='<i18n:message bundleRef="bundleApplicationControl" key="applicationcontrol.policy.button_expand_all" />' onMouseDown="clickImg('expand','down','expand')" onMouseUp="clickImg('expand','up','expand')"></a>



												<a 	href="javascript: collapse(0)">

													<img id="collapse" src="images/collapse_normal.png" name="image0" width="15" height="15" border="0" align="absmiddle" alt='<i18n:message bundleRef="bundleApplicationControl" key="applicationcontrol.policy.button_collapse_all" />' onMouseDown="clickImg('collapse','down','collapse')" onMouseUp="clickImg('collapse','up','collapse')"></a>



											</td>

									   </tr>

											

											<!--------------------------------------------------------------->

											<tr>

												

												<td class="tableheadergrey3" align="right">&nbsp;</td>

												<td class="tableheadergrey3" align="right">&nbsp;</td>

											</tr>

											<!--------------------------------------------------------------->

										</table>



									</tr>

									<!-- -------------------------------searh filter end---------------------- -->



                      </table></td>

                    </tr>



                </table></td>

              </tr>

          </table></td>

        </tr>

      </table></TD>

    </TR>

  </TBODY>

</TABLE>



 <TABLE cellSpacing=0 cellPadding=0 width="98%" border="0" >

   <TBODY>

   <tr>

                <td class="border">

                <table width="100%" border="0" cellspacing="0" cellpadding="0">





							<!-- ------------this div is used to show all category -->

				  			<tr>

                            <td colspan="2">

                            <div id="category_table">

                            </div>

							</td>

                   			</tr>





                    <tr>

                      <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>

                    </tr>

                    <tr>

                      <td  colspan="2" class="tableheadergrey2" ><i18n:message bundleRef="bundleHttp" key="http.dlp.policy.note" /></td>

                    </tr>

                    

                    <tr>

                      <td style="vertical-align:top" class="data1"><i18n:message bundleRef="bundleHttp" key="https.policy.note_sem" /></td>

                      <td style="padding:3px"><textarea name="notes" cols="50" rows="5" wrap="VIRTUAL" onKeyDown="EnableSaveButton();"><%=note%></textarea>                      </td>

                    </tr>

      </table></TD>

    </TR>

  </TBODY>

</TABLE>

 <%if (access == 3) { %>

<table width="800" border="0" cellspacing="0" cellpadding="0">

  <tr>

    <td height="28" valign="bottom">

      <input name="save" type="button"  class="button" onClick="javascript:doSubmit();"  value="<i18n:message bundleRef='bundleCommon' key='button.save' />" disabled>


      <input  name="cancel" type="button" class="button" onClick="javascript:location.reload()"  value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />">    </td>

  </tr>

</table>

 <table width="800" border="0" cellspacing="0" cellpadding="0">

   <tr>

     <td><img src="images/1space_cui.gif" width="1" height="10"></td>

   </tr>

      <tr>

   <td>

      <div id="append_data">

      </div>

   </td>

   </tr>

 </table>

 <%}%>

</TABLE>

</form>

</body>

</html>

