<%@ page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.trend.iwss.gui.*"%>
<%@ page import="java.util.*"%>
<%@ page import="java.lang.Integer"%>
<%@ page import="com.trend.iwss.gui.IWSSInfo"%>
<%@ page import="java.sql.Connection"%>
<%@ page import="java.sql.PreparedStatement"%>
<%@ page import="java.sql.DriverManager"%>
<%@ page import="java.sql.ResultSet"%>
<%@ page import="com.trend.iwss.gui.IWSSINI"%>
<%@ page import="com.trend.iwss.gui.IWSSJNI"%>
<%@ page import="net.sf.json.JSONObject"%>
<%@ page import="net.sf.json.JSONArray"%>
<%@ page import="net.sf.json.JSONException"%>
<%@ page import="com.trend.api.commonlog.*"%>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="java.text.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.lang.Math" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"	prefix="i18n"%>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%


if(Validation.CheckUser(request,response)!=1){
	response.sendRedirect("logon.jsp?mmc_policy");
	return;
}

	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
	AdministrationRole roleinfo = null;
	int access = 0;
	if(accountinfo != null)
	{
		roleinfo = accountinfo.getRole();
		access = roleinfo.getAccessRightByKeyID(1003);
		if (access == 0)
		{
			response.sendRedirect("logon.jsp");
			return;
		}
	}
else
	{
		response.sendRedirect("logon.jsp");
		return;
	}



response.setHeader("Pragma","no-cache");
response.setHeader("Cache-Control","no-cache");
%>

<%
//nico add for check skynet status
// skynet_status
//		 false : not registered
//		 trure : registered
	boolean skynet_status = false;

	String skynet_agent_path = "/usr/iwss/SkynetAgent/skynet_agent.py";
	String cmd = skynet_agent_path + " iws_state";
	String res = Util.ExecuteCommand(cmd);
	JSONObject res_obj = JSONObject.fromObject(res);
	if(res_obj.getBoolean("succeed") && res_obj.getJSONObject("state").getBoolean("isRegistered")) {
		//skynet_status = true;
	}
	String token = UIHelperToken.getToken(request);
%>
<%!
	//Begin: add for show default timezone, do it before CCR operation, TT302466
	// define all commonds used in later

	String cmd_show_timezone   = "show system timezone";
	String GetTimezone(String token) {
		try {
			CLIResult res = CLICommandExecuter.exec( cmd_show_timezone, true, token );
			return res.getKeyValue("timezone");
		} catch (CLIException e) {
			return "UnknownTimezone";
		}
	}
	String GetDateTime(String fmt, String token) {
		TimeZone.setDefault(TimeZone.getTimeZone(GetTimezone(token)));
		Date date = new Date();
		DateFormat df = new SimpleDateFormat(fmt);
		return df.format(date);
	}
%>
<%
	String def_date_value = "";
	def_date_value = GetDateTime("MM/dd/yyyy HH:mm:ss", token);
	IWSSUtil.UI_out_println("ha_proxy: def_date_value:"  + def_date_value);
	//end:add for TT302466
%>
<%
	String err_str = request.getParameter("errorCode");
	String post_op = request.getParameter("op");
	if(post_op == null) {
		post_op = "";
	}
	int err_code = -1;
	if(err_str != null) {
		err_code = Integer.parseInt(err_str);
	}
	
//  String server_role = IWSSInfo.GetKeyValue("CCR", "server_role");
//	String replicate_freq = IWSSInfo.GetKeyValue("CCR", "replicate_freq");
	
	
	int haProxyMode = HaProxyManager.STANDALONE;
	int haProxyRole = HaProxyManager.ACTIVE;
	
	
	String tmp = IWSSInfo.GetKeyValue("HaProxy", "mode");
	
	if(tmp == null && tmp.equals("")){
		haProxyMode = HaProxyManager.STANDALONE;
	}else{
		int mode = Integer.valueOf(tmp).intValue();
		if (mode < 0 || mode > 2){
			haProxyMode = HaProxyManager.STANDALONE;
		}else{
			haProxyMode = mode;
		}
	}
	
	tmp = IWSSInfo.GetKeyValue("HaProxy", "role");
	haProxyRole = Integer.valueOf(tmp).intValue();
	
	Collection deviceList = null;
	String s_ip = "";
	String s_port = "8443";
	int s_type = 1;
	deviceList = HaProxyManager.getAllDevices();
	/*if(server_role.equals("2")) {
		Iterator it1 = deviceList.iterator();
		HashMap dict1 = (HashMap)it1.next();
		s_ip = (String)dict1.get("Device");
		s_port = (String)dict1.get("Port");
		String channel = (String)dict1.get("Protocol");
		if("https".compareToIgnoreCase(channel) == 0) {
			s_type = 1;
		}
	}*/
	
	Collection eventList = null;
	eventList = HaProxyManager.getAllEvents();
	
	if(haProxyMode == HaProxyManager.ACTIVE_STANDBY){
		response.sendRedirect("/ha_proxy_active_standby.jsp");
		return;
	}
%>
<%
	String local_ip = request.getLocalAddr();
	System.out.println("Cloud: local_ip=" + local_ip);
%>

<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="html/jquery.js"></script>
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/check.js"></SCRIPT>
<!--SCRIPT language="javascript" src="html/virusscan.js"></SCRIPT-->
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>
<script language="javascript">
	$(document).ready(function() {
		descarray = new Array(2);
		descarray[0] = tipReplicationInterval;
		descarray[1] = tipReplicationAdminAccount;

		function do_init() {
			$('input[name=radio_roleType]').eq(2).attr("checked", true);
			
		}


		function check_args(mode) {
			switch(mode) {
				case "unregister":
					$('input[name=deviceIP]').val("<%=local_ip%>");
					if(0 == "<%=haProxyMode%>") {
						alert(i18n_haproxy_standalone_state);
						return false;
					}
					break
				case "register":
					var sourceIP = $.trim($('input[name=sourceIP]').val());
					if(sourceIP == "" || !check_ip_addr(sourceIP)) {
						alert(i18n_ccr_invalid_source_ip);
						return false;
					}
					if(sourceIP == "127.0.0.1") {
						alert(i18n_ccr_self_referenced_ip);
						return false;
					}
					if(1 == "<%=haProxyMode%>" && sourceIP == "<%=local_ip%>") {
						alert(i18n_ccr_invalid_source_ip);
						return false;
					}
					var port = $.trim($('input[name=port]').val());
					if(port == "" || !check_source_port(port)) {
						alert(i18n_ccr_invalid_source_port);
						return false;
					}
					
					var user = $.trim($('input[name=user]').val());
					if(user == "" || !check_input(user)) {
						alert(i18n_ccr_invalid_account);
						return false;
					}

					var pwd = $.trim($('input[name=passwd]').val());
					if(pwd == "" || !check_pwd_input(pwd)) {
						alert(i18n_ccr_invalid_password);
						return false;
					}
					
					var vip = $.trim($('input[name=vip]').val());
					if(vip == "" || !check_ip_addr(vip)) {
						alert(i18n_haproxy_invalid_ip);
						return false;
					}
					
					var vip6 = $.trim($('input[name=vip6]').val());
					if(!check_ip6_addr(vip6)) {
						alert(i18n_haproxy_invalid_ipv6);
						return false;
					}
					
					$('input[name=sourceIP]').val(sourceIP);
					$('input[name=port]').val(port);
					$('input[name=user]').val(user);
					$('input[name=passwd]').val(pwd);
					$('input[name=vip]').val(vip);
					$('input[name=vip6]').val(vip6);
					break;
			}

			return true;
		}

		function check_ip_addr(ip) {
			var arrIP = ip.split(".");
			if(arrIP.length != 4)
				return false;
			var objRegExp = new RegExp("^([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])$");
			for(var i = 0; i < 4; i++) {
				if(objRegExp.test(Trim(arrIP[i])) == false)
					return false;
			}
			return true;
		}
		
        function check_ip6_addr(ip6) {
			
			//CDCD:910A:2222:5498:8475:1111:3900:2020 
	        var patrn=/^([0-9a-f]{1,4}:){7}[0-9a-f]{1,4}$/i; 
	        var r=patrn.exec(ip6)
	        if(r)
	        {
	            return true;
	        }
	        if(ip6==""){
	            return true;
	        }
	        
	        return false;
		}

		function check_input(text) {
			var objRegExp = new RegExp("[<>&;\\?\\s]");
			if(text == "")
				return true;
			if(objRegExp.test(text) == true) {
				return false;
			}
			return true;
		}

		//begin:add for TT304858
		function check_pwd_input(text) {
			if( "" == text ) {
				return true;
			}
			if(!text.match(/^(\w|\-|\/|\[|\]|\\|[!"#$%&'()*+,.:;<=>?@^`{|}~])+$/g)){
				return false;
			}
			return true;
		}

		function check_source_port(port) {
			if(isNaN(port))
				return false;
			var reg = /[\d]*\.[\d]*/;
			if(reg.test(port))
				return false;
			var iPort = parseInt(port);
			if(iPort < 0 || iPort > 65535)
				return false;
			return true;
		}

		function clear_user_input() {
			$('input[name=sourceIP]').val("");
			$('input[name=port]').val("");
			$('input[name=channel]').attr("checked", false);
			$('input[name=user]').val("");
			$('input[name=passwd]').val("");
		}

		do_init();

		$('#save').click(function() {
			var mode = '';
			var radio_val = $('input[name=radio_roleType]:checked').val()
			
			switch(radio_val) {
				case "crStandalone":
					mode = 'unregister';
					break;
				case "crReceiver":
					mode = 'register';
					break;
			}
			
			if(check_args(mode)) {
				$('#op').val(mode);
				$('#saveForm').submit();
			} else {
				return false;
			}
		});

		$('#replicate_now').click(function() {
			$('#modal_status').val("");
			var count = 0;
			$('input[name=devicelist]').each(function() {
				if($(this).attr("checked"))
					count++;
			});
			if(count == 0) {
				alert(i18n_ccr_replicate_receiver_error);
				return false;
			}
			var sFeatures = '';
			if(navigator.userAgent.indexOf("MSIE") > 0 || navigator.userAgent.indexOf("Trident") > 0 || navigator.userAgent.indexOf("Chrome") > 0) {
				sFeatures = "height=200; width=400; toolbar=no; menubar=no; scrollbars=no; status=no; resizable=no; help=no; location=no";
				popwin = window.open('replication_choice.jsp', 'newwindow', sFeatures);
			} else {
				sFeatures = "dialogHeight=200; dialogWidth=400; toolbar=no; menubar=no; scrollbars=no; status=no; resizable=no; help=no; location=no";
//				var obj = document.getElementById('saveForm');
				popwin = window.showModalDialog('replication_choice.jsp', window, sFeatures);

				if($('#modal_status').val() == "ok") {
					$('#op').val("replicate");
					$('#saveForm').submit();
				} else {
					return false;
				}
			}
		});

		$('.force_unregister').click(function() {
			$('#device').val($(this).parent().parent().children().eq(0).children().eq(0).val());
			$('#op').val("delete");
			$('#saveForm').submit();
		});

		$("input[name=selectall]").click(function() {
			if($(this).attr("checked")) {
				$(this).parent().parent().nextAll().find("input").each(function() {
					$(this).attr("checked", true);
				});
			} else {
				$(this).parent().parent().nextAll().find("input").each(function() {
					$(this).attr("checked", false);
				});
			}
		});

		$('input[name=channel]').click(function() {
			if($(this).attr("checked")) {
				$('input[name=protocol]').val("https");
			} else {
				$('input[name=protocol]').val("http");
			}
		});

		if(<%=err_code%> != -1) {
			switch(<%=err_code%>) {
				case 0:
					alert(i18n_haproxy_warnmsg_0);
					window.parent.left.location.reload();
					break;
				case 1:
					alert(i18n_haproxy_warnmsg_1);
					break;
				case 2:
					alert(i18n_haproxy_warnmsg_2);
					break;
				case 3:
					alert(i18n_haproxy_warnmsg_3);
					break;
				case 4:
					alert(i18n_haproxy_warnmsg_4);
					break;
				case 5:
					alert(i18n_haproxy_warnmsg_5);
					break;
				case 6:
					alert(i18n_haproxy_warnmsg_6);
					break;
				case 7:
					alert(i18n_haproxy_warnmsg_7);
					break;
				case 8:
					alert(i18n_haproxy_warnmsg_8);
					break;
				case 9:
					alert(i18n_haproxy_warnmsg_9);
					break;
				case 10:
					alert(i18n_haproxy_warnmsg_10);
					break;					
			}
			
		}

	});
</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
	<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> pop up description layer </div>
	<FORM id="saveForm" ACTION="servlet/com.trend.iwss.gui.servlet.HaProxySet" METHOD=POST NAME=saveform>
		<input type="hidden" id = "op" name="op" value="">
		<input type="hidden" name="type" id="type" value="1">
		<input type="hidden" name="modal_status" id="modal_status" value="">
		<input type="hidden" name="device" value="" id="device">
		<table cellspacing="0" cellpadding="0" width="98%" border="0">
			<tr>
				<td class="content-title">HA proxy Active/Active</td>
			</tr>
			<tr>
				<td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
			</tr>
			<tr>
				<td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
			</tr>
		</table>
		<TABLE class="border" cellSpacing=0 cellPadding=0 width="98%" border=0>
			<TBODY>
				
				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>

				

				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>
				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>

 <!-- HaProxy Standalone -->
				<tr>
					<td class="data1" style="padding-left: 10px;width:20%">
						<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.server.server_role" />
					</td>
					<td class="data1">
						<input type="radio" name="radio_roleType" id="radio_roleType" value="crStandalone" <% if(haProxyMode == 0) {%> checked <% } %>onClick="EnableSaveButton();">
							Proxy Standalone mode
							<input type="hidden" id="deviceIP" name="deviceIP" value="" ></input>
						</input>
					</td>
				</tr>


<!-- HaProxy Register -->				
				<tr>
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<input type="radio" name="radio_roleType" id="radio_roleType" value="crReceiver" <% if(haProxyMode == 1) {%> checked <% } %> onClick="EnableSaveButton();">
							Proxy Active/Active mode
						</input>
					</td>
				</tr>

				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>
<!--0-->		<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%">
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
								
								</td>
								<td width="72%" class="data1">&nbsp;</td>
							</tr>
						</table>
					</td>
				</tr>

<!--1-->		<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%"><!--table class="border2b" width="100%" border="0" cellspacing="0" cellpadding="0"-->
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
									<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.ccr.source_ip" />
								</td>
								<td width="72%" class="data1">
									<input type="text" id="sourceIP" name="sourceIP" class="button" size="20" value="" onClick="EnableSaveButton();"></input>
								</td>
							</tr>
						</table>
					</td>
				</tr>

<!--2-->		<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%">
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
									<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.ccr.port" />
								</td>
								<td width="72%" class="data1">
									<input type="text" id="port" name="port" class="button" size="6" value="8443" onClick="EnableSaveButton();"></input>
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<input type="checkbox" id="channel" name="channel" <%if(s_type == 1) {%> checked <%}%>>
									<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.ccr.connect_using_https" />
									<input type="hidden" id="protocol" name="protocol" value="https"></input>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				
				<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%">
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
									<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.ccr.administrator_account" />
								</td>
								<td width="72%" class="data1">
									<input type="text" class="button" size="20"  name="user" value="admin"></input>
								</td>
							</tr>
						</table>
					</td>
				</tr>

				<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%">
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
									<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.ccr.password" />
								</td>
								<td width="72%" class="data1">
									<input type="password" id="passwd" name="passwd" class="button" size="20" value="" onClick="EnableSaveButton();"></input>
									&nbsp;
									<a onmouseover="popLayer(1,20,30)" onmouseout="hideLayer()">
										<img src="images/info_mark_cui.gif" width="14" border="0" align="absmiddle">
									</a>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				
				
				<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%">
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
									Master:
								</td>
								<td width="72%" class="data1">&nbsp;</td>
							</tr>
						</table>
					</td>
				</tr>
				

<!--3-->		<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%">
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
									Virtual IP:
								</td>
								<td width="72%" class="data1">
									<input type="text" class="button" size="20" name="vip" value=""></input>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				
				<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%">
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
									Virtual IPV6:
								</td>
								<td width="72%" class="data1">
									<input type="text" class="button" size="20" name="vip6" value=""></input>
								</td>
							</tr>
						</table>
					</td>
				</tr>

<!--4-->		<!--
				<tr class="crRcvSpec">
					<td class="data1" style="padding-left: 10px">&nbsp;</td>
					<td class="data1">
						<table width="100%">
							<tr>
								<td width="3%" class="data1">&nbsp;</td>
								<td width="25%" class="data1">
									Ha Interface:
								</td>
								<td width="72%" class="data1">
									<input type="text" id="interf" name="interf" class="button" size="20" value="" onClick="EnableSaveButton();"></input>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				-->
						
				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>

				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>
				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>

<% if(haProxyMode == 1) {%>
				<!--rrl means "replication receive list"-->
				<tr class="rrl">
					<td class="tableheadergrey" colspan="2">
						HA proxy member list
					</td>
				</tr>
				
				<tr class="rrl">
					<td colspan="2">
						<table class="border2b" width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td class="grey-end" width="20%"><i18n:message bundleRef='bundleAdmin' key='admin.iwsva_config.ccr.device_management_ip' /></td>
								<td class="grey-end" width="10%"><i18n:message bundleRef='bundleAdmin' key='admin.iwsva_config.ccr.protocol' /></td>
								<td class="grey-end" width="10%"><i18n:message bundleRef='bundleAdmin' key='admin.iwsva_config.ccr.port' /></td>
								<td class="grey-end" width="10%">Virtual ip</td>
								<td class="grey-end" width="10%">Virtual ipv6</td>
								<td class="grey-end" width="10%">Interface</td>
								<td class="grey-end" width="45%">Data ip</td>
								<td class="grey-end" width="45%">Data ipv6</td>
							</tr>
<%

	int line = 0;
	Iterator it2 = deviceList.iterator();
	while(it2.hasNext()) {
		HashMap dict2 = (HashMap)it2.next();
		String dIp = (String)dict2.get("Device");
		String port = (String)dict2.get("Port");
		String protocol = (String)dict2.get("Protocol");
		String dataIP = (String)dict2.get("DataIP");
		String dataIP6 = (String)dict2.get("DataIP6");
		String vip =(String)dict2.get("VirtualIP");
		String vip6 =(String)dict2.get("VirtualIP6");
		String interf = (String)dict2.get("Interface");
		
		line++;
%>
							<tr>
								<td class="data<%=((line+1)%2+1)%>b"><%=dIp%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=protocol%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=port%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=vip%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=vip6%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=interf%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=dataIP%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=dataIP6%></td>
							</tr>
<%
	}

%>
						</table>
					</td>
				</tr>

				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>
				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
				</tr>
				
				
				<!--rrl means "Haproxy event list"-->
				<tr class="rrl">
					<td class="tableheadergrey" colspan="2">
						HA proxy event list
					</td>
				</tr>
				
				<tr class="rrl">
					<td colspan="2">
						<table class="border2b" width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td class="grey-end" width="10%">Device ip</td>
								<td class="grey-end" width="10%">Event</td>
								<td class="grey-end" width="45%"><i18n:message bundleRef='bundleAdmin' key='admin.iwsva_config.ccr.last_update_time' /></td>
							</tr>
<%

	line = 0;
	Iterator it3 = eventList.iterator();
	while(it3.hasNext()) {
		HashMap dict2 = (HashMap)it3.next();
		String dIp = (String)dict2.get("Device");
		String last_update_time = (String)dict2.get("LastUpdateTime");
		String event =(String)dict2.get("Event");
		
		if(last_update_time == null)
			last_update_time = "";
		else if(last_update_time.length() > 19)
			last_update_time = last_update_time.substring(0,19);
		line++;
%>
							<tr>
								<td class="data<%=((line+1)%2+1)%>b"><%=dIp%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=event%></td>
								<td class="data<%=((line+1)%2+1)%>b"><%=last_update_time%></td>
							</tr>
<%
	}

%>
						</table>
					</td>
				</tr>
				
				
				
				
<% } %>

		</table>
<%if (access == 3 && !skynet_status) { %>
		<table width="540" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td height="28" valign="bottom">
					<input name="save" id="save" disabled type="button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" style="width: 50px"></input>
					<input name="cancel" type="button" class="button" onClick="javascript:self.location.replace('replication_config.jsp')" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width: 55px"></input>
				</td>
			</tr>
		</table>
<%}%>
	</form>
</body>
</html>
