<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 10/30/2007                                        -->
<!--Description: update for admin,auditor,report only user  -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.trend.iwss.gui.*"%>
<%@ page import="com.trend.iwss.wmi.HTTPUserConfigDC"%>
<%@ page import="com.trend.iwss.wmi.DCServer"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="org.apache.commons.lang.*"%>
<%@ page import="org.apache.commons.fileupload.*"%>
<%@ page import="com.trend.api.ldap.*"%>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="com.trend.iwss.gui.servlet.*"%>
<%@ page import="java.io.*"%>
<%@ page import="com.trend.resource.*"%>
<%@ page import="java.util.*"%>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"
	prefix="i18n"%>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%

	if (Validation.CheckUser(request, response) != 1) {
		response.sendRedirect("logon.jsp");
		return;
	}

	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
%>

<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/localization.js"></SCRIPT>
<SCRIPT language="javascript" src="html/tooltip.js"></SCRIPT>
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/securityset.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_wmimsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/jquery1.3.2.js"></SCRIPT>
<SCRIPT language="javascript" src="html/http_config_user_dc.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">

var po_first=true;
var ishostnamechanged=false;
var once=true;
var previewwin;

$(document).ready(function(){
	document.saveform.save.disabled = true;
});


var msg_welcome = "Welcome to the IWSVA policy acknowledgement screen. This policy acknowledgement screen appears once every 24-hours during the first access for that day.";
var msg_company_name = "TrendMicro";
var msg_external_link = "www.trendmicro.com";
var msg_policy = "You are about to access the Internet using company network resources. By doing so, you are accepting the company's acceptable use policy.";


function ResetAdvanced()
{
	var html = document.getElementById("defaultadvancedpage").value;

	html = html.replace("\<\%IN\%\>", "cap_icon.png");
	html = html.replace("\<\%WM\%\>", msg_welcome);
	html = html.replace("\<\%PM\%\>", msg_policy);
	html = html.replace("\<\%CN\%\>", msg_company_name);
	html = html.replace("\<\%LN\%\>", msg_external_link);
	html = html.replace("\<\%LK\%\>", msg_external_link);

	document.getElementById("advancedpage").value = html;
}

function ResetBasic()
{
	document.saveform.pas_page_welcome.value = msg_welcome;
	document.saveform.LDAP_Setting__pas_page_company_name.value = msg_company_name;
	document.saveform.pas_page_logo_path.value = "";
	document.saveform.LDAP_Setting__pas_page_external_link.value = msg_external_link;
	document.saveform.LDAP_Setting__pas_page_policy.value = msg_policy;
	document.saveform.default_pas_page_logo_path.value = "cap_icon.png";
}

	function doUpload()
	 {
		if(document.saveform.pas_page_logo_path.value != "") {
			document.saveform.encoding="multipart/form-data";
			document.saveform.action = "servlet/com.trend.iwss.gui.servlet.CaptivePortalUpload?action=upload";
			setTimeout( "document.saveform.submit()", 100 );
		}
	}
	function doClear()
		{
		  if(document.saveform.pas_page_logo_path.value != "")
			{
				document.saveform.pas_page_logo_path.value= "";
			}

		}

	function enableUploadButton()
	{
		if(document.saveform.captiveimgupload != null )
		{
		   document.saveform.captiveimgupload.disabled = false;
		}
		EnableSaveButton();
	}
	function enableClearButton()
	{
		if(document.saveform.captiveimgclear != null )
		{
		   document.saveform.captiveimgclear.disabled = false;
		}
		EnableSaveButton();
	}
function disableUploadButton()
	{
		if(document.saveform.captiveimgupload != null )
		{
		   document.saveform.captiveimgupload.disabled = true;
		}
		EnableSaveButton();
	}
	function disableClearButton()
	{
		if(document.saveform.captiveimgclear != null )
		{
		   document.saveform.captiveimgclear.disabled = true;
		}
		EnableSaveButton();
	}
function doPreview(htmlbody)
{
   if(previewwin)
	{
		if(!previewwin.closed) previewwin.close();
		previewwin = null;
	}
	previewwin = window.open ('', 'preview', 'width=700,height=560,scrollbars');
	previewwin.document.write(htmlbody);
	previewwin.document.close();
	previewwin.focus();
}
function doPreviewAdvanced()
{

	htmlbody=document.getElementById("advancedpage").value;

	htmlbody=htmlbody.replace("window.location.href=accesspolicy();"," ");
	htmlbody=htmlbody.replace("<form name=\"loginForm\" method=\"POST\" action=\"com.trend.iwss.gui.servlet.captiveportal\">"," ");
	htmlbody=htmlbody.replace("\<\%T\%\>",document.getElementById("pas_form").value);
	htmlbody=htmlbody.replace("</form>"," ");
	doPreview(htmlbody);
}
function doBasicPreview()
{
	var htmlbasic=document.getElementById("defaultadvancedpage").value;

	htmlbasic=htmlbasic.replace("window.location.href=accesspolicy();"," ");
	htmlbasic=htmlbasic.replace("<form name=\"loginForm\" method=\"POST\" action=\"com.trend.iwss.gui.servlet.captiveportal\">"," ");
	htmlbasic=htmlbasic.replace("</form>"," ");
	htmlbasic=htmlbasic.replace("\<\%CN\%\>",document.saveform.LDAP_Setting__pas_page_company_name.value);
	htmlbasic=htmlbasic.replace("\<\%CN\%\>",document.saveform.LDAP_Setting__pas_page_company_name.value);
	htmlbasic=htmlbasic.replace("\<\%PM\%\>",document.saveform.LDAP_Setting__pas_page_policy.value);
	htmlbasic=htmlbasic.replace("\<\%IN\%\>",document.saveform.default_pas_page_logo_path.value);
	htmlbasic=htmlbasic.replace("\<\%T\%\>",document.getElementById("pas_form").value);
	 welcome=document.getElementById("pas_page_welcome").value;
	 if(welcome!="")
		{
			 htmlbasic=htmlbasic.replace("\<\%WM\%\>",welcome);
		}
	 else
	 {
		  //htmlbasic=htmlbasic.replace("<textarea" ,"<textarea style=\"display:none\"");
		  htmlbasic=htmlbasic.replace("\<\%WM\%\>" ,"");
	 }
	extend_link=document.saveform.LDAP_Setting__pas_page_external_link.value;
	htmlbasic=htmlbasic.replace("\<\%LN\%\>",extend_link);
	if(extend_link.indexOf("http://")==-1)
	{
		extend_link="http://"+extend_link;
	 }
	htmlbasic=htmlbasic.replace("\<\%LK\%\>",extend_link);
   if(document.saveform.pas_page_logo_path.value!="")
   {
	   img=document.saveform.pas_page_logo_path.value;
	imgidx=img.lastIndexOf('\\');
	img=img.substring(imgidx+1);
	   htmlbasic=htmlbasic.replace("logo.gif",img);
   }
   else if(document.saveform.default_pas_page_logo_path.value!="")
   {
	   htmlbasic=htmlbasic.replace("logo.gif",document.saveform.default_pas_page_logo_path.value);
   }
   htmlbasic=htmlbasic.replace("[Input Msg...]",document.saveform.input_msg.value);

   doPreview(htmlbasic);
}
function show(targetid){
	if (document.getElementById)
		{
			target=document.getElementById(targetid);
			target.style.display="block";

			  }
}
function unshow(targetid){
	if (document.getElementById)
		{
			target=document.getElementById(targetid);
			target.style.display="none";

			}
}
function enableShowBasic()
{
	show("basic");
	unshow("advanced");

}

function enableShowAdvanced()
{
	unshow("basic");
	show("advanced");

}


function showupload(str)
{
	if(str!="")
	{
		alert(str);
	}
}


function enableShow(str)
{
	if(str=="basic")
	{
		enableShowBasic();
	}
	else
	{
		enableShowAdvanced();
	}
}

function EnableSaveButton()
{
	if(typeof(document.saveform.save)=='object')
		document.saveform.save.disabled	= false;
	if(typeof(document.saveform.test)=='object')
		document.saveform.test.disabled	= false;
}

function checkHostName(str)
{
	if (0 == str.length)
		return true;
	if (ValidateIP(str))
		return true;
	var filter = /\.\.|^\.|\.$|^\d+\.\d+\.\d+\.\d+$/;
	if (!filter.test(str))
	{
		return true;
	}
	return false;
}
function checkFormat()
{
	var html = document.getElementById("advancedpage").value;
	var s = html.indexOf("<\%T\%>");
	if(s == -1)
	{
		alert("The custom must contain the token <\%T\%>.");
		return false;
	}
	else
		return true;
}

function doSubmit()
{
	if(checkFormat())
	{
	document.saveform.action = "http_config_captive_portal.jsp";
	document.saveform.op.value="save";
	document.saveform.daemonaction.value = httprestart;
	document.saveform.encoding="application/x-www-form-urlencoded";
	//this is work around for Tracker case #2209

	document.saveform.editmode.value="0"
	setTimeout( "document.saveform.submit()", 100 );
	document.saveform.save.disabled = true;
	}
}

function popup_edit(url)
{
	if ((document.saveform != undefined) && (document.saveform.CSRFGuardToken != undefined) && (url.indexOf("?") != -1) )
		url = url + "&CSRFGuardToken=" + document.saveform.CSRFGuardToken.value;
	editwin = window.open (url, 'editext', 'width=600,height=560,scrollbars');
}
</SCRIPT>
</head>

<%
	String beErrMsg = "";
	String bUploadTime = CaptivePortalUpload.getUploadDate();

	String justComebackFromUpload = request.getParameter("fromUpload");

	if (justComebackFromUpload != null) {

		beErrMsg = request.getParameter("errorMessage");
		if (justComebackFromUpload.equalsIgnoreCase("yes")) {
			request.getSession().setAttribute("savelogo", "true");

		}

	}

	String PasPageAuthPage = "basic";
	String PasPageCompany = "", PasPageLink = "", PasPageLogo = "", uploadLogo = "";
	String captivePortaldeAdvanced = "";
	String intscanPath = IWSSInfo.GetWorkPath() + "intscan.ini";
	IWSSINI ini = new IWSSINI(intscanPath);

	if (request.getParameter("op") != null
			&& request.getParameter("op").compareToIgnoreCase("save") == 0) {
		if (request.getParameter(
				"LDAP_Setting__pas_page_mode")
				.equals("basic")) {
			IWSSINI pini = null;
			pini = new IWSSINI(request);

			PasPageAuthPage = StringEscapeUtils
					.escapeHtml(request
							.getParameter("LDAP_Setting__pas_page_mode"));

			PasPageCompany = request.getParameter("LDAP_Setting__pas_page_company_name");
			PasPageCompany = new String (PasPageCompany.getBytes("ISO-8859-1"), "utf-8");
			PasPageLogo = StringEscapeUtils.escapeHtml(request
					.getParameter("default_pas_page_logo_path"));
			uploadLogo = StringEscapeUtils.escapeHtml(request
					.getParameter("pas_page_logo_path"));
			PasPageLink = StringEscapeUtils
					.escapeHtml(request
							.getParameter("LDAP_Setting__pas_page_external_link"));

			String ifsavelogo = (String) request.getSession()
					.getAttribute("savelogo");
			request.getSession().setAttribute("savelogo", "false");

			ini.SetKeyValue("LDAP-Setting", "pas_page_mode",
					PasPageAuthPage);
			ini.SetKeyValue("LDAP-Setting",
					"pas_page_company_name", PasPageCompany);

			String oldlink = ini.GetKeyValue("LDAP-Setting","pas_page_external_link");
			ini.SetKeyValue("LDAP-Setting","pas_page_external_link", PasPageLink);


			String urlf_configfile  = IWSSInfo.GetKeyValue("URL-trusting","normalLists");
			String whitelist = null;


			 String blocklist = IWSSJNI.GetURLBlockList(urlf_configfile, "block");
			 String allowlist = IWSSJNI.GetURLBlockList(urlf_configfile, "allow");

			  whitelist =  "<URLList>";
			if(blocklist != null && blocklist.length()!= 0)
				whitelist = whitelist + blocklist;
			if(allowlist != null && allowlist.length()!= 0)
				whitelist = whitelist + allowlist;

			 whitelist = whitelist + "</URLList>";


			if(PasPageLink != null && PasPageLink.length() != 0)
			{
				String newURL = "<A>" + PasPageLink +"*" +"</A>";
				 whitelist = whitelist.replace("</URLList>",newURL+ "</URLList>");

			}

			if(oldlink != null && oldlink.length() != 0)
			{
				String oldURL = "<A>" + oldlink +"*" +"</A>";
				 whitelist = whitelist.replace(oldURL, "");
			}

			if((PasPageLink != null && PasPageLink.length() != 0) || (oldlink != null && oldlink.length() != 0))
			{
				 System.out.println("whitelist" +whitelist);
				 IWSSJNI.SetURLBlockList(urlf_configfile, whitelist);
			}

			ini.WriteConfig(intscanPath);

			String PasPageWelcome = request
					.getParameter("pas_page_welcome");
			String PasPageWelcomePatch = IWSSInfo.GetKeyValue(
					"LDAP-Setting", "pas_page_welcome");
			String PasPageWelcomeFile = IWSSInfo.GetWorkPath()
					+ PasPageWelcomePatch;
			try {
				BufferedWriter output = new BufferedWriter(
						new OutputStreamWriter(new FileOutputStream(
								PasPageWelcomeFile), "utf-8"));
				String decoded_input_value = new String(
						PasPageWelcome.getBytes("ISO-8859-1"), "utf-8");
				output.write(decoded_input_value);
				output.close();
			} catch (Exception e) {
				e.printStackTrace();
			}

			String PasPagePolicy = request
					.getParameter("LDAP_Setting__pas_page_policy");
			String PasPagePolicyPatch = IWSSInfo.GetKeyValue(
					"LDAP-Setting", "pas_page_policy_path");
			String PasPagePolicyFile = IWSSInfo.GetWorkPath()
					+ PasPagePolicyPatch;

			try {
				BufferedWriter output = new BufferedWriter(
						new OutputStreamWriter(new FileOutputStream(
								PasPagePolicyFile), "utf-8"));
				String decoded_input_value = new String(
						PasPagePolicy.getBytes("ISO-8859-1"), "utf-8");
				output.write(decoded_input_value);
				output.close();
			} catch (Exception e) {
				e.printStackTrace();
			}
		} else {
			PasPageAuthPage = request
					.getParameter("LDAP_Setting__pas_page_mode");
			ini.SetKeyValue("LDAP-Setting", "pas_page_mode",
					PasPageAuthPage);

			String captivePortalfAdvancedPatch = IWSSInfo.GetKeyValue(
					"LDAP-Setting", "pas_page_adv");
			String advancedhtmfile = IWSSInfo.GetWorkPath()
					+ captivePortalfAdvancedPatch;
			File advancedefile = new File(advancedhtmfile);
			String AdvanvcedPage = request.getParameter("advancedpage") != null
					? request.getParameter("advancedpage")
					: "";
			try {
				if (!advancedefile.exists()) {
					advancedefile.createNewFile();
				}
				BufferedWriter output = new BufferedWriter(
						new OutputStreamWriter(new FileOutputStream(
								advancedefile), "utf-8"));
				String decoded_input_value = new String(
						AdvanvcedPage.getBytes("ISO-8859-1"), "utf-8");
				output.write(decoded_input_value);
				output.close();
			} catch (Exception e) {
				e.printStackTrace();
			}

			/*String captivePortalForm = IWSSInfo.GetKeyValue(
					"LDAP-Setting", "captive_portal_form");
			String captivePortalFormFile = IWSSInfo.GetWorkPath()
					+ captivePortalForm;
			File formFile = new File(captivePortalFormFile);
			String form = request.getParameter("captivePortalform") != null
					? request.getParameter("captivePortalform")
					: "";
			try {
				if (!formFile.exists()) {
					formFile.createNewFile();
				}
				BufferedWriter output = new BufferedWriter(
						new OutputStreamWriter(new FileOutputStream(
								captivePortalFormFile), "utf-8"));
				String decoded_input_value = new String(
						form.getBytes("ISO-8859-1"), "utf-8");
				output.write(decoded_input_value);
				output.close();
			} catch (Exception e) {
				e.printStackTrace();
			}*/
		}
	}
	String enable = request.getParameter("pas_enable");
	ini.SetKeyValue("LDAP-Setting", "pas_enable",
			enable != null ? "yes" : "no");
	String guest_user_login_value = ini.GetKeyValue("http",
			"guest_user_login");

	if (request.getParameter("op") != null
			&& request.getParameter("op").compareToIgnoreCase("save") == 0) {
		ini.SetKeyValue("http", "guest_user_login", "no");
		ini.WriteConfig(intscanPath);
		IWSSUtil.updateFirewallRule("guest", 0);

		try {
			String uihelperCmd = "/etc/iscan/AdminUI/uihelper";
			String refereshFirewallCmd = "/sbin/service iptables local_service";
			String[] cmdStr = {uihelperCmd, refereshFirewallCmd, UIHelperToken.getToken(request)};
			System.out.println("Refresh firewall is:" + uihelperCmd
					+ " " + refereshFirewallCmd);
			Process cmdp = Runtime.getRuntime()
					.exec(cmdStr, null, null);
			cmdp.waitFor();
		} catch (Exception e) {
			System.out.println("Error from command: " + e.toString());
		}
	}

	if (request.getParameter("op") != null
			&& request.getParameter("op").compareToIgnoreCase("save") == 0)
	{

		String stopProxy = "/usr/iwss/S99ISproxy stop";
		String startProxy = "/usr/iwss/S99ISproxy start";
		String[] isProxylive = new String[] { "/bin/sh", "-c",
				"ps ax | grep '/usr/iwss/iwssd' | wc -l" };

		Process c = null;
		Process c1 = null;

		c = Runtime.getRuntime().exec(isProxylive);
		BufferedReader bufferedReader = new BufferedReader(
				new InputStreamReader(c.getInputStream()));

		String line = null;
		while ((line = bufferedReader.readLine()) != null) {
			if (Integer.parseInt(line.trim()) > 1) {
				c1 = Runtime.getRuntime().exec(stopProxy);
				try {
					c1.waitFor();
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
				System.out.println("Finish:" + stopProxy);
			}
		}
		IWSSUtil.exeUihelperCmd("startdaemon:", startProxy, UIHelperToken.getToken(request));
		System.out.println("Finish:" + stopProxy);
	}

	captiveportal.getIniInfo();

	PasPageAuthPage = IWSSInfo.GetKeyValue("LDAP-Setting",
			"pas_page_mode");
	PasPageCompany = IWSSInfo.GetKeyValue("LDAP-Setting",
			"pas_page_company_name");
		PasPageCompany = new   String(PasPageCompany.getBytes(), "UTF8");
	PasPageLogo = IWSSInfo.GetKeyValue("LDAP-Setting",
			"pas_page_logo_path");
	PasPageLink = IWSSInfo.GetKeyValue("LDAP-Setting",
			"pas_page_external_link");
	PasPageLink = StringEscapeUtils.escapeHtml(PasPageLink);

	String captivePortalfAdvancedPatch = IWSSInfo.GetKeyValue(
			"LDAP-Setting", "pas_page_adv");
	String advancedhtmfile = IWSSInfo.GetWorkPath()
			+ captivePortalfAdvancedPatch;
	File advancedefile = new File(advancedhtmfile);
	if (advancedefile.exists()) {
		try {
			System.out.println("read advance file");
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(new FileInputStream(
							advancedefile), "utf-8"));

			String tempString = null;
			while ((tempString = reader.readLine()) != null) {
				if (captivePortaldeAdvanced == null) {
					captivePortaldeAdvanced = tempString;
				} else {
					captivePortaldeAdvanced += "\r\n";
					captivePortaldeAdvanced += tempString;
				}
			}

			reader.close();
		} catch (Exception e) {
			System.err.println("captiveportal catch exception");
			e.printStackTrace();
		}
		captivePortaldeAdvanced = StringEscapeUtils
				.escapeHtml(captivePortaldeAdvanced);
	}

	String pasForm = "";
	String pasFormPatch = "AdminUI/tomcat/webapps/ROOT/html/pasForm";

	try {
		String formhtmfile = IWSSInfo.GetWorkPath()
				+ pasFormPatch;
		if (new File(formhtmfile).exists()) {
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(new FileInputStream(
							formhtmfile), "utf-8"));
			String tempString = null;

			while ((tempString = reader.readLine()) != null) {
				if (pasForm == null) {
					pasForm = tempString;
				} else {
					pasForm += tempString;
				}
			}

			reader.close();
		}
	} catch (Exception e) {
		System.err.println("captiveportal catch exception");
		e.printStackTrace();
	}

	pasForm = StringEscapeUtils.escapeHtml(pasForm);

	String captivePortaldefault = "";
	String captivePortalfDefaultPatch = IWSSInfo.GetKeyValue(
			"LDAP-Setting", "pas_page_basic");
	try {
		String defaulthtmfile = IWSSInfo.GetWorkPath()
				+ captivePortalfDefaultPatch;
		if (new File(defaulthtmfile).exists()) {
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(new FileInputStream(
							defaulthtmfile), "utf-8"));
			String tempString = null;
			while ((tempString = reader.readLine()) != null) {
				if (captivePortaldefault == null) {
					captivePortaldefault = tempString;
				} else {
					captivePortaldefault += "\r\n";
					captivePortaldefault += tempString;
				}
			}

			reader.close();
		}
	} catch (Exception e) {
		System.err.println("captiveportal catch exception");
		e.printStackTrace();
	}
	captivePortaldefault = StringEscapeUtils
			.escapeHtml(captivePortaldefault);

	String PasPageWelcome = "";
	String PasPageWelcomePatch = IWSSInfo.GetKeyValue("LDAP-Setting",
			"pas_page_welcome");
	String PasPageWelcomeFile = IWSSInfo.GetWorkPath()
			+ PasPageWelcomePatch;

	try {
		File welcomefile = new File(PasPageWelcomeFile);
		if (!welcomefile.exists()) {
			welcomefile.createNewFile();
		} else {
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(new FileInputStream(
							PasPageWelcomeFile), "utf-8"));
			String tempString = null;
			while ((tempString = reader.readLine()) != null) {
				if (PasPageWelcome == null) {
					PasPageWelcome = tempString;
				} else {
					PasPageWelcome += "\r\n";
					PasPageWelcome += tempString;
				}

			}

			reader.close();
			PasPageWelcome = StringEscapeUtils
					.escapeHtml(PasPageWelcome);
		}
	} catch (Exception e) {
		System.err.println("captiveportal catch exception");
		e.printStackTrace();
	}

	String PasPagePolicy = "";
	String PasPagePolicyPatch = IWSSInfo.GetKeyValue("LDAP-Setting",
			"pas_page_policy_path");
	String PasPagePolicyFile = IWSSInfo.GetWorkPath()
			+ PasPagePolicyPatch;

	try {
		File file = new File(PasPagePolicyFile);
		if (!file.exists()) {
			file.createNewFile();
		} else {
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(new FileInputStream(
							PasPagePolicyFile), "utf-8"));
			String tempString = null;
			while ((tempString = reader.readLine()) != null) {
				if (PasPagePolicy == null) {
					PasPagePolicy = tempString;
				} else {
					PasPagePolicy += "\r\n";
					PasPagePolicy += tempString;
				}

			}

			reader.close();
			PasPagePolicy = StringEscapeUtils.escapeHtml(PasPagePolicy);
		}
	} catch (Exception e) {
		System.err.println("captiveportal catch exception");
		e.printStackTrace();
	}
	String PasPageEnable = IWSSInfo.GetKeyValue("LDAP-Setting",
	"pas_enable");
%>

<body
	onload="javascript:enableShow('<%=PasPageAuthPage%>');javascript:showupload('<%=beErrMsg%>');"
	bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0"
	marginheight="0">
	<!--TOOL TIP-->
	<div id="tooltip"
		style="visibility: hidden; position: absolute; z-index: 1000; top: -100"></div>
	<script language="JavaScript" type="text/javascript">mig_clay();</script>
	<!--/TOOL TIP-->
	<form action="http_config_captive_portal.jsp" method="post"
		name="saveform" TARGET="noblank">
		<input type="hidden"
			name="user_identification__user_identification_solution" value="3">
			<input type="hidden"
			id="pas_form" value="<%=pasForm%>">
		<input type="hidden" name="fromurl" value="/http_config_captive_portal.jsp">
		<input type=hidden name="daemonaction" value="0"> <input
			type=hidden name="op" value="krb_ini"><input type=hidden
			name="editmode" value="1">
		<iframe name="noblank" width=0 height=0 frameborder=0></iframe>
		<table cellspacing="0" cellpadding="0" width="800" border="0">
			<tbody>
				<tr>
					<td width="282" class="content-title"><i18n:message
							bundleRef="bundleAdmin"
							key="admin.network_config.user_identification.title" />
					</td>
					<td align="right" valign="bottom"><A href="javascript:openhelpwin('policy_acknowledgement.htm');"><img src="images/question.gif"
							border="0"> </a>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="hor-dotted-line"><img
						src="images/1space_cui.gif" width="1" height="10">
					</td>
				</tr>
				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1"
						height="10">
					</td>
				</tr>
			</tbody>
		</table>

		<table width="800" border="0" cellpadding="0" cellspacing="0">
			<tbody>
				<tr>
					<td colspan="2"><table cellpadding="0" cellspacing="0"
							border="0" width="100%">
							<tbody>
								<tr>
									<!-- TABS -->
									<td background="images/tab_background_cui.gif"><table
											cellpadding="0" cellspacing="0" border="0">
											<tbody>
												<tr>
													<td><img src="images/tab_inactive1_left_cui.gif"
														width="11" height="23" alt="" border="0"></td>
													<td valign="top"
														background="images/tab_inactive_background_cui.gif"
														class="tabinactive" nowrap=""><a
														onmouseover="this.style.color='#FF0000';"
														style="COLOR: #000000; TEXT-DECORATION: none"
														onmouseout="this.style.color='#000000';"
														href="http_config_user_idetification.jsp"><i18n:message
														bundleRef="bundleAdmin"
														key="admin.network_config.user_identification.title"/></a></td>
													<td><img src="images/tab_inactive_right_cui.gif"
														width="23" height="23" alt="" border="0"></td>
													<td><img src="images/tab_active2_left_cui.gif"
														width="11" height="23" alt="" border="0"></td>
													<td valign="top"
														background="images/tab_active_background_cui.gif"
														class="tabactive" nowrap=""><i18n:message
														bundleRef="bundleAdmin"
														key="admin.user_identification.pas.title" /></td>
													<td><img src="images/tab_active_right_cui.gif"
														width="23" height="23" alt="" border="0"></td>



													<td><img src="images/tab_inactive2_left_cui.gif"
														width="11" height="23" alt="" border="0"></td>
													<td valign="top"
														background="images/tab_inactive_background_cui.gif"
														class="tabinactive" nowrap=""><a
														onmouseover="this.style.color='#FF0000';"
														style="COLOR: #000000; TEXT-DECORATION: none"
														onmouseout="this.style.color='#000000';"
														href="http_config_ldap_whitelist.jsp"><i18n:message
														bundleRef="bundleAdmin"
														key="admin.network_config.user_identification.auth_whitelist.title" /></a></td>
													<td><img src="images/tab_inactive_right_cui.gif"
														width="23" height="23" alt="" border="0"></td>

												</tr>
											</tbody>
										</table></td>
									<td background="images/tab_background_cui.gif" align="right"><img
										src="images/tab_right_corner_cui.gif" width="6" height="23"
										alt="" border="0"></td>
									<!-- /TABS -->
								</tr>
								<tr>
									<td colspan="2" class="border">
										<table cellspacing=0 cellpadding=0 width="100%">
											<tr>
												<td colspan="2">
													<table width="100%" border="0" cellpadding="0"
														cellspacing="0">
														<tr>
															<td colspan="3" class="data1"><input
																id="pas_enable" name="pas_enable" type="checkbox"
																 onclick="EnableSaveButton();"
																<%if (PasPageEnable.equals("yes")) {%> checked <%}%>>
																<span><i18n:message bundleRef="bundleAdmin"
																		key="admin.user_identification.pas.display_policy_screen" />
															</span> <br><span><i18n:message bundleRef="bundleAdmin"
																		key="admin.user_identification.pas.display_policy_screen_message" />
															</span>
																<br>
																</td>
														</tr>
														<tr>
															<td colspan="3" class="hor-dotted-line"><img
																src="images/1space_cui.gif" width="1" height="10">
															</td>
														</tr>
														<tr>
															<td colspan="2" class="data1"><input type="radio"
																name="LDAP_Setting__pas_page_mode"
																value="basic"
																<%if (PasPageAuthPage.compareToIgnoreCase("basic") == 0) {%>
																checked <%}%>
																onclick="enableShowBasic();EnableSaveButton();">
																<span><i18n:message bundleRef="bundleAdmin"
																		key="admin.network_config.user_identification.captive_portal_basic" />
															</span> <input type="radio"
																name="LDAP_Setting__pas_page_mode"
																value="advanced"
																<%if (PasPageAuthPage.compareToIgnoreCase("advanced") == 0) {%>
																checked <%}%>
																onclick="enableShowAdvanced();EnableSaveButton();">
																<span><i18n:message bundleRef="bundleAdmin"
																		key="admin.network_config.user_identification.captive_portal_advanced" />
															</span></td>
														</tr>
														<tr>

															<td colspan="3" class="hor-dotted-line"><img
																src="images/1space_cui.gif" width="1" height="10">
															</td>

														</tr>
														</tbody>
													</table>


													<table id="basic" width="648">
														<tr>

															<td width="30%" class="data1"><i18n:message
																	bundleRef="bundleAdmin"
																	key="admin.network_config.user_identification.captive_portal_welcome" />
																<span class="redchar">*</span></td>
															<td class="data1" width="70%"><textarea
																	id="pas_page_welcome"
																	name="pas_page_welcome" cols="60" rows="4"
																	class="button" onKeyDown="EnableSaveButton();" onkeyup="if(this.value.length > 400) this.value = this.value.slice(0, 400)"><%=PasPageWelcome%></textarea>
															</td>

														</tr>
														<tr>
															<td width="30%" class="data1"><i18n:message
																	bundleRef="bundleAdmin"
																	key="admin.network_config.user_identification.captive_portal_company" />
																<span class="redchar">*</span></td>
															<td class="data1" width="70%"><input
																name="LDAP_Setting__pas_page_company_name"
																type="text" class="button" value="<%=PasPageCompany%>"
																size="60" maxlength="30" onKeyDown="EnableSaveButton();">
															</td>
														</tr>
														<tr>
															<td width="30%" class="data1"><i18n:message
																	bundleRef="bundleAdmin"
																	key="admin.network_config.user_identification.captive_portal_logo" />
															</td>
															<td class="data1"><input
																name="pas_page_logo_path" type="file"
																class="button"
																onKeyDown="javascript:enableUploadButton();javascript:enableClearButton();"
																onChange="javascript:enableUploadButton();javascript:enableClearButton();">
																<input type="hidden"
																name="default_pas_page_logo_path"
																value="<%=PasPageLogo%>"> <input
																name="captiveimgupload" type="button" class="button"
																value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_upload' />"
																onClick="doUpload();"> <input
																name="captiveimgclear" type="button" class="button"
																value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_clear' />"
																onClick="doClear();disableUploadButton();disableClearButton();">
																<%if(!bUploadTime.equals("")){%>
																<br> <i18n:message bundleRef="bundleAdmin"
																	key="admin.network_config.user_identification.captive_portal_last_logo" />
																<em><%=bUploadTime%></em>
																<%}%>
															</td>


														</tr>
														<tr>
															<td width="30%">&nbsp;</td>
															<td colspan="3" class="data1" width="70%"><i18n:message
																	bundleRef="bundleAdmin"
																	key="admin.network_config.user_identification.captive_portal_image" />
															</td>

														</tr>

														<tr>
															<td class="data1" width="30%" class="data1"><i18n:message
																	bundleRef="bundleAdmin"
																	key="admin.network_config.user_identification.captive_portal_link" />
															</td>
															<td class="data1" width="70%"><input
																name="LDAP_Setting__pas_page_external_link"
																type="text" class="button" value="<%=PasPageLink%>"
																size="60" maxlength="128"
																onKeyDown="EnableSaveButton();"></td>
														</tr>

														<tr class="policymessage">
															<td width="30%" class="data1"
																style="vertical-align: top; padding-top: 3px;"
																nowrap="nowrap"><i18n:message
																	bundleRef="bundleAdmin"
																	key="admin.network_config.user_identification.captive_portal_policy_msg" /><span
																class="redchar">*</span></td>
															<td width="70%" class="data1"><textarea
																	name="LDAP_Setting__pas_page_policy" cols="60"
																	rows="4" class="button" onKeyDown="EnableSaveButton();"><%=PasPagePolicy%></textarea></td>
														</tr>
														<tr>
															<td colspan="3" class="hor-dotted-line"><img
																src="images/1space_cui.gif" width="1" height="10">
															</td>
														</tr>
	<tr>
		<td colspan="3" class="data1"
			style="padding: 5px; text-align: center;"><input
			name="basicreset" type="button" class="button"
			value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_reset' />"
		onClick="javascript:ResetBasic();"> &nbsp; <input
				name="basicpreview" type="button" class="button"
		value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_preview' /> "
		onClick="javascript:doBasicPreview();"> <input
			type="hidden" name="input_msg"
	value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_input_msg' />">
		<input type="hidden" name="username"
		value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_username' />">
		<input type="hidden" name="password"
		value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_password' />">
				</td>
	</tr>
	</table>

	<table id="advanced" width="648">
		<tr>
			<td class="data1" style="padding-left:5px;"><span style="padding-left:10px;">&nbsp;&nbsp;&nbsp;</span><i18n:message
				bundleRef="bundleAdmin"	key="admin.network_config.user_identification.captive_portal_html" />
			</td>
		</tr>

	<tr>
		<td nowrap="nowrap" class="data1" style="padding-left:5px;">
<span style="padding-left:10px;">&nbsp;&nbsp;&nbsp;</span>
		<textarea id="advancedpage" name="advancedpage" class="button" style="width:100%" rows="17"
			onKeyDown="EnableSaveButton();"><%=(captivePortaldeAdvanced == null) ? captivePortaldefault : captivePortaldeAdvanced%>
		</textarea>
		</td>
	</tr>

	<tr>
		<td colspan="3" class="data1"><span style="padding-left:10px;">&nbsp;&nbsp;&nbsp;</span>

			<input name="advanced_reset" type="button" class="button"
				value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_reset' />"
				onClick="javascript:ResetAdvanced();"> &nbsp;

			<input name="advancedpreview" type="button" class="button"
				value="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.captive_portal_preview' />"
				onClick="doPreviewAdvanced();EnableSaveButton();">
		</td>
	</tr>
													</table></td>
											</tr>
											<tr>
												<td class="data1"><textarea id="defaultadvancedpage"
														name="defaultadvancedpage" style="display: none"><%=captivePortaldefault%></textarea>
												</td>
											</tr>
										</table>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
			</tbody>
		</table>
		<table width="640" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td height="28" valign="bottom"><%=AccessLevel.BUTTON(request, response, "save", "button",
					"javascript:doSubmit();",
					MessageResourcesMgr.mrCommon.getMessage("button.save"),
					"width:90px", "disabled")%> <%=AccessLevel.BUTTON(request, response, "cancel", "button",
					"javascript:self.location.replace('http_config_captive_portal.jsp')",
					MessageResourcesMgr.mrCommon.getMessage("button.cancel"),
					"width:105px")%></td>
			</tr>
		</table>
	</form>
</body>
</html>




