<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="com.trend.iwss.deploywizard.model.*"%>
<%@ page import="com.trend.iwss.deploywizard.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="com.trend.iwss.deploywizard.DeployWizardUtil" %>
<%@ include file="productname.txt" %>
<%
	if(Validation.CheckUser(request,response)!=1){
		response.sendRedirect("logon.jsp");
		return;
	}

		   //initial language resource
	String resFolder = pageContext.getServletContext().getRealPath("/WEB-INF/classes/");
	String strLocaleKey = IWSSInfo.GetKeyValue("Common", "lang");
		MessageResourcesMgr.initMessageResource(resFolder, strLocaleKey);

	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
	response.setDateHeader("Expires",0);
%>
<%
boolean parentFlag=true;//to flag not to display some menues when is a child in HA
String clusterIniPath = IWSSInfo.GetWorkPath() + DeployWizardInfo.CLUSET_INI;
IWSSINI clusterini = null;
if(IWSSInfo.CheckInCluster())
	clusterini = new IWSSINI(clusterIniPath);

//IWSSINI httpini = new IWSSINI(IWSSInfo.GetKeyValue("main", "protocol_config_path"));
IWSSINI httpini = new IWSSINI(IWSSInfo.GetHTTPPniPath());

boolean is_wccp_mode = httpini.GetKeyValue("http", "transparency").equals("wccp");

String cluster_id="";
String role="unknown";
List <ClusterNode> nodes=null;
if(clusterini!=null)cluster_id = clusterini.GetKeyValue("cluster","cluster_id");
if(cluster_id!=null&&cluster_id.compareTo("")!=0){
   DeployWizardUtil util=new DeployWizardUtil();
   String token = UIHelperToken.getToken(request);
   Cluster cluster=util.getClusterInfo("", token);
   if(cluster!=null) nodes=cluster.getNodes();
	if(nodes!=null){
		for(int i=0;i<nodes.size();i++)
		{
			ClusterNode tempnode=nodes.get(i);
			if(tempnode.isLocal()==true)role=tempnode.getRole();
		}
	}
	if(role.equals("child"))parentFlag=false;
}



	String selectedmenu_name = request.getQueryString();
	if(selectedmenu_name==null) selectedmenu_name="";

	//Access level checking
	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
	AdministrationRole roleinfo = null;
	if(accountinfo != null)
	{
		roleinfo = accountinfo.getRole();
	}
	else
	{
		response.sendRedirect("logon.jsp");
		return;
	}

	String arm_status = "";
	IWSSINI pini = null;
	IWSSINI intscanConfig = null;
	String exposelanbypass = "no";
	String mutiple_link = null;
	String lanbypasscard_install="no";
	try {
		intscanConfig = new IWSSINI(IWSSInfo.GetWorkPath()+"intscan.ini");
	}catch (Exception e) {}
	if (intscanConfig != null) {
			exposelanbypass = intscanConfig.GetKeyValue("bridge","uiexpose");
	}
	try {
			pini = new IWSSINI(IWSSInfo.GetWorkPath()+"network.ini");
	}catch (Exception e) {}
	if (pini != null) {
			mutiple_link = pini.GetKeyValue("network","ifname_others");
			if (mutiple_link.compareTo("")!=0)
			{exposelanbypass = "no";
			}
	}
	try {
			pini = new IWSSINI("/etc/lanbypass.conf");
	}catch (Exception e) {}
	if (pini != null) {
			lanbypasscard_install = pini.GetKeyValue("bypass","BYPASS_NAME");
			if (lanbypasscard_install.compareTo("silicom-generic")!=0)
			{exposelanbypass = "no";
			}
	}
	boolean register_arm = false;
	arm_status = IWSSInfo.GetKeyValue("Database","ARM_DB");
	if(arm_status.compareToIgnoreCase("yes")==0)
		register_arm = true;

	boolean is_log_source = false;
	is_log_source = (Integer.parseInt(IWSSInfo.GetKeyValue("CommonLog","ServerRole"))==2);

	boolean is_https_enhance = false;
	String isHttpsEnhance = IWSSInfo.GetKeyValue("https-scanning", "https_enhance_enable");
	if(null != isHttpsEnhance && 0 == isHttpsEnhance.compareToIgnoreCase("yes"))
	{
	  is_https_enhance = true;
	}

	//max_feng add
	String deploywizardAutoRun ="";
	if(roleinfo.getAccessRightByKeyID(1002) == 3)
	{
		DeployWizardUtil util = new DeployWizardUtil();
		deploywizardAutoRun = util.getDeployWizardAutoRun();
	}
	//Add for mail daemon
	boolean start_maildaemon = false;
	IWSSINI iniIMSS = new IWSSINI("/opt/trend/imss/config/imss.ini");
	String IMSSenabled =  iniIMSS.GetKeyValue("general", "mail_enabled");
	if(IMSSenabled.compareToIgnoreCase("yes")==0)
		start_maildaemon = true;
	String xmlpath = "";
	String xmlname = "";
	String xmlfile = "";
	xmlpath = pageContext.getServletContext().getRealPath("/html") + "/";

	if(!register_arm)
	{
		xmlname = "menu" + roleinfo.getRoleID() + ".xml";
	}
	else
	{
		xmlname = "menu" + roleinfo.getRoleID() + "ARM.xml";
	}

	/**
	  * Current solution : If in cluster, just append the ADMIN GROUP USER's role to the xml name.
	  * If also there is some problem, try this(When reload this page, just create a new xml doc. and remove the old xml docs.
	  *                                the file name if time realted.)
	  **/
	 if (accountinfo.getRoleID() == 0 && cluster_id!=null && cluster_id.compareTo("")!=0)
	 {
		 try{
			int pos = xmlname.lastIndexOf(".");

			if (pos != -1)
			{
				/*
				 String timeStr = "" + System.currentTimeMillis();
				 xmlname = xmlname.substring(0, pos) + timeStr + ".xml";
				 */
				xmlname = xmlname.substring(0, pos) + "_" +role + ".xml";
			}
		}catch(Exception e)
		{
			System.out.println("Get currentTimeMillis error.");
		}
	 }

	xmlfile = xmlpath + xmlname;

	BufferedWriter xml_out = null;



	try
	{
		xml_out = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(xmlfile),"utf-8"));
		if(xml_out==null)
		{
			xml_out.close();
			return;
		}

		xml_out.write("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
		xml_out.newLine();
		xml_out.write("<menubase width=\"224\">");
		xml_out.newLine();
		xml_out.newLine();

		xml_out.write("\t" + "<menu caption=\" \" target=\"\" link=\"\"></menu>");
		xml_out.newLine();
		xml_out.newLine();

		//summary
		//xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.summary") + "\" target=\"right\" link=\"summary_appcontrol.jsp\"></menu>");
		//xml_out.newLine();
		//xml_out.newLine();

		if (roleinfo.getAccessRightByKeyID(1) != 0)
		{
		xml_out.write("\t" + "<menu caption=\"System Status\" target=\"right\" link=\"go.jsp?url=hardwarestatus\"></menu>");
		xml_out.newLine();
		xml_out.newLine();
		}

		if (!is_log_source && roleinfo.getAccessRightByKeyID(2) != 0)
		{
			xml_out.write("\t" + "<menu caption=\"Dashboard\" target=\"right\" link=\"log/page/dashboard.html\"></menu>");
			xml_out.newLine();
			xml_out.newLine();
		}

		//password
		if(roleinfo.getRoleID() != 0 && accountinfo.getAccountType() == 0 && parentFlag) /*not Super Admin and not LDAP users*/
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.password") + "\" target=\"right\" link=\"password.jsp\"></menu>");
			xml_out.newLine();
			xml_out.newLine();
		}

		//bypass
		if(exposelanbypass.equals("yes"))
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.bypass") + "\" target=\"right\" link=\"bypass_device.jsp\"></menu>");
			xml_out.newLine();
			xml_out.newLine();
		}
		//Application Control
		if(roleinfo.getAccessRightByKeyID(3) != 0 && parentFlag){
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_application_control_title") + "\">");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policies") + "\" target=\"right\" link=\"application_control_policy_list.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.settings") + "\" target=\"right\" link=\"appcontrol_settings_option.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
		}
		//Bandwidth Control
		if(roleinfo.getAccessRightByKeyID(11) != 0 && parentFlag){
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_bandwidth_control_title") + "\">");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policies") + "\" target=\"right\" link=\"bandwidth_control_policy_list.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.settings") + "\" target=\"right\" link=\"bandwidth_control_settings_option.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
		}

		//HTTP
		int httpsdecry = roleinfo.getAccessRightByKeyID(401);
		int httpscan = roleinfo.getAccessRightByKeyID(402);
		int httpinspec = roleinfo.getAccessRightByKeyID(403);
		int dlp = roleinfo.getAccessRightByKeyID(404);
		int mmc = roleinfo.getAccessRightByKeyID(405);
		int urlf = roleinfo.getAccessRightByKeyID(406);
		int acq = roleinfo.getAccessRightByKeyID(407);
		int urlac = roleinfo.getAccessRightByKeyID(408);
		int httpconf = roleinfo.getAccessRightByKeyID(409);



		if(IWSSInfo.ISHTTP() && parentFlag &&
		   (httpsdecry != 0 || httpscan != 0 || httpinspec != 0 || dlp != 0 || mmc != 0 || urlf != 0 || acq != 0 || urlac != 0 || httpconf != 0))
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.http") + "\">");
			xml_out.newLine();

			if(IWSSInfo.ISHTTPS() && httpsdecry != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.https_decrypt") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policies") + "\" target=\"right\" link=\"httpsdecrypt_policy_list.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.settings") + "\" target=\"right\" link=\"httpsdecrypt_server_certificate_validation.jsp\"/>");
				xml_out.newLine();

				if(is_https_enhance)
				{
					xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.tunneling") + "\" target=\"right\" link=\"https_tunneling.jsp\"/>");
					xml_out.newLine();
				}

				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}

			if(httpscan != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.http_scan") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policies") + "\" target=\"right\" link=\"scan_policy_list.jsp\"/>");
				xml_out.newLine();

				//add for IWSVA 6.0
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.custom_defense") + "\" target=\"right\" link=\"custom_defense.jsp\"/>");
				xml_out.newLine();

				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.settings") + "\" target=\"right\" link=\"HTTP_settings_option.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}

			//http inspection
			if (httpinspec != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.http_inspection") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policies") + "\" target=\"right\" link=\"" + UIPolicy.JSP_POLICY_INSPECTION_POLICY_LIST + "\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.filters") + "\" target=\"right\" link=\"" + UIPolicy.JSP_POLICY_INSPECTION_FILTER_LIST + "\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}

			//http DLP
			if(dlp != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.DLP") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policies") + "\" target=\"right\" link=\"dlp_policy_list.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.DLPtemplates") + "\" target=\"right\" link=\"initComplianceTemplate.do\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}


			if(IWSSInfo.ISMMC() && mmc != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.applet_and_activex") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policies") + "\" target=\"right\" link=\"mmc_policy_list.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.settings") + "\" target=\"right\" link=\"mmc_config_java.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}

			if(IWSSInfo.ISURL() && urlf != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.url_filtering") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policies") + "\" target=\"right\" link=\"urlf_policy_list.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.settings") + "\" target=\"right\" link=\"urlf_config_ttl.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}

			if (acq != 0)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.access_quota_policies") + "\" target=\"right\" link=\"accessquota_policy_list.jsp\"/>");
				xml_out.newLine();
			}

			if (urlac != 0)
			{
			xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.url_access_control") + "\">");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.global_url_blocking") + "\" target=\"right\" link=\"urlblocking.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.global_trusted_urls") + "\" target=\"right\" link=\"trustedurl.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t" + "</submenu>");
			xml_out.newLine();
			}

			if (httpconf != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.configuration") + "\">");
				xml_out.newLine();

				xml_out.write("\t\t\t" + "<menuitem caption=\""
					+ MessageResourcesMgr.mrCommon.getMessage("left_navigation.x_forwarded_for_header") +
					   "\" target=\"right\" link=\"go.jsp?url=xforwardfor\"/>");

			 xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.approved_lists") + "\" target=\"right\" link=\"http_trusted_url_list.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.access_control_settings") + "\" target=\"right\" link=\"http_clientip.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.custom_categories") + "\" target=\"right\" link=\"urlf_custom_category.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.digital_certificates") + "\" target=\"right\" link=\"mmc_active_dc.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.url_cache") + "\" target=\"right\" link=\"http_url_cache.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.content_cache") + "\" target=\"right\" link=\"go.jsp?url=contentcacheload\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}

			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
			xml_out.newLine();
		}

		//FTP
		if(IWSSInfo.ISFTP() && roleinfo.getAccessRightByKeyID(5) != 0 && parentFlag)
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.ftp") + "\">");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.scan_rule") + "\" target=\"right\" link=\"ftp_config_scan.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.configuration") + "\">");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.general") + "\" target=\"right\" link=\"ftp_config_proxy.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.access_control_settings") + "\" target=\"right\" link=\"ftp_clientip.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t" + "</submenu>");
			xml_out.newLine();
			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
			xml_out.newLine();
		}
		//SMTP/POP3
		if(start_maildaemon)
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.smtp_pop3") + "\">");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.scan_rule") + "\" target=\"right\" link=\"mail_config_scan.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.configuration_mail") + "\" target=\"right\" link=\"mail_config_proxy.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
			xml_out.newLine();
		}

		//add for IWSVA 6.0
		//Logs & Reports
		if(roleinfo.getAccessRightByKeyID(6) != 0)
		{
			xml_out.write("\t" + "<menu caption=\"Logs\">");
			xml_out.newLine();

			if (!is_log_source)
			{
				//modified by johnson, to add log query for IMSS, 2011-09-14
				//modified by johnson, to hide mail log ui when mail function is disabled, 2011-10-21
				if(IMSSenabled.compareToIgnoreCase("yes")==0) {
					xml_out.write("\t\t" + "<submenu caption=\"Web Log Analysis\">");
				} else {
					xml_out.write("\t\t" + "<submenu caption=\"Log Analysis\">");
				}
				xml_out.newLine();

				xml_out.write("\t\t\t" + "<menuitem caption=\"Application Bandwidth\" target=\"right\" link=\"log/page/facet.html?did=traffic\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"Policy Enforcement\" target=\"right\" link=\"log/page/facet.html?did=url_filtering\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"Internet Access\" target=\"right\" link=\"log/page/facet.html?did=internet_access\"/>");
				xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"Internet Security\" target=\"right\" link=\"log/page/facet.html?did=internet_security\"/>");
				xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"Data Security\" target=\"right\" link=\"log/page/facet.html?did=dlp\"/>");
			xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"Access Control\" target=\"right\" link=\"log/page/facet.html?did=access_control\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}
		if (!is_log_source)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"Log Favorites\" target=\"right\" link=\"favorites_log.jsp\"/>");
				xml_out.newLine();
			}
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.log_settings") + "\" target=\"right\" link=\"report_logsetting.jsp\"/>");
			xml_out.newLine();

			//modified by johnson, to add log query for IMSS, 2011-09-14
			//modified by johnson, to hide mail log ui when mail function is disabled, 2011-10-21
			if(IMSSenabled.compareToIgnoreCase("yes")==0) {
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.mail_log_query") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.malware_log") + "\" target=\"right\" link=\"mailviruslogset.jsp\"/>");
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.spam_log") + "\" target=\"right\" link=\"spamlogset.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}
				//modified by johnson, add end, 2011-09-14


			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
		}

		if(roleinfo.getAccessRightByKeyID(7) != 0)
		{
			if (!is_log_source)
			{
				xml_out.write("\t" + "<menu caption=\"Reports\" target=\"right\" link=\"reports.jsp\"/>");
				xml_out.newLine();
			}

		//reports
		/*if(!register_arm)
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.reports") + "\">");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.realtime_reports") + "\" target=\"right\" link=\"realtime_reportset.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.scheduled_reports") + "\">");
			xml_out.newLine();

			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.daily_reports") + "\" target=\"right\" link=\"report_scheduled_saved_list.jsp?type=daily\"/>");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.weekly_reports") + "\" target=\"right\" link=\"report_scheduled_saved_list.jsp?type=weekly\"/>");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.monthly_reports") + "\" target=\"right\" link=\"report_scheduled_saved_list.jsp?type=monthly\"/>");

			xml_out.newLine();
			xml_out.write("\t\t" + "</submenu>");
			xml_out.newLine();

			if(parentFlag)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.report_templates") + "\" target=\"right\" link=\"report_scheduled_template_list.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.configuration") + "\" target=\"right\" link=\"customreportset.jsp\"/>");
				xml_out.newLine();
			}

			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
			xml_out.newLine();
		}
		else
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.reports") + "\" target=\"right\" link=\"register_arm_report.jsp\"></menu>");
			xml_out.newLine();
			xml_out.newLine();
		}

		//logs
		xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.logs") + "\">");
		xml_out.newLine();
		xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.log_query") + "\">");
		xml_out.newLine();

		if(!register_arm)
		{
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.app_log_query") + "\" target=\"right\" link=\"application_control_log_set.jsp\"/>");
			xml_out.newLine();
		}

		xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.audit_log") + "\" target=\"right\" link=\"auditlogset.jsp\"/>");
		xml_out.newLine();

		if(!register_arm)
		{
			// For bot detection log
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.bot_detection_log") + "\" target=\"right\" link=\"botlogset.jsp\"/>");
			xml_out.newLine();

			if(IWSSInfo.ISHTTP())
			{
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.cleanup_log") + "\" target=\"right\" link=\"cleanuplogset.jsp\"/>");
				xml_out.newLine();
			}
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.dlp_log") + "\" target=\"right\" link=\"dlplogset.jsp\"/>");
			xml_out.newLine();
			if(IWSSInfo.ISFTP())
			{
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.ftp_get_log") + "\" target=\"right\" link=\"ftpgetlogset.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.ftp_put_log") + "\" target=\"right\" link=\"ftpputlogset.jsp\"/>");
				xml_out.newLine();
			}


			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.http_inspection_log") + "\" target=\"right\" link=\"http_inspection_log_set.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.performance_log") + "\" target=\"right\" link=\"perflogset.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.spyware_log") + "\" target=\"right\" link=\"spywarelogset.jsp\"/>");
			xml_out.newLine();

			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.url_blocking_log") + "\" target=\"right\" link=\"urlblogset.jsp\"/>");
			xml_out.newLine();
			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.urlf_log") + "\" target=\"right\" link=\"urlflogset.jsp\"/>");
			xml_out.newLine();

			if(IWSSInfo.ISHTTP())
			{
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.url_access_log") + "\" target=\"right\" link=\"urlalogset.jsp\"/>");
				xml_out.newLine();
			}

			xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.virus_log") + "\" target=\"right\" link=\"viruslogset.jsp\"/>");
			xml_out.newLine();
		}

		xml_out.write("\t\t" + "</submenu>");
		xml_out.newLine();

		if(parentFlag)
		{
			if(login_gid != REPORT_ONLY_GROUP_ID)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.syslog_configuration") + "\" target=\"right\" link=\"syslog_settings.jsp\"/>");
				xml_out.newLine();
			}
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.log_settings") + "\" target=\"right\" link=\"report_logsetting.jsp\"/>");
			xml_out.newLine();
		}

		xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.log_deletion") + "\" target=\"right\" link=\"delete_viruslog.jsp\"/>");
		xml_out.newLine();
		xml_out.write("\t" + "</menu>");
		xml_out.newLine();
		xml_out.newLine();*/

		}

		//updates
		if(roleinfo.getAccessRightByKeyID(8) != 0)
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.updates") + "\">");
			xml_out.newLine();
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.manual") + "\" target=\"right\" link=\"manual_update.jsp\"/>");
			xml_out.newLine();

			if(parentFlag)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.schedule") + "\" target=\"right\" link=\"update.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.connection_settings") + "\" target=\"right\" link=\"update_proxy.jsp\"/>");
				xml_out.newLine();
			}

			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
			xml_out.newLine();
		}

		//notifications
		if( roleinfo.getAccessRightByKeyID(9) != 0 && parentFlag )
		{
			xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.notifications") + "\" target=\"right\" link=\"notifications.jsp\"></menu>");
			xml_out.newLine();
			xml_out.newLine();
		}
		int audlog = roleinfo.getAccessRightByKeyID(1001);
		int dw = roleinfo.getAccessRightByKeyID(1002);
		int iconf = roleinfo.getAccessRightByKeyID(1003);
		int nconf = roleinfo.getAccessRightByKeyID(1004);
		int mc = roleinfo.getAccessRightByKeyID(1005);
		int cbr = roleinfo.getAccessRightByKeyID(1006);
		int su = roleinfo.getAccessRightByKeyID(1007);
		int sm = roleinfo.getAccessRightByKeyID(1008);
		int sel = roleinfo.getAccessRightByKeyID(1009);
		int pl = roleinfo.getAccessRightByKeyID(1010);
		int sup = roleinfo.getAccessRightByKeyID(1011);

		//administration
		if(audlog != 0 || dw != 0 || iconf != 0 || nconf != 0 || mc != 0 || cbr != 0 || su != 0 || sm != 0 || sel != 0 || pl != 0 || sup != 0)
		{
		xml_out.write("\t" + "<menu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.administration") + "\">");
		xml_out.newLine();

		if(audlog != 0)
		{
			xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.audit_log") + "\" target=\"right\" link=\"auditlogset.jsp\"/>");
			xml_out.newLine();
		}
		if(dw != 0)
		{
				//cluster management
				// move cluster management to IWSVA Configuration
				//if(!cluster_id.equals(""))
				//xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.cluster_management") + "\" target=\"right\" link=\"cluster_management.jsp\"/>");
				//xml_out.newLine();
				//Deployment wizard
				xml_out.write("\t\t" + "<menuitem caption=\""+ MessageResourcesMgr.mrCommon.getMessage("left_navigation.deploymentwizard")+ "\" target='deploy' link=\"deploywizard\"/>");
				xml_out.newLine();
			}

			if(iconf != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.iwsva_configuration") + "\">");
				xml_out.newLine();

				// cluster management
				if(!cluster_id.equals("") && !"unknown".equalsIgnoreCase(role))
					xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.cluster_management") + "\" target=\"right\" link=\"cluster_management.jsp\"/>");
			xml_out.newLine();



				//User Identification
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.user_identification") + "\" target=\"right\" link=\"http_config_user_idetification.jsp\"/>");
				xml_out.newLine();

				//Policy Deployment Settings
				if(parentFlag)
				{
					xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.policyautodeploy") + "\" target=\"right\" link=\"iwss_config_autodeploy.jsp\"/>");
					xml_out.newLine();
				}

				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.database") + "\" target=\"right\" link=\"iwss_config_database.jsp\"/>");
			xml_out.newLine();

				//Jim J Wang, 2009-12-18, remove server farm
				//xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.iwsva_server_farm") + "\" target=\"right\" link=\"iwss_config_servers.jsp\"/>");
				//xml_out.newLine();
				if(parentFlag)
				{
					xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.quarantine_management") + "\" target=\"right\" link=\"iwss_config_general.jsp\"/>");
					xml_out.newLine();
					xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.system_time") + "\" target=\"right\" link=\"config_date_time.jsp\"/>");
					xml_out.newLine();
				}

				//Work Leisure Time
		xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.scheduled_times") + "\" target=\"right\" link=\"scheduled_times.jsp\"/>");
				//xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.work_leisure_time") + "\" target=\"right\" link=\"urlf_time_set.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.control_manager_settings") + "\" target=\"right\" link=\"tmcm_agent_settings.jsp\"/>");
				xml_out.newLine();
			//xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.register_to_skynet") + "\" target=\"right\" link=\"register_to_skynet.jsp\"/>");
			//xml_out.newLine();

				//remove DCS
				//if(IWSSInfo.ISHTTP())
				//{
				//    xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.register_to_dcs") + "\" target=\"right\" link=\"dcs_register.jsp\"/>");
				//    xml_out.newLine();
				//}

				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.replication_configuration") + "\" target=\"right\" link=\"replication_config.jsp\"/>");
				xml_out.newLine();

				//Central log
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.central_log") + "\" target=\"right\" link=\"central_log.jsp\"/>");
				xml_out.newLine();

				//Scan Method
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.scan_method") + "\" target=\"right\" link=\"scan_mode.jsp\"/>");
				xml_out.newLine();

				// pac file management
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.pac_files") + "\" target=\"right\" link=\"pac_files.jsp\"/>");
				xml_out.newLine();

                if((intscanConfig.GetKeyValue("HaProxy", "enable").equals("1")))
                {
                
					if( HaProxyManager.getDeployMode().equals(DeployWizardInfo.SINGLEMODE_FORWARD)
						&& !(intscanConfig.GetKeyValue("HaProxy", "mode").equals("2")))
					{
						// haproxy active/active
						xml_out.write("\t\t\t" + "<menuitem caption=\"" + "Forward Proxy HA-A/A" + "\" target=\"right\" link=\"ha_proxy_active_active.jsp\"/>");
						xml_out.newLine();
					}

					if( HaProxyManager.getDeployMode().equals(DeployWizardInfo.SINGLEMODE_FORWARD)
						&& !(intscanConfig.GetKeyValue("HaProxy", "mode").equals("1")))
					{
						// haproxy active/standby
						xml_out.write("\t\t\t" + "<menuitem caption=\"" + "Forward Proxy HA-A/S" + "\" target=\"right\" link=\"ha_proxy_active_standby.jsp\"/>");
						xml_out.newLine();

					}
                
                }

				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}

			if(parentFlag && nconf != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.network_configuration") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.network_interface") + "\" target=\"right\" link=\"go.jsp?url=config_network_interface\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.web_console") + "\" target=\"right\" link=\"webConsole.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.remote_cli") + "\" target=\"right\" link=\"SSHConfig.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.snmp_settings") + "\" target=\"right\" link=\"iwss_config_snmp.jsp\"/>");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.static_routes") + "\" target=\"right\" link=\"staticRoutes.jsp\"/>");
				xml_out.newLine();

				if (is_wccp_mode)
				{
					xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.wccp") + "\" target=\"right\" link=\"wccpStatus.jsp\"/>");
					xml_out.newLine();
				}
				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();
			}

			if(parentFlag && mc != 0)
			{
				xml_out.write("\t\t" + "<submenu caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.management_console") + "\">");
				xml_out.newLine();
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.account_admin") + "\" target=\"right\" link=\"login_accounts.jsp\"/>");
				xml_out.newLine();

				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.role_management") + "\" target=\"right\" link=\"role_management.jsp\"/>");
				xml_out.newLine();

				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.access_control_settings") + "\" target=\"right\" link=\"access_control_settings.jsp\"/>");
				xml_out.newLine();

				xml_out.write("\t\t" + "</submenu>");
				xml_out.newLine();

			}

			//xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.log_settings") + "\" target=\"right\" link=\"report_logsetting.jsp\"/>");
			//xml_out.newLine();

			if(parentFlag && cbr != 0)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.config_backup") + "\" target=\"right\" link=\"config_backup_collapsed.jsp\"/>");
				xml_out.newLine();
			}

			if (su != 0)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.system_patch") + "\" target=\"right\" link=\"admin_patch_mgmt.jsp\"/>");
				xml_out.newLine();
				//  remove OS patch
				// xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.update_os") + "\" target=\"right\" link=\"updateimg.jsp\"/>");
				// xml_out.newLine();
			}

			if(sm != 0)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.system_maintenance") + "\" target=\"right\" link=\"system_maintenance.jsp\"/>");
				xml_out.newLine();
			}
			if(sel != 0)
			{
				xml_out.write("\t\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.system_event_log") + "\" target=\"right\" link=\"syseventlogset.jsp\"/>");
			xml_out.newLine();
			}
			if(pl != 0)
			{
				if(parentFlag)
				{
					xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.product_license") + "\" target=\"right\" link=\"productlicense.jsp\"/>");
					xml_out.newLine();
				}
			}

			if (sup != 0)
			{
				xml_out.write("\t\t" + "<menuitem caption=\"" + MessageResourcesMgr.mrCommon.getMessage("left_navigation.support") + "\" target=\"right\" link=\"support.jsp\"/>");
				xml_out.newLine();
			}
			xml_out.write("\t" + "</menu>");
			xml_out.newLine();
			xml_out.newLine();
		}

		xml_out.write("</menubase>");
		xml_out.newLine();
		xml_out.close();
	}
	catch(Exception e)
	{
		e.printStackTrace();
		return;
	}
%>
<html>

<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta http-equiv="pragma" content="no-Cache">
<meta http-equiv="Cache-Control" content="no-cache, must-revalidate">
<meta http-equiv="expires" content="0">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/tm_menu.css" type="text/css" rel="stylesheet"></link>

<link href="html/jquery.autocomplete.css" type="text/css" rel="stylesheet"></link>
<script type="text/javascript" src="html/jquery.js"></script>
<script type="text/javaScript" src="html/jquery.autocomplete.js"></script>
<script type="text/javascript" src="html/tm_menu.js"></script>
<script type="text/javascript">

function load()
{
   // IE will only send request for the first by cache
   // add a timestamp in URL, IE will query xml when reload page
   var timestamp = new Date().valueOf();
   TrendMenu.init('tm_menu', 'html/<%=xmlname%>?t='+timestamp);
   window.top.TrendMenu = TrendMenu;
   // Init smart search box
   SmartSearchInit();
}
function popWizard()

{
	popUp('deploywizard/dw_welcome.jsp');
}

function popUp(URL) {
	day = new Date();
	id = day.getTime();
	eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=750,height=685,left = 220,top = 20');");
}

function findValue(li) {
	if (li == null) return alert("No match!");
	if(li.extra)
		var sValue = li.extra[1];
	else
		var sValue = li.selectValue;
	document.getElementById("SmartSearch").value="";
	eval(sValue);
	document.getElementById("SmartSearch").focus();
//  var newcookie;
//  newcookie = li.selectValue + "|" + li.extra[0] + "|" + li.extra[1] + "\r\n";
//  if ($.cookie("SmartSearch").indexOf(newcookie) == -1)
//      $.cookie("SmartSearch", $.cookie("SmartSearch")+newcookie);
}

function selectItem(li) {
	findValue(li);
}

function formatItem(row, i, num) {
	return row[0];

}

function checkRight(type) {
	var parentOnly = type & 0x08;
	return !parentOnly || <%=parentFlag?"true":"false"%>;
}
function SmartSearchInit()
{
	$("#SmartSearch").autocomplete(
		"smartsearch.jsp",
	{
		delay:10,
		minChars:1,
		matchSubset:1,
		matchContains:1,
		cacheLength:10,
		onItemSelect:selectItem,
		onFindValue:findValue,
		formatItem:formatItem,
		autoFill:false,
		maxItemsToShow:8,
		title:"<%=MessageResourcesMgr.mrCommon.getMessage("left_smart_search_title")%>",
		width:"215",
		marginLeft:"30",
		checkRight:checkRight
	});
}
</script>

</head>

<body onload="load()" style="overflow:auto">
	<div style="height:22px;border:1px solid;border-color:#dddddd;width:215px;background:#ffffff;margin-left:5px; margin-right:5px;">
		<img src="images/search.png" border="0" align="left" width="20" height="20" style="margin-left: 5px; margin-top: 1px; vertical-align:middle;" />
		<input type="text" id="SmartSearch" autocomplete="off" style="width:155px; vertical-align:middle;"/>
		<img src="images/close.png" border="0" width="20" height="20" id="closeButton" style="visibility:hidden;vertical-align:middle;" onclick="this.style.visibility='hidden';$('#SmartSearch').focus();" />
	</div>
	<div id="tm_menu" style="overflow:auto;position:absolute;top:25px;left:0px;"></div>
	<div id="menu_divider" style="margin:0px;padding:0px;background:#5f5f5f;position:absolute;top:0px;width:1px;height:100%;border-right:0px solid #5f5f5f;"></div>

	<div id="tm_menu" style="overflow:auto;position:absolute;top:30px;left:0px;"></div>
	<div id="menu_divider" style="margin:0px;padding:0px;background:#5f5f5f;position:absolute;top:0px;width:1px;height:100%;border-right:0px solid #5f5f5f;"></div>
	<div id="img_cache" style="display:none"></div>
	<script>
		$("#img_cache").html("<img src='images/plus.gif'/><img src='images/minus.gif'/><img src='images/os_nav_arrow_inactive_cui.gif'/><img src='/images/os_nav_arrow_active_cui.gif' />");
	</script>

</body>
</html>

