<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*"%>
<%@ page import="com.trend.api.administration.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
	if(Validation.CheckUser(request,response)!=1){
		response.sendRedirect("logon.jsp");
		return;
	}
	
	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
	AdministrationRole roleinfo = null;
	int access = 0;
	if(accountinfo != null)
	{
		roleinfo = accountinfo.getRole();
		access = roleinfo.getAccessRightByKeyID(1003);
		if (access == 0)
		{
			response.sendRedirect("logon.jsp");
			return;
		}
	}
	else
	{
		response.sendRedirect("logon.jsp");
		return;
	}
	
	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
%>

<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<!-- script type="text/javascript" src="html/jquery.js"></script -->
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<script language="javascript">
</script>


<SCRIPT language="javascript" src="html/mouseover_help.js"></SCRIPT>
<%
	IWSSINI ini = new IWSSINI(IWSSInfo.GetWorkPath()+ "intscan.ini");
	String risk_level = ini.GetKeyValue("dtas","blacklist_match_risk_level");
	String action = ini.GetKeyValue("dtas", "blacklist_feedback_action");
	String dda_enabled = ini.GetKeyValue("dtas", "dda_enabled");
	String ddan_enable = ini.GetKeyValue("dtas","ddan_enabled");
	String ddi_enabled = ini.GetKeyValue("dtas", "ddi_enabled");
	String tmcm_so_enable = ini.GetKeyValue("dtas", "TMCM_enabled");
	
	String blacklist_enable = ini.GetKeyValue("dtas","blacklist_feedback_enabled");
	String blacklist_action = ini.GetKeyValue("dtas","blacklist_feedback_action");
	
	IWSSINI dtasini = new IWSSINI(IWSSInfo.GetWorkPath()+ "dtas.ini");
	String sync_time = dtasini.GetKeyValue("dtas","sync_time");
	String dda_ip = dtasini.GetKeyValue("dtas","dda_ip");
	String dda_port = dtasini.GetKeyValue("dtas","dda_port");
	String apikey =dtasini.GetKeyValue("dtas","apikey");
	String uuid = dtasini.GetKeyValue("dtas","UUID");
	
	String ddi_ip_so = dtasini.GetKeyValue("dtas", "ddi_ip");
	String ddi_port_so = dtasini.GetKeyValue("dtas", "ddi_port");

	String tmcm_ip_so = dtasini.GetKeyValue("dtas", "tmcm_ip");
	String tmcm_port_so = dtasini.GetKeyValue("dtas", "tmcm_port");
	String tmcm_apikey_so = dtasini.GetKeyValue("dtas", "tmcm_apikey");
%>
<body  bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
	<form ACTION="servlet/com.trend.iwss.gui.servlet.dtasinfoset" METHOD=POST NAME=saveform>
	<input type="hidden" name="fromurl" value="/risk_level.jsp">
	<input type="hidden" name="daemonaction" value="0">

	<table width="706" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td width="507" class="content-title">Risk Level Settings</td>
			<td width="33" valign="bottom">
				<!--<div align="right"><A href="javascript:openhelpwin('level.htm');">
					<img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>-->
			</td>
		</tr>
		<tr>
			<td colspan="4" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
		</tr>
		<tr>
			<td colspan="4"><img src="images/1space_cui.gif" width="1" height="10"></td>
		</tr>
	</table>
	
	<table width="706" border="0" cellspacing="0" cellpadding="0">
	<!-- TABS -->
		<tr>
			<td background="images/tab_background_cui.gif">
				<table cellpadding="0" cellspacing="0" border="0" class="table-tabs">
					<tr>
						<td>
							<img src="images/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0">
						</td>
						<td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap>
							<a onmouseover="this.style.color='#FF0000';" style="COLOR:#000000;TEXT-DECORATION:none" onMouseOut="this.style.color='#000000';" href="custom_defense.jsp">
								Custom Defense Settings
							</a>
						</td>
						<td>
							<img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0">
						</td>
						<td>
						   <img src="images/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0">
						</td>
						<td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap>
							Risk Level Settings
						</td>
						<td>
							<img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0">
						</td>
					</tr>
				</table>
			</td>
		</tr>
	<!-- TABS -->
	</table>
		
	<table width="706" border="0" cellpadding="2" cellspacing="0" class="border">
		<tr>
			<td style="padding-bottom:3px">
				<table width="700" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td colspan="4" class="tableheadergrey">
							Risk Level Settings
						</td>
					</tr>

					<tr>
						<td colspan="2" class="data1">
							<input name="level" type="radio" value="high" <%if(risk_level.equals("3")){%> checked<%}%>></input>
							 High     - Block only high-risk suspicious objects.
						</td>
					</tr>

					<tr>
						<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
					</tr>

					<tr>
						<td colspan="2" class="data1">
							<input name="level" type="radio" value="medium" <%if(risk_level.equals("2")){%> checked<%}%> /></input>
							Medium   - Block medium-risk and high-risk suspicious objects.
						</td>
					</tr>

					<tr>
						<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
					</tr>

					<tr> 
						<td colspan="2" class="data1">
							<input name="level" type="radio" value="low" <%if(risk_level.equals("1")){%> checked<%}%> />
							Low      - Block low-risk, medium-risk and high-risk suspicious objects.
						</td>
					</tr>
					
					<tr>
						<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
					</tr>
					
					<tr> 
						<td colspan="2" class="data1">
							<input name="level" type="radio" value="all" <%if(risk_level.equals("0")){%> checked<%}%> />
							All      - Block all suspicious objects.
						</td>
					</tr>
				</table>
				
				<tr>
					<td colspan="2"><img src="images/1space_cui.gif" width="1"
						height="10"></td>
				</tr>
		</tr>
	</table>
	
	<tr>
		<td colspan="2"><img src="images/1space_cui.gif" width="1"
			height="10"></td>
	</tr>
	
	<table width="706" border="0" cellpadding="2" cellspacing="0" class="border">
		<tr>
			<td style="padding-bottom:3px">
				<table width="700" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td colspan="2" class="tableheadergrey2"><i18n:message
								bundleRef="bundleHttp"
								key="https.policy.custom_defense.actions" /></td>
					</tr>
					<tr>
						<td colspan="2"><img src="images/1space_cui.gif" width="1"
							height="10"></td>
					</tr>

					<tr>
						<td colspan="2" valign="top" class="data1"><input
							type="checkbox" name="checkbox_blk" value="checkbox"
							<%if(blacklist_enable.equals("1")){%> checked <%}%>
							onClick="EnableSaveButton();"> <i18n:message
								bundleRef="bundleHttp"
								key="https.policy.custom_defense.enable_malicious_deedback" />
							<select name="blk_action" id="blk_action" class="button"
							onChange="">
								<option value="1"
									<% if(blacklist_action.compareToIgnoreCase("1") == 0) {%>
									selected <%}%>><i18n:message bundleRef="bundleHttp"
										key="https.policy.custom_defense.block_action" /></option>
								<option value="2"
									<% if(blacklist_action.compareToIgnoreCase("2") == 0) {%>
									selected <%}%>><i18n:message bundleRef="bundleHttp"
										key="https.policy.custom_defense.monitor_action" /></option>
						</select>&nbsp;&nbsp;<input name="btnSync" type="button" class="button"
							value="<i18n:message bundleRef="bundleHttp" key="https.policy.custom_defense.sync_now" />"
							onClick="" <%if(dda_enabled.equals("0") && ddi_enabled.equals("0")){%> disabled <%}%> /> <img
							alt="loading" id="general-ajax-load2"
							src="images/icon_ajax_loader.gif"
							style="display: none; z-index: 99999;"><span
							style="font-style: italic; color: #616d7e;" id="synctext"></span></td>

					</tr>
				</table>
		</tr>
		
		<tr>
			<td colspan="2"><img src="images/1space_cui.gif" width="1"
				height="10"></td>
		</tr>
	</table>
	

	<tr>
		<%if (access == 3) { %>
		<table width="706" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td height="28" valign="bottom">
						<input name="save"
						type="button" class="button" onClick=""
						value="<i18n:message bundleRef='bundleCommon' key='button.save' />"
						disabled> 
						<input name="cancel" type="button" class="button"
						onClick="javascript:self.location.replace('risk_level.jsp')"
						value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />"></td>
			</tr>
		</table>
		<%}%>
	</tr>

	<tr>
		<td colspan="2"><img src="images/1space_cui.gif" width="1"
			height="10"></td>
	</tr>
		
</form>

<script language="javascript" type="text/javascript" src="html/jquery.js"></script>
<script>

$(document).ready(function() {
	
	var utime="<%=sync_time%>";

	if(utime != "")
	{
		$("#synctext").html('Last updated: '+utime);
	}	
	
	$('input[name=level]').click(function() {
		$("input[name='save']").removeAttr("disabled");
	});
	
	$("input[name='checkbox_blk']").click(function() {
		if ($("input[name='checkbox_blk']").attr("checked"))
		{
			$("#blk_action").removeAttr("disabled");
		}
		else
		{
			$("#blk_action").attr("disabled", true);
		}
	});
	
	$("#blk_action").change(function(){
			$("input[name='save']").removeAttr("disabled");
	});
	
	$("input[name='save']").click(function(){
			
		$("input[name='daemonaction']").val("71"); /*restart*/
		
		//console.log($("input[name='level']").val());
		if(document.saveform.level[0].checked) 
		{
			$("input[name='level']").val("3");
		}
		else if(document.saveform.level[1].checked)
		{
			$("input[name='level']").val("2");
		}
		else if(document.saveform.level[2].checked) 
		{
			$("input[name='level']").val("1");
		}
		else if(document.saveform.level[3].checked) 
		{
			$("input[name='level']").val("0");
		}
		else
		{
			$("input[name='level']").val("0");
		}
		//console.log($("input[name='level']").val());
		
		if ($("input[name='checkbox_blk']").attr("checked"))
		{
			$("input[name='checkbox_blk']").val("1");
		}
		else
		{
			$("input[name='checkbox_blk']").val("0");
		}
		
		console.log($("input[name='checkbox_blk']").val());
		
		$.ajax({
			url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
			dataType : "json",
			type : "POST",
			data : {
				op : "save_risk_level",
				CSRFGuardToken : document.forms[0].CSRFGuardToken.value,
				fromurl : $("input[name='fromurl']").val(),
				daemonaction : $("input[name='daemonaction']").val(),
				level : $("input[name='level']").val(),
				checkbox_blk : $("input[name='checkbox_blk']").val(),
				blk_action : $("#blk_action").val(),
			},
			beforeSend : function() {
				$("input[name='save']").attr("disabled", true);
			},
			complete : function() {
				//$("input[name='save']").removeAttr("disabled");
			},
			success : function(data) {

				if (data == "0") {
					$("input[name='save']").attr("disabled", true);
				}
				else {
					alert("Save failed.");
					$("input[name='save']").removeAttr("disabled");
					return;
				}
			},
			error : function(a, b, c) {
				//console.log("ERROR:", a, b, c);
				//alert(i18n_sync_fail);
			}
		});

	});
	
	
<%
	if(dda_enabled.equals("0") && ddi_enabled.equals("0")) {
%>
		$("input[name='save']").attr("disabled", true);
		$("input[name='level']").attr("disabled", true);
		$("input[name='checkbox_blk']").attr("disabled", true);
		$("#blk_action").attr("disabled", true);
<%
	}
	else 
	{
%>
		$("input[name='level']").removeAttr("disabled");
		$("input[name='checkbox_blk']").removeAttr("disabled");
		$("#blk_action").removeAttr("disabled");
<%
	}
%>
	
	//Sync Blacklist
	$("input[name='btnSync']").click(function() {
		
		var syncCmd = "";
<%
		if(dda_enabled.equals("1") ) 
		{
			if (tmcm_so_enable.equals("1"))
			{
%>
				syncCmd = "op="+"syncblacklist"+"&IPAddress="+"<%=tmcm_ip_so%>"+"&Port="+"<%=tmcm_port_so%>"+"&APIKey="+"<%=tmcm_apikey_so%>"+"&CSRFGuardToken="+document.forms[0].CSRFGuardToken.value+"&fromurl="+'/risk_level.jsp';
<%	
			}
			else
			{
%>
				syncCmd = "op="+"syncblacklist"+"&IPAddress="+"<%=dda_ip%>"+"&Port="+"<%=dda_port%>"+"&APIKey="+"<%=apikey%>"+"&CSRFGuardToken="+document.forms[0].CSRFGuardToken.value+"&fromurl="+'/risk_level.jsp';
<%
			}
		}
		else
		{
%>
			syncCmd = "op="+"syncddiblacklist"+"&IPAddress="+"<%=ddi_ip_so%>"+ "&Port="+"<%=ddi_port_so%>"+"&CSRFGuardToken="+document.forms[0].CSRFGuardToken.value+"&fromurl="+'/risk_level.jsp';	
<%
		}
%>
		$.ajax({
			url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
			//dataType : "json",
			type : "POST",
			data : syncCmd,
			beforeSend : function() {
				$("input[name='btnSync']").attr("disabled", true);
				$('#general-ajax-load2').show();
				$("#synctext").html('');
				//$("#synctext").html('Last Synced: '+utime);
			},
			complete : function() {
				$("input[name='btnSync']").removeAttr("disabled");
				$('#general-ajax-load2').hide();
			},
			success : function(data) {
				if(data)
				{
					//console.log("success");
					//console.log(data);
					$("input[name='btnSync']").removeAttr("disabled");
					$('#general-ajax-load2').hide();
					$("#synctext").html('Last Synced: '+data);
				}
				else
				{
					alert(i18n_sync_fail);
					return;
				}
			},
			error : function(a, b, c) {
				//console.log("ERROR:", a, b, c);
				alert(i18n_sync_fail);
			}
		});
	});
		
});

</script>
</body>
</html>
