<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
	if(Validation.CheckUser(request,response)!=1){
		response.sendRedirect("logon.jsp");
		return;
	}
	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
%>
<%
	DiagnosticReportList reportList = new DiagnosticReportList();
	String[][] reportNames = reportList.getFileNames();
	SummaryReportResult reportResult = new SummaryReportResult();
	String[][] networkResults = reportResult.getNetworkResults();
	String[][] trendResults = reportResult.getTrendResults();
%>
<html>
<head>
<title>Support</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/tooltip.js"></SCRIPT>
<SCRIPT language="javascript" src="html/localization.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
var ndescs = new Array(<%=networkResults.length%>);
<%for(int i = 0; i < networkResults.length; i++) {%>
  ndescs[<%=i%>] = ["<%=networkResults[i][0]%>","<%=networkResults[i][1]%>"];
<%}%>
var tdescs = new Array(<%=trendResults.length%>);
<%for(int i = 0; i < trendResults.length; i++) {%>
  tdescs[<%=i%>] = ["<%=trendResults[i][0]%>","<%=trendResults[i][1]%>"];
<%}%>
</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

onerror=handleError;
function handleError() {
  window.location="support_diagnostic_tool.jsp";
  return true;
}

function enableBtns() {
	var form = window.document.saveform;
	var isSelected = false;
	// only enable buttons when the file list is not empty
	if (form.selectDumps.length > 0) {

		for(var i = 0;i<form.selectDumps.length;i++){
			if(document.saveform.selectDumps.options[i].selected == true){
				isSelected = true;

			}

		}
		if( isSelected){

		} else{
			document.saveform.selectDumps.options[0].selected=true;
		}

		if (form.donwloadBtn.disabled) {
			form.donwloadBtn.disabled = false;
		}
		if (form.delBtn.disabled) {
			form.delBtn.disabled = false;
		}
	}
}

function doDelete()
{
	if(confirm(i18n_support_cfm_delete)==false) return;
	document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageDiagnosticReportFiles?action=delete";
	setTimeout( "document.saveform.submit()", 100 );
}

function doDownload()
{
	var osize = 0;
	for (var i=0; i< document.saveform.selectDumps.length; i++) {
		if (document.saveform.selectDumps.options[i].selected) {
			osize++;
		}
	}
	if (osize > 1) {
	   alert(i18n_support_dl_onlyone);
	   return false;
	}
	document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageDiagnosticReportFiles?action=download";
	setTimeout( "document.saveform.submit()", 100 );
}

function doGenerateInfo() {
  document.saveform.ping.value = document.getElementById("pingaddress").value;
  document.saveform.http.value = document.getElementById("httpaddress").value;
  document.saveform.ftp.value = document.getElementById("ftpaddress").value;
	document.saveform.action="servlet/com.trend.iwss.gui.servlet.DiagnosticConfig?action=modify";
	setTimeout( "document.saveform.submit()", 100 );
}

function changeWidth(){
	if(window.navigator.userAgent.indexOf("Chrome") != -1){
		document.getElementById("maincontent").width = "927";
	}
}
</SCRIPT>
</head>

<body bgcolor="#FFFFFF" onload="changeWidth();" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id=tooltip style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px">
</div>
<form method="post" name="saveform">
<input type=hidden name="op" value="support">
<input type=hidden name="fromurl" value="/support_diagnostic_tool.jsp">
<input type=hidden name="tourl" value="/support_diagnose_progress.jsp">
<input type=hidden name="ping">
<input type=hidden name="http">
<input type=hidden name="ftp">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr>
	<td width="338" colspan="2" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.support.title" /></td>
	<td width="202" valign="bottom">
	  <div align="right"><a href="javascript:openhelpwin('diagnostic_tool.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
	</td>
  </tr>
  <tr>
	<td colspan="3" width="876" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
	<td height="10" colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>

	<!-- TABS -->
	<tr>
		<td background="images/tab-background.gif" colspan="3">
		<table cellpadding="0" cellspacing="0" border="0"><tr>
			<td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
			<td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
				<A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
				onmouseout="this.style.color='#000000';" href="support.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.sysinfo_title"/></a></td>
			<td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
			<td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
			<td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
				<A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
				onmouseout="this.style.color='#000000';" href="support_capture_packet.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.capturing_title"/></a></td>
			<td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
			<td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
			<td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
				<A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
				onmouseout="this.style.color='#000000';" href="support_verbose_log.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_verboseLog.title"/></a></td>
			<td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
			<td><img src="images/tab-active2-left.gif" width="11" height="23" alt="" border="0"></td>
			<td background="images/tab-active-background.gif" class="tabactive" valign="top" nowrap><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.title"/></td>
			<td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
			
			<td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="upload_sample_sizing.jsp">DDAn Sample Submission Sizing</a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>

		<td background="images/tab-background.gif" align="right"><img src="images/tab-right-corner.gif"
			width="6" height="23" alt="" border="0"></td>
		</tr></table>
		</td>
	</tr>
	<!-- /TABS -->

</table>
<table width="927" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td>
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
		  <td><table id="maincontent" width="876" cellpadding="0" cellspacing="0" class="border">
			  <tr>
				<td colspan="5" class="tableheadergrey"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.report_files" /></td>
			  </tr>
			  <tr>
				<td colspan="5"><img src="images/1space.gif" width="1" height="5"></td>
			  </tr>
			  <tr>
				<td colspan="5" style="padding-left:10px;"><p class="data1 textbold"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.report_files_generated" /></p></td>
			  </tr>
			  <tr>
				<td colspan="5"><img src="images/1space.gif" width="1" height="15"></td>
			  </tr>
			  <tr>
				<td width="17" class="data1"><img src="images/1space.gif" width="10" height="1"></td>
				<td width="76" class="data1" nowrap="nowrap"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.step1" /> </strong></td>
				<td class="data1"><span  style="vertical-align:top">
				  <%=AccessLevel.BUTTON(request, response, "Button2", "Button", "doGenerateInfo();", MessageResourcesMgr.mrAdmin.getMessage("admin.support_diagnostic_tool.generate_report_file"), "width:210px")%>
				</span></td>
				<td class="data1">&nbsp;</td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
				<td class="data1">(<i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.optional_step" />:<%=reportResult.getLastTime()%>)</td>
				<td class="data1">&nbsp;</td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
				<td width="348" class="data1">&nbsp;</td>
				<td width="30" class="data1">&nbsp;</td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
				<td class="data1"><table cellpadding="0" cellspacing="0">
				  <tr> <td class="data1" colspan="5"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.network_settings" /></td></tr>
				  <%
					if(networkResults != null && networkResults.length > 0) {
					  for(int i = 0; i < networkResults.length; i++) {%>
						<tr>
							<td class="data1"><%=networkResults[i][0]%>
								<IMG src="images/info_mark_cui.gif" width="14" height="17" border=0 align=absMiddle  style="CURSOR: hand" onMouseOver="stm(ndescs[<%=i%>],tipStyle);return false;" onMouseOut="htm();return false;"></td>
							<%
								if("Ping Test".equals(networkResults[i][0])){
							%>
								<td class="data1"><input type="text" id="pingaddress" maxLength="256" value="<%=networkResults[i][2]%>" maxlength="25"></td>
							<%
								}else if("Http Get".equals(networkResults[i][0])){
							%>
								<td class="data1"><input type="text" id="httpaddress" maxLength="256" value="<%=networkResults[i][2]%>" maxlength="25"></td>
							<%
								}else if("Ftp Download".equals(networkResults[i][0])){
							%>
								<td class="data1"><input type="text" id="ftpaddress" maxLength="256" value="<%=networkResults[i][2]%>" maxlength="25"></td>
							<%
								}else{
							%>
								<td class="data1"><input type="text" value="<%=networkResults[i][2]%>" maxlength="25" disabled></td>
							<%
								}
							%>
							<%
								String key1 = "admin.support_diagnostic_tool." + networkResults[i][3];

								if(!networkResults[i][3].equals(""))
								{
								if("Success".equals(networkResults[i][3])){
							%>
								<td style="color: green;" class="data1"><i18n:message bundleRef="bundleAdmin" key="<%=key1%>"/></td>
							<%
								}else{
							%>
								<td style="color: red;" class="data1"><i18n:message bundleRef="bundleAdmin" key="<%=key1%>"/></td>
							<%
								}
								}
							%>

							<td class="data1"><%=networkResults[i][4]%></td>
							<%
								if("1".equals(networkResults[i][5])){
							%>
								<td class="data1"><IMG src="images/green_circle.jpg"></td>
							<%
							  }else if("2".equals(networkResults[i][5])){
							%>
								<td class="data1"><IMG src="images/yellow_circle.jpg"></td>
							<%
							  }else{
							%>
								<td class="data1"><IMG src="images/red_circle.jpg"></td>
							<%
							  }
							%>
					   </tr>
					  <%}
					}
				  %>
				  <tr>
					<td class="data1">&nbsp;</td>
				  </tr>
				  <tr> <td class="data1" colspan="5"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.trend_services" /></td></tr>
				  <%
					if(trendResults != null && trendResults.length > 0) {
					  for(int i = 0; i < trendResults.length; i++) {%>
						<tr>
							<td class="data1"><%=trendResults[i][0]%>
								<IMG src="images/info_mark_cui.gif" width="14" height="17" border=0 align=absMiddle  style="CURSOR: hand" onMouseOver="stm(tdescs[<%=i%>],tipStyle);return false;" onMouseOut="htm();return false;"></td>
							<td class="data1"><input type="text" value="<%=trendResults[i][2]%>" maxlength="25" disabled></td>
							<%
								String key2 = "admin.support_diagnostic_tool." + trendResults[i][3];
								if(!trendResults[i][3].equals(""))
								{
								if("Success".equals(trendResults[i][3])){
							%>
								<td style="color: green;" class="data1"><i18n:message bundleRef="bundleAdmin" key="<%=key2%>"/></td>
							<%
								}else{
							%>
								<td style="color: red;" class="data1"><i18n:message bundleRef="bundleAdmin" key="<%=key2%>"/></td>
							<%
								}
								}
							%>

							<td class="data1"><%=trendResults[i][4]%></td>
							<%
								if("1".equals(trendResults[i][5])){
							%>
								<td class="data1"><IMG src="images/green_circle.jpg"></td>
							<%
							  }else if("2".equals(trendResults[i][5])){
							%>
								<td class="data1"><IMG src="images/yellow_circle.jpg"></td>
							<%
							  }else{
							%>
								<td class="data1"><IMG src="images/red_circle.jpg"></td>
							<%
							  }
							%>
					   </tr>
					  <%}
					}
				  %>
				  </table></td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
				<td width="348" class="data1">&nbsp;</td>
				<td width="30" class="data1">&nbsp;</td>
			  </tr>
			  <tr>
				<td class="data1"><img src="images/1space.gif" width="15" height="1"></td>
				<td class="data1"><div valign="top"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.step2" /> </strong></div></td>
				<td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.select_report_files" /> </td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
				<td class="data1"><select name="selectDumps" size="6" multiple style="width:300px" class="Button" onclick="javascript:enableBtns();">
					<%
					  if (reportNames != null && reportNames.length > 0) {
						  for(int i=0;i<reportNames.length;i++){%>
							 <% if (reportNames[i][0].startsWith("Report")){%>
								 <option value="<%=reportNames[i][0]%>"><%=reportNames[i][0]%>&nbsp<%=reportNames[i][1]%></option>
							 <%}%>
						  <%}%>
					<%}%>
				</select>
				  </td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
				<td class="data1"><strong>&nbsp;<i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.note" /></strong> <i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.hold_ctrl_to_select_multiple" /></td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1"><div valign="top"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.step3" /> </strong></div></td>
				<td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.select_action" /></td>
			  </tr>
			  <tr>
				<td class="data1">&nbsp;</td>
				<td class="data1">&nbsp;</td>
				<td class="data1"><p>
				  <%=AccessLevel.BUTTON(request, response, "donwloadBtn", "Button", "javascript:doDownload();", MessageResourcesMgr.mrAdmin.getMessage("admin.support_diagnostic_tool.download_to_comp"), "", "disabled")%>
				  <%=AccessLevel.BUTTON(request, response, "delBtn", "Button", "javascript:doDelete();", MessageResourcesMgr.mrCommon.getMessage("button.delete"), "", "disabled")%>
</p>
				</td>
			  </tr>
			  <tr>
				<td colspan="4"><img src="images/1space.gif" width="1" height="5"></td>
			  </tr>
			</table> </td>
		</tr>
	  </table>

	</td>
  </tr>
</table>
<br>
</form>
</body>
</html>

