<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Created by: Anthony Chang                                  -->
<!--Date: 12/05/2007                                        -->
<!--Description:                                            -->
<!--File:switchRole.jsp                                      -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page language="java" contentType="text/html; charset=utf-8"
    pageEncoding="utf-8"%>
<%@ page import="com.trend.iwss.deploywizard.*" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }

    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo"); 
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(1003);
        if (access == 0)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;
	}

    request.setCharacterEncoding("utf-8");
    response.setCharacterEncoding("utf-8");

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>

<%
	DeployWizardUtil util=new DeployWizardUtil();
	try
	{
        String token = UIHelperToken.getToken(request);
		util.exeSwitchRoleCmd(token);
		/**
		 * Log switch role
		 */
		 String auditLogStr = "Admin do a manual switch" ;
		 util.WriteAuditLog(request, auditLogStr);
	}
	catch(Exception e)
	{
		IWSSUtil.UI_out_println("[Cluster Management]SwitchRole ERROR");
		e.printStackTrace();
	}
	//response.sendRedirect("cluster_management.jsp");
%>
<%
	String switchRoleRedirectTime = "15" + "000";
 %>


<html>
<head>
<title>Cluster Management</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript">
<!-- Begin
redirTime = <%=switchRoleRedirectTime%>;//"15000";
redirURL = "logout.jsp";
function redirTimer() { self.setTimeout("self.location.href = redirURL;",redirTime); }
//  End -->
</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="redirTimer();">

<table cellspacing="0" cellpadding="0" width="98%" border="0">
  <tr>
    <td height="10" colspan="2"><table cellspacing="0" cellpadding="0" width="100%" border="0">
      <tr>
        <td width="983" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.switch_role.title" /></td>
      </tr>
      <tr>
        <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
      </tr>
      <tr>
        <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
      </tr>
    </table>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border">
          <tr>
            <td colspan="2" class="tableheader"><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.switch_role.second_title" /></td>
          </tr>
          <tr>
            <td colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td width="4%" align="right"><img src="images/icons_warning_cui.gif" width="30" height="28"></td>
            <td width="96%" class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.switch_role.please_weight" /><a href="license.htm"></a> <span class="textbold"> </span></td>
          </tr>
          <tr>
            <td colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td class="data1" colspan="2"><img src="images/inProgress.gif" width="418" height="25"></td>
          </tr>
          <tr>
            <td colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
          </tr>
      </table></td>
  </tr>
  <tr>
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
</body>
</html>
