<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 08/09/2006                                        -->
<!--Description: Add syste_dashboard.htm                    -->
<!--File: system_dashboard.jsp                              -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.report.*"%>
<%@ page import="com.trend.iwss.gui.*"%>
<%@ page import="com.trend.iwss.deploywizard.model.*"%>
<%@ page import="com.trend.iwss.deploywizard.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="java.util.*"%>
<%@ page import="java.io.*" %>
<%@ include file="productname.txt" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaSummary" id="bundleSummary" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }

    // Check the log database connectivity
    IWSSXML dbxml = IWSSUtil.CheckLogDatabase(1,"","","");
    if(dbxml==null){
        response.sendRedirect("databaseerror.jsp?Generic Error");
        return;

    }else if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0){
        response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
        return;
    }

    // Check the policy database connectivity
    dbxml = IWSSUtil.CheckDatabase(1,"","","");
    if(dbxml==null){
        response.sendRedirect("databaseerror.jsp?Generic Error");
        return;

    }else if(dbxml.GetKeyValue("connectdb","error_no").compareToIgnoreCase("1")!=0){
        response.sendRedirect("databaseerror.jsp?"+dbxml.GetKeyValue("connectdb","error_msg"));
        return;
    } 

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
    String token = UIHelperToken.getToken(request);
%>
<%
    String arm_starus = "";
    boolean register_arm = false;
    String arm_host = "";
    String arm_port = "";
    String arm_server = "";

    arm_starus = IWSSInfo.GetKeyValue("Database","ARM_DB");

    if(arm_starus.compareToIgnoreCase("yes")==0)
    {
        register_arm = true;
        arm_host = IWSSInfo.GetKeyValue("Database_Log","DB_HOSTNAME");
        arm_port = IWSSInfo.GetKeyValue("Database","ARM_UI_PORT");
        arm_server = "http://" + arm_host + ":" + arm_port;
    }
%>
<%
		//Modyfied by Sesong Wan to fix [IWSVA 5.100095]
		//If the current user is Report-only,  don't show the link "Threshold Alert Settings" and "Update"
		Object oGroupId = null;
		int ADMIN_GROUP_ID = 100;
		int AUDIT_GROUP_ID = 101;
		int REPORT_ONLY_GROUP_ID = 102;
		int login_gid = REPORT_ONLY_GROUP_ID;

		oGroupId = request.getSession().getAttribute("GroupId");
		login_gid = Integer.parseInt(oGroupId.toString());

		if (login_gid < ADMIN_GROUP_ID || login_gid > REPORT_ONLY_GROUP_ID) login_gid = REPORT_ONLY_GROUP_ID;//Report-only
%>

<%
	//add by @sesong 12/27/2009 Product license
	IWSSPR mainpr = new IWSSPR((new String("IWSS")));
	IWSSPR urlfpr = new IWSSPR((new String("URLF")));
	IWSSPR mmcpr = new IWSSPR((new String("MMC")));
	IWSSPR dlppr = new IWSSPR((new String("DLP")));
	

	int main_statuscode=0,urlf_statuscode=0,mmc_statuscode=0,dlp_statuscode=0;
%>
<html>
<head>
<title>Summary</title>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="html/charts.js"></script>
<script type="text/javascript" src="html/ajax_func.js"></script>
<script language="javascript" src="html/func.js"></script>
<script language="javascript" src="html/urlfadvanceset.js"></script>
<script language="javascript" src="html/i18n_warnmsg.js"></script>
<script type="text/javascript" src="html/DOMhelp.js"></script>
<script type="text/javascript" src="html/iframeForPopup.js"></script>
<script type="text/javascript" src="html/imageswap_chevron.js"></script>
<%
// constants
int BYTES_IN_KB = 1024;
int KB_IN_MB = 1024;

%>
<script LANGUAGE="JavaScript">
// list of jsGraphics objects
var jg1;
var jg2;
var jg3;
var jg4;
var jg5;
var jg6;

// list of charts
var l1;
var l2;
var l3;
var l4;
var l5;

var b1;

var chartArray; 		// array to track the charts
var chartScaleArray; 	// array to track the chart scale

// metric constants
var CPU_USAGE_TYPE = <%=JavaReportMetrics.CPU_USAGE%>;
var MEMORY_USAGE_TYPE = <%=JavaReportMetrics.MEMORY_USAGE%>;
var HD_USAGE_TYPE = <%=JavaReportMetrics.HD_USAGE%>;
var DB_USAGE_TYPE = <%=JavaReportMetrics.DB_USAGE%>;
var VIRUS_RATE_TYPE = <%=JavaReportMetrics.VIRUS_RATE%>;
var SPYWARE_RATE_TYPE = <%=JavaReportMetrics.SPYWARE_RATE%>;
var THROUGHPUT_IN_KB_TYPE = <%=JavaReportMetrics.THROUGHPUT_IN_BYTES%>;
var THROUGHPUT_IN_KB_REQUEST_TYPE = <%=JavaReportMetrics.THROUGHPUT_IN_KB_REQUEST%>;
var THROUGHPUT_IN_KB_RESPONSE_TYPE = <%=JavaReportMetrics.THROUGHPUT_IN_KB_RESPONSE%>;
var CONCURRENT_CONNECTIONS_TYPE = <%=JavaReportMetrics.CONCURRENT_CONNECTIONS%>

// protocol constants
var NO_PROTOCOL_TYPE = 0;
var HTTP_PROTOCOL_TYPE = <%=JavaReportMetrics.HTTP_TYPE%>;
var FTP_PROTOCOL_TYPE = <%=JavaReportMetrics.FTP_TYPE%>;

// chart index constants
var BASE_CHART_INDEX = 0;
var MEM_USAGE_INDEX = BASE_CHART_INDEX;
var BANDWIDTH_INDEX = BASE_CHART_INDEX + 1;
var VIRUS_SPYWARE_INDEX = BASE_CHART_INDEX + 2;
var HD_USAGE_INDEX = BASE_CHART_INDEX + 3;
var CPU_USAGE_INDEX = BASE_CHART_INDEX + 4;
var CONNECTION_COUNT_INDEX = BASE_CHART_INDEX + 5;

<%
	// Get the chart data
	JavaReportMetrics jrm = new JavaReportMetrics();
	Vector hdDataVector = new Vector();
	Vector dummyVector = new Vector();
	boolean displaySingleHardDrive = false;
	long minutes = 7 * 24 * 60;	// 7 days, by default

	String virusDataString = null;
	String spywareDataString = null;
	String hardDriveDataString = null;

	// chart colors
	String httpInboundDataColor = "#0c004b";
	String httpOutboundDataColor = "#cc0000";
	String ftpInboundDataColor = "#3a7f28";
	String ftpOutboundDataColor = "#00cccc";
	String cpuUsageDataColor = "#ffcc00";
	String memoryUsageDataColor = "#5bc6b6";
	String virusDataColor = "#e400b6";
	String spywareDataColor = "#00ff00";
	String httpConnectionDataColor = "#4400aa";
	String ftpConnectionDataColor = "#ff8c00";

	virusDataString = jrm.getGraphData(JavaReportMetrics.VIRUS_RATE, JavaReportMetrics.NO_PROTOCOL_TYPE, minutes,
									dummyVector);
	spywareDataString = jrm.getGraphData(JavaReportMetrics.SPYWARE_RATE, JavaReportMetrics.NO_PROTOCOL_TYPE, minutes,
									dummyVector);
	hardDriveDataString = jrm.getGraphData(JavaReportMetrics.HD_USAGE, JavaReportMetrics.HTTP_TYPE, minutes,
									hdDataVector);
	displaySingleHardDrive = hardDriveDataString.indexOf(',') == -1;

	// chart label intervals
	int maliciousChartLabelInterval = 1;			// 7-10 data points
	int hardDiskChartLabelInterval = 1;				// 12 data points

	// static chart labels
	StringTokenizer virusDataTokens = new StringTokenizer(virusDataString, ",");
	StringTokenizer spywareDataTokens = new StringTokenizer(spywareDataString, ",");
	int virusDataCount = virusDataTokens.countTokens();
	int spywareDataCount = spywareDataTokens.countTokens();
	virusDataCount  = virusDataCount  > 0 ? virusDataCount  : 1;
	spywareDataCount = spywareDataCount > 0 ? spywareDataCount : 1;
	int dataCount = virusDataCount> spywareDataCount ? virusDataCount : spywareDataCount;
	String maliciousChartLabels = jrm.calculateLabelString(-1, dataCount,
														   1, false, true);

	String hardDiskChartLabels = "1,2,3,4,5,6,7,8,9,10,11,12";


	String virusChartYAxisLabelName = "virusChartYAxisLabel";
	String bandwidthChartYAxisLabelName = "bwChartYAxisLabel";
	String concurrentConnChartYAxisLabelName = "concurrentConnYAxisLabel";

%>
// chart y-axis label names
var yLabelArray = new Array();
yLabelArray[MEM_USAGE_INDEX] = '';
yLabelArray[BANDWIDTH_INDEX] = '<%=bandwidthChartYAxisLabelName%>';
yLabelArray[VIRUS_SPYWARE_INDEX] = '<%=virusChartYAxisLabelName%>';
yLabelArray[HD_USAGE_INDEX] = '';
yLabelArray[CPU_USAGE_INDEX] = '';
yLabelArray[CONNECTION_COUNT_INDEX] = '<%=concurrentConnChartYAxisLabelName%>';



// constant values for scale in updateScaleLabel
var TO_RESCALE = -1;
var ONE_SCALE = 1;
var THOUSAND_SCALE = 2;
var MILLION_SCALE = 3;
var BILLION_SCALE = 4;

// constant values for replaceText in updateScaleLabel
var one_scale_text = '';
var thousand_scale_text = '(in thousands)';
var millon_scale_text = '(in millions)';
var billion_scale_text = '(in billions)';

function updateScaleLabel(scale, text_name) {
	var replaceText;
	//alert('Text name: ' + text_name);
	var elemObj = document.getElementById(text_name);
	switch(scale) {
	case ONE_SCALE:
		replaceText = one_scale_text;
		break;
	case THOUSAND_SCALE:
		replaceText = thousand_scale_text;
		break;
	case MILLION_SCALE:
		replaceText = millon_scale_text;
		break;
	case BILLION_SCALE:
		replaceText = billion_scale_text;
		break;
	default :
		replaceText = '';
		break;
	}
	if (elemObj != null) {
		elemObj.firstChild.nodeValue=replaceText;
	}
}

// only up to BILLION_SCALE, right now
function rescaleData(dataString) {
	var maxValue = 0;
	var retScale = ONE_SCALE;	// ONE_SCALE, by default
	var tempArray = new Array();
	var divisor = 1;
	var i;

	if (dataString != "") {
		tempArray = dataString.split(',');
		for (i=0; i<tempArray.length; i++) {
			if (tempArray[i] > maxValue) {
				maxValue = tempArray[i];
			}
		}
	}
	if (maxValue < 1000) {
		retScale = ONE_SCALE;
		divisor = 1;
	} else if ((maxValue / 1000) < 1000) {
		retScale = THOUSAND_SCALE;
		divisor = 1000;
	} else if ((maxValue / 1000000) < 1000) {
		retScale = MILLION_SCALE;
		divisor = 1000000;
	} else {
		retScale = BILLION_SCALE;
		divisor = 1000000000;
	}

	if (divisor > 1 && tempArray.length > 0) {
		// KB the data
		dataString = tempArray[0] / divisor;
		for (i=1; i<tempArray.length; i++) {
			dataString += ",";
			dataString += tempArray[i] / divisor;
		}
	}

	return retScale;
}

// only up to BILLION_SCALE, right now
function valueScale(value) {
	var retScale = ONE_SCALE;	// ONE_SCALE, by default

	if (value == "") {
		return retScale;
	}
	if (value < 1000) {
		retScale = ONE_SCALE;
	} else if ((value / 1000) < 1000) {
		retScale = THOUSAND_SCALE;
	} else if ((value / 1000000) < 1000) {
		retScale = MILLION_SCALE;
	} else {
		retScale = BILLION_SCALE;
	}
	return retScale;
}

function convertValue(scale, value) {
	var retVal = 0;
	var divisor = 1;
	if (scale == ONE_SCALE) {
		divisor = 1;
	} else if (scale == THOUSAND_SCALE) {
		divisor = 1000;
	} else if (scale == MILLION_SCALE) {
		divisor = 1000000;
	} else if (scale == BILLION_SCALE) {
		divisor = 1000000000;
	}
	retVal = value / divisor;

	return retVal;
}

// only up to BILLION_SCALE, right now
function convertDataScale(scale, dataString) {
	var maxValue = 0;
	var retScale = ONE_SCALE;	// ONE_SCALE, by default
	var tempArray = new Array();
	var divisor = 1;
	var i;
	var retString;

	if (dataString != "") {
		tempArray = dataString.split(',');
		for (i=0; i<tempArray.length; i++) {
			if (tempArray[i] > maxValue) {
				maxValue = tempArray[i];
			}
		}
	}
	if (scale == ONE_SCALE) {
		divisor = 1;
	} else if (scale == THOUSAND_SCALE) {
		divisor = 1000;
	} else if (scale == MILLION_SCALE) {
		divisor = 1000000;
	} else if (scale == BILLION_SCALE) {
		divisor = 1000000000;
	}

	if (divisor > 1 && tempArray.length > 0) {
		// scale the data
		retString = "" + tempArray[0] / divisor;
		for (i=1; i<tempArray.length; i++) {
			retString += ",";
			retString += tempArray[i] / divisor;
		}
	}
	return retString;
}

// rescale should be done right before the draw, so all the data lines are updated
function rescaleChart(chartIndex) {
	// rescales the Y-values of the chart
	var scale, tempScale;
	var tempValues;
	var i;

	scale = ONE_SCALE;
	// rescale according to the max Y value
	scale = valueScale(chartArray[chartIndex].maxYvalue);
	if (scale != ONE_SCALE) {
		for (i=0; i<chartArray[chartIndex].valueArray.length; i++) {
			chartArray[chartIndex].valueArray[i].values = convertDataScale(scale, chartArray[chartIndex].valueArray[i].values);
		}
		if (!chartArray[chartIndex].fixMaxXY) {
			chartArray[chartIndex].maxYvalue = convertValue(scale, chartArray[chartIndex].maxYvalue);
		}
	}
	chartScaleArray[chartIndex] = scale;
	return scale;
}

function initializeCharts() {
	// create the charts
	l1 = new LineChart(jg1, 315, 130, 0, 100);	// Memory Usage
	l2 = new LineChart(jg2, 310, 125);			// bandwidth
	l3 = new LineChart(jg3, 440, 125);			// Virus and Spyware Trend
	<%if (displaySingleHardDrive) {%>
		b1 = new BarChart(jg4, 245, 130, 0, 100);	// Hard Drive Usage - for 1 HD
	<%} else {%>
		b1 = new BarChart(jg4, 440, 140, 0, 100);	// Hard Drive Usage
	<%}%>
	l4 = new LineChart(jg5, 315, 130, 0, 100);	// CPU Usage
	l5 = new LineChart(jg6, 310, 125);	// Concurrent Connections

	// populate the chart array
	chartArray = new Array();
	chartArray[MEM_USAGE_INDEX] = l1;
	chartArray[BANDWIDTH_INDEX] = l2;
	chartArray[VIRUS_SPYWARE_INDEX] = l3;
	chartArray[HD_USAGE_INDEX] = b1;
	chartArray[CPU_USAGE_INDEX] = l4;
	chartArray[CONNECTION_COUNT_INDEX] = l5;

	// set the chart scale array values to ONE_SCALE
	chartScaleArray = new Array();
	chartScaleArray[MEM_USAGE_INDEX] = ONE_SCALE;
	chartScaleArray[BANDWIDTH_INDEX] = ONE_SCALE;
	chartScaleArray[VIRUS_SPYWARE_INDEX] = ONE_SCALE;
	chartScaleArray[HD_USAGE_INDEX] = ONE_SCALE;
	chartScaleArray[CPU_USAGE_INDEX] = ONE_SCALE;
	chartScaleArray[CONNECTION_COUNT_INDEX] = ONE_SCALE;

	l1.turnGridXOn();
	l1.turnXValuesOn();

	l2.turnGridXOn();
	l2.turnXValuesOn();

	l3.turnGridXOn();
	l3.turnXValuesOn();
	l3.updateXLabels('<%=maliciousChartLabels%>', <%=maliciousChartLabelInterval%>);

	l4.turnGridXOn();
	l4.turnXValuesOn();

	l5.turnGridXOn();
	l5.turnXValuesOn();

	b1.turnGridXOn();
	b1.turnXValuesOn();
	b1.updateXLabels('<%=hardDiskChartLabels%>', <%=hardDiskChartLabelInterval%>);

	populateData();

}

function populateData() {
	// prepopulate Virus/Spyware Trend, and hard drive data
	var virusData = '<%=virusDataString%>';
	var spywareData = '<%=spywareDataString%>';

	var hardDriveData = '<%=hardDriveDataString%>';

	l3.addValues('<%=virusDataColor%>', 'Virus', virusData);	// Virus and Spyware Trend
	l3.addValues('<%=spywareDataColor%>', 'Spyware', spywareData);

	b1.addValues('#000000', 'Hard Drive', hardDriveData);				// hard drive

	// prepopulate the CPU, Bandwidth, Memory, and Concurrent connections usage data. Otherwise, it will never update
	l1.addValues('<%=memoryUsageDataColor%>', 'Memory', '');

	l4.addValues('<%=cpuUsageDataColor%>', 'CPU', '');

	l2.addValues('<%=httpInboundDataColor%>', 'HTTP Inbound', '');
	l2.addValues('<%=httpOutboundDataColor%>', 'HTTP Outbound', '');
	l2.addValues('<%=ftpInboundDataColor%>', 'FTP Inbound', '');
	l2.addValues('<%=ftpOutboundDataColor%>', 'FTP Outbound', '');

	l5.addValues('<%=httpConnectionDataColor%>', 'HTTP Concurrent Connections', '');
	l5.addValues('<%=ftpConnectionDataColor%>', 'FTP Concurrent Connections', '');
}

function drawCharts() {
	var i, scale;
	initializeCharts();
	for (i=0; i<chartArray.length; i++) {
<%if(register_arm){%>
        if (i == BANDWIDTH_INDEX || i == CONNECTION_COUNT_INDEX) {
<%}else{%>
		if (i == BANDWIDTH_INDEX || i == VIRUS_SPYWARE_INDEX || i == CONNECTION_COUNT_INDEX) {
<%}%>
			scale = rescaleChart(i);
			updateScaleLabel(scale, yLabelArray[i]);
		}
<%if(register_arm){%>
        if(i != VIRUS_SPYWARE_INDEX)
<%}%>
		chartArray[i].drawChart();
	}
	startSingleTimer();
}

function updateXLabel(chartNum, labels, labelInterval) {
	if (chartNum < chartArray.length && chartNum >= 0) {
		chartArray[chartNum].updateXLabels(labels, labelInterval);
	}
}

function redrawCharts(dummyvalue) {
	var chartCount = chartArray.length;
	var i, scale;
	for (i=0; i<chartCount; i++) {
		// update the chart scale only when the chart has been updated
<%if(register_arm){%>
		if ((i == BANDWIDTH_INDEX || i == CONNECTION_COUNT_INDEX) && chartScaleArray[i] == TO_RESCALE){
<%}else{%>
		if ((i == BANDWIDTH_INDEX || i == CONNECTION_COUNT_INDEX || i == VIRUS_SPYWARE_INDEX)
		    && chartScaleArray[i] == TO_RESCALE) {
<%}%>
			scale = rescaleChart(i);
			updateScaleLabel(scale, yLabelArray[i]);
		}
<%if(register_arm){%>
        if(i != VIRUS_SPYWARE_INDEX)
<%}%>
		chartArray[i].drawChart();
	}
}

function resetMaxY(i) {
	chartArray[i].resetYscale();	// reset the max Y value before an update for a dynamic chart
}

// AJAX update functions

function updateChart(chart_index, value_index, value, response) {
	var url, postdata;
	if (response != '') {
		// response mode
		chartArray[chart_index].updateValues(value_index, "", "", value);
		chartScaleArray[chart_index] = TO_RESCALE;
	} else {
		//input mode
		url = "dynamicchartprocess.jsp";
		loadXMLDoc(url, value);
	}
}

function updateValues(value) {
	updateChart('', '', value, '');
}

function composeValue(postChartValue, chart_index, metric_type, protocol_type, value_index, value) {
	var stringVal;
	var retval;
	// prepend the various indicators with a metric_type to identify which metric type the indicator belongs
	// e.g. 1v0 = value for metric value 1 (memory_usage) and protocol type 0 (no protocol)
	stringVal = metric_type + "v" + protocol_type + "=" + value;
	stringVal = stringVal + "&" + metric_type + "ci" + protocol_type + "=" + chart_index;
	stringVal = stringVal + "&" + metric_type + "vi" + protocol_type + "=" + value_index;
	stringVal = stringVal + "&" + metric_type + "ct" + protocol_type + "=1";

	if (postChartValue == '') {
		retval = stringVal;
	} else {
		retval = postChartValue + "&" + stringVal;
	}
	return retval;

}

<%
String MINUTES_TEXT = MessageResourcesMgr.mrSummary.getMessage("sys_dashboard.minutes");
String SECONDS_TEXT = MessageResourcesMgr.mrSummary.getMessage("sys_dashboard.seconds");
int secMinThreshold = 60; // if the interval is every 60 seconds, display minutes, instead of seconds as the time scale

int memoryRefreshRate = jrm.getRefreshRates(JavaReportMetrics.MEMORY_USAGE);
int cpuRefreshRate = jrm.getRefreshRates(JavaReportMetrics.CPU_USAGE);
int bandwidthRefreshRate = jrm.getRefreshRates(JavaReportMetrics.THROUGHPUT_IN_BYTES);
int connectionRefreshRate = jrm.getRefreshRates(JavaReportMetrics.CONCURRENT_CONNECTIONS);

String memoryScaleText = memoryRefreshRate >= secMinThreshold ? MINUTES_TEXT : SECONDS_TEXT;
String cpuScaleText = cpuRefreshRate >= secMinThreshold ? MINUTES_TEXT : SECONDS_TEXT;
String bandwidthScaleText = bandwidthRefreshRate >= secMinThreshold ? MINUTES_TEXT : SECONDS_TEXT;
String connectionScaleText = connectionRefreshRate >= secMinThreshold ? MINUTES_TEXT : SECONDS_TEXT;
%>

// function to convert the chart stored values back to their absolute values
function convertValues(scale, scaledValueString) {
	var multiplier;
	var retValue;
	var scaleValueArray = scaledValueString.split(',');
	var i;
	switch(scale) {
	case ONE_SCALE:
		multiplier = 1;
		break;
	case THOUSAND_SCALE:
		multiplier = 1000;
		break;
	case MILLION_SCALE:
		multiplier = 1000000;
		break;
	case BILLION_SCALE:
	default :
		multiplier = 1000000000;
		break;
	}
	if (scaleValueArray.length > 0) {
		retValue = scaleValueArray[0] * multiplier;
	}
	for (i=1; i<scaleValueArray.length; i++) {
		retValue = retValue + ',';
		retValue = retValue +  scaleValueArray[i] * multiplier;
	}
	return retValue;
}

var updateCounter = 0;
var postChartValue;
function chart_update() {
	var values;
	var counterMax = 6000;
	// to avoid a large counter, reset at 6000

	postChartValue = "";
	updateCounter = updateCounter == counterMax ? 1 : updateCounter + 1;

	// dynamic charts
	if (updateCounter % <%=memoryRefreshRate%> == 0) {
		//alert("updating memory values");
		values = chartArray[MEM_USAGE_INDEX].getValues(0, values);	// memory usage
		postChartValue = composeValue(postChartValue, MEM_USAGE_INDEX,MEMORY_USAGE_TYPE, NO_PROTOCOL_TYPE, 0,values);
	}

	if (updateCounter % <%=cpuRefreshRate%> == 0) {
		//alert("updating CPU values");
		values = chartArray[CPU_USAGE_INDEX].getValues(0, values);	// cpu usage
		postChartValue = composeValue(postChartValue, CPU_USAGE_INDEX,CPU_USAGE_TYPE,NO_PROTOCOL_TYPE, 0,values);
	}

	if (updateCounter % <%=bandwidthRefreshRate%> == 0) {
		// bandwidth
		values = chartArray[BANDWIDTH_INDEX].getValues(0, values);	// inbound
		values = convertValues(chartScaleArray[BANDWIDTH_INDEX], values);
		postChartValue = composeValue(postChartValue, BANDWIDTH_INDEX,THROUGHPUT_IN_KB_RESPONSE_TYPE, HTTP_PROTOCOL_TYPE, 0,values);

		values = chartArray[BANDWIDTH_INDEX].getValues(1, values); // outbound
		values = convertValues(chartScaleArray[BANDWIDTH_INDEX], values);
		postChartValue = composeValue(postChartValue, BANDWIDTH_INDEX,THROUGHPUT_IN_KB_REQUEST_TYPE, HTTP_PROTOCOL_TYPE, 1,values);

		values = chartArray[BANDWIDTH_INDEX].getValues(2, values); // inbound
		values = convertValues(chartScaleArray[BANDWIDTH_INDEX], values);
		postChartValue = composeValue(postChartValue, BANDWIDTH_INDEX,THROUGHPUT_IN_KB_RESPONSE_TYPE, FTP_PROTOCOL_TYPE, 2,values);

		values = chartArray[BANDWIDTH_INDEX].getValues(3, values); // outbound
		values = convertValues(chartScaleArray[BANDWIDTH_INDEX], values);
		postChartValue = composeValue(postChartValue, BANDWIDTH_INDEX,THROUGHPUT_IN_KB_REQUEST_TYPE, FTP_PROTOCOL_TYPE, 3,values);
	}
	if (updateCounter % <%=connectionRefreshRate%> == 0) {
		values = chartArray[CONNECTION_COUNT_INDEX].getValues(0, values);	// http
		values = convertValues(chartScaleArray[CONNECTION_COUNT_INDEX], values);
		postChartValue = composeValue(postChartValue, CONNECTION_COUNT_INDEX,CONCURRENT_CONNECTIONS_TYPE, HTTP_PROTOCOL_TYPE, 0,values);

		values = chartArray[CONNECTION_COUNT_INDEX].getValues(1, values); // ftp
		values = convertValues(chartScaleArray[CONNECTION_COUNT_INDEX], values);
		postChartValue = composeValue(postChartValue, CONNECTION_COUNT_INDEX,CONCURRENT_CONNECTIONS_TYPE, FTP_PROTOCOL_TYPE, 1,values);
	}

	if (postChartValue != "") {
		updateValues(postChartValue);
	}
}


// end AJAX update functions

var interval = 1; // interval in seconds
var cur_time_count = 0;
var timeoutID = -1;
var retry = 0;

function set_refresh_timeout() {
	if (timeoutID != -1) {
		clearTimeout(timeoutID);
	}

	if (cur_time_count >= interval) {
    	// reset interval
		cur_time_count = 0;
	    if (!ajaxdone && retry < 10) {
	        retry++;
	    } else {
	        retry = 0;
	        chart_update();
	    }
	}
	timeoutID = setTimeout("set_refresh_timeout()", 1000);
	cur_time_count++;
}

function clear_refresh_timeout() {
	if (timeoutID != -1) {
		clearTimeout(timeoutID);
		timeoutID = -1;
	}
}

function startSingleTimer() {
	set_refresh_timeout();
}

function stopSingleTimer() {
	clear_refresh_timeout();
}

function doRedirect() {
    var newUrl = "manual_update.jsp";
    //top.right.location.replace(newUrl);
    window.location.href = newUrl;
}

function RedirectARM(){
    var newUrl = "<%=arm_server%>";
    window.open(newUrl);
}

</script>

<script id="TMCUBE_COMMON_JAVASCRIPT_FILE" language="JavaScript" Src="./html/TmCube_Common.js"> </script>
<script LANGUAGE="JavaScript">
function NewWindow(mypage, myname, w, h, scroll) {
var winl = (screen.width - w) / 2;
var wint = (screen.height - h) / 2;
winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
win = window.open(mypage, myname, winprops)
if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
</script>
<script language="JavaScript" src="html/localization.js" type="text/javascript"></script>
<style type="text/css">
<!--
#Layer1 {
	position:absolute;
	width:63px;
	height:19px;
	z-index:1001;
	left: 737px;
	top: 730px;
}
#Layer2 {
	position:absolute;
	width:62px;
	height:18px;
	z-index:1002;
	left: 738px;
	top: 530px;
}
#Layer3 {
	position:absolute;
	width:59px;
	height:19px;
	z-index:1003;
	left: 739px;
	top: 110px;
}
#Layer4 {
	position:absolute;
	width:80px;
	height:20px;
	z-index:1004;
	left: 195px;
	top: 762px;
}
#Layer5 {
	position:absolute;
	width:81px;
	height:20px;
	z-index:1004;
	left: 616px;
	top: 980px;
}
#Layer6 {
	position:absolute;
	width:84px;
	height:18px;
	z-index:1005;
	left: 186px;
	top: 115px;
}
#Layer7 {
	position:absolute;
	width:95px;
	height:15px;
	z-index:1004;
	left: 707px;
	top: 335px;
}
.httpInboundStyle {color: <%=httpInboundDataColor%>}
.httpOutboundStyle {color: <%=httpOutboundDataColor%>}
.ftpInboundStyle {color: <%=ftpInboundDataColor%>}
.ftpOutboundStyle {color: <%=ftpOutboundDataColor%>}
.virusStyle {color: <%=virusDataColor%>}
.spywareStyle {color: <%=spywareDataColor%>}
.httpConnStyle {color: <%=httpConnectionDataColor%>}
.ftpConnStyle {color: <%=ftpConnectionDataColor%>}
#Layer8 {
	position:absolute;
	width:510px;
	height:35px;
	z-index:1004;
	left: 28px;
	top: 825px;
}

	.popup{
		padding:.5em;
		width:400px;
		height:315px;
		background:#eee;
		border:1px solid #999;
		position:absolute;
		top:0;
		left:0;
	}
	a.popuplink{
		background:#eee;
		padding-left:5px;
		padding-top:3px;
		padding-right:2px;
		border:1px solid #999;
		text-decoration:none;
		font-weight:bold;
		color:#666;
		margin-bottom:-1px;
	}
	.popup iframe{
		width:100%;
		height:100%;
	}

-->
</style>

</head>

<body class="summary-body" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="javascript:drawCharts();" onUnload="javascript:stopSingleTimer();">
<FORM>
<table width="860" border="0" cellpadding="0" cellspacing="0">
    <%IWSSINI iniIMSS = new IWSSINI("/opt/trend/imss/config/imss.ini");%> 
    <%String IMSSenabled =  iniIMSS.GetKeyValue("general", "mail_enabled");%>
    <%if("yes".equals(IMSSenabled)){%>
        <tr>
        <td width="81" class="content-title"> <i18n:message bundleRef="bundleSummary" key="summary.title" /></td>
        <%if(IWSSInfo.ISHTTP()){%>
            <%if(IWSSJNI.GetServiceStatus("http")==1){%>
                <td width="180" class="text"><i18n:message bundleRef="bundleSummary" key="summary.http_traffic" /> &nbsp;<span class="textbold"><img src="images/icon_valid_s_cui.gif" width="16" height="16" title="<i18n:message bundleRef="bundleCommon" key="img.title.enabled" />">&nbsp;</span> <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=http&qs_action=stop&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_off" /></a></td>
        <%} else {%>
                <td width="180" class="text"><i18n:message bundleRef="bundleSummary" key="summary.http_traffic" /> &nbsp;<span class="textbold"><img src="images/icon_expired_s_cui.gif" width="16" height="16" title="<i18n:message bundleRef="bundleCommon" key="img.title.disabled" />">&nbsp;</span> <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=http&qs_action=start&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_on" /></a></td>
        <%}
        }%>
        <%if(IWSSInfo.ISFTP()){%>
            <%if(IWSSJNI.GetServiceStatus("ftp")==1){%>
                <td width="180" class="text"><i18n:message bundleRef="bundleSummary" key="summary.ftp_traffic" /> <span class="textbold">&nbsp;<img src="images/icon_valid_s_cui.gif" width="16" height="16" alt="Enabled"></span>&nbsp; <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=ftp&qs_action=stop&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_off" /></a></td>
            <%} else {%>
                <td width="180" class="text"><i18n:message bundleRef="bundleSummary" key="summary.ftp_traffic" /> <span class="textbold">&nbsp;<img src="images/icon_expired_s_cui.gif" width="16" height="16" alt="Disabled"></span>&nbsp; <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=ftp&qs_action=start&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_on" /></a></td>
            <%}
        }%>
        <%String file = "/opt/trend/imss/bin/imssd.pid";
        File f = new File(file);
        if (f.exists()){%>
            <td width="313" class="text"><i18n:message bundleRef="bundleSummary" key="summary.smtp_pop3_traffic" /> <span class="textbold">&nbsp;<img src="images/icon_valid_s_cui.gif" width="16" height="16" alt="Enabled"></span>&nbsp; <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=smtp&qs_action=stop&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_off" /></a></td>
        <%} else {%>
            <td width="313" class="text"><i18n:message bundleRef="bundleSummary" key="summary.smtp_pop3_traffic" /> <span class="textbold">&nbsp;<img src="images/icon_expired_s_cui.gif" width="16" height="16" alt="Disabled"></span>&nbsp; <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=smtp&qs_action=start&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_on" /></a></td>
        <%}%>
        <%if(register_arm){%>
        <!--
        <td width="46" valign="bottom"><div align="right"><a href="javascript:openhelpwin('arm_system_dashboard.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div></td>
        -->
        <%}else{%>
            <td width="46" valign="bottom"><div align="right"><a href="javascript:openhelpwin('system_dashboard.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div></td>
        <%}%>
        </tr>
    <%
    }
    else{
    %>
  <tr>
    <td width="91" class="content-title"> <i18n:message bundleRef="bundleSummary" key="summary.title" /></td>
 <%if(IWSSInfo.ISHTTP()){%>
    <%if(IWSSJNI.GetServiceStatus("http")==1){%>
    <td width="180" class="text"><i18n:message bundleRef="bundleSummary" key="summary.http_traffic" /> &nbsp;<span class="textbold"><img src="images/icon_valid_s_cui.gif" width="16" height="16" title="<i18n:message bundleRef="bundleCommon" key="img.title.enabled" />">&nbsp;</span> <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=http&qs_action=stop&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_off" /></a></td>
	<%} else {%>
    <td width="180" class="text"><i18n:message bundleRef="bundleSummary" key="summary.http_traffic" /> &nbsp;<span class="textbold"><img src="images/icon_expired_s_cui.gif" width="16" height="16" title="<i18n:message bundleRef="bundleCommon" key="img.title.disabled" />">&nbsp;</span> <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=http&qs_action=start&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_on" /></a></td>
	<%}
  }%>
<%if(IWSSInfo.ISFTP()){%>
    <%if(IWSSJNI.GetServiceStatus("ftp")==1){%>
    <td width="483" class="text"><i18n:message bundleRef="bundleSummary" key="summary.ftp_traffic" /> <span class="textbold">&nbsp;<img src="images/icon_valid_s_cui.gif" width="16" height="16" title="<i18n:message bundleRef="bundleCommon" key="img.title.enabled" />"></span>&nbsp; <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=ftp&qs_action=stop&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_off" /></a></td>
    <%} else {%>
    <td width="483" class="text"><i18n:message bundleRef="bundleSummary" key="summary.ftp_traffic" /> <span class="textbold">&nbsp;<img src="images/icon_expired_s_cui.gif" width="16" height="16" title="<i18n:message bundleRef="bundleCommon" key="img.title.disabled" />"></span>&nbsp; <%=AccessLevel.URLLINK(request, response, "servlet/com.trend.iwss.gui.servlet.TurnOnOff?qs_protocol=ftp&qs_action=start&qs_fromurl=/system_dashboard.jsp")%><i18n:message bundleRef="bundleSummary" key="summary.turn_on" /></a></td>
    <%}
}%>
<%if(register_arm){%>
    <!--
    <td width="46" valign="bottom"><div align="right"><a href="javascript:openhelpwin('arm_system_dashboard.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div></td>
    -->
<%}else{%>
    <td width="46" valign="bottom"><div align="right"><a href="javascript:openhelpwin('system_dashboard.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div></td>
<%}%>
  </tr>
    <%
     }
    %>
  <tr>
    <td colspan="4" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
<%if(register_arm){%>
  <tr>
    <td colspan="4">
    <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#EFEFEF">
     <tr>
       <td width="2%" valign="bottom"><img src="images/gray_top_left.gif" width="13" height="7"></td>
       <td width="100%" valign="bottom" background="images/gray_bottom_bar.gif"><img src="images/1space.gif" width="1" height="1"></td>
       <td width="2%" valign="bottom"><img src="images/gray_top_right.gif" width="13" height="7"></td>
     </tr>
     <tr>
       <td class="borderleft">&nbsp;</td>
       <td><table border="0" cellspacing="0" cellpadding="0" width="100%">
       <tr>
         <td width="30"><img src="images/icon_status_warning.gif" width="30" height="30"></td>
         <td class="tableheadergrey3"><span class="textbold"><i18n:message bundleRef="bundleSummary" key="summary.register_arm1" /> <a href="javascript:void(0);" onClick="RedirectARM();"><i18n:message bundleRef="bundleSummary" key="summary.register_arm2" /></a> <i18n:message bundleRef="bundleSummary" key="summary.register_arm3" /> </span></td>
       </tr>
      </table>
      </td>
      <td class="borderright">&nbsp;</td>
    </tr>
    <tr>
      <td height="7" valign="top"><img src="images/gray_bottom_left.gif" width="13" height="7"></td>
      <td background="images/gray_top_bar.gif"><img src="images/1space.gif" width="1" height="1"></td>
      <td valign="top"><img src="images/gray_bottom_right.gif" width="13" height="7"></td>
    </tr>
   </table>
   </td>
  </tr>
  <tr>
    <td colspan="4" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
<%}%>

</table>
<!------------------------------------- Product license Page ------------------------------------------------->
<table cellspacing=0 cellpadding=0 width=860 border=0>
  <tbody>
<%
if(main_statuscode!=LicenseStatus.FULLNORMAL)
{
    String main_icon_name;
    main_statuscode = mainpr.GetStatusCode();
    if(main_statuscode==LicenseStatus.NOTACTIVE || main_statuscode==LicenseStatus.FULLEXPIRED || main_statuscode==LicenseStatus.TRIALEXPIRED)
        main_icon_name = new String("icons_expired.gif");
    else if(main_statuscode==LicenseStatus.FULLREMIND || main_statuscode==LicenseStatus.FULLGRACE ||main_statuscode==LicenseStatus.TRIALREMIND)
        main_icon_name = new String("icons_warning.gif");
    else
        main_icon_name = new String("icons_valid.gif");
    
    String dlp_icon_name;
    dlp_statuscode = dlppr.GetStatusCode();
    if(dlp_statuscode==LicenseStatus.NOTACTIVE || dlp_statuscode==LicenseStatus.FULLEXPIRED || dlp_statuscode==LicenseStatus.TRIALEXPIRED)
    	dlp_icon_name = new String("icons_expired.gif");
    else if(dlp_statuscode==LicenseStatus.FULLREMIND || dlp_statuscode==LicenseStatus.FULLGRACE ||dlp_statuscode==LicenseStatus.TRIALREMIND)
    	dlp_icon_name = new String("icons_warning.gif");
    else
    	dlp_icon_name = new String("icons_valid.gif");
%>
    <tr>
      <td height="10" colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="35"><img src="images/<%=main_icon_name%>" align="absmiddle"></td>
            <td width="94%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td class="textbold"> <table width="100%" border="0" cellspacing="0">
                      <tr>
                        <td><span class="textbold"><span class="data1">[<%=product_name%>] <%=mainpr.GetStatusInfo()%></span></span></td>
                         <%if(login_gid != REPORT_ONLY_GROUP_ID){ %> <td><div align="right"><span class="data1">
                   <a href="productlicense.jsp">
                   <i18n:message bundleRef="bundleAdmin" key="admin.product_license.view_product_license" />
                   </a></span>
		</div></td>  <%} %>
                      </tr>
                    </table>
                    <div align="right"><font class="prmodule"></font></div></td>
                </tr>
              </table></td>
          </tr>
          <tr>
            <td height="10" colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="1"></td>
          </tr>
          
           <tr>
            <td width="35"><img src="images/<%=dlp_icon_name%>" align="absmiddle"></td>
            <td width="94%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td class="textbold"> <table width="100%" border="0" cellspacing="0">
                      <tr>
                        <td><span class="textbold"><span class="data1">[<%=product_name%> - <i18n:message bundleRef="bundleAdmin" key="admin.product_license.dlp_code" />]<%=dlppr.GetStatusInfo()%></span></span></td>
                         <%if(login_gid != REPORT_ONLY_GROUP_ID){ %> <td><div align="right"><span class="data1">
                   <a href="productlicense.jsp">
                   <i18n:message bundleRef="bundleAdmin" key="admin.product_license.view_product_license" />
                   </a></span>
		</div></td>  <%} %>
                      </tr>
                    </table>
                    <div align="right"><font class="prmodule"></font></div></td>
                </tr>
              </table></td>
          </tr>
          <tr>
            <td height="10" colspan="2" class="hor-dotted-line"><img src="images/1space.gif" width="1" height="1"></td>
          </tr>
<%} %>


          <tr>
            <td height="10" colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
          </tr>
        </table></td>
    </tr>
    <tr>
    <td colspan="4" align="right">
      <table width="100%" border="0" align="right" cellpadding="0" cellspacing="0">
        <tr>
          <td width="98%" align="right" valign="top" height="16px"><p class="popparent" ><strong><a class="iframepop"  href="html/threat_resource.htm" style="vertical-align:top;" ><img src="images/threat_resource.gif" width="13" height="13" border="0" align="top" style="margin:5px 0;" name="threat_resource" id="threat_resource"><span class="data1" style="margin:5px 0; cursor:hand;"><i18n:message bundleRef="bundleSummary" key="summary.threat_resource" /></span><img src="images/more_down2.gif" width="13" height="13" border="0" align="top" style="margin:5px 0;" name="image_threat_resource" id="image_threat_resource"> </a></strong></p></td>
        </tr>
      </table>
    </td>
  </tr>
  </tbody>
</table>
<!-- ------------------------------------------------------------------------------------------------------------------------------------ -->


<table width="860" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="100%"><TABLE cellSpacing=0 cellPadding=0 width="860" border=0>
      <TBODY>
        <TR>
          <TD width="100%" ><table cellpadding="0" cellspacing="0" border="0" width="100%">
              <tr>
                <!-- TABS -->
                <td background="images/tab_background_cui.gif"><table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td><img src="images/tab_active1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                      <td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap> <i18n:message bundleRef="bundleSummary" key="summary.sys_dashboard" /> </td>
                      <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
<%if(!register_arm){%>
                      <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                      <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none" onMouseOut="this.style.color='#000000';" href="summary.jsp"><i18n:message bundleRef="bundleSummary" key="summary.scanning" /></a></td>
                      <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
					  <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                    <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="summaryurl.jsp" > <i18n:message bundleRef="bundleSummary" key="summary.url" /></a></td>
                    <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>

                      <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                      <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="summary_spyware.jsp"><i18n:message bundleRef="bundleSummary" key="summary.spyware" /></a></td>
                      <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>

                      <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                      <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="summary_threat.jsp"><i18n:message bundleRef="bundleSummary" key="summary.security_risk_report" /></a></td>
                      <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
<%}%>
					  <!-- add hardware status -->
                      <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                      <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none" onmouseout="this.style.color='#000000';"  href="go.jsp?url=hardwarestatus"><i18n:message bundleRef="bundleSummary" key="summary.hardware_status" /></a></td>
                      <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
<%if(!register_arm){%>
                  <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                  <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';" 
      style="COLOR: #000000; TEXT-DECORATION: none" 
      onmouseout="this.style.color='#000000';" 
      href="summary_appcontrol.jsp" > <i18n:message bundleRef="bundleSummary" key="summary.app_traffic" /></a></td>
                  <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
<%}%>
                    </tr>
                </table></td>
                <td align="right" background="images/tab_background_cui.gif"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
                <!-- /TABS -->
              </tr>
              <tr>
                <td colspan="2" class="border"><table width="100%" border="0" cellspacing="0" cellpadding="0">

                    <tr>
                      <td width="77%" class="data2" style="vertical-align:text-top">
					  	<table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td><table border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td nowrap="nowrap">
                            <%if(login_gid != REPORT_ONLY_GROUP_ID){ %>
                            <a href="admin_threshold.jsp" onClick="NewWindow(this.href,'Extensions','540','480','0');return false;" class="databutton"><img src="images/icon_settings.gif" width="18" height="15" border="0" style="vertical-align:middle">
                            <i18n:message bundleRef="bundleSummary" key="sys_dashboard.alert_setting" /></a>
                            <%}%>
                            </td>
                            <td class="text"><img src="images/1space.gif" width="3" height="1"></td>
                            <td nowrap="nowrap"><a href="#" onClick="javascript=window.print();" class="databutton"><img src="images/icon_printer.gif" border="0" style="vertical-align:middle"> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.print" /></a></td>
                            <td class="text"><img src="images/1space.gif" width="3" height="1"></td>
                            <td align="right">&nbsp;</td>
                          </tr>
                        </table></td>
                            <td align="right">&nbsp;</td>
                          </tr>
                        </table>
					  	</td>
                      </tr>
                    <tr>
                      <td bgcolor="#AAAAAA"><img src="images/1space_cui.gif" width="1" height="1"></td>
                    </tr>
                  </table>
                    <table width="100%" border="0" cellspacing="5" cellpadding="2">
                      <tr>
                        <td width="510" valign="top"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="4"><img src="images/sec_left_top_corner.gif" width="5" height="5" /></td>
                            <td background="images/sec_top.gif"><img src="images/sec_top.gif" width="1" height="5" /></td>
                            <td width="4"><img src="images/sec_right_top_corner.gif" width="5" height="5" /></td>
                          </tr>
						  <tr>
                            <td background="images/sec_left.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                            <td bgcolor="#ddddc5"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
							<td background="images/sec_right.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                            <td bgcolor="#ddddc5" valign="top"><table width="100%" cellspacing="0" cellpadding="0" border="0">
			<%
				//add by @jinyong 5/26/2010  show H/A mode
			      String []syncGuid=null;
		          String []lastSyncTime=null;
		          int []syncStatus=null;

				String clusterIniPath = IWSSInfo.GetWorkPath() + DeployWizardInfo.CLUSET_INI;
                IWSSINI clusterini = null;
                if(IWSSInfo.CheckInCluster())
                    clusterini = new IWSSINI(clusterIniPath);
                
				String cluster_id="";
				List <ClusterNode> nodes=null;
				if(clusterini!=null)cluster_id = clusterini.GetKeyValue("cluster","cluster_id");
				if(!cluster_id.equals("")){
				DeployWizardUtil util=new DeployWizardUtil();
				Cluster cluster=util.getClusterInfo(" ", token);
				if(cluster!=null) nodes=cluster.getNodes();


				 InputStream in=null;
				 if (nodes != null)
				 {
			     	syncGuid=new String[nodes.size()-1];
			     	lastSyncTime=new String[nodes.size()-1];
			     	syncStatus=new int[nodes.size()-1];//define the attr of the sync nodes;
			     }

			   	try
			 	{
			 		/**
			 		  * check local role, according the role to invoke the GetSyncInfo
			 		  */
			 		String localRole = "";
			 		if(nodes!=null)
			 		{
						for(int i=0;i<nodes.size();i++)
						{
							ClusterNode tempnode=nodes.get(i);
							if (tempnode.isLocal())
							{
								localRole = tempnode.getRole();
								break;
							}
						}
					}
					if (DeployWizardInfo.DEPLOYTYPE_CHILD.equalsIgnoreCase(localRole))
					{

						in = util.execSyncCmdWithReturnOnChild("GetSyncInfo", token);
					}
					else
					{
			  			in = util.execSyncCmdWithReturn("GetSyncInfo");
			  		}
					DeployWizardXML xml = new DeployWizardXML(in);
					ArrayList <HashMap<String, String>> list = xml.getNodeValue("node");
					for(int i = 0; i < list.size(); i++)
					{
						HashMap<String, String> map = list.get(i);//get the value of the sync nodes;
						syncGuid[i]=map.get("guid");
						lastSyncTime[i]=map.get("lastSyncTime");
						syncStatus[i]=Integer.parseInt(map.get("syncStatus"));

					}

				}	catch(Exception e){
			 		IWSSUtil.UI_out_println("[GetSyncStatus]get cluster sync information ERROR");

					e.printStackTrace();


			 	}

				%>

						<tr>
								<td>
								<table width="100%" border="0" cellspacing="0" cellpadding="0" class="border">
										<tr >
											<Td class="tableheadergrey" colspan=2><i18n:message bundleRef="bundleSummary" key="sys_dashboard.clusterstatus" /></Td>
											<Td class="tableheadergrey" align="right" colspan=4><a href="system_dashboard.jsp" ><img width="16" height="15" border="0" style="vertical-align: middle;" src="images/refresh.gif"><span class="data1" style="font-size:10px;"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.refresh" /></span></a></Td>
										</tr>
										<tr>
                                                <td class="grey" colspan=2 ><i18n:message bundleRef="bundleSummary" key="sys_dashboard.clustermember" /></td>
                                                <td class="grey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.role" /></td>
                                                <td class="grey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.ipaddress" /></td>
                                                <td class="grey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.status" /></td>
                                                <td class="grey-end"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.syncstatus" /></td>
                                         </tr>

						         <%
								if(nodes!=null){
								for(int i=0;i<nodes.size();i++)
								{
									ClusterNode tempnode=nodes.get(i);
									String guid=tempnode.getGuid();
									String hostname=tempnode.getHostname();
								   String heartbeatIP=tempnode.getHeartbeatIP();
								   //Jason_Li hostIP
								   String hostIP=tempnode.getHostIP();
								   boolean local=tempnode.isLocal();
								   String role=tempnode.getRole();
								   int status = tempnode.getStatus();
									if(role.equals("parent")){%>
										<tr>
                                                <td width="15" class="data1b">
												<% if (local) { %>
												<img width="8" height="9" src="images/arrow_icons_red.gif">
												<% } else { %>
												&nbsp;
												<% } %></td>
                                                <td class="data1b"><%=hostname %></td>
                                                <td class="data1b"><strong><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.role_parent" /></strong></td>
                                                <td class="data1b"><%=hostIP %></td>
                                                <td class="data1b"><span class="textbold">
                                                				   					<%if (status == 0){ %>
																					<img width="25" height="15" src="images/enable_button.gif">
																					<%} else { %>
																			 		<img width="25" height="15" src="images/disable_button.gif">
																					<%} %>
																   </span></td>
                                                <td class="data1b">
                                                <i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.n_a" />
                                                </td>
                                              </tr>
									<% } else{%>
										 <%
	                                       int pos=-1;//to flag whether the child is sycnchronized.
	                                       for(int j=0;j<syncGuid.length;j++){
	            	                         if(guid.equals(syncGuid[j])){
	            		                            pos=j;
	            		                           break;
	                                                    	   }
	                                                    }
	                                            %>
											<tr>
                                                <td width="15" class="data2b">
												<% if (local) { %>
												<img width="8" height="9" src="images/arrow_icons_red.gif">
												<% } else { %>
												&nbsp;
												<% } %></td>
                                        <td class="data2b"><%=hostname %></td>
                                        <td class="data2b"><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.role_child" /></td>
                                        <td class="data2b"><%=hostIP %></td>
                                        <td class="data2b">
                                        	<span class="textbold">
                                                <%if (status == 0 && !role.equals("unknown")){ %>
													<img width="25" height="15"	alt="" src="images/enable_button.gif">
												<%} else { %>
													<img width="25" height="15"	alt="" src="images/disable_button.gif">
												<%} %>
											</span>
										</td>
                                        <td class="data2b">
													<%if(pos!=-1){%>

														<%if (syncStatus[pos] == 0){ %>
															<span class="textbold"><img width="25" height="15" alt="" src="images/enable_button.gif"></span>
														<%} else if (syncStatus[pos] == 1){ %>
															<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.synchronizing"></i18n:message>
														<%} else {
															String sycFailedReason = "admin.cluster_management.sycstatus_failed_reason_" + syncStatus[pos];
														%>
															<!-- <span class="textbold"><img width="14" height="14" alt="Fail reason and suggestion " src="images/disable_small.gif">
																<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.sycstatus_failed_reason"></i18n:message>&nbsp;<i18n:message bundleRef="bundleAdmin" key="<%=sycFailedReason %>"></i18n:message>
															</span> -->
															<span class="textbold"><img width="14" height="14" alt="" src="images/disable_small.gif">
															<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.failed"></i18n:message>
															<img width="15" height="15" title='<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.sycstatus_failed_reason"></i18n:message>&nbsp;<i18n:message bundleRef="bundleAdmin" key="<%=sycFailedReason %>"></i18n:message>' alt="" src="images/info_mark.gif"></span>
														<%} %>

													<%}else{
														// here means that the GetSyncInfo nodes is null. Just show nothing.
													 %>
													<!--  <span class="textbold"><img width="14" height="14" alt="Fail reason and suggestion " src="images/disable_small.gif">Failed <img width="15" height="15" title="Failure reason and suggestion" alt="" src="images/info_mark.gif"></span> -->
													<%} %>

										</td>
                                      </tr>
										<%} } }%>

								</table>
								</td>
							</tr>
							<tr>
                                <td align="center" colspan="2">&nbsp;</td>
                             </tr>
  <%} %>
                           <tr>
                                <td align="center" colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0" class="border">
<%if(!register_arm){%>
                                  <tr>
                                    <td><table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
                                        <tr>
                                          <td colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.virus.title" /></td>
                                        </tr>
                                        <tr>
                                          <td colspan="2" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.virus.count" /> <span style="color: #CC3300" id="<%=virusChartYAxisLabelName%>">&nbsp;</span></td>
                                        </tr>
                                        <tr>
                                          <td colspan="2" align="center"><div id="chart3" style="position:relative;left:-120px;top:5px;width:245px;height:118px;"></div></td>
                                        </tr>
                                        <tr>
                                          <td colspan="2" class="required" align="center">&nbsp;</td>
                                        </tr>
                                        <tr>
                                          <td colspan="2" class="required" align="center"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.virus.time" /></td>
                                        </tr>
                                        <tr>
                                          <td colspan="2" class="data2" align="center"><span class="virusStyle">--</span> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.virus.virus" /> &nbsp;&nbsp;&nbsp;&nbsp;<span class="spywareStyle">--</span> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.virus.spyware" /></td>
                                        </tr>
                                    </table></td>
                                  </tr>
<%}%>
                                </table></td>
                              </tr>
<%if(!register_arm){%>
                              <tr>
                                <td align="center" colspan="2">&nbsp;</td>
                              </tr>
<%}%>
							       <tr>
                                <td align="center" colspan="2" height="250" >
                                <!--modified by johnson, to add anti-spam, 2011-09-07-->
                                <%if("yes".equals(IMSSenabled)){%>
                                		<table width="100%" height="300" border="0"  cellspacing="0" cellpadding="0" class="border" bgcolor="#FFFFFF">
                                <%}else{%>
                                		<table width="100%" height="250" border="0"  cellspacing="0" cellpadding="0" class="border" bgcolor="#FFFFFF">                               
                                <%}%>
                                  		<tr>
                                  		    <td>
                                  			    <iframe src="system_manualupdate.jsp" id="manualupdate" width="100%" height="100%" frameborder="0" scrolling="no">
                                  			    </iframe>
                                  		    </td>
                                  		</tr>
                                  	</table>
                                 </td>
                              </tr>

                              <tr>
                                <td align="center" colspan="2">&nbsp;</td>
                              </tr>

                              <tr>
                                <td align="center" colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0" class="border">
                                    <tr>
                                      <td><table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
                                          <tr>
                                            <td colspan="5" class="tableheadergrey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.title" /></td>
                                          </tr>

                                          <tr>
                                            <td colspan="5" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.space" />
											<div id="Layer8">
                                                </div></td>
                                          </tr>
                                          <tr>
                                            <td colspan="5" align="center"><div id="chart4" style="position:relative;<%if (!displaySingleHardDrive) {%>left:-120px;<%}%>top:5px;width:245px;height:130px;"></div></td>
                                          </tr>
                                          <tr>
                                            <td colspan="5" class="data1" style="padding-left:50px"></td>
                                          </tr>
                                          <tr>
                                            <td colspan="5"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                                              <tr>
                                                <td class="grey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.type" /></td>
                                                <td colspan="2" class="grey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.mount_type" /> </td>
                                                <td align="right" class="grey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.used" /></td>
                                                <td align="right" class="grey-end"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.available" /></td>
                                              </tr>
<%
int i;
int j=0;

											  for (i=0; i<hdDataVector.size(); i++) {
	                                              if ((((DiskInfo)(hdDataVector.elementAt(i))).getUsageType() & DiskInfo.IWSS_TYPE) == DiskInfo.IWSS_TYPE){%>
	                                              <tr>
	                                                <td width="26%" class="data<%=j%2 +1%>b"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.sys_files" /> </td>
	                                                <td width="4%" align="right" class="data<%=j%2 +1%>b"><%=i+1%></td>
	                                                <td width="38%" class="data<%=j%2 +1%>b"><%=((DiskInfo)(hdDataVector.elementAt(i))).getName()%></td>
	                                                <td width="16%" class="data<%=j%2 +1%>b" align="right"><%=((DiskInfo)(hdDataVector.elementAt(i))).getUsedSpace() / KB_IN_MB%> <i18n:message bundleRef="bundleCommon" key="unit.mb" /></td>
	                                                <td width="16%" class="data<%=j%2 +1%>" align="right"><%=((DiskInfo)(hdDataVector.elementAt(i))).getAvailSpace() / KB_IN_MB%> <i18n:message bundleRef="bundleCommon" key="unit.mb" /></td>
	                                              </tr>
	                                          <%
	                                          	j++;
	                                          	}
                                              }
											  for (i=0; i<hdDataVector.size(); i++) {
	                                              if ((((DiskInfo)(hdDataVector.elementAt(i))).getUsageType() & DiskInfo.QUARANTINE_TYPE) == DiskInfo.QUARANTINE_TYPE){%>
                                              <tr>
                                                <!--<td rowspan="2" class="data2b" style="vertical-align:top" nowrap="nowrap">Quarantine Space </td>-->
                                                <td class="data<%=j%2 +1%>b"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.quarantine_space" /> </td>
                                                <td width="4%" align="right" class="data<%=j%2 +1%>b"><%=i+1%></td>
                                                <td width="38%" class="data<%=j%2 +1%>b"><%=((DiskInfo)(hdDataVector.elementAt(i))).getName()%></td>
                                                <td width="16%" class="data<%=j%2 +1%>b" align="right"><%=((DiskInfo)(hdDataVector.elementAt(i))).getUsedSpace() / KB_IN_MB%> <i18n:message bundleRef="bundleCommon" key="unit.mb" /></td>
                                                <td width="16%" class="data<%=j%2 +1%>" align="right"><%=((DiskInfo)(hdDataVector.elementAt(i))).getAvailSpace() / KB_IN_MB%> <i18n:message bundleRef="bundleCommon" key="unit.mb" /></td>
                                              </tr>
	                                          <%
	                                          	j++;
	                                          	}
                                              }
											  for (i=0; i<hdDataVector.size(); i++) {
	                                              if ((((DiskInfo)(hdDataVector.elementAt(i))).getUsageType() & DiskInfo.TEMP_TYPE) == DiskInfo.TEMP_TYPE){%>
                                              <tr>
                                                <!--<td rowspan="2" class="data1b" style="vertical-align:top">Temp Space </td>-->
                                                <td class="data<%=j%2 +1%>b"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.temp_space" /> </td>
                                                <td width="4%" align="right" class="data<%=j%2 +1%>b"><%=i+1%></td>
                                                <td width="38%" class="data<%=j%2 +1%>b"><%=((DiskInfo)(hdDataVector.elementAt(i))).getName()%></td>
                                                <td width="16%" class="data<%=j%2 +1%>b" align="right"><%=((DiskInfo)(hdDataVector.elementAt(i))).getUsedSpace() / KB_IN_MB%> <i18n:message bundleRef="bundleCommon" key="unit.mb" /></td>
                                                <td width="16%" class="data<%=j%2 +1%>" align="right"><%=((DiskInfo)(hdDataVector.elementAt(i))).getAvailSpace() / KB_IN_MB%> <i18n:message bundleRef="bundleCommon" key="unit.mb" /></td>
                                              </tr>
	                                          <%
	                                          	j++;
	                                          	}
                                              }
											  for (i=0; i<hdDataVector.size(); i++) {
	                                              if ((((DiskInfo)(hdDataVector.elementAt(i))).getUsageType() & DiskInfo.LOG_TYPE) == DiskInfo.LOG_TYPE){%>
                                                <!--<td rowspan="7" class="data2b" style="vertical-align:top">Logs</td>-->
                                                <td class="data<%=j%2 +1%>b"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.hard_drive.logs" /> </td>
                                                <td width="4%" align="right" class="data<%=j%2 +1%>b"><%=i+1%></td>
                                                <td width="38%" class="data<%=j%2 +1%>b"><%=((DiskInfo)(hdDataVector.elementAt(i))).getName()%></td>
                                                <td width="16%" class="data<%=j%2 +1%>b" align="right"><%=((DiskInfo)(hdDataVector.elementAt(i))).getUsedSpace() / KB_IN_MB%> <i18n:message bundleRef="bundleCommon" key="unit.mb" /></td>
                                                <td width="16%" class="data<%=j%2 +1%>" align="right"><%=((DiskInfo)(hdDataVector.elementAt(i))).getAvailSpace() / KB_IN_MB%> <i18n:message bundleRef="bundleCommon" key="unit.mb" /></td>
                                              </tr>
	                                          <%
	                                          	j++;
	                                          	}
                                              }%>
                                            </table></td>
                                          </tr>

                                      </table></td>
                                    </tr>

                                </table></td>
                                </tr>
                            </table></td>
                            <td background="images/sec_right.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                          </tr>
						  <tr>
                            <td background="images/sec_left.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                            <td bgcolor="#ddddc5"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
							<td background="images/sec_right.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                          </tr>
                          <tr>
                            <td><img src="images/sec_left_bottom_corner.gif" width="5" height="5"></td>
                            <td background="images/sec_bottom.gif"><img src="images/sec_top.gif" width="1" height="5" /></td>
                            <td><img src="images/sec_right_bottom_corner.gif" width="5" height="5"></td>
                          </tr>
                        </table></td>
                        <td valign="top"><table width="100%" border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="4"><img src="images/sec_left_top_corner.gif" width="5" height="5" alt="" /></td>
                            <td background="images/sec_top.gif"><img src="images/sec_top.gif" width="1" height="5" alt="" /></td>
                            <td width="4"><img src="images/sec_right_top_corner.gif" width="5" height="5" alt="" /></td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                            <td bgcolor="#ddddc5"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                            <td background="images/sec_right.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif">&nbsp;</td>
                            <td bgcolor="#ddddc5"><table width="100%" border="0" cellspacing="0" cellpadding="0" class="border">
                              <tr>
                                <td><table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
                                    <tr>
                                      <td class="tableheadergrey"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                <tr>
                                                  <td class="tableheadergrey3"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.title" /></td>
<%if(!register_arm){%>
                                                  <td align="right"><a href="dayreport.jsp?dt=1&rt=<%=JavaReportMetrics.THROUGHPUT_IN_BYTES%>" onClick="NewWindow(this.href,'Extensions','700','450','yes');return false;"><img src="images/icon_chart_1.gif" title="<i18n:message bundleRef="bundleSummary" key="sys_dashboard.1daychart" />" border="0"></a>&nbsp;<a href="dayreport.jsp?dt=30&rt=<%=JavaReportMetrics.THROUGHPUT_IN_BYTES%>" onClick="NewWindow(this.href,'Extensions','700','450','yes');return false;"><img src="images/icon_chart_30.gif" title="<i18n:message bundleRef="bundleSummary" key="sys_dashboard.30daychart" />" border="0"></a>&nbsp;</td>
<%}%>
                                                </tr>
                                              </table></td>
                                    </tr>
                                    <tr>
                                      <td class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.traffic" /> <span style="color: #CC3300" id="<%=bandwidthChartYAxisLabelName%>">&nbsp;</span></td>
                                    </tr>
                                    <tr>
                                      <td ><div id="chart2" style="position:relative;left:-20px;top:5px;width:245px;height:118px;"></div></td>
                                    </tr>
                                    <tr>
                                      <td class="required" align="center">&nbsp;</td>
                                    </tr>
                                    <tr>
                                      <td align="center" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.time" /> (<%=bandwidthScaleText%>)</td>
                                    </tr>
                                    <tr>
                                      <td align="center" class="data2"><span class="httpInboundStyle">--</span> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.http_in" /> &nbsp;&nbsp;&nbsp;<span class="httpOutboundStyle">--</span> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.http_out" /> &nbsp;&nbsp;&nbsp;<span class="ftpInboundStyle">--</span> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.ftp_in" /> &nbsp;&nbsp;&nbsp;<span class="ftpOutboundStyle">--</span> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.ftp_out" /></td>
                                    </tr>
                                </table></td>
                              </tr>
                            </table></td>
                            <td background="images/sec_right.gif">&nbsp;</td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif">&nbsp;</td>
                            <td bgcolor="#ddddc5"><img src="images/1space_cui.gif" width="1" height="10" alt="" /></td>
                            <td background="images/sec_right.gif">&nbsp;</td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif">&nbsp;</td>
                            <td bgcolor="#ddddc5"><table width="100%" border="0" cellspacing="0" cellpadding="0" class="border" bgcolor="#FFFFFF">
                              <tr>
                                <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                      <td colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.concurrent_connections.title" /></td>
                                    </tr>
                                    <tr>
                                      <td colspan="2" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.concurrent_connections.title" /> <span style="color: #CC3300" id="<%=concurrentConnChartYAxisLabelName%>">&nbsp;</span></td>
                                    </tr>
                                    <tr>
                                      <td colspan="2"><div id="chart6" style="position:relative;left:-20px;top:5px;width:245px;height:118px;"></div></td>
                                    </tr>
                                    <tr>
                                      <td class="required" align="center">&nbsp;</td>
                                    </tr>
		                            <tr>
		                              <td align="center" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.time" /> (<%=connectionScaleText%>)</td>
		                            </tr>
                                    <tr>
                                      <td align="center" class="data2"><span class="httpConnStyle">--</span> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.concurrent_connections.http" />&nbsp;&nbsp;&nbsp;<span class="ftpConnStyle">--</span> <i18n:message bundleRef="bundleSummary" key="sys_dashboard.concurrent_connections.ftp" />&nbsp;&nbsp;&nbsp;</td>
                                    </tr>
                                </table></td>
                              </tr>
                            </table></td>
                            <td background="images/sec_right.gif">&nbsp;</td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif">&nbsp;</td>
                            <td bgcolor="#ddddc5"><img src="images/1space_cui.gif" width="1" height="10" alt="" /></td>
                            <td background="images/sec_right.gif">&nbsp;</td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif">&nbsp;</td>
                            <td bgcolor="#ddddc5"><table width="100%" border="0" cellspacing="0" cellpadding="0" class="border" bgcolor="#FFFFFF">
                              <tr>
                                <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                      <td colspan="2" class="tableheadergrey"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                <tr>
                                                  <td class="tableheadergrey3"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.cpu_usage.title" /></td>
<%if(!register_arm){%>
                                                  <td align="right"><a href="dayreport.jsp?dt=1&rt=<%=JavaReportMetrics.CPU_USAGE%>" onClick="NewWindow(this.href,'Extensions','700','450','yes');return false;"><img src="images/icon_chart_1.gif" title="<i18n:message bundleRef="bundleSummary" key="sys_dashboard.1daychart" />" border="0"></a>&nbsp;<a href="dayreport.jsp?dt=30&rt=<%=JavaReportMetrics.CPU_USAGE%>" onClick="NewWindow(this.href,'Extensions','700','450','yes');return false;"><img src="images/icon_chart_30.gif" title="<i18n:message bundleRef="bundleSummary" key="sys_dashboard.30daychart" />" border="0"></a>&nbsp;</td>
<%}%>
                                                </tr>
                                              </table></td>
                                    </tr>
                                    <tr>
                                      <td colspan="2" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.cpu_usage.usage" /></td>
                                    </tr>
                                    <tr>
                                      <td colspan="2"><div id="chart5" style="position:relative;left:-20px;top:3px;width:245px;height:120px;"></div></td>
                                    </tr>
                                </table></td>
                              </tr>
                                <tr>
                                  <td class="required" align="center">&nbsp;</td>
                                </tr>
                              <tr>
                                <td align="center" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.time" /> (<%=cpuScaleText%>)</td>
                              </tr>
                            </table></td>
                            <td background="images/sec_right.gif">&nbsp;</td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif">&nbsp;</td>
                            <td bgcolor="#ddddc5"><img src="images/1space_cui.gif" width="1" height="10" alt="" /></td>
                            <td background="images/sec_right.gif">&nbsp;</td>
                          </tr>
                          <tr>
                            <td background="images/sec_left.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                            <td bgcolor="#ddddc5"><table width="100%" border="0" cellspacing="0" cellpadding="0" class="border">
                              <tr>
                                <td align="center"><table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
                                    <tr>
                                      <td colspan="2" class="tableheadergrey"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                                <tr>
                                                  <td class="tableheadergrey3"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.physical_mem_usage.title" /></td>
<%if(!register_arm){%>
                                                  <td align="right"><a href="dayreport.jsp?dt=1&rt=<%=JavaReportMetrics.MEMORY_USAGE%>" onClick="NewWindow(this.href,'Extensions','700','450','yes');return false;"><img src="images/icon_chart_1.gif" title="<i18n:message bundleRef="bundleSummary" key="sys_dashboard.1daychart" />"  border="0"></a>&nbsp;<a href="dayreport.jsp?dt=30&rt=<%=JavaReportMetrics.MEMORY_USAGE%>" onClick="NewWindow(this.href,'Extensions','700','450','yes');return false;"><img src="images/icon_chart_30.gif" title="<i18n:message bundleRef="bundleSummary" key="sys_dashboard.30daychart" />"  border="0"></a>&nbsp;</td>
<%}%>
                                                </tr>
                                              </table></td>
                                    </tr>
                                    <tr>
                                      <td colspan="2" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.cpu_usage.usage" /></td>
                                    </tr>
                                    <tr>
                                      <td colspan="2" class="data1"><div id="chart1" style="position:relative;left:-25px;top:3px;width:245px;height:120px;"></div></td>
                                    </tr>
                                    <tr>
                                      <td class="required" align="center">&nbsp;</td>
                                    </tr>
                                    <tr>
                                      <td colspan="2" align="center" class="required"><i18n:message bundleRef="bundleSummary" key="sys_dashboard.bandwidth.time" /> (<%=memoryScaleText%>)</td>
                                    </tr>
                                </table></td>
                              </tr>
                            </table></td>
                            <td background="images/sec_right.gif"><img src="images/1space_cui.gif" width="1" height="3" alt="" /></td>
                          </tr>


                          <tr>
                            <td><img src="images/sec_left_bottom_corner.gif" width="5" height="5" alt="" /></td>
                            <td background="images/sec_bottom.gif"><img src="images/sec_bottom.gif" width="1" height="5" alt="" /></td>
                            <td><img src="images/sec_right_bottom_corner.gif" width="5" height="5" alt="" /></td>
                          </tr>
                        </table></td>
                      </tr>
                    </table></td>
              </tr>
          </table></TD>
        </TR>
        <TR>
          <TD class="data1">&nbsp;</TD>
        </TR>
      </TBODY>
    </TABLE></td>
    <td valign="top" align="center" nowrap="nowrap">
    <br/>
    </td>
  </tr>
</table>
<p>&nbsp;</p>
<script>
// create the jsGraphics objects
jg1 = new jsGraphics("chart1");
jg2 = new jsGraphics("chart2");
jg3 = new jsGraphics("chart3");
jg4 = new jsGraphics("chart4");
jg5 = new jsGraphics("chart5");
jg6 = new jsGraphics("chart6");
</script>
</form>

</body>
</html>
