<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 07/03/2007                                        -->
<!--Description:                                            -->
<!--Change iwss_banner.gif to iwsva_banner.gif               -->
<!--File:top.jsp                                            -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.deploywizard.model.*"%>
<%@ page import="com.trend.iwss.deploywizardImpl.DeployWizardCluster" %>
<%@ page import="com.trend.iwss.deploywizard.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="java.util.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<%

	if(Validation.CheckUser(request,response)!=1)
	{
		response.sendRedirect("logon.jsp");
		return;
	}

	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
	int roleid = 0;
	if(accountinfo != null)
	{
		roleid = accountinfo.getRoleID();
	}
	else
	{
		response.sendRedirect("logon.jsp");
		return;
	}

	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
%>

<%
	String clusterIniPath = IWSSInfo.GetWorkPath()
			+ DeployWizardInfo.CLUSET_INI;
	IWSSINI clusterini = null;
	if(IWSSInfo.CheckInCluster())
		clusterini = new IWSSINI(clusterIniPath);

	String cluster_id = "";
	String role = "unknown";
	String hostname = "unknown";
	List<ClusterNode> nodes = null;
	if (clusterini != null)
		cluster_id = clusterini.GetKeyValue("cluster", "cluster_id");
	if (!cluster_id.equals("")) {
		DeployWizardUtil util = new DeployWizardUtil();
        String token = UIHelperToken.getToken(request);
		Cluster cluster = util.getClusterInfo("", token);
		if (cluster != null)
			nodes = cluster.getNodes();
		if (nodes != null) {
			for (int i = 0; i < nodes.size(); i++) {
				ClusterNode tempnode = nodes.get(i);
				if (tempnode.isLocal() == true) {
					hostname = tempnode.getHostname();
					role = tempnode.getRole();
					/**
					  * Add role to session
					  *  1. the param is used by (1) admin_patch_mgmt.jsp , (2)admin_patch_mgmt2.jsp, (3)dcs_register.jsp
					  *                  (4) dw_deploy_method.jsp , (5)tmcm_agent.jsp, (6)updateimg.jsp
					  *  2.   Actually 1 is a very bad habbit, we can use the follwing method in 3.
					  *  3.  Use the DeployCluster.getRole() to get the role of node, this will be a good habbit, or maybe would need to update the getRole() function.
					  *
					  *       -by Daren.
					  */
					request.getSession().setAttribute("role_in_cluster", role);
				}
			}
		}
	}
%>
<%
	String help_knowledge_url = MessageResourcesMgr.mrCommon
			.getMessage("top.help_knowledge_url");
	String help_info_url = MessageResourcesMgr.mrCommon
			.getMessage("top.help_info_url");
	String help_sales_url = MessageResourcesMgr.mrCommon
			.getMessage("top.help_sales_url");
	String help_support_url = MessageResourcesMgr.mrCommon
			.getMessage("top.help_support_url");
%>

<%
	/**
	 * Get sync status, when load this page.
	 **/
	 DeployWizardCluster dwCluster = new DeployWizardCluster();
	 String clusterSyncStatus = dwCluster.getSyncStatus(request, response);
 %>
<html>
<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/top.css" rel="stylesheet" type="text/css">

<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<script language="JavaScript" src="html/jquery1.3.2.js"></script>
<SCRIPT LANGUAGE="JavaScript">
function doHelp(){
	if(document.saveform.helpContent.value=="index")
	{
		openhelpwin('iwsva_help.htm');
	}else if(document.saveform.helpContent.value=="knowledge")
	{
		window.open("<%=help_knowledge_url%>","knowledge");
	}else if(document.saveform.helpContent.value=="info")
	{
		window.open("<%=help_info_url%>","info");
	}else if(document.saveform.helpContent.value=="sales")
	{
		window.open("<%=help_sales_url%>","sales");
	}else if(document.saveform.helpContent.value=="support")
	{
		window.open("<%=help_support_url%>","support");
	}else if(document.saveform.helpContent.value=="about")
	{
		window.open("html/about.htm","about");
	}

	document.saveform.helpContent[0].selected = true;
}
// This function is used by the Webconsole.jsp page to
// redirect to logon page using the new http or ssl port when
// user presses the save button.
function redirectToNewPort(proto, portNum) {
	var URL = document.URL;
	var protoIdx = URL.indexOf("://");
	var ip = URL.substr(protoIdx+3);
	var firstSlashIdx = ip.indexOf("/");
	if (firstSlashIdx >= 0) {
	   ip = ip.substring(0, firstSlashIdx);
	}
	var colonIdx = ip.indexOf(':');
	if (colonIdx >=0) {
		ip = ip.substring(0, colonIdx);
	}

	var timeout_value = 1000;
	if(proto=="https") timeout_value = 5000;

	var callWriteMsg = "writeWaitMsg(" + '"' + proto + '","' + portNum + '")';
	setTimeout(callWriteMsg, timeout_value);
	var jscode = "redirectNewURL("+'"'+proto+'","'+ip+'","' + portNum + '")';
	setTimeout( jscode, 45000 - timeout_value );
}
function redirectNewURL(proto, ip, portNum)
{
	var newUrl =  proto + "://" + ip + ":" + portNum + "/logout.jsp";
	if(document.saveform.webconsole.value=="failure"){
		newUrl = "/webConsole.jsp";
		top.right.location.replace(newUrl);
		return;
	}
	top.right.location.replace(newUrl);
}

function writeWaitMsg(protocol, portN)
{
	if(document.saveform.webconsole.value=="failure") return;
	top.right.document.open();
	top.right.document.write(i18n_redirect_port + portN + " ...");
	top.right.document.close();
}

// This function is used by the ipConfig.jsp page to
// redirect to logon page using the original protocol and new ip
// when user presses the save button.
function redirectToNewIP(protocol, ip, port) {
	var timeout_value = 5000;
	if (ip!="") {
		callWriteMsg = "writeNotifyMsg('" + protocol + "','" + ip + "','" + port + "','" +
										i18n_ipconfig_redirect_msg1.replace("{ip}", ip).replace("{port}", port) + "','" + i18n_ipconfig_redirect_msg2 + "')";
		setTimeout(callWriteMsg, timeout_value);
		var jscode = "redirectNewIPURL('" + protocol + "','" + ip + "','" + port + "')";
		setTimeout( jscode, 50000 - timeout_value );
	} else {
		callWriteMsg = "writeNotifyMsg('', '', '', '" + i18n_ipconfig_dhcp_notify_msg1 + "','" + i18n_ipconfig_dhcp_notify_msg2 + "')";
		setTimeout(callWriteMsg, timeout_value);
	}
}

function redirectNewIPURL(protocol, ip, port) {
	if (document.saveform.ipconfig.value=="failure") return;
	var newUrl =  protocol + "//" + ip + ":" + port + "/logout.jsp";
	top.right.location.replace(newUrl);
}

function writeNotifyMsg(protocol, ip, port, title, msg) {
	if (document.saveform.ipconfig.value=="failure") return;
	top.right.document.open();
	top.right.document.writeln('<html>');
	top.right.document.writeln('<link href="html/trend-style.css" rel="stylesheet" type="text/css">');
	top.right.document.writeln('<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0"><br>');
	top.right.document.writeln('  <table cellspacing="0" cellpadding="0" width="98%" class="border">');
	top.right.document.writeln('    <tr>');
	top.right.document.writeln('       <td colspan="2" class="tableheader"><div>' + title + '</div></td>');
	top.right.document.writeln('    </tr>');
	top.right.document.writeln('    <tr>');
	top.right.document.writeln('       <td colspan="2"><img src="images/1space.gif" width="1" height="10"></td>');
	top.right.document.writeln('    </tr>');
	top.right.document.writeln('    <tr>');
	top.right.document.writeln('       <td >&nbsp;</td>');
	top.right.document.writeln('       <td class="data1"><div>' + msg + '</div></td>');
	top.right.document.writeln('    </tr>');
	top.right.document.writeln('    <tr>');
	top.right.document.writeln('      <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>');
	top.right.document.writeln('    </tr>');
	top.right.document.writeln('   </table>');
	top.right.document.writeln('</body>');
	top.right.document.writeln('</html>');
	top.right.document.close();
}

// This function is used by the config_date_time.jsp page to
// redirect to new System Time page when user presses the save
// button after changes Time Zone.
function redirectPage() {
	var timeout_value = 1000;
	var callWriteMsg = "writeWaitInfo()";
	setTimeout(callWriteMsg, timeout_value);
	var newurl = "/config_date_time.jsp";
	var jscode = "redirectNewPage("+'"'+newurl+ '")';
	setTimeout( jscode, 20000 - timeout_value );
}

function redirectNewPage(url){
	top.right.location.replace(url);
}

function writeWaitInfo() {
	if(document.saveform.configtime.value=="failure") return;
	top.right.document.open();
	top.right.document.write(i18n_change_timezone + " ...");
	top.right.document.close();
}


function doSyn(){
		//document.saveform.action="doSync.jsp";
		//setTimeout( "document.saveform.submit()", 100 );
		$.ajax({

			type: "post",
			url: "./go.jsp?url=doSync",

			beforeSend: function(XMLHttpRequest){
				changeSyncShow("1");
				setInterValGetSyncStatusJob();
			},
			success: function(data){
			},
			complete: function(XMLHttpRequest, textStatus){
			},
			error: function(){
			}
		});
}



function CheckDoSync()
{
	var syncStatus = "";

	if(!confirm(i18n_top_sync_confirm)) return;

	//alert("enter checkDoSync");
	$.ajax({
		type: "post",
		url: "./go.jsp?url=getSyncStatus",
		//async: "false",

		beforeSend: function(XMLHttpRequest){
		},
		success: function(data){
			//alert("CheckDoSync:"+data);
			if(data != "")
			{
				if (data == "1")
				{
					changeSyncShow("1");
					alert(i18n_top_sync_alert_another_sync_in_progress);
					setInterValGetSyncStatusJob();
				}
				else
				{
					doSyn();
				}
			}
			else
			{
				doSyn();
			};
		},
		complete: function(XMLHttpRequest, textStatus){
		},
		error: function(){
		}
	});
}

var globalDoSyncTimerInt = "";
function changeSyncShow(syncStatus)
{
	if (syncStatus == "1")
	{
		document.getElementById('clusterSyncStatus').innerHTML = '<img border="0" align="absmiddle" src="images/sync.gif">' + i18n_syncing;
		document.getElementById("clusterSyncStatus").href="javascript:void(0);";
		document.getElementById("clusterSyncStatus").disabled=true;
	}
	else
	{
		document.getElementById('clusterSyncStatus').innerHTML = '<img border="0" align="absmiddle" src="images/sync.gif">' + i18n_sync_now;
		document.getElementById("clusterSyncStatus").href="javascript:CheckDoSync();";
		document.getElementById("clusterSyncStatus").disabled=false;
		// clear interval
		if (globalDoSyncTimerInt != "")
		{
			//alert("clear syncJob:" + globalDoSyncTimerInt);
			window.clearInterval(globalDoSyncTimerInt);
			globalDoSyncTimerInt = "";
		}
	}
}

//
function setInterValGetSyncStatusJob()
{
	var param = 100;
	globalDoSyncTimerInt = window.setInterval( function(){intervalRun(param);}, 3000);
	//alert("create syncJob:" + globalDoSyncTimerInt);
}
function intervalRun(param)
{
	getSyncStatus();
}



	function getSyncStatus()
	{
		$.ajax({

			type: "post",
			url: "./go.jsp?url=getSyncStatus",
			async: "true",

			beforeSend: function(XMLHttpRequest){
			},
			success: function(data){
				//alert("interal Run : getSyncStatus: succeed." + data);
				changeSyncShow(data);
			},
			complete: function(XMLHttpRequest, textStatus){
			},
			error: function(){
			}
		});
	}

	function whenLoad()
	{
		var syncStatus = "<%=clusterSyncStatus%>";
		if (syncStatus == "1")
		{
			changeSyncShow("1");
			setInterValGetSyncStatusJob();
		}
	}
</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="javascript:whenLoad();">
<FORM ACTION="" METHOD=POST NAME=saveform>
<input type=hidden name="current_menuitem" value="">
<input type=hidden name="webconsole" value="success">
<input type=hidden name="ipconfig" value="success">
<input type=hidden name="configtime" value="success">
<table width="100%" height="50" border="0" cellpadding="0" cellspacing="0"  background="images/os_topbarback.gif">
  <tr>
	<td valign="top" ><img src="images/banner_iwsav.gif" width="442" height="44"></td>
	<td width="100%" align="right" valign="bottom" >
		<table border="0" cellspacing="0" cellpadding="0" style="margin-bottom:8px">
		<tr>
		  <td><img src="images/help_left.gif" width="3" height="28"></td>
		  <td background="images/help_fill.gif" class="data1" nowrap>
		  <a><i18n:message bundleRef="bundleCommon" key="index_top.welcome" />,<%=accountinfo.getCommonName()%>&nbsp;</a>
		  <a href="logout.jsp" target="_top"> <img src="images/icon_logout.gif" width="16" height="16" border="0" align="absmiddle"></a> <a href="logout.jsp" target="_top">
<i18n:message bundleRef="bundleCommon" key="index_top.log_off" />

		  </a> | <a href="javascript:openhelpwin('iwsva_help.htm')"><img src="images/question.gif" width="16" height="16" border="0" align="absmiddle"></a>
			 <SELECT name=helpContent
			class=button onchange=doHelp();>
				  <option value=help selected><i18n:message bundleRef="bundleCommon" key="index_top.help" /></OPTION>
				  <OPTION value=index><i18n:message bundleRef="bundleCommon" key="index_top.contents_and_index" /></OPTION>
				  <OPTION value=knowledge><i18n:message bundleRef="bundleCommon" key="index_top.knowledge_base" /></OPTION>
				  <OPTION value=info><i18n:message bundleRef="bundleCommon" key="index_top.security_info" /></OPTION>
				  <OPTION value=sales><i18n:message bundleRef="bundleCommon" key="index_top.sales" /></OPTION>
				  <OPTION value=support><i18n:message bundleRef="bundleCommon" key="index_top.support" /></OPTION>
				  <OPTION value=about><i18n:message bundleRef="bundleCommon" key="index_top.abouts" /></OPTION>
					</SELECT>
					</td>
		<td><img src="images/help_right.gif" width="3" height="28"></td>
		</tr>
		  </table></td>


	<td width="90">&nbsp;&nbsp;</td>
				</tr>
			  </table>
			</div></td>
		</tr>
	  </table></td>
  </tr>
</table>

<%
	if (clusterini != null && role != null) {
%>
<%
	if (role.equals("parent")) {
%>
	<table width="100%" height="25" border="0" cellpadding="0" cellspacing="0" background="images/ap_topbg.gif">
	<tr>
			<td class="tableheadergrey3" width="21%" nowrap style="padding-left:20px;"><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.top.current_server" /> <%=hostname%> (<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.role_parent" />)</td>
			<td id="clusterSyncButton" width="53%" valign=bottom nowrap >
<%
			if (nodes.size() > 1 && (roleid == 0 || roleid == 1))
			{
 %>

 <%             if (!"1".equals(clusterSyncStatus))
				{
  %>
				<a id="clusterSyncStatus" class="refreshbutton" href="javascript:CheckDoSync();">
					<img border="0" align="absmiddle" src="images/sync.gif"><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.synchronize_now" />
				</a>
			   <%} else {%>
				<a id="clusterSyncStatus" class="refreshbutton" href="javascript:void(0);">
					<img border="0" align="absmiddle" src="images/sync.gif">
					Synchronizing...
				</a>
			   <%} %>
<%
			}
			else
			{
 %>
				<p id="clusterSyncStatus" class="disabledlink">
				<img border="0" align="absmiddle" src="images/sync.gif">
				<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.synchronize_now" />
				</p>
 <%
			}
  %>
			</td>
			<td class="text" width="26%" nowrap><img src="images/1space_cui.gif" width=2 height=1></td>
	</tr>
</table>
<%
	} else if (role.equals("child")) {
%>
<table width="100%" height="25" border="0" cellpadding="0" cellspacing="0" background="images/ap_topbg.gif">
		<tr>
			<td class="tableheadergrey3" width="21%" nowrap style="padding-left:20px;"><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.top.current_server" /><%=hostname%> (<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.role_child" />)
				<a title="<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.top.tips"/>">
					<img width="16" height="16" src="images/icon_warning_s_cui.gif">
				</a>
			</td>
			<td class="text" width="79%" nowrap><img src="images/1space_cui.gif" width=2 height=1></td>
	</tr>
</table>
<%  } else if ("unknown".equalsIgnoreCase(role)){
%>
<table width="100%" height="25" border="0" cellpadding="0" cellspacing="0" background="images/ap_topbg.gif">
		<tr>
			<td class="tableheadergrey3" width="21%" nowrap style="padding-left:20px;"><i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.top.current_server" /> <%=hostname%> (<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.unknown" />)
			</td>
			<td class="text" width="79%" nowrap><img src="images/1space_cui.gif" width=2 height=1></td>
	</tr>
</table>
<%
	}
	}
%>



<table width="100%" height="6" border="0" cellpadding="0" cellspacing="0" >
  <tr>
	<td width="224" valign="top" style="background-color:#eceade;" ></td>
	<td valign="bottom" class="roundcorner"><img src="images/1space.gif" width="200" height="6"></td>
  </tr>
</table>

</FORM>
</body>
</html>
